﻿Shader "EVE/PlanetCityLight" {
	Properties {
		_Color ("Color Tint", Color) = (1,1,1,1)
		_MainTex ("Main (RGB)", 2D) = "white" {}
		_BumpMap ("Normalmap", 2D) = "bump" {}
		_SpecularColor ("Specular tint", Color) = (1,1,1,1)
		_SpecularPower ("Shininess", Float) = 0.078125
		_DetailDist ("Detail Distance", Range(0,1)) = 0.00875
		_CityOverlayTex ("Overlay (RGB)", 2D) = "white" {}
		_CityOverlayDetailScale ("Overlay Detail Scale", Range(0,1000)) = 80
		_CityDarkOverlayDetailTex ("Overlay Detail (RGB) (A)", 2D) = "white" {}
		_CityLightOverlayDetailTex ("Overlay Detail (RGB) (A)", 2D) = "white" {}
		_PlanetOpacity ("PlanetOpacity", Float) = 1
	}
	Category {
		Lighting On
		ZWrite Off
		Cull Back
		Offset 0, 0
		Blend SrcAlpha OneMinusSrcAlpha
		Tags {
			"Queue"="Geometry+1"
			"RenderMode"="Transparent"
			"IgnoreProjector"="True"
		}
		SubShader {
			Pass {

				Lighting On
				Tags { "LightMode"="ForwardBase"}

				Program "vp" {
// Vertex combos: 240
//   d3d9 - ALU: 52 to 57
//   d3d11 - ALU: 45 to 48, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw);
  cityoverlay_3.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citylightoverlaydetail_1.xyz = tmpvar_59.xyz;
  cityoverlay_3.w = (tmpvar_31.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_45.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_59.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_59.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_60;
  vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_22);
  float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  c_60.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_61 + normalize(xlv_TEXCOORD1))), tmpvar_62), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_60.w = (tmpvar_63 * 4.0);
  float tmpvar_64;
  tmpvar_64 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_65;
  tmpvar_65 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_65;
  gl_FragData[0] = tmpvar_65;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_77;
  lightDir_77 = xlv_TEXCOORD5;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD1;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_77);
  lightDir_77 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_78);
  viewDir_78 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * 4.0);
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_77;
  lightDir_77 = xlv_TEXCOORD5;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD1;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_77);
  lightDir_77 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_78);
  viewDir_78 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * 4.0);
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw);
  cityoverlay_3.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citylightoverlaydetail_1.xyz = tmpvar_59.xyz;
  cityoverlay_3.w = (tmpvar_31.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_45.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_59.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_59.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_60;
  vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_22);
  float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  c_60.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_61 + normalize(xlv_TEXCOORD1))), tmpvar_62), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_60.w = (tmpvar_63 * 4.0);
  float tmpvar_64;
  tmpvar_64 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_65;
  tmpvar_65 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_65;
  gl_FragData[0] = tmpvar_65;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_77;
  lightDir_77 = xlv_TEXCOORD5;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD1;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_77);
  lightDir_77 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_78);
  viewDir_78 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * 4.0);
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_77;
  lightDir_77 = xlv_TEXCOORD5;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD1;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_77);
  lightDir_77 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_78);
  viewDir_78 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * 4.0);
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw);
  cityoverlay_3.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citylightoverlaydetail_1.xyz = tmpvar_59.xyz;
  cityoverlay_3.w = (tmpvar_31.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_45.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_59.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_59.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_60;
  vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_22);
  float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  c_60.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_61 + normalize(xlv_TEXCOORD1))), tmpvar_62), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_60.w = (tmpvar_63 * 4.0);
  float tmpvar_64;
  tmpvar_64 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_65;
  tmpvar_65 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_65;
  gl_FragData[0] = tmpvar_65;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_77;
  lightDir_77 = xlv_TEXCOORD5;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD1;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_77);
  lightDir_77 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_78);
  viewDir_78 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * 4.0);
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_77;
  lightDir_77 = xlv_TEXCOORD5;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD1;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_77);
  lightDir_77 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_78);
  viewDir_78 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * 4.0);
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw);
  cityoverlay_3.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citylightoverlaydetail_1.xyz = tmpvar_59.xyz;
  cityoverlay_3.w = (tmpvar_31.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_45.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_59.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_59.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_61;
  vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_22);
  float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  c_61.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_62 + normalize(xlv_TEXCOORD1))), tmpvar_63), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_60.x * 4.0));
  c_61.w = (tmpvar_64 * (tmpvar_60.x * 4.0));
  float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_66;
  tmpvar_66 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_66;
  gl_FragData[0] = tmpvar_66;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_77;
  mediump float lightShadowDataX_78;
  highp float dist_79;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_79 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = _LightShadowData.x;
  lightShadowDataX_78 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = max (float((dist_79 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_78);
  tmpvar_77 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = tmpvar_77;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_78;
  lightDir_78 = xlv_TEXCOORD5;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD1;
  mediump float atten_80;
  atten_80 = tmpvar_77;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_79);
  viewDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normT_5);
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD3;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_93;
  tmpvar_1 = tmpvar_93;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw);
  cityoverlay_3.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citylightoverlaydetail_1.xyz = tmpvar_59.xyz;
  cityoverlay_3.w = (tmpvar_31.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_45.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_59.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_59.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_61;
  vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_22);
  float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  c_61.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_62 + normalize(xlv_TEXCOORD1))), tmpvar_63), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_60.x * 4.0));
  c_61.w = (tmpvar_64 * (tmpvar_60.x * 4.0));
  float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_66;
  tmpvar_66 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_66;
  gl_FragData[0] = tmpvar_66;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_77;
  mediump float lightShadowDataX_78;
  highp float dist_79;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_79 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = _LightShadowData.x;
  lightShadowDataX_78 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = max (float((dist_79 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_78);
  tmpvar_77 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = tmpvar_77;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_78;
  lightDir_78 = xlv_TEXCOORD5;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD1;
  mediump float atten_80;
  atten_80 = tmpvar_77;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_79);
  viewDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normT_5);
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD3;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_93;
  tmpvar_1 = tmpvar_93;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw);
  cityoverlay_3.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citylightoverlaydetail_1.xyz = tmpvar_59.xyz;
  cityoverlay_3.w = (tmpvar_31.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_45.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_59.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_59.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_61;
  vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_22);
  float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  c_61.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_62 + normalize(xlv_TEXCOORD1))), tmpvar_63), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_60.x * 4.0));
  c_61.w = (tmpvar_64 * (tmpvar_60.x * 4.0));
  float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_66;
  tmpvar_66 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_66;
  gl_FragData[0] = tmpvar_66;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_77;
  mediump float lightShadowDataX_78;
  highp float dist_79;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_79 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = _LightShadowData.x;
  lightShadowDataX_78 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = max (float((dist_79 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_78);
  tmpvar_77 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = tmpvar_77;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_78;
  lightDir_78 = xlv_TEXCOORD5;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD1;
  mediump float atten_80;
  atten_80 = tmpvar_77;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_79);
  viewDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normT_5);
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD3;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_93;
  tmpvar_1 = tmpvar_93;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw);
  cityoverlay_3.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citylightoverlaydetail_1.xyz = tmpvar_59.xyz;
  cityoverlay_3.w = (tmpvar_31.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_45.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_59.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_59.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_60;
  vec3 tmpvar_61;
  tmpvar_61 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_62;
  tmpvar_62 = normalize(normal_22);
  float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_61);
  c_60.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_61 + normalize(xlv_TEXCOORD1))), tmpvar_62), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_60.w = (tmpvar_63 * 4.0);
  float tmpvar_64;
  tmpvar_64 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_60 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_65;
  tmpvar_65 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_65;
  gl_FragData[0] = tmpvar_65;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_77;
  lightDir_77 = xlv_TEXCOORD5;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD1;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_77);
  lightDir_77 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_78);
  viewDir_78 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * 4.0);
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_77;
  lightDir_77 = xlv_TEXCOORD5;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD1;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_77);
  lightDir_77 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_78);
  viewDir_78 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * 4.0);
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw);
  cityoverlay_3.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD2);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citylightoverlaydetail_1.xyz = tmpvar_59.xyz;
  cityoverlay_3.w = (tmpvar_31.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_45.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_59.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_59.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_60;
  tmpvar_60 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_61;
  vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_22);
  float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_62);
  c_61.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_62 + normalize(xlv_TEXCOORD1))), tmpvar_63), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_60.x * 4.0));
  c_61.w = (tmpvar_64 * (tmpvar_60.x * 4.0));
  float tmpvar_65;
  tmpvar_65 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_66;
  tmpvar_66 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_66;
  gl_FragData[0] = tmpvar_66;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_77;
  mediump float lightShadowDataX_78;
  highp float dist_79;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_79 = tmpvar_80;
  highp float tmpvar_81;
  tmpvar_81 = _LightShadowData.x;
  lightShadowDataX_78 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = max (float((dist_79 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_78);
  tmpvar_77 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = tmpvar_77;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_78;
  lightDir_78 = xlv_TEXCOORD5;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD1;
  mediump float atten_80;
  atten_80 = tmpvar_77;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_79);
  viewDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normT_5);
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD3;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_93;
  tmpvar_1 = tmpvar_93;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_77;
  lowp float tmpvar_78;
  tmpvar_78 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_79;
  tmpvar_79 = (_LightShadowData.x + (tmpvar_78 * (1.0 - _LightShadowData.x)));
  shadow_77 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump float atten_82;
  atten_82 = shadow_77;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normT_5);
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * (atten_82 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD3;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_95;
  tmpvar_1 = tmpvar_95;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_77;
  lowp float tmpvar_78;
  tmpvar_78 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_79;
  tmpvar_79 = (_LightShadowData.x + (tmpvar_78 * (1.0 - _LightShadowData.x)));
  shadow_77 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump float atten_82;
  atten_82 = shadow_77;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normT_5);
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * (atten_82 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD3;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_95;
  tmpvar_1 = tmpvar_95;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_77;
  lowp float tmpvar_78;
  tmpvar_78 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_79;
  tmpvar_79 = (_LightShadowData.x + (tmpvar_78 * (1.0 - _LightShadowData.x)));
  shadow_77 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump float atten_82;
  atten_82 = shadow_77;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normT_5);
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * (atten_82 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD3;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_95;
  tmpvar_1 = tmpvar_95;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _CityOverlayDetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  citydarkoverlaydetail_3.xyz = tex_39.xyz;
  mediump vec4 tex_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_60;
  mediump float s_61;
  mediump float nylerp_62;
  mediump float zxlerp_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = abs(tmpvar_59);
  highp float tmpvar_65;
  tmpvar_65 = float((tmpvar_64.z >= tmpvar_64.x));
  zxlerp_63 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = float((max (tmpvar_64.x, tmpvar_64.z) >= tmpvar_64.y));
  nylerp_62 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = mix (tmpvar_59.x, tmpvar_59.z, zxlerp_63);
  s_61 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = sign(mix (tmpvar_59.y, s_61, nylerp_62));
  s_61 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = -(s_61);
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = s_61;
  mediump vec3 tmpvar_71;
  tmpvar_71.xy = vec2(1.0, 1.0);
  tmpvar_71.z = -(s_61);
  highp vec3 tmpvar_72;
  tmpvar_72 = mix ((tmpvar_71 * tmpvar_59.yxz), mix ((tmpvar_69 * tmpvar_59.xzy), (tmpvar_70 * tmpvar_59.zxy), vec3(zxlerp_63)), vec3(nylerp_62));
  uv_60.x = (((0.5 * tmpvar_72.y) / abs(tmpvar_72.x)) + 0.5);
  uv_60.y = (((0.5 * tmpvar_72.z) / abs(tmpvar_72.x)) + 0.5);
  highp vec2 tmpvar_73;
  tmpvar_73 = (uv_60 * _CityOverlayDetailScale);
  highp vec2 tmpvar_74;
  tmpvar_74 = abs((tmpvar_73 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_75;
  tmpvar_75.xy = dFdx(tmpvar_74);
  tmpvar_75.zw = dFdy(tmpvar_74);
  lowp vec4 tmpvar_76;
  tmpvar_76 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_73, tmpvar_75.xy, tmpvar_75.zw);
  tex_58 = tmpvar_76;
  citylightoverlaydetail_2.xyz = tex_58.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_39.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_58.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_58.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_77;
  lowp float tmpvar_78;
  tmpvar_78 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_79;
  tmpvar_79 = (_LightShadowData.x + (tmpvar_78 * (1.0 - _LightShadowData.x)));
  shadow_77 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump float atten_82;
  atten_82 = shadow_77;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normT_5);
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * (atten_82 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD3;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_95;
  tmpvar_1 = tmpvar_95;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedpihbfaoibicnpamgcdhpnalmmgealihaabaaaaaameahaaaaadaaaaaa
cmaaaaaajmaaaaaafeabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
laaaaaaaagaaaaaaaiaaaaaajiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaakeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaakeaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaakeaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaakeaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaakeaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcgiagaaaaeaaaabaa
jkabaaaafjaaaaaeegiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaa
abaaaaaafjaaaaaeegiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaa
gfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaa
anaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaelaaaaaf
bccabaaaabaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaacgbjbaaa
abaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaajgbebaaaabaaaaaa
cgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaa
aaaaaaaaaeaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaabaaaaaa
dcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaa
aeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaadcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgipcaaaacaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaa
acaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahccaabaaaacaaaaaa
egbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaajgahbaaaacaaaaaa
jgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
occabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaacaaaaaabbaaaaahicaabaaa
aaaaaaaaegbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaa
aaaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaa
abaaaaaafgifcaaaabaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaa
kgikcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaa
baaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedpihbfaoibicnpamgcdhpnalmmgealihaabaaaaaameahaaaaadaaaaaa
cmaaaaaajmaaaaaafeabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
laaaaaaaagaaaaaaaiaaaaaajiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaakeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaakeaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaakeaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaakeaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaakeaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcgiagaaaaeaaaabaa
jkabaaaafjaaaaaeegiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaa
abaaaaaafjaaaaaeegiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaa
gfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaa
anaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaelaaaaaf
bccabaaaabaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaacgbjbaaa
abaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaajgbebaaaabaaaaaa
cgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaa
aaaaaaaaaeaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaabaaaaaa
dcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaa
aeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaadcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgipcaaaacaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaa
acaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahccaabaaaacaaaaaa
egbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaajgahbaaaacaaaaaa
jgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
occabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaacaaaaaabbaaaaahicaabaaa
aaaaaaaaegbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaa
aaaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaa
abaaaaaafgifcaaaabaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaa
kgikcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaa
baaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_22);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_80;
  lightDir_80 = xlv_TEXCOORD5;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD1;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_80);
  lightDir_80 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_81);
  viewDir_81 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * 4.0);
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec3 tmpvar_23;
  tmpvar_23 = normalize(xlv_TEXCOORD2);
  vec2 uv_24;
  float r_25;
  if ((abs(tmpvar_23.z) > (1e-08 * abs(tmpvar_23.x)))) {
    float y_over_x_26;
    y_over_x_26 = (tmpvar_23.x / tmpvar_23.z);
    float s_27;
    float x_28;
    x_28 = (y_over_x_26 * inversesqrt(((y_over_x_26 * y_over_x_26) + 1.0)));
    s_27 = (sign(x_28) * (1.5708 - (sqrt((1.0 - abs(x_28))) * (1.5708 + (abs(x_28) * (-0.214602 + (abs(x_28) * (0.0865667 + (abs(x_28) * -0.0310296)))))))));
    r_25 = s_27;
    if ((tmpvar_23.z < 0.0)) {
      if ((tmpvar_23.x >= 0.0)) {
        r_25 = (s_27 + 3.14159);
      } else {
        r_25 = (r_25 - 3.14159);
      };
    };
  } else {
    r_25 = (sign(tmpvar_23.x) * 1.5708);
  };
  uv_24.x = (0.5 + (0.159155 * r_25));
  uv_24.y = (0.31831 * (1.5708 - (sign(tmpvar_23.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_23.y))) * (1.5708 + (abs(tmpvar_23.y) * (-0.214602 + (abs(tmpvar_23.y) * (0.0865667 + (abs(tmpvar_23.y) * -0.0310296)))))))))));
  vec2 uvCont_29;
  uvCont_29.y = uv_24.y;
  uvCont_29.x = abs((uv_24.x - 0.5));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(uvCont_29);
  tmpvar_30.zw = dFdy(uvCont_29);
  float tmpvar_31;
  vec4 v_32;
  v_32 = (texture2DGradARB (_CityOverlayTex, uv_24, tmpvar_30.xy, tmpvar_30.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_31 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_22);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjoipjhdcemfehifdfpdbpimkoipnppjeabaaaaaaheaiaaaaadaaaaaa
cmaaaaaajmaaaaaagmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcaaahaaaaeaaaabaamaabaaaafjaaaaae
egiocaaaaaaaaaaaagaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaae
egiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaa
abaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaa
acaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
pccabaaaafaaaaaagiaaaaacaeaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaafbccabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaacgbjbaaaabaaaaaajgbebaaa
acaaaaaadcaaaaakhcaabaaaabaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaa
egacbaiaebaaaaaaabaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgbpbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaaaaaaaaaaaeaaaaaa
egiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
baaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaaaeaaaaaaegacbaaa
acaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaadcaaaaalhcaabaaaacaaaaaaegacbaaaacaaaaaapgipcaaaacaaaaaa
beaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaaadaaaaaaegbcbaaaacaaaaaa
egacbaaaacaaaaaabaaaaaahicaabaaaadaaaaaaegbcbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaajgahbaaaadaaaaaajgahbaaaadaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahoccabaaaabaaaaaa
pgapbaaaabaaaaaafgaobaaaadaaaaaabbaaaaahicaabaaaabaaaaaaegbobaaa
aaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegbcbaaaaaaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaebaaaaaaacaaaaaadiaaaaaihcaabaaaacaaaaaa
fgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaacaaaaaa
egiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaacaaaaaadcaaaaak
hcaabaaaacaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaaadaaaaaa
pgapbaaaabaaaaaaegacbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaa
abaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaa
dcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaabaaaaaa
aaaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaacaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaabaaaaaaegbcbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaaiccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaaafaaaaaadiaaaaakncaabaaa
abaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaadp
dgaaaaafmccabaaaafaaaaaakgaobaaaaaaaaaaaaaaaaaahdccabaaaafaaaaaa
kgakbaaaabaaaaaamgaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = xlv_TEXCOORD5;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD1;
  mediump float atten_88;
  atten_88 = tmpvar_80;
  mediump vec4 c_89;
  highp float nh_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(lightDir_86);
  lightDir_86 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(viewDir_87);
  viewDir_87 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(normT_5);
  mediump float tmpvar_94;
  tmpvar_94 = dot (tmpvar_93, tmpvar_91);
  mediump float tmpvar_95;
  tmpvar_95 = clamp (dot (normalize((tmpvar_91 + tmpvar_92)), tmpvar_93), 0.0, 1.0);
  nh_90 = tmpvar_95;
  highp vec3 tmpvar_96;
  tmpvar_96 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_94) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_90, _SpecularPower) * _SpecularColor.w))) * (atten_88 * 4.0));
  c_89.xyz = tmpvar_96;
  c_89.w = (tmpvar_94 * (atten_88 * 4.0));
  lowp vec3 tmpvar_97;
  tmpvar_97 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_98;
  lightDir_98 = tmpvar_97;
  mediump vec3 normal_99;
  normal_99 = xlv_TEXCOORD3;
  mediump float tmpvar_100;
  tmpvar_100 = dot (normal_99, lightDir_98);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_89 * mix (1.0, clamp (floor((1.01 + tmpvar_100)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_100)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_101;
  tmpvar_101 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_101;
  tmpvar_1 = tmpvar_101;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_81;
  lightDir_81 = xlv_TEXCOORD5;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD1;
  mediump float atten_83;
  atten_83 = tmpvar_80;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_81);
  lightDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_82);
  viewDir_82 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normT_5);
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD3;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_96;
  tmpvar_1 = tmpvar_96;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_31;
  highp float r_32;
  if ((abs(tmpvar_30.z) > (1e-08 * abs(tmpvar_30.x)))) {
    highp float y_over_x_33;
    y_over_x_33 = (tmpvar_30.x / tmpvar_30.z);
    highp float s_34;
    highp float x_35;
    x_35 = (y_over_x_33 * inversesqrt(((y_over_x_33 * y_over_x_33) + 1.0)));
    s_34 = (sign(x_35) * (1.5708 - (sqrt((1.0 - abs(x_35))) * (1.5708 + (abs(x_35) * (-0.214602 + (abs(x_35) * (0.0865667 + (abs(x_35) * -0.0310296)))))))));
    r_32 = s_34;
    if ((tmpvar_30.z < 0.0)) {
      if ((tmpvar_30.x >= 0.0)) {
        r_32 = (s_34 + 3.14159);
      } else {
        r_32 = (r_32 - 3.14159);
      };
    };
  } else {
    r_32 = (sign(tmpvar_30.x) * 1.5708);
  };
  uv_31.x = (0.5 + (0.159155 * r_32));
  uv_31.y = (0.31831 * (1.5708 - (sign(tmpvar_30.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_30.y))) * (1.5708 + (abs(tmpvar_30.y) * (-0.214602 + (abs(tmpvar_30.y) * (0.0865667 + (abs(tmpvar_30.y) * -0.0310296)))))))))));
  highp vec2 uvCont_36;
  uvCont_36.y = uv_31.y;
  uvCont_36.x = abs((uv_31.x - 0.5));
  highp vec4 tmpvar_37;
  tmpvar_37.xy = dFdx(uvCont_36);
  tmpvar_37.zw = dFdy(uvCont_36);
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (_CityOverlayTex, uv_31, tmpvar_37.xy, tmpvar_37.zw);
  tex_29 = tmpvar_38;
  mediump float tmpvar_39;
  mediump vec4 v_40;
  v_40 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_39 = (((v_40.x + v_40.y) + v_40.z) + v_40.w);
  mediump vec4 tmpvar_41;
  tmpvar_41.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_41.w = tmpvar_39;
  cityoverlay_4.xyz = tmpvar_41.xyz;
  mediump vec4 tex_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_44;
  mediump float s_45;
  mediump float nylerp_46;
  mediump float zxlerp_47;
  highp vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_43);
  highp float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  zxlerp_47 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  nylerp_46 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = mix (tmpvar_43.x, tmpvar_43.z, zxlerp_47);
  s_45 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = sign(mix (tmpvar_43.y, s_45, nylerp_46));
  s_45 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = -(s_45);
  mediump vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = s_45;
  mediump vec3 tmpvar_55;
  tmpvar_55.xy = vec2(1.0, 1.0);
  tmpvar_55.z = -(s_45);
  highp vec3 tmpvar_56;
  tmpvar_56 = mix ((tmpvar_55 * tmpvar_43.yxz), mix ((tmpvar_53 * tmpvar_43.xzy), (tmpvar_54 * tmpvar_43.zxy), vec3(zxlerp_47)), vec3(nylerp_46));
  uv_44.x = (((0.5 * tmpvar_56.y) / abs(tmpvar_56.x)) + 0.5);
  uv_44.y = (((0.5 * tmpvar_56.z) / abs(tmpvar_56.x)) + 0.5);
  highp vec2 tmpvar_57;
  tmpvar_57 = (uv_44 * _CityOverlayDetailScale);
  highp vec2 tmpvar_58;
  tmpvar_58 = abs((tmpvar_57 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_59;
  tmpvar_59.xy = dFdx(tmpvar_58);
  tmpvar_59.zw = dFdy(tmpvar_58);
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_57, tmpvar_59.xy, tmpvar_59.zw);
  tex_42 = tmpvar_60;
  citydarkoverlaydetail_3.xyz = tex_42.xyz;
  mediump vec4 tex_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_63;
  mediump float s_64;
  mediump float nylerp_65;
  mediump float zxlerp_66;
  highp vec3 tmpvar_67;
  tmpvar_67 = abs(tmpvar_62);
  highp float tmpvar_68;
  tmpvar_68 = float((tmpvar_67.z >= tmpvar_67.x));
  zxlerp_66 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = float((max (tmpvar_67.x, tmpvar_67.z) >= tmpvar_67.y));
  nylerp_65 = tmpvar_69;
  highp float tmpvar_70;
  tmpvar_70 = mix (tmpvar_62.x, tmpvar_62.z, zxlerp_66);
  s_64 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = sign(mix (tmpvar_62.y, s_64, nylerp_65));
  s_64 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72.xz = vec2(1.0, 1.0);
  tmpvar_72.y = -(s_64);
  mediump vec3 tmpvar_73;
  tmpvar_73.xz = vec2(1.0, 1.0);
  tmpvar_73.y = s_64;
  mediump vec3 tmpvar_74;
  tmpvar_74.xy = vec2(1.0, 1.0);
  tmpvar_74.z = -(s_64);
  highp vec3 tmpvar_75;
  tmpvar_75 = mix ((tmpvar_74 * tmpvar_62.yxz), mix ((tmpvar_72 * tmpvar_62.xzy), (tmpvar_73 * tmpvar_62.zxy), vec3(zxlerp_66)), vec3(nylerp_65));
  uv_63.x = (((0.5 * tmpvar_75.y) / abs(tmpvar_75.x)) + 0.5);
  uv_63.y = (((0.5 * tmpvar_75.z) / abs(tmpvar_75.x)) + 0.5);
  highp vec2 tmpvar_76;
  tmpvar_76 = (uv_63 * _CityOverlayDetailScale);
  highp vec2 tmpvar_77;
  tmpvar_77 = abs((tmpvar_76 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_78;
  tmpvar_78.xy = dFdx(tmpvar_77);
  tmpvar_78.zw = dFdy(tmpvar_77);
  lowp vec4 tmpvar_79;
  tmpvar_79 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_76, tmpvar_78.xy, tmpvar_78.zw);
  tex_61 = tmpvar_79;
  citylightoverlaydetail_2.xyz = tex_61.xyz;
  cityoverlay_4.w = (tmpvar_39 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_42.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_61.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_61.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = xlv_TEXCOORD5;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD1;
  mediump float atten_85;
  atten_85 = shadow_80;
  mediump vec4 c_86;
  highp float nh_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(lightDir_83);
  lightDir_83 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(viewDir_84);
  viewDir_84 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(normT_5);
  mediump float tmpvar_91;
  tmpvar_91 = dot (tmpvar_90, tmpvar_88);
  mediump float tmpvar_92;
  tmpvar_92 = clamp (dot (normalize((tmpvar_88 + tmpvar_89)), tmpvar_90), 0.0, 1.0);
  nh_87 = tmpvar_92;
  highp vec3 tmpvar_93;
  tmpvar_93 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_91) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_87, _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.xyz = tmpvar_93;
  c_86.w = (tmpvar_91 * (atten_85 * 4.0));
  lowp vec3 tmpvar_94;
  tmpvar_94 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_95;
  lightDir_95 = tmpvar_94;
  mediump vec3 normal_96;
  normal_96 = xlv_TEXCOORD3;
  mediump float tmpvar_97;
  tmpvar_97 = dot (normal_96, lightDir_95);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_97)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_97)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_98;
  tmpvar_98 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_98;
  tmpvar_1 = tmpvar_98;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec4 tmpvar_23;
  tmpvar_23 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2));
  cityoverlay_3.xyz = tmpvar_23.xyz;
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _CityOverlayDetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  vec4 tmpvar_37;
  tmpvar_37 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citylightoverlaydetail_1.xyz = tmpvar_51.xyz;
  cityoverlay_3.w = (tmpvar_23.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_37.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_51.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_51.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_52;
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_22);
  float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  c_52.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_55) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_53 + normalize(xlv_TEXCOORD1))), tmpvar_54), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_52.w = (tmpvar_55 * 4.0);
  float tmpvar_56;
  tmpvar_56 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_57;
  tmpvar_57 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_57;
  gl_FragData[0] = tmpvar_57;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_70;
  lightDir_70 = xlv_TEXCOORD5;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD1;
  mediump vec4 c_72;
  highp float nh_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(viewDir_71);
  viewDir_71 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normT_5);
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_74);
  mediump float tmpvar_78;
  tmpvar_78 = clamp (dot (normalize((tmpvar_74 + tmpvar_75)), tmpvar_76), 0.0, 1.0);
  nh_73 = tmpvar_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_77) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_73, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_72.xyz = tmpvar_79;
  c_72.w = (tmpvar_77 * 4.0);
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD3;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_84;
  tmpvar_84 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_84;
  tmpvar_1 = tmpvar_84;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_70;
  lightDir_70 = xlv_TEXCOORD5;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD1;
  mediump vec4 c_72;
  highp float nh_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(viewDir_71);
  viewDir_71 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normT_5);
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_74);
  mediump float tmpvar_78;
  tmpvar_78 = clamp (dot (normalize((tmpvar_74 + tmpvar_75)), tmpvar_76), 0.0, 1.0);
  nh_73 = tmpvar_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_77) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_73, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_72.xyz = tmpvar_79;
  c_72.w = (tmpvar_77 * 4.0);
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD3;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_84;
  tmpvar_84 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_84;
  tmpvar_1 = tmpvar_84;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec4 tmpvar_23;
  tmpvar_23 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2));
  cityoverlay_3.xyz = tmpvar_23.xyz;
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _CityOverlayDetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  vec4 tmpvar_37;
  tmpvar_37 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citylightoverlaydetail_1.xyz = tmpvar_51.xyz;
  cityoverlay_3.w = (tmpvar_23.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_37.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_51.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_51.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_52;
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_22);
  float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  c_52.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_55) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_53 + normalize(xlv_TEXCOORD1))), tmpvar_54), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_52.w = (tmpvar_55 * 4.0);
  float tmpvar_56;
  tmpvar_56 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_57;
  tmpvar_57 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_57;
  gl_FragData[0] = tmpvar_57;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_70;
  lightDir_70 = xlv_TEXCOORD5;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD1;
  mediump vec4 c_72;
  highp float nh_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(viewDir_71);
  viewDir_71 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normT_5);
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_74);
  mediump float tmpvar_78;
  tmpvar_78 = clamp (dot (normalize((tmpvar_74 + tmpvar_75)), tmpvar_76), 0.0, 1.0);
  nh_73 = tmpvar_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_77) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_73, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_72.xyz = tmpvar_79;
  c_72.w = (tmpvar_77 * 4.0);
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD3;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_84;
  tmpvar_84 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_84;
  tmpvar_1 = tmpvar_84;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_70;
  lightDir_70 = xlv_TEXCOORD5;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD1;
  mediump vec4 c_72;
  highp float nh_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(viewDir_71);
  viewDir_71 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normT_5);
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_74);
  mediump float tmpvar_78;
  tmpvar_78 = clamp (dot (normalize((tmpvar_74 + tmpvar_75)), tmpvar_76), 0.0, 1.0);
  nh_73 = tmpvar_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_77) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_73, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_72.xyz = tmpvar_79;
  c_72.w = (tmpvar_77 * 4.0);
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD3;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_84;
  tmpvar_84 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_84;
  tmpvar_1 = tmpvar_84;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec4 tmpvar_23;
  tmpvar_23 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2));
  cityoverlay_3.xyz = tmpvar_23.xyz;
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _CityOverlayDetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  vec4 tmpvar_37;
  tmpvar_37 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citylightoverlaydetail_1.xyz = tmpvar_51.xyz;
  cityoverlay_3.w = (tmpvar_23.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_37.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_51.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_51.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_52;
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_22);
  float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  c_52.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_55) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_53 + normalize(xlv_TEXCOORD1))), tmpvar_54), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_52.w = (tmpvar_55 * 4.0);
  float tmpvar_56;
  tmpvar_56 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_57;
  tmpvar_57 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_57;
  gl_FragData[0] = tmpvar_57;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_70;
  lightDir_70 = xlv_TEXCOORD5;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD1;
  mediump vec4 c_72;
  highp float nh_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(viewDir_71);
  viewDir_71 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normT_5);
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_74);
  mediump float tmpvar_78;
  tmpvar_78 = clamp (dot (normalize((tmpvar_74 + tmpvar_75)), tmpvar_76), 0.0, 1.0);
  nh_73 = tmpvar_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_77) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_73, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_72.xyz = tmpvar_79;
  c_72.w = (tmpvar_77 * 4.0);
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD3;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_84;
  tmpvar_84 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_84;
  tmpvar_1 = tmpvar_84;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_70;
  lightDir_70 = xlv_TEXCOORD5;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD1;
  mediump vec4 c_72;
  highp float nh_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(viewDir_71);
  viewDir_71 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normT_5);
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_74);
  mediump float tmpvar_78;
  tmpvar_78 = clamp (dot (normalize((tmpvar_74 + tmpvar_75)), tmpvar_76), 0.0, 1.0);
  nh_73 = tmpvar_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_77) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_73, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_72.xyz = tmpvar_79;
  c_72.w = (tmpvar_77 * 4.0);
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD3;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_84;
  tmpvar_84 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_84;
  tmpvar_1 = tmpvar_84;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec4 tmpvar_23;
  tmpvar_23 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2));
  cityoverlay_3.xyz = tmpvar_23.xyz;
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _CityOverlayDetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  vec4 tmpvar_37;
  tmpvar_37 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citylightoverlaydetail_1.xyz = tmpvar_51.xyz;
  cityoverlay_3.w = (tmpvar_23.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_37.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_51.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_51.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_53;
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_22);
  float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  c_53.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_54 + normalize(xlv_TEXCOORD1))), tmpvar_55), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_52.x * 4.0));
  c_53.w = (tmpvar_56 * (tmpvar_52.x * 4.0));
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_58;
  tmpvar_58 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_58;
  gl_FragData[0] = tmpvar_58;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = tmpvar_70;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = xlv_TEXCOORD5;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD1;
  mediump float atten_73;
  atten_73 = tmpvar_70;
  mediump vec4 c_74;
  highp float nh_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(viewDir_72);
  viewDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normT_5);
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_76);
  mediump float tmpvar_80;
  tmpvar_80 = clamp (dot (normalize((tmpvar_76 + tmpvar_77)), tmpvar_78), 0.0, 1.0);
  nh_75 = tmpvar_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_79) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_75, _SpecularPower) * _SpecularColor.w))) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_81;
  c_74.w = (tmpvar_79 * (atten_73 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD3;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_86;
  tmpvar_86 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_86;
  tmpvar_1 = tmpvar_86;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec4 tmpvar_23;
  tmpvar_23 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2));
  cityoverlay_3.xyz = tmpvar_23.xyz;
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _CityOverlayDetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  vec4 tmpvar_37;
  tmpvar_37 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citylightoverlaydetail_1.xyz = tmpvar_51.xyz;
  cityoverlay_3.w = (tmpvar_23.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_37.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_51.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_51.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_53;
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_22);
  float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  c_53.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_54 + normalize(xlv_TEXCOORD1))), tmpvar_55), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_52.x * 4.0));
  c_53.w = (tmpvar_56 * (tmpvar_52.x * 4.0));
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_58;
  tmpvar_58 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_58;
  gl_FragData[0] = tmpvar_58;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = tmpvar_70;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = xlv_TEXCOORD5;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD1;
  mediump float atten_73;
  atten_73 = tmpvar_70;
  mediump vec4 c_74;
  highp float nh_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(viewDir_72);
  viewDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normT_5);
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_76);
  mediump float tmpvar_80;
  tmpvar_80 = clamp (dot (normalize((tmpvar_76 + tmpvar_77)), tmpvar_78), 0.0, 1.0);
  nh_75 = tmpvar_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_79) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_75, _SpecularPower) * _SpecularColor.w))) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_81;
  c_74.w = (tmpvar_79 * (atten_73 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD3;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_86;
  tmpvar_86 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_86;
  tmpvar_1 = tmpvar_86;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec4 tmpvar_23;
  tmpvar_23 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2));
  cityoverlay_3.xyz = tmpvar_23.xyz;
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _CityOverlayDetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  vec4 tmpvar_37;
  tmpvar_37 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citylightoverlaydetail_1.xyz = tmpvar_51.xyz;
  cityoverlay_3.w = (tmpvar_23.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_37.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_51.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_51.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_53;
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_22);
  float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  c_53.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_54 + normalize(xlv_TEXCOORD1))), tmpvar_55), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_52.x * 4.0));
  c_53.w = (tmpvar_56 * (tmpvar_52.x * 4.0));
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_58;
  tmpvar_58 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_58;
  gl_FragData[0] = tmpvar_58;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = tmpvar_70;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = xlv_TEXCOORD5;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD1;
  mediump float atten_73;
  atten_73 = tmpvar_70;
  mediump vec4 c_74;
  highp float nh_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(viewDir_72);
  viewDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normT_5);
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_76);
  mediump float tmpvar_80;
  tmpvar_80 = clamp (dot (normalize((tmpvar_76 + tmpvar_77)), tmpvar_78), 0.0, 1.0);
  nh_75 = tmpvar_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_79) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_75, _SpecularPower) * _SpecularColor.w))) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_81;
  c_74.w = (tmpvar_79 * (atten_73 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD3;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_86;
  tmpvar_86 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_86;
  tmpvar_1 = tmpvar_86;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec4 tmpvar_23;
  tmpvar_23 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2));
  cityoverlay_3.xyz = tmpvar_23.xyz;
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _CityOverlayDetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  vec4 tmpvar_37;
  tmpvar_37 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citylightoverlaydetail_1.xyz = tmpvar_51.xyz;
  cityoverlay_3.w = (tmpvar_23.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_37.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_51.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_51.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_52;
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_54;
  tmpvar_54 = normalize(normal_22);
  float tmpvar_55;
  tmpvar_55 = dot (tmpvar_54, tmpvar_53);
  c_52.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_55) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_53 + normalize(xlv_TEXCOORD1))), tmpvar_54), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_52.w = (tmpvar_55 * 4.0);
  float tmpvar_56;
  tmpvar_56 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_56)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_56)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_57;
  tmpvar_57 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_57;
  gl_FragData[0] = tmpvar_57;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_70;
  lightDir_70 = xlv_TEXCOORD5;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD1;
  mediump vec4 c_72;
  highp float nh_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(viewDir_71);
  viewDir_71 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normT_5);
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_74);
  mediump float tmpvar_78;
  tmpvar_78 = clamp (dot (normalize((tmpvar_74 + tmpvar_75)), tmpvar_76), 0.0, 1.0);
  nh_73 = tmpvar_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_77) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_73, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_72.xyz = tmpvar_79;
  c_72.w = (tmpvar_77 * 4.0);
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD3;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_84;
  tmpvar_84 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_84;
  tmpvar_1 = tmpvar_84;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_70;
  lightDir_70 = xlv_TEXCOORD5;
  mediump vec3 viewDir_71;
  viewDir_71 = xlv_TEXCOORD1;
  mediump vec4 c_72;
  highp float nh_73;
  mediump vec3 tmpvar_74;
  tmpvar_74 = normalize(lightDir_70);
  lightDir_70 = tmpvar_74;
  mediump vec3 tmpvar_75;
  tmpvar_75 = normalize(viewDir_71);
  viewDir_71 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(normT_5);
  mediump float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_74);
  mediump float tmpvar_78;
  tmpvar_78 = clamp (dot (normalize((tmpvar_74 + tmpvar_75)), tmpvar_76), 0.0, 1.0);
  nh_73 = tmpvar_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_77) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_73, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_72.xyz = tmpvar_79;
  c_72.w = (tmpvar_77 * 4.0);
  lowp vec3 tmpvar_80;
  tmpvar_80 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_80;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD3;
  mediump float tmpvar_83;
  tmpvar_83 = dot (normal_82, lightDir_81);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_72 * mix (1.0, clamp (floor((1.01 + tmpvar_83)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_83)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_84;
  tmpvar_84 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_84;
  tmpvar_1 = tmpvar_84;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  vec4 tmpvar_23;
  tmpvar_23 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2));
  cityoverlay_3.xyz = tmpvar_23.xyz;
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _CityOverlayDetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  vec4 tmpvar_37;
  tmpvar_37 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citylightoverlaydetail_1.xyz = tmpvar_51.xyz;
  cityoverlay_3.w = (tmpvar_23.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_37.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_51.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_51.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_53;
  vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_55;
  tmpvar_55 = normalize(normal_22);
  float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_54);
  c_53.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_54 + normalize(xlv_TEXCOORD1))), tmpvar_55), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_52.x * 4.0));
  c_53.w = (tmpvar_56 * (tmpvar_52.x * 4.0));
  float tmpvar_57;
  tmpvar_57 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_57)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_57)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_58;
  tmpvar_58 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_58;
  gl_FragData[0] = tmpvar_58;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_70;
  mediump float lightShadowDataX_71;
  highp float dist_72;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_72 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = _LightShadowData.x;
  lightShadowDataX_71 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = max (float((dist_72 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_71);
  tmpvar_70 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = tmpvar_70;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_70;
  tmpvar_70 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_71;
  lightDir_71 = xlv_TEXCOORD5;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD1;
  mediump float atten_73;
  atten_73 = tmpvar_70;
  mediump vec4 c_74;
  highp float nh_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(viewDir_72);
  viewDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normT_5);
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_76);
  mediump float tmpvar_80;
  tmpvar_80 = clamp (dot (normalize((tmpvar_76 + tmpvar_77)), tmpvar_78), 0.0, 1.0);
  nh_75 = tmpvar_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_79) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_75, _SpecularPower) * _SpecularColor.w))) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_81;
  c_74.w = (tmpvar_79 * (atten_73 * 4.0));
  lowp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD3;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_86;
  tmpvar_86 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_86;
  tmpvar_1 = tmpvar_86;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump float atten_75;
  atten_75 = shadow_70;
  mediump vec4 c_76;
  highp float nh_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(viewDir_74);
  viewDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normT_5);
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_78);
  mediump float tmpvar_82;
  tmpvar_82 = clamp (dot (normalize((tmpvar_78 + tmpvar_79)), tmpvar_80), 0.0, 1.0);
  nh_77 = tmpvar_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_77, _SpecularPower) * _SpecularColor.w))) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_83;
  c_76.w = (tmpvar_81 * (atten_75 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD3;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_88;
  tmpvar_88 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_88;
  tmpvar_1 = tmpvar_88;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump float atten_75;
  atten_75 = shadow_70;
  mediump vec4 c_76;
  highp float nh_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(viewDir_74);
  viewDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normT_5);
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_78);
  mediump float tmpvar_82;
  tmpvar_82 = clamp (dot (normalize((tmpvar_78 + tmpvar_79)), tmpvar_80), 0.0, 1.0);
  nh_77 = tmpvar_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_77, _SpecularPower) * _SpecularColor.w))) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_83;
  c_76.w = (tmpvar_81 * (atten_75 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD3;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_88;
  tmpvar_88 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_88;
  tmpvar_1 = tmpvar_88;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump float atten_75;
  atten_75 = shadow_70;
  mediump vec4 c_76;
  highp float nh_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(viewDir_74);
  viewDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normT_5);
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_78);
  mediump float tmpvar_82;
  tmpvar_82 = clamp (dot (normalize((tmpvar_78 + tmpvar_79)), tmpvar_80), 0.0, 1.0);
  nh_77 = tmpvar_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_77, _SpecularPower) * _SpecularColor.w))) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_83;
  c_76.w = (tmpvar_81 * (atten_75 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD3;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_88;
  tmpvar_88 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_88;
  tmpvar_1 = tmpvar_88;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  cityoverlay_4.xyz = tex_29.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  cityoverlay_4.w = (tex_29.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_70;
  lowp float tmpvar_71;
  tmpvar_71 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_72;
  tmpvar_72 = (_LightShadowData.x + (tmpvar_71 * (1.0 - _LightShadowData.x)));
  shadow_70 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump float atten_75;
  atten_75 = shadow_70;
  mediump vec4 c_76;
  highp float nh_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(viewDir_74);
  viewDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normT_5);
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_78);
  mediump float tmpvar_82;
  tmpvar_82 = clamp (dot (normalize((tmpvar_78 + tmpvar_79)), tmpvar_80), 0.0, 1.0);
  nh_77 = tmpvar_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_77, _SpecularPower) * _SpecularColor.w))) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_83;
  c_76.w = (tmpvar_81 * (atten_75 * 4.0));
  lowp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD3;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_88;
  tmpvar_88 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_88;
  tmpvar_1 = tmpvar_88;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedpihbfaoibicnpamgcdhpnalmmgealihaabaaaaaameahaaaaadaaaaaa
cmaaaaaajmaaaaaafeabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
laaaaaaaagaaaaaaaiaaaaaajiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaakeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaakeaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaakeaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaakeaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaakeaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcgiagaaaaeaaaabaa
jkabaaaafjaaaaaeegiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaa
abaaaaaafjaaaaaeegiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaa
gfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaa
anaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaelaaaaaf
bccabaaaabaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaacgbjbaaa
abaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaajgbebaaaabaaaaaa
cgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaa
aaaaaaaaaeaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaabaaaaaa
dcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaa
aeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaadcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgipcaaaacaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaa
acaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahccaabaaaacaaaaaa
egbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaajgahbaaaacaaaaaa
jgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
occabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaacaaaaaabbaaaaahicaabaaa
aaaaaaaaegbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaa
aaaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaa
abaaaaaafgifcaaaabaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaa
kgikcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaa
baaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjoipjhdcemfehifdfpdbpimkoipnppjeabaaaaaaheaiaaaaadaaaaaa
cmaaaaaajmaaaaaagmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcaaahaaaaeaaaabaamaabaaaafjaaaaae
egiocaaaaaaaaaaaagaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaae
egiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaa
abaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaa
acaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
pccabaaaafaaaaaagiaaaaacaeaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaafbccabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaacgbjbaaaabaaaaaajgbebaaa
acaaaaaadcaaaaakhcaabaaaabaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaa
egacbaiaebaaaaaaabaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgbpbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaaaaaaaaaaaeaaaaaa
egiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
baaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaaaeaaaaaaegacbaaa
acaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaadcaaaaalhcaabaaaacaaaaaaegacbaaaacaaaaaapgipcaaaacaaaaaa
beaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaaadaaaaaaegbcbaaaacaaaaaa
egacbaaaacaaaaaabaaaaaahicaabaaaadaaaaaaegbcbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaajgahbaaaadaaaaaajgahbaaaadaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahoccabaaaabaaaaaa
pgapbaaaabaaaaaafgaobaaaadaaaaaabbaaaaahicaabaaaabaaaaaaegbobaaa
aaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegbcbaaaaaaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaebaaaaaaacaaaaaadiaaaaaihcaabaaaacaaaaaa
fgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaacaaaaaa
egiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaacaaaaaadcaaaaak
hcaabaaaacaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaaadaaaaaa
pgapbaaaabaaaaaaegacbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaa
abaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaa
dcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaabaaaaaa
aaaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaacaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaabaaaaaaegbcbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaaiccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaaafaaaaaadiaaaaakncaabaaa
abaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaadp
dgaaaaafmccabaaaafaaaaaakgaobaaaaaaaaaaaaaaaaaahdccabaaaafaaaaaa
kgakbaaaabaaaaaamgaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedpihbfaoibicnpamgcdhpnalmmgealihaabaaaaaameahaaaaadaaaaaa
cmaaaaaajmaaaaaafeabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
laaaaaaaagaaaaaaaiaaaaaajiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaakeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaakeaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaakeaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaakeaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaakeaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcgiagaaaaeaaaabaa
jkabaaaafjaaaaaeegiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaa
abaaaaaafjaaaaaeegiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaa
gfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaa
anaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaelaaaaaf
bccabaaaabaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaacgbjbaaa
abaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaajgbebaaaabaaaaaa
cgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaa
aaaaaaaaaeaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaabaaaaaa
dcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaa
aeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaadcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgipcaaaacaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaa
acaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahccaabaaaacaaaaaa
egbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaajgahbaaaacaaaaaa
jgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
occabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaacaaaaaabbaaaaahicaabaaa
aaaaaaaaegbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaa
aaaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaa
abaaaaaafgifcaaaabaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaa
kgikcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaa
baaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_54;
  vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_22);
  float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_55);
  c_54.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_55 + normalize(xlv_TEXCOORD1))), tmpvar_56), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_54.w = (tmpvar_57 * 4.0);
  float tmpvar_58;
  tmpvar_58 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_58)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_58)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_59;
  tmpvar_59 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_59;
  gl_FragData[0] = tmpvar_59;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_73);
  lightDir_73 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_74);
  viewDir_74 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normT_5);
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD3;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_87;
  tmpvar_1 = tmpvar_87;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(uvCont_12);
  tmpvar_13.zw = dFdy(uvCont_12);
  main_4 = texture2DGradARB (_MainTex, uv_7, tmpvar_13.xy, tmpvar_13.zw);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD2);
  vec2 uv_15;
  float r_16;
  if ((abs(tmpvar_14.z) > (1e-08 * abs(tmpvar_14.x)))) {
    float y_over_x_17;
    y_over_x_17 = (tmpvar_14.x / tmpvar_14.z);
    float s_18;
    float x_19;
    x_19 = (y_over_x_17 * inversesqrt(((y_over_x_17 * y_over_x_17) + 1.0)));
    s_18 = (sign(x_19) * (1.5708 - (sqrt((1.0 - abs(x_19))) * (1.5708 + (abs(x_19) * (-0.214602 + (abs(x_19) * (0.0865667 + (abs(x_19) * -0.0310296)))))))));
    r_16 = s_18;
    if ((tmpvar_14.z < 0.0)) {
      if ((tmpvar_14.x >= 0.0)) {
        r_16 = (s_18 + 3.14159);
      } else {
        r_16 = (r_16 - 3.14159);
      };
    };
  } else {
    r_16 = (sign(tmpvar_14.x) * 1.5708);
  };
  uv_15.x = (0.5 + (0.159155 * r_16));
  uv_15.y = (0.31831 * (1.5708 - (sign(tmpvar_14.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_14.y))) * (1.5708 + (abs(tmpvar_14.y) * (-0.214602 + (abs(tmpvar_14.y) * (0.0865667 + (abs(tmpvar_14.y) * -0.0310296)))))))))));
  vec2 uvCont_20;
  uvCont_20.y = uv_15.y;
  uvCont_20.x = abs((uv_15.x - 0.5));
  vec4 tmpvar_21;
  tmpvar_21.xy = dFdx(uvCont_20);
  tmpvar_21.zw = dFdy(uvCont_20);
  vec3 normal_22;
  normal_22.xy = ((texture2DGradARB (_BumpMap, uv_15, tmpvar_21.xy, tmpvar_21.zw).wy * 2.0) - 1.0);
  normal_22.z = sqrt((1.0 - clamp (dot (normal_22.xy, normal_22.xy), 0.0, 1.0)));
  float tmpvar_23;
  vec4 v_24;
  v_24 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD2)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_23 = (((v_24.x + v_24.y) + v_24.z) + v_24.w);
  vec4 tmpvar_25;
  tmpvar_25.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_25.w = tmpvar_23;
  cityoverlay_3.xyz = tmpvar_25.xyz;
  vec3 tmpvar_26;
  tmpvar_26 = normalize(xlv_TEXCOORD2);
  vec2 uv_27;
  vec3 tmpvar_28;
  tmpvar_28 = abs(tmpvar_26);
  float tmpvar_29;
  tmpvar_29 = float((tmpvar_28.z >= tmpvar_28.x));
  float tmpvar_30;
  tmpvar_30 = float((max (tmpvar_28.x, tmpvar_28.z) >= tmpvar_28.y));
  float tmpvar_31;
  tmpvar_31 = sign(mix (tmpvar_26.y, mix (tmpvar_26.x, tmpvar_26.z, tmpvar_29), tmpvar_30));
  vec3 tmpvar_32;
  tmpvar_32.xz = vec2(1.0, 1.0);
  tmpvar_32.y = -(tmpvar_31);
  vec3 tmpvar_33;
  tmpvar_33.xz = vec2(1.0, 1.0);
  tmpvar_33.y = tmpvar_31;
  vec3 tmpvar_34;
  tmpvar_34.xy = vec2(1.0, 1.0);
  tmpvar_34.z = -(tmpvar_31);
  vec3 tmpvar_35;
  tmpvar_35 = mix ((tmpvar_34 * tmpvar_26.yxz), mix ((tmpvar_32 * tmpvar_26.xzy), (tmpvar_33 * tmpvar_26.zxy), vec3(tmpvar_29)), vec3(tmpvar_30));
  uv_27.x = (((0.5 * tmpvar_35.y) / abs(tmpvar_35.x)) + 0.5);
  uv_27.y = (((0.5 * tmpvar_35.z) / abs(tmpvar_35.x)) + 0.5);
  vec2 tmpvar_36;
  tmpvar_36 = (uv_27 * _CityOverlayDetailScale);
  vec2 tmpvar_37;
  tmpvar_37 = abs((tmpvar_36 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_38;
  tmpvar_38.xy = dFdx(tmpvar_37);
  tmpvar_38.zw = dFdy(tmpvar_37);
  vec4 tmpvar_39;
  tmpvar_39 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_36, tmpvar_38.xy, tmpvar_38.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_39.xyz;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD2);
  vec2 uv_41;
  vec3 tmpvar_42;
  tmpvar_42 = abs(tmpvar_40);
  float tmpvar_43;
  tmpvar_43 = float((tmpvar_42.z >= tmpvar_42.x));
  float tmpvar_44;
  tmpvar_44 = float((max (tmpvar_42.x, tmpvar_42.z) >= tmpvar_42.y));
  float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_40.y, mix (tmpvar_40.x, tmpvar_40.z, tmpvar_43), tmpvar_44));
  vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(tmpvar_45);
  vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = tmpvar_45;
  vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(tmpvar_45);
  vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_40.yxz), mix ((tmpvar_46 * tmpvar_40.xzy), (tmpvar_47 * tmpvar_40.zxy), vec3(tmpvar_43)), vec3(tmpvar_44));
  uv_41.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  vec2 tmpvar_50;
  tmpvar_50 = (uv_41 * _CityOverlayDetailScale);
  vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  vec4 tmpvar_53;
  tmpvar_53 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  citylightoverlaydetail_1.xyz = tmpvar_53.xyz;
  cityoverlay_3.w = (tmpvar_23 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_39.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_53.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_53.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_54;
  tmpvar_54 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_55;
  vec3 tmpvar_56;
  tmpvar_56 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_57;
  tmpvar_57 = normalize(normal_22);
  float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_56);
  c_55.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_56 + normalize(xlv_TEXCOORD1))), tmpvar_57), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_54.x * 4.0));
  c_55.w = (tmpvar_58 * (tmpvar_54.x * 4.0));
  float tmpvar_59;
  tmpvar_59 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_59)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_59)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_60;
  tmpvar_60 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_60;
  gl_FragData[0] = tmpvar_60;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  mediump float lightShadowDataX_74;
  highp float dist_75;
  lowp float tmpvar_76;
  tmpvar_76 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_75 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = _LightShadowData.x;
  lightShadowDataX_74 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = max (float((dist_75 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_74);
  tmpvar_73 = tmpvar_78;
  mediump vec3 lightDir_79;
  lightDir_79 = xlv_TEXCOORD5;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD1;
  mediump float atten_81;
  atten_81 = tmpvar_73;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_79);
  lightDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_80);
  viewDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normT_5);
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD3;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_94;
  tmpvar_1 = tmpvar_94;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec4 packednormal_27;
  packednormal_27 = tex_17;
  lowp vec3 normal_28;
  normal_28.xy = ((packednormal_27.wy * 2.0) - 1.0);
  normal_28.z = sqrt((1.0 - clamp (dot (normal_28.xy, normal_28.xy), 0.0, 1.0)));
  normT_5 = normal_28;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_73;
  tmpvar_73 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = tmpvar_73;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_5);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_89;
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_19;
  highp float r_20;
  if ((abs(tmpvar_18.z) > (1e-08 * abs(tmpvar_18.x)))) {
    highp float y_over_x_21;
    y_over_x_21 = (tmpvar_18.x / tmpvar_18.z);
    highp float s_22;
    highp float x_23;
    x_23 = (y_over_x_21 * inversesqrt(((y_over_x_21 * y_over_x_21) + 1.0)));
    s_22 = (sign(x_23) * (1.5708 - (sqrt((1.0 - abs(x_23))) * (1.5708 + (abs(x_23) * (-0.214602 + (abs(x_23) * (0.0865667 + (abs(x_23) * -0.0310296)))))))));
    r_20 = s_22;
    if ((tmpvar_18.z < 0.0)) {
      if ((tmpvar_18.x >= 0.0)) {
        r_20 = (s_22 + 3.14159);
      } else {
        r_20 = (r_20 - 3.14159);
      };
    };
  } else {
    r_20 = (sign(tmpvar_18.x) * 1.5708);
  };
  uv_19.x = (0.5 + (0.159155 * r_20));
  uv_19.y = (0.31831 * (1.5708 - (sign(tmpvar_18.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_18.y))) * (1.5708 + (abs(tmpvar_18.y) * (-0.214602 + (abs(tmpvar_18.y) * (0.0865667 + (abs(tmpvar_18.y) * -0.0310296)))))))))));
  highp vec2 uvCont_24;
  uvCont_24.y = uv_19.y;
  uvCont_24.x = abs((uv_19.x - 0.5));
  highp vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(uvCont_24);
  tmpvar_25.zw = dFdy(uvCont_24);
  lowp vec4 tmpvar_26;
  tmpvar_26 = texture2DGradEXT (_BumpMap, uv_19, tmpvar_25.xy, tmpvar_25.zw);
  tex_17 = tmpvar_26;
  lowp vec3 tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_17;
  tmpvar_27 = ((packednormal_28.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_27;
  mediump vec4 tex_29;
  highp vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD2);
  lowp vec4 tmpvar_31;
  tmpvar_31 = textureCube (cube_CityOverlayTex, tmpvar_30);
  tex_29 = tmpvar_31;
  mediump float tmpvar_32;
  mediump vec4 v_33;
  v_33 = (tex_29 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_32 = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = tmpvar_32;
  cityoverlay_4.xyz = tmpvar_34.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citydarkoverlaydetail_3.xyz = tex_35.xyz;
  mediump vec4 tex_54;
  highp vec3 tmpvar_55;
  tmpvar_55 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_56;
  mediump float s_57;
  mediump float nylerp_58;
  mediump float zxlerp_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = abs(tmpvar_55);
  highp float tmpvar_61;
  tmpvar_61 = float((tmpvar_60.z >= tmpvar_60.x));
  zxlerp_59 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = float((max (tmpvar_60.x, tmpvar_60.z) >= tmpvar_60.y));
  nylerp_58 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = mix (tmpvar_55.x, tmpvar_55.z, zxlerp_59);
  s_57 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = sign(mix (tmpvar_55.y, s_57, nylerp_58));
  s_57 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = -(s_57);
  mediump vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = s_57;
  mediump vec3 tmpvar_67;
  tmpvar_67.xy = vec2(1.0, 1.0);
  tmpvar_67.z = -(s_57);
  highp vec3 tmpvar_68;
  tmpvar_68 = mix ((tmpvar_67 * tmpvar_55.yxz), mix ((tmpvar_65 * tmpvar_55.xzy), (tmpvar_66 * tmpvar_55.zxy), vec3(zxlerp_59)), vec3(nylerp_58));
  uv_56.x = (((0.5 * tmpvar_68.y) / abs(tmpvar_68.x)) + 0.5);
  uv_56.y = (((0.5 * tmpvar_68.z) / abs(tmpvar_68.x)) + 0.5);
  highp vec2 tmpvar_69;
  tmpvar_69 = (uv_56 * _CityOverlayDetailScale);
  highp vec2 tmpvar_70;
  tmpvar_70 = abs((tmpvar_69 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_71;
  tmpvar_71.xy = dFdx(tmpvar_70);
  tmpvar_71.zw = dFdy(tmpvar_70);
  lowp vec4 tmpvar_72;
  tmpvar_72 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_69, tmpvar_71.xy, tmpvar_71.zw);
  tex_54 = tmpvar_72;
  citylightoverlaydetail_2.xyz = tex_54.xyz;
  cityoverlay_4.w = (tmpvar_32 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_35.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_54.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_54.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_73;
  lowp float tmpvar_74;
  tmpvar_74 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_75;
  tmpvar_75 = (_LightShadowData.x + (tmpvar_74 * (1.0 - _LightShadowData.x)));
  shadow_73 = tmpvar_75;
  mediump vec3 lightDir_76;
  lightDir_76 = xlv_TEXCOORD5;
  mediump vec3 viewDir_77;
  viewDir_77 = xlv_TEXCOORD1;
  mediump float atten_78;
  atten_78 = shadow_73;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_76);
  lightDir_76 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_77);
  viewDir_77 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normT_5);
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD3;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_91;
  tmpvar_1 = tmpvar_91;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  float tmpvar_34;
  tmpvar_34 = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_33.w;
  tmpvar_35.y = tmpvar_33.w;
  tmpvar_35.z = tmpvar_33.w;
  tmpvar_35.w = tmpvar_34;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_34 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_95;
  lightDir_95 = xlv_TEXCOORD5;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD1;
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_95);
  lightDir_95 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_96);
  viewDir_96 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normT_5);
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * 4.0);
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD3;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_109;
  tmpvar_109 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_109;
  tmpvar_1 = tmpvar_109;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_95;
  lightDir_95 = xlv_TEXCOORD5;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD1;
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_95);
  lightDir_95 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_96);
  viewDir_96 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normT_5);
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * 4.0);
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD3;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_109;
  tmpvar_109 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_109;
  tmpvar_1 = tmpvar_109;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  float tmpvar_34;
  tmpvar_34 = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_33.w;
  tmpvar_35.y = tmpvar_33.w;
  tmpvar_35.z = tmpvar_33.w;
  tmpvar_35.w = tmpvar_34;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_34 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_95;
  lightDir_95 = xlv_TEXCOORD5;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD1;
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_95);
  lightDir_95 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_96);
  viewDir_96 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normT_5);
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * 4.0);
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD3;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_109;
  tmpvar_109 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_109;
  tmpvar_1 = tmpvar_109;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_95;
  lightDir_95 = xlv_TEXCOORD5;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD1;
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_95);
  lightDir_95 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_96);
  viewDir_96 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normT_5);
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * 4.0);
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD3;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_109;
  tmpvar_109 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_109;
  tmpvar_1 = tmpvar_109;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  float tmpvar_34;
  tmpvar_34 = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_33.w;
  tmpvar_35.y = tmpvar_33.w;
  tmpvar_35.z = tmpvar_33.w;
  tmpvar_35.w = tmpvar_34;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_34 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_95;
  lightDir_95 = xlv_TEXCOORD5;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD1;
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_95);
  lightDir_95 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_96);
  viewDir_96 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normT_5);
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * 4.0);
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD3;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_109;
  tmpvar_109 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_109;
  tmpvar_1 = tmpvar_109;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_95;
  lightDir_95 = xlv_TEXCOORD5;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD1;
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_95);
  lightDir_95 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_96);
  viewDir_96 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normT_5);
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * 4.0);
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD3;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_109;
  tmpvar_109 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_109;
  tmpvar_1 = tmpvar_109;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  float tmpvar_34;
  tmpvar_34 = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_33.w;
  tmpvar_35.y = tmpvar_33.w;
  tmpvar_35.z = tmpvar_33.w;
  tmpvar_35.w = tmpvar_34;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_34 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_95;
  mediump float lightShadowDataX_96;
  highp float dist_97;
  lowp float tmpvar_98;
  tmpvar_98 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_97 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = _LightShadowData.x;
  lightShadowDataX_96 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = max (float((dist_97 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_96);
  tmpvar_95 = tmpvar_100;
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = tmpvar_95;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_5);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * _SpecularColor.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  lowp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_104 * mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_116;
  tmpvar_116 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_116;
  tmpvar_1 = tmpvar_116;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_96;
  lightDir_96 = xlv_TEXCOORD5;
  mediump vec3 viewDir_97;
  viewDir_97 = xlv_TEXCOORD1;
  mediump float atten_98;
  atten_98 = tmpvar_95;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_96);
  lightDir_96 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_97);
  viewDir_97 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * (atten_98 * 4.0));
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * (atten_98 * 4.0));
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  float tmpvar_34;
  tmpvar_34 = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_33.w;
  tmpvar_35.y = tmpvar_33.w;
  tmpvar_35.z = tmpvar_33.w;
  tmpvar_35.w = tmpvar_34;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_34 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_95;
  mediump float lightShadowDataX_96;
  highp float dist_97;
  lowp float tmpvar_98;
  tmpvar_98 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_97 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = _LightShadowData.x;
  lightShadowDataX_96 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = max (float((dist_97 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_96);
  tmpvar_95 = tmpvar_100;
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = tmpvar_95;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_5);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * _SpecularColor.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  lowp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_104 * mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_116;
  tmpvar_116 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_116;
  tmpvar_1 = tmpvar_116;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_96;
  lightDir_96 = xlv_TEXCOORD5;
  mediump vec3 viewDir_97;
  viewDir_97 = xlv_TEXCOORD1;
  mediump float atten_98;
  atten_98 = tmpvar_95;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_96);
  lightDir_96 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_97);
  viewDir_97 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * (atten_98 * 4.0));
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * (atten_98 * 4.0));
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  float tmpvar_34;
  tmpvar_34 = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_33.w;
  tmpvar_35.y = tmpvar_33.w;
  tmpvar_35.z = tmpvar_33.w;
  tmpvar_35.w = tmpvar_34;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_34 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_95;
  mediump float lightShadowDataX_96;
  highp float dist_97;
  lowp float tmpvar_98;
  tmpvar_98 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_97 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = _LightShadowData.x;
  lightShadowDataX_96 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = max (float((dist_97 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_96);
  tmpvar_95 = tmpvar_100;
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = tmpvar_95;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_5);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * _SpecularColor.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  lowp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_104 * mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_116;
  tmpvar_116 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_116;
  tmpvar_1 = tmpvar_116;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_96;
  lightDir_96 = xlv_TEXCOORD5;
  mediump vec3 viewDir_97;
  viewDir_97 = xlv_TEXCOORD1;
  mediump float atten_98;
  atten_98 = tmpvar_95;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_96);
  lightDir_96 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_97);
  viewDir_97 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * (atten_98 * 4.0));
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * (atten_98 * 4.0));
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  float tmpvar_34;
  tmpvar_34 = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_33.w;
  tmpvar_35.y = tmpvar_33.w;
  tmpvar_35.z = tmpvar_33.w;
  tmpvar_35.w = tmpvar_34;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_34 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_95;
  lightDir_95 = xlv_TEXCOORD5;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD1;
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_95);
  lightDir_95 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_96);
  viewDir_96 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normT_5);
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * 4.0);
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD3;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_109;
  tmpvar_109 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_109;
  tmpvar_1 = tmpvar_109;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_95;
  lightDir_95 = xlv_TEXCOORD5;
  mediump vec3 viewDir_96;
  viewDir_96 = xlv_TEXCOORD1;
  mediump vec4 c_97;
  highp float nh_98;
  mediump vec3 tmpvar_99;
  tmpvar_99 = normalize(lightDir_95);
  lightDir_95 = tmpvar_99;
  mediump vec3 tmpvar_100;
  tmpvar_100 = normalize(viewDir_96);
  viewDir_96 = tmpvar_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(normT_5);
  mediump float tmpvar_102;
  tmpvar_102 = dot (tmpvar_101, tmpvar_99);
  mediump float tmpvar_103;
  tmpvar_103 = clamp (dot (normalize((tmpvar_99 + tmpvar_100)), tmpvar_101), 0.0, 1.0);
  nh_98 = tmpvar_103;
  highp vec3 tmpvar_104;
  tmpvar_104 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_102) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_98, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_97.xyz = tmpvar_104;
  c_97.w = (tmpvar_102 * 4.0);
  lowp vec3 tmpvar_105;
  tmpvar_105 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_106;
  lightDir_106 = tmpvar_105;
  mediump vec3 normal_107;
  normal_107 = xlv_TEXCOORD3;
  mediump float tmpvar_108;
  tmpvar_108 = dot (normal_107, lightDir_106);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_97 * mix (1.0, clamp (floor((1.01 + tmpvar_108)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_108)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_109;
  tmpvar_109 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_109;
  tmpvar_1 = tmpvar_109;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  float tmpvar_34;
  tmpvar_34 = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  vec4 tmpvar_35;
  tmpvar_35.x = tmpvar_33.w;
  tmpvar_35.y = tmpvar_33.w;
  tmpvar_35.z = tmpvar_33.w;
  tmpvar_35.w = tmpvar_34;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_34 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_95;
  mediump float lightShadowDataX_96;
  highp float dist_97;
  lowp float tmpvar_98;
  tmpvar_98 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_97 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = _LightShadowData.x;
  lightShadowDataX_96 = tmpvar_99;
  highp float tmpvar_100;
  tmpvar_100 = max (float((dist_97 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_96);
  tmpvar_95 = tmpvar_100;
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = tmpvar_95;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_5);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * _SpecularColor.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  lowp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_104 * mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_116;
  tmpvar_116 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_116;
  tmpvar_1 = tmpvar_116;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_95;
  tmpvar_95 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_96;
  lightDir_96 = xlv_TEXCOORD5;
  mediump vec3 viewDir_97;
  viewDir_97 = xlv_TEXCOORD1;
  mediump float atten_98;
  atten_98 = tmpvar_95;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_96);
  lightDir_96 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_97);
  viewDir_97 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * (atten_98 * 4.0));
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * (atten_98 * 4.0));
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_95;
  lowp float tmpvar_96;
  tmpvar_96 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_97;
  tmpvar_97 = (_LightShadowData.x + (tmpvar_96 * (1.0 - _LightShadowData.x)));
  shadow_95 = tmpvar_97;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = shadow_95;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_95;
  lowp float tmpvar_96;
  tmpvar_96 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_97;
  tmpvar_97 = (_LightShadowData.x + (tmpvar_96 * (1.0 - _LightShadowData.x)));
  shadow_95 = tmpvar_97;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = shadow_95;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_95;
  lowp float tmpvar_96;
  tmpvar_96 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_97;
  tmpvar_97 = (_LightShadowData.x + (tmpvar_96 * (1.0 - _LightShadowData.x)));
  shadow_95 = tmpvar_97;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = shadow_95;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump float tmpvar_55;
  tmpvar_55 = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump vec4 tmpvar_56;
  tmpvar_56.x = tmpvar_54.w;
  tmpvar_56.y = tmpvar_54.w;
  tmpvar_56.z = tmpvar_54.w;
  tmpvar_56.w = tmpvar_55;
  cityoverlay_4.xyz = tmpvar_56.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citydarkoverlaydetail_3.xyz = tex_57.xyz;
  mediump vec4 tex_76;
  highp vec3 tmpvar_77;
  tmpvar_77 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_78;
  mediump float s_79;
  mediump float nylerp_80;
  mediump float zxlerp_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = abs(tmpvar_77);
  highp float tmpvar_83;
  tmpvar_83 = float((tmpvar_82.z >= tmpvar_82.x));
  zxlerp_81 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = float((max (tmpvar_82.x, tmpvar_82.z) >= tmpvar_82.y));
  nylerp_80 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = mix (tmpvar_77.x, tmpvar_77.z, zxlerp_81);
  s_79 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = sign(mix (tmpvar_77.y, s_79, nylerp_80));
  s_79 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87.xz = vec2(1.0, 1.0);
  tmpvar_87.y = -(s_79);
  mediump vec3 tmpvar_88;
  tmpvar_88.xz = vec2(1.0, 1.0);
  tmpvar_88.y = s_79;
  mediump vec3 tmpvar_89;
  tmpvar_89.xy = vec2(1.0, 1.0);
  tmpvar_89.z = -(s_79);
  highp vec3 tmpvar_90;
  tmpvar_90 = mix ((tmpvar_89 * tmpvar_77.yxz), mix ((tmpvar_87 * tmpvar_77.xzy), (tmpvar_88 * tmpvar_77.zxy), vec3(zxlerp_81)), vec3(nylerp_80));
  uv_78.x = (((0.5 * tmpvar_90.y) / abs(tmpvar_90.x)) + 0.5);
  uv_78.y = (((0.5 * tmpvar_90.z) / abs(tmpvar_90.x)) + 0.5);
  highp vec2 tmpvar_91;
  tmpvar_91 = (uv_78 * _CityOverlayDetailScale);
  highp vec2 tmpvar_92;
  tmpvar_92 = abs((tmpvar_91 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_93;
  tmpvar_93.xy = dFdx(tmpvar_92);
  tmpvar_93.zw = dFdy(tmpvar_92);
  lowp vec4 tmpvar_94;
  tmpvar_94 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_91, tmpvar_93.xy, tmpvar_93.zw);
  tex_76 = tmpvar_94;
  citylightoverlaydetail_2.xyz = tex_76.xyz;
  cityoverlay_4.w = (tmpvar_55 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_57.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_76.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_76.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_95;
  lowp float tmpvar_96;
  tmpvar_96 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_97;
  tmpvar_97 = (_LightShadowData.x + (tmpvar_96 * (1.0 - _LightShadowData.x)));
  shadow_95 = tmpvar_97;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = shadow_95;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjoipjhdcemfehifdfpdbpimkoipnppjeabaaaaaaheaiaaaaadaaaaaa
cmaaaaaajmaaaaaagmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcaaahaaaaeaaaabaamaabaaaafjaaaaae
egiocaaaaaaaaaaaagaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaae
egiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaa
abaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaa
acaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
pccabaaaafaaaaaagiaaaaacaeaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaafbccabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaacgbjbaaaabaaaaaajgbebaaa
acaaaaaadcaaaaakhcaabaaaabaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaa
egacbaiaebaaaaaaabaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgbpbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaaaaaaaaaaaeaaaaaa
egiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
baaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaaaeaaaaaaegacbaaa
acaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaadcaaaaalhcaabaaaacaaaaaaegacbaaaacaaaaaapgipcaaaacaaaaaa
beaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaaadaaaaaaegbcbaaaacaaaaaa
egacbaaaacaaaaaabaaaaaahicaabaaaadaaaaaaegbcbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaajgahbaaaadaaaaaajgahbaaaadaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahoccabaaaabaaaaaa
pgapbaaaabaaaaaafgaobaaaadaaaaaabbaaaaahicaabaaaabaaaaaaegbobaaa
aaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegbcbaaaaaaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaebaaaaaaacaaaaaadiaaaaaihcaabaaaacaaaaaa
fgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaacaaaaaa
egiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaacaaaaaadcaaaaak
hcaabaaaacaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaaadaaaaaa
pgapbaaaabaaaaaaegacbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaa
abaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaa
dcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaabaaaaaa
aaaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaacaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaabaaaaaaegbcbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaaiccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaaafaaaaaadiaaaaakncaabaaa
abaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaadp
dgaaaaafmccabaaaafaaaaaakgaobaaaaaaaaaaaaaaaaaahdccabaaaafaaaaaa
kgakbaaaabaaaaaamgaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjoipjhdcemfehifdfpdbpimkoipnppjeabaaaaaaheaiaaaaadaaaaaa
cmaaaaaajmaaaaaagmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcaaahaaaaeaaaabaamaabaaaafjaaaaae
egiocaaaaaaaaaaaagaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaae
egiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaa
abaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaa
acaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
pccabaaaafaaaaaagiaaaaacaeaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaafbccabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaacgbjbaaaabaaaaaajgbebaaa
acaaaaaadcaaaaakhcaabaaaabaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaa
egacbaiaebaaaaaaabaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgbpbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaaaaaaaaaaaeaaaaaa
egiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
baaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaaaeaaaaaaegacbaaa
acaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaadcaaaaalhcaabaaaacaaaaaaegacbaaaacaaaaaapgipcaaaacaaaaaa
beaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaaadaaaaaaegbcbaaaacaaaaaa
egacbaaaacaaaaaabaaaaaahicaabaaaadaaaaaaegbcbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaajgahbaaaadaaaaaajgahbaaaadaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahoccabaaaabaaaaaa
pgapbaaaabaaaaaafgaobaaaadaaaaaabbaaaaahicaabaaaabaaaaaaegbobaaa
aaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegbcbaaaaaaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaebaaaaaaacaaaaaadiaaaaaihcaabaaaacaaaaaa
fgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaacaaaaaa
egiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaacaaaaaadcaaaaak
hcaabaaaacaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaaadaaaaaa
pgapbaaaabaaaaaaegacbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaa
abaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaa
dcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaabaaaaaa
aaaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaacaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaabaaaaaaegbcbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaaiccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaaafaaaaaadiaaaaakncaabaaa
abaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaadp
dgaaaaafmccabaaaafaaaaaakgaobaaaaaaaaaaaaaaaaaahdccabaaaafaaaaaa
kgakbaaaabaaaaaamgaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjoipjhdcemfehifdfpdbpimkoipnppjeabaaaaaaheaiaaaaadaaaaaa
cmaaaaaajmaaaaaagmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcaaahaaaaeaaaabaamaabaaaafjaaaaae
egiocaaaaaaaaaaaagaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaae
egiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaa
abaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaa
acaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
pccabaaaafaaaaaagiaaaaacaeaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaafbccabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaacgbjbaaaabaaaaaajgbebaaa
acaaaaaadcaaaaakhcaabaaaabaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaa
egacbaiaebaaaaaaabaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgbpbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaaaaaaaaaaaeaaaaaa
egiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
baaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaaaeaaaaaaegacbaaa
acaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaadcaaaaalhcaabaaaacaaaaaaegacbaaaacaaaaaapgipcaaaacaaaaaa
beaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaaadaaaaaaegbcbaaaacaaaaaa
egacbaaaacaaaaaabaaaaaahicaabaaaadaaaaaaegbcbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaajgahbaaaadaaaaaajgahbaaaadaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahoccabaaaabaaaaaa
pgapbaaaabaaaaaafgaobaaaadaaaaaabbaaaaahicaabaaaabaaaaaaegbobaaa
aaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegbcbaaaaaaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaebaaaaaaacaaaaaadiaaaaaihcaabaaaacaaaaaa
fgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaacaaaaaa
egiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaacaaaaaadcaaaaak
hcaabaaaacaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaaadaaaaaa
pgapbaaaabaaaaaaegacbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaa
abaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaa
dcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaabaaaaaa
aaaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaacaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaabaaaaaaegbcbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaaiccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaaafaaaaaadiaaaaakncaabaaa
abaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaadp
dgaaaaafmccabaaaafaaaaaakgaobaaaaaaaaaaaaaaaaaahdccabaaaafaaaaaa
kgakbaaaabaaaaaamgaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_66;
  vec3 tmpvar_67;
  tmpvar_67 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_20);
  float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_67);
  c_66.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_67 + normalize(xlv_TEXCOORD1))), tmpvar_68), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_66.w = (tmpvar_69 * 4.0);
  float tmpvar_70;
  tmpvar_70 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_71;
  gl_FragData[0] = tmpvar_71;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedpihbfaoibicnpamgcdhpnalmmgealihaabaaaaaameahaaaaadaaaaaa
cmaaaaaajmaaaaaafeabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
laaaaaaaagaaaaaaaiaaaaaajiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaakeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaakeaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaakeaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaakeaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaakeaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcgiagaaaaeaaaabaa
jkabaaaafjaaaaaeegiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaa
abaaaaaafjaaaaaeegiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaa
gfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaa
anaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaelaaaaaf
bccabaaaabaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaacgbjbaaa
abaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaajgbebaaaabaaaaaa
cgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaa
aaaaaaaaaeaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaabaaaaaa
dcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaa
aeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaadcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgipcaaaacaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaa
acaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahccaabaaaacaaaaaa
egbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaajgahbaaaacaaaaaa
jgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
occabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaacaaaaaabbaaaaahicaabaaa
aaaaaaaaegbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaa
aaaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaa
abaaaaaafgifcaaaabaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaa
kgikcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaa
baaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_97;
  lightDir_97 = xlv_TEXCOORD5;
  mediump vec3 viewDir_98;
  viewDir_98 = xlv_TEXCOORD1;
  mediump vec4 c_99;
  highp float nh_100;
  mediump vec3 tmpvar_101;
  tmpvar_101 = normalize(lightDir_97);
  lightDir_97 = tmpvar_101;
  mediump vec3 tmpvar_102;
  tmpvar_102 = normalize(viewDir_98);
  viewDir_98 = tmpvar_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(normT_5);
  mediump float tmpvar_104;
  tmpvar_104 = dot (tmpvar_103, tmpvar_101);
  mediump float tmpvar_105;
  tmpvar_105 = clamp (dot (normalize((tmpvar_101 + tmpvar_102)), tmpvar_103), 0.0, 1.0);
  nh_100 = tmpvar_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_104) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_100, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_99.xyz = tmpvar_106;
  c_99.w = (tmpvar_104 * 4.0);
  lowp vec3 tmpvar_107;
  tmpvar_107 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_108;
  lightDir_108 = tmpvar_107;
  mediump vec3 normal_109;
  normal_109 = xlv_TEXCOORD3;
  mediump float tmpvar_110;
  tmpvar_110 = dot (normal_109, lightDir_108);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_99 * mix (1.0, clamp (floor((1.01 + tmpvar_110)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_110)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_111;
  tmpvar_111 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_111;
  tmpvar_1 = tmpvar_111;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0))));
  vec4 tmpvar_34;
  tmpvar_34.x = tmpvar_33.w;
  tmpvar_34.y = tmpvar_33.w;
  tmpvar_34.z = tmpvar_33.w;
  tmpvar_34.w = mix (tmpvar_33.y, mix (tmpvar_33.x, tmpvar_33.z, tmpvar_23), tmpvar_24);
  float tmpvar_35;
  vec4 v_36;
  v_36 = (tmpvar_34 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_35 = (((v_36.x + v_36.y) + v_36.z) + v_36.w);
  vec4 tmpvar_37;
  tmpvar_37.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_37.w = tmpvar_35;
  cityoverlay_3.xyz = tmpvar_37.xyz;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  vec2 uv_39;
  vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_38);
  float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_38.y, mix (tmpvar_38.x, tmpvar_38.z, tmpvar_41), tmpvar_42));
  vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(tmpvar_43);
  vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = tmpvar_43;
  vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(tmpvar_43);
  vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_38.yxz), mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(tmpvar_41)), vec3(tmpvar_42));
  uv_39.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  vec2 tmpvar_48;
  tmpvar_48 = (uv_39 * _CityOverlayDetailScale);
  vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  vec4 tmpvar_51;
  tmpvar_51 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_51.xyz;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD2);
  vec2 uv_53;
  vec3 tmpvar_54;
  tmpvar_54 = abs(tmpvar_52);
  float tmpvar_55;
  tmpvar_55 = float((tmpvar_54.z >= tmpvar_54.x));
  float tmpvar_56;
  tmpvar_56 = float((max (tmpvar_54.x, tmpvar_54.z) >= tmpvar_54.y));
  float tmpvar_57;
  tmpvar_57 = sign(mix (tmpvar_52.y, mix (tmpvar_52.x, tmpvar_52.z, tmpvar_55), tmpvar_56));
  vec3 tmpvar_58;
  tmpvar_58.xz = vec2(1.0, 1.0);
  tmpvar_58.y = -(tmpvar_57);
  vec3 tmpvar_59;
  tmpvar_59.xz = vec2(1.0, 1.0);
  tmpvar_59.y = tmpvar_57;
  vec3 tmpvar_60;
  tmpvar_60.xy = vec2(1.0, 1.0);
  tmpvar_60.z = -(tmpvar_57);
  vec3 tmpvar_61;
  tmpvar_61 = mix ((tmpvar_60 * tmpvar_52.yxz), mix ((tmpvar_58 * tmpvar_52.xzy), (tmpvar_59 * tmpvar_52.zxy), vec3(tmpvar_55)), vec3(tmpvar_56));
  uv_53.x = (((0.5 * tmpvar_61.y) / abs(tmpvar_61.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_61.z) / abs(tmpvar_61.x)) + 0.5);
  vec2 tmpvar_62;
  tmpvar_62 = (uv_53 * _CityOverlayDetailScale);
  vec2 tmpvar_63;
  tmpvar_63 = abs((tmpvar_62 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_64;
  tmpvar_64.xy = dFdx(tmpvar_63);
  tmpvar_64.zw = dFdy(tmpvar_63);
  vec4 tmpvar_65;
  tmpvar_65 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_62, tmpvar_64.xy, tmpvar_64.zw);
  citylightoverlaydetail_1.xyz = tmpvar_65.xyz;
  cityoverlay_3.w = (tmpvar_35 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_51.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_65.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_65.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_66;
  tmpvar_66 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_67;
  vec3 tmpvar_68;
  tmpvar_68 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_69;
  tmpvar_69 = normalize(normal_20);
  float tmpvar_70;
  tmpvar_70 = dot (tmpvar_69, tmpvar_68);
  c_67.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_70) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_68 + normalize(xlv_TEXCOORD1))), tmpvar_69), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_66.x * 4.0));
  c_67.w = (tmpvar_70 * (tmpvar_66.x * 4.0));
  float tmpvar_71;
  tmpvar_71 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_71)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_71)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_72;
  tmpvar_72 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_72;
  gl_FragData[0] = tmpvar_72;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  mediump float lightShadowDataX_98;
  highp float dist_99;
  lowp float tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_99 = tmpvar_100;
  highp float tmpvar_101;
  tmpvar_101 = _LightShadowData.x;
  lightShadowDataX_98 = tmpvar_101;
  highp float tmpvar_102;
  tmpvar_102 = max (float((dist_99 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_98);
  tmpvar_97 = tmpvar_102;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = tmpvar_97;
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_5);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  lowp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_118;
  tmpvar_118 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_118;
  tmpvar_1 = tmpvar_118;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_97;
  tmpvar_97 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_98;
  lightDir_98 = xlv_TEXCOORD5;
  mediump vec3 viewDir_99;
  viewDir_99 = xlv_TEXCOORD1;
  mediump float atten_100;
  atten_100 = tmpvar_97;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_98);
  lightDir_98 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_99);
  viewDir_99 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_5);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * (atten_100 * 4.0));
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * (atten_100 * 4.0));
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_113;
  tmpvar_113 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_113;
  tmpvar_1 = tmpvar_113;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 texNeg_31;
  mediump vec4 texPos_32;
  highp vec2 uv_33;
  mediump vec3 detailCoords_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_38);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_37 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((mix (tmpvar_39.x, tmpvar_39.z, zxlerp_37) >= tmpvar_39.y));
  nylerp_36 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_37);
  s_35 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (-(tmpvar_38.y), s_35, nylerp_36));
  s_35 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_35);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_35;
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_44 * tmpvar_38.xzy), (tmpvar_45 * tmpvar_38.zxy), vec3(zxlerp_37));
  detailCoords_34 = tmpvar_46;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_35);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_38.yzx), detailCoords_34, vec3(nylerp_36));
  detailCoords_34 = tmpvar_48;
  mediump vec2 tmpvar_49;
  tmpvar_49 = (((0.5 * detailCoords_34.yz) / abs(detailCoords_34.x)) + 0.5);
  uv_33 = tmpvar_49;
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((uv_33 - 0.5));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texPos_32 = tmpvar_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_33, tmpvar_51.xy, tmpvar_51.zw);
  texNeg_31 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = mix (texNeg_31, texPos_32, vec4(float((s_35 >= 0.0))));
  mediump vec4 tmpvar_55;
  tmpvar_55.x = tmpvar_54.w;
  tmpvar_55.y = tmpvar_54.w;
  tmpvar_55.z = tmpvar_54.w;
  tmpvar_55.w = mix (tmpvar_54.y, mix (tmpvar_54.x, tmpvar_54.z, zxlerp_37), nylerp_36);
  mediump float tmpvar_56;
  mediump vec4 v_57;
  v_57 = (tmpvar_55 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_56 = (((v_57.x + v_57.y) + v_57.z) + v_57.w);
  mediump vec4 tmpvar_58;
  tmpvar_58.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_58.w = tmpvar_56;
  cityoverlay_4.xyz = tmpvar_58.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_3.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_2.xyz = tex_78.xyz;
  cityoverlay_4.w = (tmpvar_56 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_59.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_78.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_78.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_97;
  lowp float tmpvar_98;
  tmpvar_98 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_99;
  tmpvar_99 = (_LightShadowData.x + (tmpvar_98 * (1.0 - _LightShadowData.x)));
  shadow_97 = tmpvar_99;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = shadow_97;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24));
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_33.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_20);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_101);
  lightDir_101 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_102);
  viewDir_102 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * 4.0);
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_101);
  lightDir_101 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_102);
  viewDir_102 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * 4.0);
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24));
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_33.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_20);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_101);
  lightDir_101 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_102);
  viewDir_102 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * 4.0);
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_101);
  lightDir_101 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_102);
  viewDir_102 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * 4.0);
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24));
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_33.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_20);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_101);
  lightDir_101 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_102);
  viewDir_102 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * 4.0);
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_101);
  lightDir_101 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_102);
  viewDir_102 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * 4.0);
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24));
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_33.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_20);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_101;
  mediump float lightShadowDataX_102;
  highp float dist_103;
  lowp float tmpvar_104;
  tmpvar_104 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_103 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = _LightShadowData.x;
  lightShadowDataX_102 = tmpvar_105;
  highp float tmpvar_106;
  tmpvar_106 = max (float((dist_103 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_102);
  tmpvar_101 = tmpvar_106;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = tmpvar_101;
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_5);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  lowp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_122;
  tmpvar_122 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_122;
  tmpvar_1 = tmpvar_122;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_101;
  tmpvar_101 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_102;
  lightDir_102 = xlv_TEXCOORD5;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD1;
  mediump float atten_104;
  atten_104 = tmpvar_101;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_102);
  lightDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_103);
  viewDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24));
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_33.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_20);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_101;
  mediump float lightShadowDataX_102;
  highp float dist_103;
  lowp float tmpvar_104;
  tmpvar_104 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_103 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = _LightShadowData.x;
  lightShadowDataX_102 = tmpvar_105;
  highp float tmpvar_106;
  tmpvar_106 = max (float((dist_103 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_102);
  tmpvar_101 = tmpvar_106;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = tmpvar_101;
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_5);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  lowp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_122;
  tmpvar_122 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_122;
  tmpvar_1 = tmpvar_122;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_101;
  tmpvar_101 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_102;
  lightDir_102 = xlv_TEXCOORD5;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD1;
  mediump float atten_104;
  atten_104 = tmpvar_101;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_102);
  lightDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_103);
  viewDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24));
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_33.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_20);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_101;
  mediump float lightShadowDataX_102;
  highp float dist_103;
  lowp float tmpvar_104;
  tmpvar_104 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_103 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = _LightShadowData.x;
  lightShadowDataX_102 = tmpvar_105;
  highp float tmpvar_106;
  tmpvar_106 = max (float((dist_103 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_102);
  tmpvar_101 = tmpvar_106;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = tmpvar_101;
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_5);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  lowp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_122;
  tmpvar_122 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_122;
  tmpvar_1 = tmpvar_122;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_101;
  tmpvar_101 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_102;
  lightDir_102 = xlv_TEXCOORD5;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD1;
  mediump float atten_104;
  atten_104 = tmpvar_101;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_102);
  lightDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_103);
  viewDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24));
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_33.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_62;
  vec3 tmpvar_63;
  tmpvar_63 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_64;
  tmpvar_64 = normalize(normal_20);
  float tmpvar_65;
  tmpvar_65 = dot (tmpvar_64, tmpvar_63);
  c_62.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_65) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_63 + normalize(xlv_TEXCOORD1))), tmpvar_64), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.w = (tmpvar_65 * 4.0);
  float tmpvar_66;
  tmpvar_66 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_67;
  gl_FragData[0] = tmpvar_67;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_101);
  lightDir_101 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_102);
  viewDir_102 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * 4.0);
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_101);
  lightDir_101 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_102);
  viewDir_102 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_5);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * 4.0);
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_115;
  tmpvar_115 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_115;
  tmpvar_1 = tmpvar_115;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24));
  cityoverlay_3.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD2);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_47.xyz;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD2);
  vec2 uv_49;
  vec3 tmpvar_50;
  tmpvar_50 = abs(tmpvar_48);
  float tmpvar_51;
  tmpvar_51 = float((tmpvar_50.z >= tmpvar_50.x));
  float tmpvar_52;
  tmpvar_52 = float((max (tmpvar_50.x, tmpvar_50.z) >= tmpvar_50.y));
  float tmpvar_53;
  tmpvar_53 = sign(mix (tmpvar_48.y, mix (tmpvar_48.x, tmpvar_48.z, tmpvar_51), tmpvar_52));
  vec3 tmpvar_54;
  tmpvar_54.xz = vec2(1.0, 1.0);
  tmpvar_54.y = -(tmpvar_53);
  vec3 tmpvar_55;
  tmpvar_55.xz = vec2(1.0, 1.0);
  tmpvar_55.y = tmpvar_53;
  vec3 tmpvar_56;
  tmpvar_56.xy = vec2(1.0, 1.0);
  tmpvar_56.z = -(tmpvar_53);
  vec3 tmpvar_57;
  tmpvar_57 = mix ((tmpvar_56 * tmpvar_48.yxz), mix ((tmpvar_54 * tmpvar_48.xzy), (tmpvar_55 * tmpvar_48.zxy), vec3(tmpvar_51)), vec3(tmpvar_52));
  uv_49.x = (((0.5 * tmpvar_57.y) / abs(tmpvar_57.x)) + 0.5);
  uv_49.y = (((0.5 * tmpvar_57.z) / abs(tmpvar_57.x)) + 0.5);
  vec2 tmpvar_58;
  tmpvar_58 = (uv_49 * _CityOverlayDetailScale);
  vec2 tmpvar_59;
  tmpvar_59 = abs((tmpvar_58 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_60;
  tmpvar_60.xy = dFdx(tmpvar_59);
  tmpvar_60.zw = dFdy(tmpvar_59);
  vec4 tmpvar_61;
  tmpvar_61 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_58, tmpvar_60.xy, tmpvar_60.zw);
  citylightoverlaydetail_1.xyz = tmpvar_61.xyz;
  cityoverlay_3.w = (tmpvar_33.w * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_47.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_61.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_61.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_63;
  vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_20);
  float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_64);
  c_63.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_64 + normalize(xlv_TEXCOORD1))), tmpvar_65), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_62.x * 4.0));
  c_63.w = (tmpvar_66 * (tmpvar_62.x * 4.0));
  float tmpvar_67;
  tmpvar_67 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_68;
  gl_FragData[0] = tmpvar_68;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjoipjhdcemfehifdfpdbpimkoipnppjeabaaaaaaheaiaaaaadaaaaaa
cmaaaaaajmaaaaaagmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcaaahaaaaeaaaabaamaabaaaafjaaaaae
egiocaaaaaaaaaaaagaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaae
egiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaa
abaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaa
acaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
pccabaaaafaaaaaagiaaaaacaeaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaafbccabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaacgbjbaaaabaaaaaajgbebaaa
acaaaaaadcaaaaakhcaabaaaabaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaa
egacbaiaebaaaaaaabaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgbpbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaaaaaaaaaaaeaaaaaa
egiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
baaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaaaeaaaaaaegacbaaa
acaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaadcaaaaalhcaabaaaacaaaaaaegacbaaaacaaaaaapgipcaaaacaaaaaa
beaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaaadaaaaaaegbcbaaaacaaaaaa
egacbaaaacaaaaaabaaaaaahicaabaaaadaaaaaaegbcbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaajgahbaaaadaaaaaajgahbaaaadaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahoccabaaaabaaaaaa
pgapbaaaabaaaaaafgaobaaaadaaaaaabbaaaaahicaabaaaabaaaaaaegbobaaa
aaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegbcbaaaaaaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaebaaaaaaacaaaaaadiaaaaaihcaabaaaacaaaaaa
fgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaacaaaaaa
egiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaacaaaaaadcaaaaak
hcaabaaaacaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaaadaaaaaa
pgapbaaaabaaaaaaegacbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaa
abaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaa
dcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaabaaaaaa
aaaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaacaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaabaaaaaaegbcbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaaiccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaaafaaaaaadiaaaaakncaabaaa
abaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaadp
dgaaaaafmccabaaaafaaaaaakgaobaaaaaaaaaaaaaaaaaahdccabaaaafaaaaaa
kgakbaaaabaaaaaamgaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_101;
  mediump float lightShadowDataX_102;
  highp float dist_103;
  lowp float tmpvar_104;
  tmpvar_104 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_103 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = _LightShadowData.x;
  lightShadowDataX_102 = tmpvar_105;
  highp float tmpvar_106;
  tmpvar_106 = max (float((dist_103 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_102);
  tmpvar_101 = tmpvar_106;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = tmpvar_101;
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_5);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  lowp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_122;
  tmpvar_122 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_122;
  tmpvar_1 = tmpvar_122;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_101;
  tmpvar_101 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_102;
  lightDir_102 = xlv_TEXCOORD5;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD1;
  mediump float atten_104;
  atten_104 = tmpvar_101;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_102);
  lightDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_103);
  viewDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_101;
  lowp float tmpvar_102;
  tmpvar_102 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_103;
  tmpvar_103 = (_LightShadowData.x + (tmpvar_102 * (1.0 - _LightShadowData.x)));
  shadow_101 = tmpvar_103;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = shadow_101;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_101;
  lowp float tmpvar_102;
  tmpvar_102 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_103;
  tmpvar_103 = (_LightShadowData.x + (tmpvar_102 * (1.0 - _LightShadowData.x)));
  shadow_101 = tmpvar_103;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = shadow_101;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_101;
  lowp float tmpvar_102;
  tmpvar_102 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_103;
  tmpvar_103 = (_LightShadowData.x + (tmpvar_102 * (1.0 - _LightShadowData.x)));
  shadow_101 = tmpvar_103;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = shadow_101;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40));
  cityoverlay_4.xyz = tmpvar_62.xyz;
  mediump vec4 tex_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_65;
  mediump float s_66;
  mediump float nylerp_67;
  mediump float zxlerp_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = abs(tmpvar_64);
  highp float tmpvar_70;
  tmpvar_70 = float((tmpvar_69.z >= tmpvar_69.x));
  zxlerp_68 = tmpvar_70;
  highp float tmpvar_71;
  tmpvar_71 = float((max (tmpvar_69.x, tmpvar_69.z) >= tmpvar_69.y));
  nylerp_67 = tmpvar_71;
  highp float tmpvar_72;
  tmpvar_72 = mix (tmpvar_64.x, tmpvar_64.z, zxlerp_68);
  s_66 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = sign(mix (tmpvar_64.y, s_66, nylerp_67));
  s_66 = tmpvar_73;
  mediump vec3 tmpvar_74;
  tmpvar_74.xz = vec2(1.0, 1.0);
  tmpvar_74.y = -(s_66);
  mediump vec3 tmpvar_75;
  tmpvar_75.xz = vec2(1.0, 1.0);
  tmpvar_75.y = s_66;
  mediump vec3 tmpvar_76;
  tmpvar_76.xy = vec2(1.0, 1.0);
  tmpvar_76.z = -(s_66);
  highp vec3 tmpvar_77;
  tmpvar_77 = mix ((tmpvar_76 * tmpvar_64.yxz), mix ((tmpvar_74 * tmpvar_64.xzy), (tmpvar_75 * tmpvar_64.zxy), vec3(zxlerp_68)), vec3(nylerp_67));
  uv_65.x = (((0.5 * tmpvar_77.y) / abs(tmpvar_77.x)) + 0.5);
  uv_65.y = (((0.5 * tmpvar_77.z) / abs(tmpvar_77.x)) + 0.5);
  highp vec2 tmpvar_78;
  tmpvar_78 = (uv_65 * _CityOverlayDetailScale);
  highp vec2 tmpvar_79;
  tmpvar_79 = abs((tmpvar_78 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_80;
  tmpvar_80.xy = dFdx(tmpvar_79);
  tmpvar_80.zw = dFdy(tmpvar_79);
  lowp vec4 tmpvar_81;
  tmpvar_81 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_78, tmpvar_80.xy, tmpvar_80.zw);
  tex_63 = tmpvar_81;
  citydarkoverlaydetail_3.xyz = tex_63.xyz;
  mediump vec4 tex_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_84;
  mediump float s_85;
  mediump float nylerp_86;
  mediump float zxlerp_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = abs(tmpvar_83);
  highp float tmpvar_89;
  tmpvar_89 = float((tmpvar_88.z >= tmpvar_88.x));
  zxlerp_87 = tmpvar_89;
  highp float tmpvar_90;
  tmpvar_90 = float((max (tmpvar_88.x, tmpvar_88.z) >= tmpvar_88.y));
  nylerp_86 = tmpvar_90;
  highp float tmpvar_91;
  tmpvar_91 = mix (tmpvar_83.x, tmpvar_83.z, zxlerp_87);
  s_85 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = sign(mix (tmpvar_83.y, s_85, nylerp_86));
  s_85 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93.xz = vec2(1.0, 1.0);
  tmpvar_93.y = -(s_85);
  mediump vec3 tmpvar_94;
  tmpvar_94.xz = vec2(1.0, 1.0);
  tmpvar_94.y = s_85;
  mediump vec3 tmpvar_95;
  tmpvar_95.xy = vec2(1.0, 1.0);
  tmpvar_95.z = -(s_85);
  highp vec3 tmpvar_96;
  tmpvar_96 = mix ((tmpvar_95 * tmpvar_83.yxz), mix ((tmpvar_93 * tmpvar_83.xzy), (tmpvar_94 * tmpvar_83.zxy), vec3(zxlerp_87)), vec3(nylerp_86));
  uv_84.x = (((0.5 * tmpvar_96.y) / abs(tmpvar_96.x)) + 0.5);
  uv_84.y = (((0.5 * tmpvar_96.z) / abs(tmpvar_96.x)) + 0.5);
  highp vec2 tmpvar_97;
  tmpvar_97 = (uv_84 * _CityOverlayDetailScale);
  highp vec2 tmpvar_98;
  tmpvar_98 = abs((tmpvar_97 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_99;
  tmpvar_99.xy = dFdx(tmpvar_98);
  tmpvar_99.zw = dFdy(tmpvar_98);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_97, tmpvar_99.xy, tmpvar_99.zw);
  tex_82 = tmpvar_100;
  citylightoverlaydetail_2.xyz = tex_82.xyz;
  cityoverlay_4.w = (tmpvar_62.w * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_63.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_82.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_82.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_101;
  lowp float tmpvar_102;
  tmpvar_102 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_103;
  tmpvar_103 = (_LightShadowData.x + (tmpvar_102 * (1.0 - _LightShadowData.x)));
  shadow_101 = tmpvar_103;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = shadow_101;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjoipjhdcemfehifdfpdbpimkoipnppjeabaaaaaaheaiaaaaadaaaaaa
cmaaaaaajmaaaaaagmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcaaahaaaaeaaaabaamaabaaaafjaaaaae
egiocaaaaaaaaaaaagaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaae
egiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaa
abaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaa
acaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
pccabaaaafaaaaaagiaaaaacaeaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaafbccabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaacgbjbaaaabaaaaaajgbebaaa
acaaaaaadcaaaaakhcaabaaaabaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaa
egacbaiaebaaaaaaabaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgbpbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaaaaaaaaaaaeaaaaaa
egiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
baaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaaaeaaaaaaegacbaaa
acaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaadcaaaaalhcaabaaaacaaaaaaegacbaaaacaaaaaapgipcaaaacaaaaaa
beaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaaadaaaaaaegbcbaaaacaaaaaa
egacbaaaacaaaaaabaaaaaahicaabaaaadaaaaaaegbcbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaajgahbaaaadaaaaaajgahbaaaadaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahoccabaaaabaaaaaa
pgapbaaaabaaaaaafgaobaaaadaaaaaabbaaaaahicaabaaaabaaaaaaegbobaaa
aaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegbcbaaaaaaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaebaaaaaaacaaaaaadiaaaaaihcaabaaaacaaaaaa
fgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaacaaaaaa
egiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaacaaaaaadcaaaaak
hcaabaaaacaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaaadaaaaaa
pgapbaaaabaaaaaaegacbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaa
abaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaa
dcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaabaaaaaa
aaaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaacaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaabaaaaaaegbcbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaaiccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaaafaaaaaadiaaaaakncaabaaa
abaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaadp
dgaaaaafmccabaaaafaaaaaakgaobaaaaaaaaaaaaaaaaaahdccabaaaafaaaaaa
kgakbaaaabaaaaaamgaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 c_64;
  vec3 tmpvar_65;
  tmpvar_65 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_20);
  float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_65);
  c_64.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_65 + normalize(xlv_TEXCOORD1))), tmpvar_66), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_64.w = (tmpvar_67 * 4.0);
  float tmpvar_68;
  tmpvar_68 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_69;
  gl_FragData[0] = tmpvar_69;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedpihbfaoibicnpamgcdhpnalmmgealihaabaaaaaameahaaaaadaaaaaa
cmaaaaaajmaaaaaafeabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
laaaaaaaagaaaaaaaiaaaaaajiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaakeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaakeaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaakeaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaakeaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaakeaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcgiagaaaaeaaaabaa
jkabaaaafjaaaaaeegiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaa
abaaaaaafjaaaaaeegiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaa
gfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaa
anaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaelaaaaaf
bccabaaaabaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaacgbjbaaa
abaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaajgbebaaaabaaaaaa
cgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaa
aaaaaaaaaeaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaabaaaaaa
dcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaa
aeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaadcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgipcaaaacaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaa
acaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahccaabaaaacaaaaaa
egbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaajgahbaaaacaaaaaa
jgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
occabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaacaaaaaabbaaaaahicaabaaa
aaaaaaaaegbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaa
aaaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaa
abaaaaaafgifcaaaabaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaa
kgikcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaa
baaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_103);
  lightDir_103 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_104);
  viewDir_104 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_5);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * 4.0);
  lowp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_117;
  tmpvar_117 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_117;
  tmpvar_1 = tmpvar_117;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 684
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 688
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 692
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 696
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 674
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 663
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 684
#line 700
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 700
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 704
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 708
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 712
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 716
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 main_4;
  vec4 color_5;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD2);
  vec2 uv_7;
  float r_8;
  if ((abs(tmpvar_6.z) > (1e-08 * abs(tmpvar_6.x)))) {
    float y_over_x_9;
    y_over_x_9 = (tmpvar_6.x / tmpvar_6.z);
    float s_10;
    float x_11;
    x_11 = (y_over_x_9 * inversesqrt(((y_over_x_9 * y_over_x_9) + 1.0)));
    s_10 = (sign(x_11) * (1.5708 - (sqrt((1.0 - abs(x_11))) * (1.5708 + (abs(x_11) * (-0.214602 + (abs(x_11) * (0.0865667 + (abs(x_11) * -0.0310296)))))))));
    r_8 = s_10;
    if ((tmpvar_6.z < 0.0)) {
      if ((tmpvar_6.x >= 0.0)) {
        r_8 = (s_10 + 3.14159);
      } else {
        r_8 = (r_8 - 3.14159);
      };
    };
  } else {
    r_8 = (sign(tmpvar_6.x) * 1.5708);
  };
  uv_7.x = (0.5 + (0.159155 * r_8));
  uv_7.y = (0.31831 * (1.5708 - (sign(tmpvar_6.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_6.y))) * (1.5708 + (abs(tmpvar_6.y) * (-0.214602 + (abs(tmpvar_6.y) * (0.0865667 + (abs(tmpvar_6.y) * -0.0310296)))))))))));
  vec2 uvCont_12;
  uvCont_12.y = uv_7.y;
  uvCont_12.x = abs((uv_7.x - 0.5));
  main_4 = texture2DGradARB (_MainTex, uv_7, dFdx(uvCont_12), dFdy(uvCont_12));
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD2);
  vec2 uv_14;
  float r_15;
  if ((abs(tmpvar_13.z) > (1e-08 * abs(tmpvar_13.x)))) {
    float y_over_x_16;
    y_over_x_16 = (tmpvar_13.x / tmpvar_13.z);
    float s_17;
    float x_18;
    x_18 = (y_over_x_16 * inversesqrt(((y_over_x_16 * y_over_x_16) + 1.0)));
    s_17 = (sign(x_18) * (1.5708 - (sqrt((1.0 - abs(x_18))) * (1.5708 + (abs(x_18) * (-0.214602 + (abs(x_18) * (0.0865667 + (abs(x_18) * -0.0310296)))))))));
    r_15 = s_17;
    if ((tmpvar_13.z < 0.0)) {
      if ((tmpvar_13.x >= 0.0)) {
        r_15 = (s_17 + 3.14159);
      } else {
        r_15 = (r_15 - 3.14159);
      };
    };
  } else {
    r_15 = (sign(tmpvar_13.x) * 1.5708);
  };
  uv_14.x = (0.5 + (0.159155 * r_15));
  uv_14.y = (0.31831 * (1.5708 - (sign(tmpvar_13.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_13.y))) * (1.5708 + (abs(tmpvar_13.y) * (-0.214602 + (abs(tmpvar_13.y) * (0.0865667 + (abs(tmpvar_13.y) * -0.0310296)))))))))));
  vec2 uvCont_19;
  uvCont_19.y = uv_14.y;
  uvCont_19.x = abs((uv_14.x - 0.5));
  vec3 normal_20;
  normal_20.xy = ((texture2DGradARB (_BumpMap, uv_14, dFdx(uvCont_19), dFdy(uvCont_19)).wy * 2.0) - 1.0);
  normal_20.z = sqrt((1.0 - clamp (dot (normal_20.xy, normal_20.xy), 0.0, 1.0)));
  vec3 tmpvar_21;
  tmpvar_21 = normalize(xlv_TEXCOORD2);
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_21);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((mix (tmpvar_22.x, tmpvar_22.z, tmpvar_23) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (-(tmpvar_21.y), mix (tmpvar_21.x, tmpvar_21.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_21.yzx), mix ((tmpvar_26 * tmpvar_21.xzy), (tmpvar_27 * tmpvar_21.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * tmpvar_29.yz) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - 0.5));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  float tmpvar_33;
  vec4 v_34;
  v_34 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw), vec4(float((tmpvar_25 >= 0.0)))), vec4(tmpvar_23)), vec4(tmpvar_24)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_33 = (((v_34.x + v_34.y) + v_34.z) + v_34.w);
  vec4 tmpvar_35;
  tmpvar_35.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_35.w = tmpvar_33;
  cityoverlay_3.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD2);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_49.xyz;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  vec2 uv_51;
  vec3 tmpvar_52;
  tmpvar_52 = abs(tmpvar_50);
  float tmpvar_53;
  tmpvar_53 = float((tmpvar_52.z >= tmpvar_52.x));
  float tmpvar_54;
  tmpvar_54 = float((max (tmpvar_52.x, tmpvar_52.z) >= tmpvar_52.y));
  float tmpvar_55;
  tmpvar_55 = sign(mix (tmpvar_50.y, mix (tmpvar_50.x, tmpvar_50.z, tmpvar_53), tmpvar_54));
  vec3 tmpvar_56;
  tmpvar_56.xz = vec2(1.0, 1.0);
  tmpvar_56.y = -(tmpvar_55);
  vec3 tmpvar_57;
  tmpvar_57.xz = vec2(1.0, 1.0);
  tmpvar_57.y = tmpvar_55;
  vec3 tmpvar_58;
  tmpvar_58.xy = vec2(1.0, 1.0);
  tmpvar_58.z = -(tmpvar_55);
  vec3 tmpvar_59;
  tmpvar_59 = mix ((tmpvar_58 * tmpvar_50.yxz), mix ((tmpvar_56 * tmpvar_50.xzy), (tmpvar_57 * tmpvar_50.zxy), vec3(tmpvar_53)), vec3(tmpvar_54));
  uv_51.x = (((0.5 * tmpvar_59.y) / abs(tmpvar_59.x)) + 0.5);
  uv_51.y = (((0.5 * tmpvar_59.z) / abs(tmpvar_59.x)) + 0.5);
  vec2 tmpvar_60;
  tmpvar_60 = (uv_51 * _CityOverlayDetailScale);
  vec2 tmpvar_61;
  tmpvar_61 = abs((tmpvar_60 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_62;
  tmpvar_62.xy = dFdx(tmpvar_61);
  tmpvar_62.zw = dFdy(tmpvar_61);
  vec4 tmpvar_63;
  tmpvar_63 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_60, tmpvar_62.xy, tmpvar_62.zw);
  citylightoverlaydetail_1.xyz = tmpvar_63.xyz;
  cityoverlay_3.w = (tmpvar_33 * (1.0 - float((main_4.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_49.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_63.w * cityoverlay_3.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_63.xyz, citylightoverlaydetail_1.www);
  color_5.w = 0.0;
  vec4 tmpvar_64;
  tmpvar_64 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_65;
  vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_20);
  float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_66);
  c_65.xyz = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_66 + normalize(xlv_TEXCOORD1))), tmpvar_67), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_64.x * 4.0));
  c_65.w = (tmpvar_68 * (tmpvar_64.x * 4.0));
  float tmpvar_69;
  tmpvar_69 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_65 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_70;
  tmpvar_70 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_5 = tmpvar_70;
  gl_FragData[0] = tmpvar_70;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  mediump float lightShadowDataX_104;
  highp float dist_105;
  lowp float tmpvar_106;
  tmpvar_106 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_105 = tmpvar_106;
  highp float tmpvar_107;
  tmpvar_107 = _LightShadowData.x;
  lightShadowDataX_104 = tmpvar_107;
  highp float tmpvar_108;
  tmpvar_108 = max (float((dist_105 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_104);
  tmpvar_103 = tmpvar_108;
  mediump vec3 lightDir_109;
  lightDir_109 = xlv_TEXCOORD5;
  mediump vec3 viewDir_110;
  viewDir_110 = xlv_TEXCOORD1;
  mediump float atten_111;
  atten_111 = tmpvar_103;
  mediump vec4 c_112;
  highp float nh_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(lightDir_109);
  lightDir_109 = tmpvar_114;
  mediump vec3 tmpvar_115;
  tmpvar_115 = normalize(viewDir_110);
  viewDir_110 = tmpvar_115;
  mediump vec3 tmpvar_116;
  tmpvar_116 = normalize(normT_5);
  mediump float tmpvar_117;
  tmpvar_117 = dot (tmpvar_116, tmpvar_114);
  mediump float tmpvar_118;
  tmpvar_118 = clamp (dot (normalize((tmpvar_114 + tmpvar_115)), tmpvar_116), 0.0, 1.0);
  nh_113 = tmpvar_118;
  highp vec3 tmpvar_119;
  tmpvar_119 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_117) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_113, _SpecularPower) * _SpecularColor.w))) * (atten_111 * 4.0));
  c_112.xyz = tmpvar_119;
  c_112.w = (tmpvar_117 * (atten_111 * 4.0));
  lowp vec3 tmpvar_120;
  tmpvar_120 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_121;
  lightDir_121 = tmpvar_120;
  mediump vec3 normal_122;
  normal_122 = xlv_TEXCOORD3;
  mediump float tmpvar_123;
  tmpvar_123 = dot (normal_122, lightDir_121);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_112 * mix (1.0, clamp (floor((1.01 + tmpvar_123)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_123)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_124;
  tmpvar_124 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_124;
  tmpvar_1 = tmpvar_124;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  lowp vec3 normal_30;
  normal_30.xy = ((packednormal_29.wy * 2.0) - 1.0);
  normal_30.z = sqrt((1.0 - clamp (dot (normal_30.xy, normal_30.xy), 0.0, 1.0)));
  normT_5 = normal_30;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_104;
  lightDir_104 = xlv_TEXCOORD5;
  mediump vec3 viewDir_105;
  viewDir_105 = xlv_TEXCOORD1;
  mediump float atten_106;
  atten_106 = tmpvar_103;
  mediump vec4 c_107;
  highp float nh_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(lightDir_104);
  lightDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(viewDir_105);
  viewDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(normT_5);
  mediump float tmpvar_112;
  tmpvar_112 = dot (tmpvar_111, tmpvar_109);
  mediump float tmpvar_113;
  tmpvar_113 = clamp (dot (normalize((tmpvar_109 + tmpvar_110)), tmpvar_111), 0.0, 1.0);
  nh_108 = tmpvar_113;
  highp vec3 tmpvar_114;
  tmpvar_114 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_112) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_108, _SpecularPower) * _SpecularColor.w))) * (atten_106 * 4.0));
  c_107.xyz = tmpvar_114;
  c_107.w = (tmpvar_112 * (atten_106 * 4.0));
  lowp vec3 tmpvar_115;
  tmpvar_115 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_116;
  lightDir_116 = tmpvar_115;
  mediump vec3 normal_117;
  normal_117 = xlv_TEXCOORD3;
  mediump float tmpvar_118;
  tmpvar_118 = dot (normal_117, lightDir_116);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_107 * mix (1.0, clamp (floor((1.01 + tmpvar_118)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_118)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_119;
  tmpvar_119 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_119;
  tmpvar_1 = tmpvar_119;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec3 normT_5;
  mediump vec4 color_6;
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec2 tmpvar_15;
  tmpvar_15 = dFdx(uvCont_14);
  highp vec2 tmpvar_16;
  tmpvar_16 = dFdy(uvCont_14);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15, tmpvar_16);
  tex_7 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec2 tmpvar_26;
  tmpvar_26 = dFdx(uvCont_25);
  highp vec2 tmpvar_27;
  tmpvar_27 = dFdy(uvCont_25);
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26, tmpvar_27);
  tex_18 = tmpvar_28;
  lowp vec3 tmpvar_29;
  lowp vec4 packednormal_30;
  packednormal_30 = tex_18;
  tmpvar_29 = ((packednormal_30.xyz * 2.0) - 1.0);
  normT_5 = tmpvar_29;
  mediump vec4 sampzp_31;
  mediump vec4 sampzn_32;
  mediump vec4 sampyp_33;
  mediump vec4 sampyn_34;
  mediump vec4 sampxp_35;
  mediump vec4 sampxn_36;
  highp vec2 uv_37;
  mediump vec3 detailCoords_38;
  mediump float s_39;
  mediump float nylerp_40;
  mediump float zxlerp_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD2);
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_42);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_41 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((mix (tmpvar_43.x, tmpvar_43.z, zxlerp_41) >= tmpvar_43.y));
  nylerp_40 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_41);
  s_39 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (-(tmpvar_42.y), s_39, nylerp_40));
  s_39 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_39);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_39;
  highp vec3 tmpvar_50;
  tmpvar_50 = mix ((tmpvar_48 * tmpvar_42.xzy), (tmpvar_49 * tmpvar_42.zxy), vec3(zxlerp_41));
  detailCoords_38 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_39);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_42.yzx), detailCoords_38, vec3(nylerp_40));
  detailCoords_38 = tmpvar_52;
  mediump vec2 tmpvar_53;
  tmpvar_53 = (((0.5 * detailCoords_38.yz) / abs(detailCoords_38.x)) + 0.5);
  uv_37 = tmpvar_53;
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((uv_37 - 0.5));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (cube_CityOverlayTexxn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxn_36 = tmpvar_56;
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (cube_CityOverlayTexxp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampxp_35 = tmpvar_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (cube_CityOverlayTexyn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyn_34 = tmpvar_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (cube_CityOverlayTexyp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampyp_33 = tmpvar_59;
  lowp vec4 tmpvar_60;
  tmpvar_60 = texture2DGradEXT (cube_CityOverlayTexzn, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzn_32 = tmpvar_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = texture2DGradEXT (cube_CityOverlayTexzp, uv_37, tmpvar_55.xy, tmpvar_55.zw);
  sampzp_31 = tmpvar_61;
  mediump float tmpvar_62;
  mediump vec4 v_63;
  v_63 = (mix (mix (sampyn_34, sampyp_33, vec4(float((s_39 >= 0.0)))), mix (mix (sampxn_36, sampxp_35, vec4(float((s_39 >= 0.0)))), mix (sampzn_32, sampzp_31, vec4(float((s_39 >= 0.0)))), vec4(zxlerp_41)), vec4(nylerp_40)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_62 = (((v_63.x + v_63.y) + v_63.z) + v_63.w);
  mediump vec4 tmpvar_64;
  tmpvar_64.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_64.w = tmpvar_62;
  cityoverlay_4.xyz = tmpvar_64.xyz;
  mediump vec4 tex_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_67;
  mediump float s_68;
  mediump float nylerp_69;
  mediump float zxlerp_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = abs(tmpvar_66);
  highp float tmpvar_72;
  tmpvar_72 = float((tmpvar_71.z >= tmpvar_71.x));
  zxlerp_70 = tmpvar_72;
  highp float tmpvar_73;
  tmpvar_73 = float((max (tmpvar_71.x, tmpvar_71.z) >= tmpvar_71.y));
  nylerp_69 = tmpvar_73;
  highp float tmpvar_74;
  tmpvar_74 = mix (tmpvar_66.x, tmpvar_66.z, zxlerp_70);
  s_68 = tmpvar_74;
  highp float tmpvar_75;
  tmpvar_75 = sign(mix (tmpvar_66.y, s_68, nylerp_69));
  s_68 = tmpvar_75;
  mediump vec3 tmpvar_76;
  tmpvar_76.xz = vec2(1.0, 1.0);
  tmpvar_76.y = -(s_68);
  mediump vec3 tmpvar_77;
  tmpvar_77.xz = vec2(1.0, 1.0);
  tmpvar_77.y = s_68;
  mediump vec3 tmpvar_78;
  tmpvar_78.xy = vec2(1.0, 1.0);
  tmpvar_78.z = -(s_68);
  highp vec3 tmpvar_79;
  tmpvar_79 = mix ((tmpvar_78 * tmpvar_66.yxz), mix ((tmpvar_76 * tmpvar_66.xzy), (tmpvar_77 * tmpvar_66.zxy), vec3(zxlerp_70)), vec3(nylerp_69));
  uv_67.x = (((0.5 * tmpvar_79.y) / abs(tmpvar_79.x)) + 0.5);
  uv_67.y = (((0.5 * tmpvar_79.z) / abs(tmpvar_79.x)) + 0.5);
  highp vec2 tmpvar_80;
  tmpvar_80 = (uv_67 * _CityOverlayDetailScale);
  highp vec2 tmpvar_81;
  tmpvar_81 = abs((tmpvar_80 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_82;
  tmpvar_82.xy = dFdx(tmpvar_81);
  tmpvar_82.zw = dFdy(tmpvar_81);
  lowp vec4 tmpvar_83;
  tmpvar_83 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_80, tmpvar_82.xy, tmpvar_82.zw);
  tex_65 = tmpvar_83;
  citydarkoverlaydetail_3.xyz = tex_65.xyz;
  mediump vec4 tex_84;
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_86;
  mediump float s_87;
  mediump float nylerp_88;
  mediump float zxlerp_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = abs(tmpvar_85);
  highp float tmpvar_91;
  tmpvar_91 = float((tmpvar_90.z >= tmpvar_90.x));
  zxlerp_89 = tmpvar_91;
  highp float tmpvar_92;
  tmpvar_92 = float((max (tmpvar_90.x, tmpvar_90.z) >= tmpvar_90.y));
  nylerp_88 = tmpvar_92;
  highp float tmpvar_93;
  tmpvar_93 = mix (tmpvar_85.x, tmpvar_85.z, zxlerp_89);
  s_87 = tmpvar_93;
  highp float tmpvar_94;
  tmpvar_94 = sign(mix (tmpvar_85.y, s_87, nylerp_88));
  s_87 = tmpvar_94;
  mediump vec3 tmpvar_95;
  tmpvar_95.xz = vec2(1.0, 1.0);
  tmpvar_95.y = -(s_87);
  mediump vec3 tmpvar_96;
  tmpvar_96.xz = vec2(1.0, 1.0);
  tmpvar_96.y = s_87;
  mediump vec3 tmpvar_97;
  tmpvar_97.xy = vec2(1.0, 1.0);
  tmpvar_97.z = -(s_87);
  highp vec3 tmpvar_98;
  tmpvar_98 = mix ((tmpvar_97 * tmpvar_85.yxz), mix ((tmpvar_95 * tmpvar_85.xzy), (tmpvar_96 * tmpvar_85.zxy), vec3(zxlerp_89)), vec3(nylerp_88));
  uv_86.x = (((0.5 * tmpvar_98.y) / abs(tmpvar_98.x)) + 0.5);
  uv_86.y = (((0.5 * tmpvar_98.z) / abs(tmpvar_98.x)) + 0.5);
  highp vec2 tmpvar_99;
  tmpvar_99 = (uv_86 * _CityOverlayDetailScale);
  highp vec2 tmpvar_100;
  tmpvar_100 = abs((tmpvar_99 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_101;
  tmpvar_101.xy = dFdx(tmpvar_100);
  tmpvar_101.zw = dFdy(tmpvar_100);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_99, tmpvar_101.xy, tmpvar_101.zw);
  tex_84 = tmpvar_102;
  citylightoverlaydetail_2.xyz = tex_84.xyz;
  cityoverlay_4.w = (tmpvar_62 * (1.0 - float((tex_7.w >= 1.0))));
  citydarkoverlaydetail_3.w = (tex_65.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_84.w * cityoverlay_4.w);
  color_6.xyz = mix (vec3(0.0, 0.0, 0.0), tex_84.xyz, citylightoverlaydetail_2.www);
  color_6.w = 0.0;
  lowp float shadow_103;
  lowp float tmpvar_104;
  tmpvar_104 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD6.xyz);
  highp float tmpvar_105;
  tmpvar_105 = (_LightShadowData.x + (tmpvar_104 * (1.0 - _LightShadowData.x)));
  shadow_103 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = shadow_103;
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_5);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((color_6.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_121;
  tmpvar_121 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_6 = tmpvar_121;
  tmpvar_1 = tmpvar_121;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 693
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 697
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 701
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 705
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 682
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
uniform sampler2D _BumpMap;
#line 671
uniform highp float _DetailDist;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 693
#line 710
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 710
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    mediump vec4 main = GetCubeMap( _MainTex, IN.sphereNormal);
    #line 714
    mediump vec3 normT = UnpackNormal( GetCubeMap( _BumpMap, IN.sphereNormal));
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 718
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 722
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 726
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

}
Program "fp" {
// Fragment combos: 120
//   d3d9 - ALU: 117 to 165, TEX: 13 to 31
//   d3d11 - ALU: 97 to 133, TEX: 0 to 2, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 117 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r2.y, r0.z
max r0.w, r1.x, r2.y
abs r2.z, r0.y
min r1.w, r1.x, r2.y
rcp r0.w, r0.w
mul r2.x, r1.w, r0.w
mul r1.w, r2.x, r2.x
mad r0.w, r1, c4.z, c4
mad r0.w, r0, r1, c5.x
mad r0.w, r0, r1, c5.y
mad r0.w, r0, r1, c5.z
mad r0.w, r0, r1, c5
mul r1.w, r0, r2.x
add r2.x, r1, -r2.y
add r0.w, -r1, c6.x
cmp r1.w, -r2.x, r1, r0
add r0.w, -r1, c4.x
cmp r0.w, r0.z, r1, r0
add r2.x, -r2.z, c2
mad r2.y, r2.z, c3.x, c3
mad r2.y, r2, r2.z, c2.w
mad r2.y, r2, r2.z, c3.z
cmp r0.w, r0.x, r0, -r0
mul r0.w, r0, c6.y
rsq r2.x, r2.x
rcp r2.x, r2.x
mul r2.y, r2, r2.x
cmp r2.z, r0.y, c2.y, c2.x
mul r2.x, r2.z, r2.y
mad r1.w, -r2.x, c3, r2.y
mad r1.w, r2.z, c4.x, r1
mul r2.y, r1.w, c4
max r1.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r2.x, r0.w, c2.z
abs r3.z, r0.w
mov r3.w, r2.y
dsx r3.xy, r3.zwzw
dsy r3.zw, r3
cmp r2.z, r1.x, c2.x, c2.y
add r0.w, r0.z, -r0.x
mad r0.w, r2.z, r0, r0.x
add r1.x, -r0.y, r0.w
add r1.y, r1.w, -r1
cmp r0.w, r1.y, c2.x, c2.y
mad r1.y, r0.w, r1.x, r0
cmp r1.x, r1.y, c2.y, c2
cmp r1.y, -r1, c2, c2.x
add r1.w, r1.y, -r1.x
texldd r6.yw, r2, s1, r3, r3.zwzw
mov r1.y, r1.w
mov r1.xz, c2.x
mov r6.z, -r1.w
mov r4.y, -r1.w
mov r4.xz, c2.x
mul r4.xyz, r0.xzyw, r4
mad r5.xyz, r0.zxyw, r1, -r4
mad_pp r1.xy, r6.wyzw, c6.w, c6.z
mad r5.xyz, r2.z, r5, r4
mov r6.xy, c2.x
mul r4.xyz, r0.yxzw, r6
mad r0.xyz, r0.yxzw, -r6, r5
mad r0.xyz, r0.w, r0, r4
abs r0.w, r0.x
rcp r0.w, r0.w
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.x, r1.z, r1.w
mul r0.y, r0, r0.w
mul r0.z, r0, r0.w
mad r1.z, r0.y, c2, c2
mad r1.w, r0.z, c2.z, c2.z
add_pp r0.x, -r0, c2
mul r2.zw, r1, c1.x
mov r0.y, c1.x
mad r1.zw, c2.z, -r0.y, r2
rsq_pp r0.z, r0.x
abs r0.xy, r1.zwzw
rcp_pp r1.z, r0.z
dp3_pp r5.x, r1, r1
rsq_pp r5.x, r5.x
dp4_pp r1.w, c0, c0
mul_pp r1.xyz, r5.x, r1
rsq_pp r1.w, r1.w
mul_pp r5.xyz, r1.w, c0
dp3_pp r5.w, v2, r5
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r5.xyz, r1.w, v3
dp3_pp r1.z, r1, r5
add_pp r6.x, r5.w, c7.y
frc_pp r1.w, r6.x
add_pp_sat r1.x, r6, -r1.w
texldd r1.w, r2, s0, r3, r3.zwzw
dsy r4.xy, r0
dsx r4.zw, r0.xyxy
texldd r0, r2.zwzw, s3, r4.zwzw, r4
mul_pp_sat r1.y, -r5.w, c7.x
add_pp r1.x, r1, c6.z
mad_pp r1.x, r1.y, r1, c2
add_pp r1.y, r1.w, c6.z
mul_pp r1.x, r1.z, r1
cmp_pp r1.y, r1, c2.x, c2
mul_pp_sat r1.x, r1, c7.z
texldd r1.w, r2, s2, r3, r3.zwzw
add_pp r1.y, -r1, c2.x
mul_pp r2.y, r1.w, r1
add_pp r1.x, -r1, c2
mul_pp r0.w, r0, r2.y
mul_pp r2.x, r0.w, r1
texldd r1, r2.zwzw, s4, r4.zwzw, r4
mul_pp r1.w, r2.y, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp oC0, r2.x, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 117 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r2.y, r0.z
max r0.w, r1.x, r2.y
abs r2.z, r0.y
min r1.w, r1.x, r2.y
rcp r0.w, r0.w
mul r2.x, r1.w, r0.w
mul r1.w, r2.x, r2.x
mad r0.w, r1, c4.z, c4
mad r0.w, r0, r1, c5.x
mad r0.w, r0, r1, c5.y
mad r0.w, r0, r1, c5.z
mad r0.w, r0, r1, c5
mul r1.w, r0, r2.x
add r2.x, r1, -r2.y
add r0.w, -r1, c6.x
cmp r1.w, -r2.x, r1, r0
add r0.w, -r1, c4.x
cmp r0.w, r0.z, r1, r0
add r2.x, -r2.z, c2
mad r2.y, r2.z, c3.x, c3
mad r2.y, r2, r2.z, c2.w
mad r2.y, r2, r2.z, c3.z
cmp r0.w, r0.x, r0, -r0
mul r0.w, r0, c6.y
rsq r2.x, r2.x
rcp r2.x, r2.x
mul r2.y, r2, r2.x
cmp r2.z, r0.y, c2.y, c2.x
mul r2.x, r2.z, r2.y
mad r1.w, -r2.x, c3, r2.y
mad r1.w, r2.z, c4.x, r1
mul r2.y, r1.w, c4
max r1.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r2.x, r0.w, c2.z
abs r3.z, r0.w
mov r3.w, r2.y
dsx r3.xy, r3.zwzw
dsy r3.zw, r3
cmp r2.z, r1.x, c2.x, c2.y
add r0.w, r0.z, -r0.x
mad r0.w, r2.z, r0, r0.x
add r1.x, -r0.y, r0.w
add r1.y, r1.w, -r1
cmp r0.w, r1.y, c2.x, c2.y
mad r1.y, r0.w, r1.x, r0
cmp r1.x, r1.y, c2.y, c2
cmp r1.y, -r1, c2, c2.x
add r1.w, r1.y, -r1.x
texldd r6.yw, r2, s1, r3, r3.zwzw
mov r1.y, r1.w
mov r1.xz, c2.x
mov r6.z, -r1.w
mov r4.y, -r1.w
mov r4.xz, c2.x
mul r4.xyz, r0.xzyw, r4
mad r5.xyz, r0.zxyw, r1, -r4
mad_pp r1.xy, r6.wyzw, c6.w, c6.z
mad r5.xyz, r2.z, r5, r4
mov r6.xy, c2.x
mul r4.xyz, r0.yxzw, r6
mad r0.xyz, r0.yxzw, -r6, r5
mad r0.xyz, r0.w, r0, r4
abs r0.w, r0.x
rcp r0.w, r0.w
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.x, r1.z, r1.w
mul r0.y, r0, r0.w
mul r0.z, r0, r0.w
mad r1.z, r0.y, c2, c2
mad r1.w, r0.z, c2.z, c2.z
add_pp r0.x, -r0, c2
mul r2.zw, r1, c1.x
mov r0.y, c1.x
mad r1.zw, c2.z, -r0.y, r2
rsq_pp r0.z, r0.x
abs r0.xy, r1.zwzw
rcp_pp r1.z, r0.z
dp3_pp r5.x, r1, r1
rsq_pp r5.x, r5.x
dp4_pp r1.w, c0, c0
mul_pp r1.xyz, r5.x, r1
rsq_pp r1.w, r1.w
mul_pp r5.xyz, r1.w, c0
dp3_pp r5.w, v2, r5
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r5.xyz, r1.w, v3
dp3_pp r1.z, r1, r5
add_pp r6.x, r5.w, c7.y
frc_pp r1.w, r6.x
add_pp_sat r1.x, r6, -r1.w
texldd r1.w, r2, s0, r3, r3.zwzw
dsy r4.xy, r0
dsx r4.zw, r0.xyxy
texldd r0, r2.zwzw, s3, r4.zwzw, r4
mul_pp_sat r1.y, -r5.w, c7.x
add_pp r1.x, r1, c6.z
mad_pp r1.x, r1.y, r1, c2
add_pp r1.y, r1.w, c6.z
mul_pp r1.x, r1.z, r1
cmp_pp r1.y, r1, c2.x, c2
mul_pp_sat r1.x, r1, c7.z
texldd r1.w, r2, s2, r3, r3.zwzw
add_pp r1.y, -r1, c2.x
mul_pp r2.y, r1.w, r1
add_pp r1.x, -r1, c2
mul_pp r0.w, r0, r2.y
mul_pp r2.x, r0.w, r1
texldd r1, r2.zwzw, s4, r4.zwzw, r4
mul_pp r1.w, r2.y, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp oC0, r2.x, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 117 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r2.y, r0.z
max r0.w, r1.x, r2.y
abs r2.z, r0.y
min r1.w, r1.x, r2.y
rcp r0.w, r0.w
mul r2.x, r1.w, r0.w
mul r1.w, r2.x, r2.x
mad r0.w, r1, c4.z, c4
mad r0.w, r0, r1, c5.x
mad r0.w, r0, r1, c5.y
mad r0.w, r0, r1, c5.z
mad r0.w, r0, r1, c5
mul r1.w, r0, r2.x
add r2.x, r1, -r2.y
add r0.w, -r1, c6.x
cmp r1.w, -r2.x, r1, r0
add r0.w, -r1, c4.x
cmp r0.w, r0.z, r1, r0
add r2.x, -r2.z, c2
mad r2.y, r2.z, c3.x, c3
mad r2.y, r2, r2.z, c2.w
mad r2.y, r2, r2.z, c3.z
cmp r0.w, r0.x, r0, -r0
mul r0.w, r0, c6.y
rsq r2.x, r2.x
rcp r2.x, r2.x
mul r2.y, r2, r2.x
cmp r2.z, r0.y, c2.y, c2.x
mul r2.x, r2.z, r2.y
mad r1.w, -r2.x, c3, r2.y
mad r1.w, r2.z, c4.x, r1
mul r2.y, r1.w, c4
max r1.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r2.x, r0.w, c2.z
abs r3.z, r0.w
mov r3.w, r2.y
dsx r3.xy, r3.zwzw
dsy r3.zw, r3
cmp r2.z, r1.x, c2.x, c2.y
add r0.w, r0.z, -r0.x
mad r0.w, r2.z, r0, r0.x
add r1.x, -r0.y, r0.w
add r1.y, r1.w, -r1
cmp r0.w, r1.y, c2.x, c2.y
mad r1.y, r0.w, r1.x, r0
cmp r1.x, r1.y, c2.y, c2
cmp r1.y, -r1, c2, c2.x
add r1.w, r1.y, -r1.x
texldd r6.yw, r2, s1, r3, r3.zwzw
mov r1.y, r1.w
mov r1.xz, c2.x
mov r6.z, -r1.w
mov r4.y, -r1.w
mov r4.xz, c2.x
mul r4.xyz, r0.xzyw, r4
mad r5.xyz, r0.zxyw, r1, -r4
mad_pp r1.xy, r6.wyzw, c6.w, c6.z
mad r5.xyz, r2.z, r5, r4
mov r6.xy, c2.x
mul r4.xyz, r0.yxzw, r6
mad r0.xyz, r0.yxzw, -r6, r5
mad r0.xyz, r0.w, r0, r4
abs r0.w, r0.x
rcp r0.w, r0.w
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.x, r1.z, r1.w
mul r0.y, r0, r0.w
mul r0.z, r0, r0.w
mad r1.z, r0.y, c2, c2
mad r1.w, r0.z, c2.z, c2.z
add_pp r0.x, -r0, c2
mul r2.zw, r1, c1.x
mov r0.y, c1.x
mad r1.zw, c2.z, -r0.y, r2
rsq_pp r0.z, r0.x
abs r0.xy, r1.zwzw
rcp_pp r1.z, r0.z
dp3_pp r5.x, r1, r1
rsq_pp r5.x, r5.x
dp4_pp r1.w, c0, c0
mul_pp r1.xyz, r5.x, r1
rsq_pp r1.w, r1.w
mul_pp r5.xyz, r1.w, c0
dp3_pp r5.w, v2, r5
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r5.xyz, r1.w, v3
dp3_pp r1.z, r1, r5
add_pp r6.x, r5.w, c7.y
frc_pp r1.w, r6.x
add_pp_sat r1.x, r6, -r1.w
texldd r1.w, r2, s0, r3, r3.zwzw
dsy r4.xy, r0
dsx r4.zw, r0.xyxy
texldd r0, r2.zwzw, s3, r4.zwzw, r4
mul_pp_sat r1.y, -r5.w, c7.x
add_pp r1.x, r1, c6.z
mad_pp r1.x, r1.y, r1, c2
add_pp r1.y, r1.w, c6.z
mul_pp r1.x, r1.z, r1
cmp_pp r1.y, r1, c2.x, c2
mul_pp_sat r1.x, r1, c7.z
texldd r1.w, r2, s2, r3, r3.zwzw
add_pp r1.y, -r1, c2.x
mul_pp r2.y, r1.w, r1
add_pp r1.x, -r1, c2
mul_pp r0.w, r0, r2.y
mul_pp r2.x, r0.w, r1
texldd r1, r2.zwzw, s4, r4.zwzw, r4
mul_pp r1.w, r2.y, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp oC0, r2.x, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r0.xyz, r2
abs r0.w, r2.z
max r1.x, r0, r0.w
rcp r1.y, r1.x
min r1.x, r0, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r0.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r2.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r2, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r2.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
cmp r1.y, r2.x, r1.z, -r1.z
mad r0.w, r0, c4.x, r1.x
mul r1.z, r0.w, c4.y
mul r1.x, r1.y, c6.y
add r3.x, r1, c2.z
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r3.z, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3, r0, r2.x
mov r1.y, r1.z
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
mov r3.y, r1.z
add r0.y, -r2, r0.z
cmp r1.w, r0.x, c2.x, c2.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.z, r0.x, c2.y, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.z
texldd r0.yw, r3, s1, r5, r5.zwzw
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
mov r4.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r4.xz, c2.x
mad r4.xyz, r2.zxyw, r4, -r1
mad r4.xyz, r3.z, r4, r1
mov r1.z, -r2.w
mov r1.xy, c2.x
mul r6.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r4
mad r1.xyz, r1.w, r1, r6
abs r0.z, r1.x
rcp r0.z, r0.z
add_pp r0.w, -r0, c2.x
rsq_pp r1.w, r0.w
mul r0.w, r1.z, r0.z
mul r1.x, r1.y, r0.z
dp4_pp r2.x, c0, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, c0
mad r0.z, r1.x, c2, c2
mad r0.w, r0, c2.z, c2.z
mul r3.zw, r0, c1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r3.zwzw
abs r1.xy, r1
rcp_pp r0.z, r1.w
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp r0.w, v3, v3
dsy r4.zw, r1.xyxy
dsx r4.xy, r1
texldd r1, r3.zwzw, s3, r4, r4.zwzw
dp3_pp r2.w, v2, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.y, r0, r2
add_pp r0.w, r2, c7.y
texldp r0.x, v4, s5
mul_pp r0.x, r0, r0.y
frc_pp r0.z, r0.w
add_pp_sat r0.y, r0.w, -r0.z
add_pp r0.z, r0.y, c6
mul_pp_sat r0.y, -r2.w, c7.x
mad_pp r0.z, r0.y, r0, c2.x
texldd r0.w, r3, s0, r5, r5.zwzw
add_pp r0.y, r0.w, c6.z
mul_pp r0.z, r0.x, r0
cmp_pp r0.x, r0.y, c2, c2.y
mul_pp_sat r0.y, r0.z, c7.z
add_pp r0.x, -r0, c2
texldd r0.w, r3, s2, r5, r5.zwzw
mul_pp r2.x, r0.w, r0
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r0, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3.zwzw, s4, r4, r4.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedohijnpblgcbblmbojhbpnpnajmcoiokdabaaaaaadmbaaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaalmaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaalmaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaalmaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apalaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcaeapaaaaeaaaaaaambadaaaa
fjaaaaaeegiocaaaaaaaaaaabdaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaa
afaaaaaaffffaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadlcbabaaaafaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaah
ocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaacaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaddaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaochgdidodcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaa
fgahbaaaaaaaaaaafgahbaiaebaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadeaaaaahicaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabaaaaahccaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaa
dhaaaaakbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
idpjccdodcaaaaajbcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdgaaaaagbcaabaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
alaaaaafbcaabaaaadaaaaaaakaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdp
aaaaaaaiecaabaaaacaaaaaadkaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
ckaabaaaabaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaa
acaaaaaaamaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaegaabaaa
adaaaaaaegaabaaaabaaaaaabnaaaaahecaabaaaabaaaaaadkaabaaaaeaaaaaa
abeaaaaaaaaaiadpdhaaaaajecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaa
aaaaaaaaabeaaaaaaaaaiadpejaaaaanpcaabaaaaeaaaaaaegaabaaaacaaaaaa
eghobaaaacaaaaaaaagabaaaabaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaacaaaaaaeghobaaaabaaaaaaaagabaaa
adaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaadcaaaaapdcaabaaaacaaaaaa
hgapbaaaacaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaa
aaaaialpaaaaialpaaaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaa
abaaaaaadkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaackbabaaaacaaaaaa
akaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaabnaaaaajecaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaaabaaaaaa
ckaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaabkbabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaabkaabaaaabaaaaaa
deaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaabnaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaadkaabaiaibaaaaaa
aaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaaaaaaaaabkaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaa
aaaaaaaadbaaaaahicaabaaaabaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaa
dbaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaaaaaaaaadkaabaiaebaaaaaaabaaaaaaakaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaaaaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaaaaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajhcaabaaaadaaaaaakgakbaaaabaaaaaa
egacbaaaadaaaaaajgaebaaaafaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaaaaaaaaaegacbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaafgafbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaa
fgifcaaaaaaaaaaabcaaaaaadcaaaaaomcaabaaaaaaaaaaafgifcaiaebaaaaaa
aaaaaaaabcaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
aaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaaf
gcaabaaaabaaaaaakgalbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaa
aaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaa
aagabaaaaeaaaaaajgafbaaaabaaaaaaogakbaaaaaaaaaaaejaaaaanpcaabaaa
aaaaaaaaegaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaafaaaaaajgafbaaa
abaaaaaaogakbaaaaaaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaadkaabaaa
aaaaaaaaapaaaaahbcaabaaaabaaaaaaegaabaaaacaaaaaaegaabaaaacaaaaaa
ddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaacaaaaaaakaabaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahncaabaaaabaaaaaaagaabaaaabaaaaaaagajbaaaacaaaaaabaaaaaah
bcaabaaaacaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahhcaabaaaacaaaaaaagaabaaaacaaaaaa
egbcbaaaaeaaaaaabaaaaaahbcaabaaaabaaaaaaigadbaaaabaaaaaaegacbaaa
acaaaaaaaoaaaaahmcaabaaaabaaaaaaagbebaaaafaaaaaapgbpbaaaafaaaaaa
efaaaaajpcaabaaaacaaaaaaogakbaaaabaaaaaaeghobaaaafaaaaaaaagabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaa
diaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeabbaaaaaj
ecaabaaaabaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaa
eeaaaaafecaabaaaabaaaaaackaabaaaabaaaaaadiaaaaaihcaabaaaacaaaaaa
kgakbaaaabaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahecaabaaaabaaaaaa
egbcbaaaadaaaaaaegacbaaaacaaaaaaaaaaaaahicaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaakoehibdpdicaaaahecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaacambebcaaaaficaabaaaabaaaaaadkaabaaaabaaaaaaaaaaaaah
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajecaabaaa
abaaaaaackaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdicaaaah
bcaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaaibcaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaa
adaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaiaebaaaaaaaaaaaaaaegaobaaaadaaaaaadcaaaaajpccabaaaaaaaaaaa
pgapbaaaadaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r0.xyz, r2
abs r0.w, r2.z
max r1.x, r0, r0.w
rcp r1.y, r1.x
min r1.x, r0, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r0.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r2.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r2, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r2.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
cmp r1.y, r2.x, r1.z, -r1.z
mad r0.w, r0, c4.x, r1.x
mul r1.z, r0.w, c4.y
mul r1.x, r1.y, c6.y
add r3.x, r1, c2.z
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r3.z, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3, r0, r2.x
mov r1.y, r1.z
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
mov r3.y, r1.z
add r0.y, -r2, r0.z
cmp r1.w, r0.x, c2.x, c2.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.z, r0.x, c2.y, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.z
texldd r0.yw, r3, s1, r5, r5.zwzw
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
mov r4.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r4.xz, c2.x
mad r4.xyz, r2.zxyw, r4, -r1
mad r4.xyz, r3.z, r4, r1
mov r1.z, -r2.w
mov r1.xy, c2.x
mul r6.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r4
mad r1.xyz, r1.w, r1, r6
abs r0.z, r1.x
rcp r0.z, r0.z
add_pp r0.w, -r0, c2.x
rsq_pp r1.w, r0.w
mul r0.w, r1.z, r0.z
mul r1.x, r1.y, r0.z
dp4_pp r2.x, c0, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, c0
mad r0.z, r1.x, c2, c2
mad r0.w, r0, c2.z, c2.z
mul r3.zw, r0, c1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r3.zwzw
abs r1.xy, r1
rcp_pp r0.z, r1.w
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp r0.w, v3, v3
dsy r4.zw, r1.xyxy
dsx r4.xy, r1
texldd r1, r3.zwzw, s3, r4, r4.zwzw
dp3_pp r2.w, v2, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.y, r0, r2
add_pp r0.w, r2, c7.y
texldp r0.x, v4, s5
mul_pp r0.x, r0, r0.y
frc_pp r0.z, r0.w
add_pp_sat r0.y, r0.w, -r0.z
add_pp r0.z, r0.y, c6
mul_pp_sat r0.y, -r2.w, c7.x
mad_pp r0.z, r0.y, r0, c2.x
texldd r0.w, r3, s0, r5, r5.zwzw
add_pp r0.y, r0.w, c6.z
mul_pp r0.z, r0.x, r0
cmp_pp r0.x, r0.y, c2, c2.y
mul_pp_sat r0.y, r0.z, c7.z
add_pp r0.x, -r0, c2
texldd r0.w, r3, s2, r5, r5.zwzw
mul_pp r2.x, r0.w, r0
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r0, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3.zwzw, s4, r4, r4.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r0.xyz, r2
abs r0.w, r2.z
max r1.x, r0, r0.w
rcp r1.y, r1.x
min r1.x, r0, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r0.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r2.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r2, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r2.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
cmp r1.y, r2.x, r1.z, -r1.z
mad r0.w, r0, c4.x, r1.x
mul r1.z, r0.w, c4.y
mul r1.x, r1.y, c6.y
add r3.x, r1, c2.z
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r3.z, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3, r0, r2.x
mov r1.y, r1.z
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
mov r3.y, r1.z
add r0.y, -r2, r0.z
cmp r1.w, r0.x, c2.x, c2.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.z, r0.x, c2.y, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.z
texldd r0.yw, r3, s1, r5, r5.zwzw
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
mov r4.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r4.xz, c2.x
mad r4.xyz, r2.zxyw, r4, -r1
mad r4.xyz, r3.z, r4, r1
mov r1.z, -r2.w
mov r1.xy, c2.x
mul r6.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r4
mad r1.xyz, r1.w, r1, r6
abs r0.z, r1.x
rcp r0.z, r0.z
add_pp r0.w, -r0, c2.x
rsq_pp r1.w, r0.w
mul r0.w, r1.z, r0.z
mul r1.x, r1.y, r0.z
dp4_pp r2.x, c0, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, c0
mad r0.z, r1.x, c2, c2
mad r0.w, r0, c2.z, c2.z
mul r3.zw, r0, c1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r3.zwzw
abs r1.xy, r1
rcp_pp r0.z, r1.w
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp r0.w, v3, v3
dsy r4.zw, r1.xyxy
dsx r4.xy, r1
texldd r1, r3.zwzw, s3, r4, r4.zwzw
dp3_pp r2.w, v2, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, v3
dp3_pp r0.y, r0, r2
add_pp r0.w, r2, c7.y
texldp r0.x, v4, s5
mul_pp r0.x, r0, r0.y
frc_pp r0.z, r0.w
add_pp_sat r0.y, r0.w, -r0.z
add_pp r0.z, r0.y, c6
mul_pp_sat r0.y, -r2.w, c7.x
mad_pp r0.z, r0.y, r0, c2.x
texldd r0.w, r3, s0, r5, r5.zwzw
add_pp r0.y, r0.w, c6.z
mul_pp r0.z, r0.x, r0
cmp_pp r0.x, r0.y, c2, c2.y
mul_pp_sat r0.y, r0.z, c7.z
add_pp r0.x, -r0, c2
texldd r0.w, r3, s2, r5, r5.zwzw
mul_pp r2.x, r0.w, r0
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r0, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3.zwzw, s4, r4, r4.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
abs r0.w, r1.z
max r1.w, r0.x, r0
rcp r2.x, r1.w
min r1.w, r0.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r0.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r1.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r1, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
add r4.x, r1.w, c2.z
mov r2.y, r0.w
abs r2.x, r1.w
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
mov r4.y, r0.w
texldd r2.yw, r4, s1, r4.zwzw, r5
mad_pp r2.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r0.w, r2.z, r2
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c2.x, c2.y
mad r0.x, r0.w, r0.y, r1.y
dp3_pp r0.z, r2, r2
cmp r0.y, r0.x, c2, c2.x
rsq_pp r3.w, r0.z
mul_pp r2.xyz, r3.w, r2
cmp r0.x, -r0, c2.y, c2
add r1.w, r0.x, -r0.y
texldd r3.w, r4, s0, r4.zwzw, r5
mov r0.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov r0.z, -r1.w
mov r0.xy, c2.x
mad r3.xyz, r1.yxzw, -r0, r3
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r3, r0
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, v3
dp3_pp r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
dp4_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mad r1.w, r0.z, c2.z, c2.z
dp3_pp r0.z, v2, r1
mul r0.x, r0.y, r0
add_pp r0.y, r0.z, c7
mad r1.z, r0.x, c2, c2
frc_pp r0.x, r0.y
add_pp_sat r1.x, r0.y, -r0
mul r2.xy, r1.zwzw, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r3.xy, r0
dsx r2.zw, r0.xyxy
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r0.z, r0, r1.x, c2.x
mul_pp r1.x, r0.w, r0.z
mul_pp_sat r3.z, r1.x, c7
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1, r1, c2.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r3.w, r3, c6.z
cmp_pp r1.y, r3.w, c2.x, c2
add_pp r1.x, r1, r1.w
add_pp r1.y, -r1, c2.x
mul_pp r3.w, r1.x, r1.y
texldd r0, r2, s3, r2.zwzw, r3
add_pp r1.x, -r3.z, c2
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp oC0, r3.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
abs r0.w, r1.z
max r1.w, r0.x, r0
rcp r2.x, r1.w
min r1.w, r0.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r0.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r1.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r1, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
add r4.x, r1.w, c2.z
mov r2.y, r0.w
abs r2.x, r1.w
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
mov r4.y, r0.w
texldd r2.yw, r4, s1, r4.zwzw, r5
mad_pp r2.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r0.w, r2.z, r2
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c2.x, c2.y
mad r0.x, r0.w, r0.y, r1.y
dp3_pp r0.z, r2, r2
cmp r0.y, r0.x, c2, c2.x
rsq_pp r3.w, r0.z
mul_pp r2.xyz, r3.w, r2
cmp r0.x, -r0, c2.y, c2
add r1.w, r0.x, -r0.y
texldd r3.w, r4, s0, r4.zwzw, r5
mov r0.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov r0.z, -r1.w
mov r0.xy, c2.x
mad r3.xyz, r1.yxzw, -r0, r3
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r3, r0
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, v3
dp3_pp r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
dp4_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mad r1.w, r0.z, c2.z, c2.z
dp3_pp r0.z, v2, r1
mul r0.x, r0.y, r0
add_pp r0.y, r0.z, c7
mad r1.z, r0.x, c2, c2
frc_pp r0.x, r0.y
add_pp_sat r1.x, r0.y, -r0
mul r2.xy, r1.zwzw, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r3.xy, r0
dsx r2.zw, r0.xyxy
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r0.z, r0, r1.x, c2.x
mul_pp r1.x, r0.w, r0.z
mul_pp_sat r3.z, r1.x, c7
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1, r1, c2.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r3.w, r3, c6.z
cmp_pp r1.y, r3.w, c2.x, c2
add_pp r1.x, r1, r1.w
add_pp r1.y, -r1, c2.x
mul_pp r3.w, r1.x, r1.y
texldd r0, r2, s3, r2.zwzw, r3
add_pp r1.x, -r3.z, c2
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp oC0, r3.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
abs r0.w, r1.z
max r1.w, r0.x, r0
rcp r2.x, r1.w
min r1.w, r0.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r0.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r1.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r1, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
add r4.x, r1.w, c2.z
mov r2.y, r0.w
abs r2.x, r1.w
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
mov r4.y, r0.w
texldd r2.yw, r4, s1, r4.zwzw, r5
mad_pp r2.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r0.w, r2.z, r2
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c2.x, c2.y
mad r0.x, r0.w, r0.y, r1.y
dp3_pp r0.z, r2, r2
cmp r0.y, r0.x, c2, c2.x
rsq_pp r3.w, r0.z
mul_pp r2.xyz, r3.w, r2
cmp r0.x, -r0, c2.y, c2
add r1.w, r0.x, -r0.y
texldd r3.w, r4, s0, r4.zwzw, r5
mov r0.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov r0.z, -r1.w
mov r0.xy, c2.x
mad r3.xyz, r1.yxzw, -r0, r3
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r3, r0
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, v3
dp3_pp r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
dp4_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mad r1.w, r0.z, c2.z, c2.z
dp3_pp r0.z, v2, r1
mul r0.x, r0.y, r0
add_pp r0.y, r0.z, c7
mad r1.z, r0.x, c2, c2
frc_pp r0.x, r0.y
add_pp_sat r1.x, r0.y, -r0
mul r2.xy, r1.zwzw, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r3.xy, r0
dsx r2.zw, r0.xyxy
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r0.z, r0, r1.x, c2.x
mul_pp r1.x, r0.w, r0.z
mul_pp_sat r3.z, r1.x, c7
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1, r1, c2.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r3.w, r3, c6.z
cmp_pp r1.y, r3.w, c2.x, c2
add_pp r1.x, r1, r1.w
add_pp r1.y, -r1, c2.x
mul_pp r3.w, r1.x, r1.y
texldd r0, r2, s3, r2.zwzw, r3
add_pp r1.x, -r3.z, c2
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp oC0, r3.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
abs r0.x, r2.z
max r0.y, r1.x, r0.x
rcp r0.z, r0.y
min r0.y, r1.x, r0.x
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
mad r0.w, r0.z, c4.z, c4
mad r0.w, r0, r0.z, c5.x
mad r0.w, r0, r0.z, c5.y
mad r0.w, r0, r0.z, c5.z
mad r0.z, r0.w, r0, c5.w
mul r0.y, r0.z, r0
add r0.z, -r0.y, c6.x
add r0.x, r1, -r0
cmp r0.w, -r0.x, r0.y, r0.z
abs r0.x, r2.y
add r1.w, -r0, c4.x
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r2.z, r0, r1
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r2.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r2.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r5.x, r0.w, c2.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
mov r5.y, r0.z
texldd r0.yw, r5, s1, r5.zwzw, r6
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
add_pp r0.z, -r0, c2.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r1.w, r0, r0
add r1.z, r2, -r2.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r2
rsq_pp r1.z, r1.w
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r2.y, r1
mad r1.x, r0.w, r1, r2.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
texldp r0.x, v4, s5
mul_pp r0.w, r0.x, r3
abs r0.x, r1
rcp r1.x, r0.x
mul r1.z, r1, r1.x
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v2, r0
mul r0.x, r1.y, r1
add_pp r0.z, r2.x, c7.y
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r0.x, c2, c2
mul r0.xy, r1.zwzw, c1.x
frc_pp r1.x, r0.z
add_pp_sat r1.z, r0, -r1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp_sat r0.z, -r2.x, c7.x
add_pp r1.z, r1, c6
mad_pp r0.z, r0, r1, c2.x
mul_pp r0.z, r0.w, r0
texldd r0.w, r5, s0, r5.zwzw, r6
texldd r2, r5, s2, r5.zwzw, r6
mul_pp r2, r2, c2.xyyy
add_pp r4.x, r0.w, c6.z
add_pp r0.w, r2.x, r2.y
cmp_pp r2.x, r4, c2, c2.y
add_pp r0.w, r0, r2.z
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r1, r0, s3, r3, r3.zwzw
mul_pp_sat r0.z, r0, c7
add_pp r0.w, r0, r2
add_pp r2.x, -r2, c2
mul_pp r2.x, r0.w, r2
add_pp r0.w, -r0.z, c2.x
mul_pp r0.z, r1.w, r2.x
mul_pp r2.y, r0.z, r0.w
texldd r0, r0, s4, r3, r3.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
abs r0.x, r2.z
max r0.y, r1.x, r0.x
rcp r0.z, r0.y
min r0.y, r1.x, r0.x
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
mad r0.w, r0.z, c4.z, c4
mad r0.w, r0, r0.z, c5.x
mad r0.w, r0, r0.z, c5.y
mad r0.w, r0, r0.z, c5.z
mad r0.z, r0.w, r0, c5.w
mul r0.y, r0.z, r0
add r0.z, -r0.y, c6.x
add r0.x, r1, -r0
cmp r0.w, -r0.x, r0.y, r0.z
abs r0.x, r2.y
add r1.w, -r0, c4.x
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r2.z, r0, r1
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r2.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r2.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r5.x, r0.w, c2.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
mov r5.y, r0.z
texldd r0.yw, r5, s1, r5.zwzw, r6
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
add_pp r0.z, -r0, c2.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r1.w, r0, r0
add r1.z, r2, -r2.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r2
rsq_pp r1.z, r1.w
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r2.y, r1
mad r1.x, r0.w, r1, r2.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
texldp r0.x, v4, s5
mul_pp r0.w, r0.x, r3
abs r0.x, r1
rcp r1.x, r0.x
mul r1.z, r1, r1.x
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v2, r0
mul r0.x, r1.y, r1
add_pp r0.z, r2.x, c7.y
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r0.x, c2, c2
mul r0.xy, r1.zwzw, c1.x
frc_pp r1.x, r0.z
add_pp_sat r1.z, r0, -r1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp_sat r0.z, -r2.x, c7.x
add_pp r1.z, r1, c6
mad_pp r0.z, r0, r1, c2.x
mul_pp r0.z, r0.w, r0
texldd r0.w, r5, s0, r5.zwzw, r6
texldd r2, r5, s2, r5.zwzw, r6
mul_pp r2, r2, c2.xyyy
add_pp r4.x, r0.w, c6.z
add_pp r0.w, r2.x, r2.y
cmp_pp r2.x, r4, c2, c2.y
add_pp r0.w, r0, r2.z
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r1, r0, s3, r3, r3.zwzw
mul_pp_sat r0.z, r0, c7
add_pp r0.w, r0, r2
add_pp r2.x, -r2, c2
mul_pp r2.x, r0.w, r2
add_pp r0.w, -r0.z, c2.x
mul_pp r0.z, r1.w, r2.x
mul_pp r2.y, r0.z, r0.w
texldd r0, r0, s4, r3, r3.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
abs r0.x, r2.z
max r0.y, r1.x, r0.x
rcp r0.z, r0.y
min r0.y, r1.x, r0.x
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
mad r0.w, r0.z, c4.z, c4
mad r0.w, r0, r0.z, c5.x
mad r0.w, r0, r0.z, c5.y
mad r0.w, r0, r0.z, c5.z
mad r0.z, r0.w, r0, c5.w
mul r0.y, r0.z, r0
add r0.z, -r0.y, c6.x
add r0.x, r1, -r0
cmp r0.w, -r0.x, r0.y, r0.z
abs r0.x, r2.y
add r1.w, -r0, c4.x
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r2.z, r0, r1
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r2.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r2.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r5.x, r0.w, c2.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
mov r5.y, r0.z
texldd r0.yw, r5, s1, r5.zwzw, r6
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
add_pp r0.z, -r0, c2.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r1.w, r0, r0
add r1.z, r2, -r2.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r2
rsq_pp r1.z, r1.w
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r2.y, r1
mad r1.x, r0.w, r1, r2.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
texldp r0.x, v4, s5
mul_pp r0.w, r0.x, r3
abs r0.x, r1
rcp r1.x, r0.x
mul r1.z, r1, r1.x
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v2, r0
mul r0.x, r1.y, r1
add_pp r0.z, r2.x, c7.y
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r0.x, c2, c2
mul r0.xy, r1.zwzw, c1.x
frc_pp r1.x, r0.z
add_pp_sat r1.z, r0, -r1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp_sat r0.z, -r2.x, c7.x
add_pp r1.z, r1, c6
mad_pp r0.z, r0, r1, c2.x
mul_pp r0.z, r0.w, r0
texldd r0.w, r5, s0, r5.zwzw, r6
texldd r2, r5, s2, r5.zwzw, r6
mul_pp r2, r2, c2.xyyy
add_pp r4.x, r0.w, c6.z
add_pp r0.w, r2.x, r2.y
cmp_pp r2.x, r4, c2, c2.y
add_pp r0.w, r0, r2.z
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r1, r0, s3, r3, r3.zwzw
mul_pp_sat r0.z, r0, c7
add_pp r0.w, r0, r2
add_pp r2.x, -r2, c2
mul_pp r2.x, r0.w, r2
add_pp r0.w, -r0.z, c2.x
mul_pp r0.z, r1.w, r2.x
mul_pp r2.y, r0.z, r0.w
texldd r0, r0, s4, r3, r3.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
abs r0.w, r1.z
max r1.w, r0.x, r0
rcp r2.x, r1.w
min r1.w, r0.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r0.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r1.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r1, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
add r4.x, r1.w, c2.z
mov r2.y, r0.w
abs r2.x, r1.w
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
mov r4.y, r0.w
texldd r2.yw, r4, s1, r4.zwzw, r5
mad_pp r2.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r0.w, r2.z, r2
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c2.x, c2.y
mad r0.x, r0.w, r0.y, r1.y
dp3_pp r0.z, r2, r2
cmp r0.y, r0.x, c2, c2.x
rsq_pp r3.w, r0.z
mul_pp r2.xyz, r3.w, r2
cmp r0.x, -r0, c2.y, c2
add r1.w, r0.x, -r0.y
texldd r3.w, r4, s0, r4.zwzw, r5
mov r0.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov r0.z, -r1.w
mov r0.xy, c2.x
mad r3.xyz, r1.yxzw, -r0, r3
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r3, r0
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, v3
dp3_pp r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
dp4_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mad r1.w, r0.z, c2.z, c2.z
dp3_pp r0.z, v2, r1
mul r0.x, r0.y, r0
add_pp r0.y, r0.z, c7
mad r1.z, r0.x, c2, c2
frc_pp r0.x, r0.y
add_pp_sat r1.x, r0.y, -r0
mul r2.xy, r1.zwzw, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r3.xy, r0
dsx r2.zw, r0.xyxy
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r0.z, r0, r1.x, c2.x
mul_pp r1.x, r0.w, r0.z
mul_pp_sat r3.z, r1.x, c7
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1, r1, c2.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r3.w, r3, c6.z
cmp_pp r1.y, r3.w, c2.x, c2
add_pp r1.x, r1, r1.w
add_pp r1.y, -r1, c2.x
mul_pp r3.w, r1.x, r1.y
texldd r0, r2, s3, r2.zwzw, r3
add_pp r1.x, -r3.z, c2
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp oC0, r3.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
abs r0.w, r1.z
max r1.w, r0.x, r0
rcp r2.x, r1.w
min r1.w, r0.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r0.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r1.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r1, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
add r4.x, r1.w, c2.z
mov r2.y, r0.w
abs r2.x, r1.w
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
mov r4.y, r0.w
texldd r2.yw, r4, s1, r4.zwzw, r5
mad_pp r2.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r0.w, r2.z, r2
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c2.x, c2.y
mad r0.x, r0.w, r0.y, r1.y
dp3_pp r0.z, r2, r2
cmp r0.y, r0.x, c2, c2.x
rsq_pp r3.w, r0.z
mul_pp r2.xyz, r3.w, r2
cmp r0.x, -r0, c2.y, c2
add r1.w, r0.x, -r0.y
texldd r3.w, r4, s0, r4.zwzw, r5
mov r0.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov r0.z, -r1.w
mov r0.xy, c2.x
mad r3.xyz, r1.yxzw, -r0, r3
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r3, r0
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, v3
dp3_pp r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
dp4_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mad r1.w, r0.z, c2.z, c2.z
dp3_pp r0.z, v2, r1
mul r0.x, r0.y, r0
add_pp r0.y, r0.z, c7
mad r1.z, r0.x, c2, c2
frc_pp r0.x, r0.y
add_pp_sat r1.x, r0.y, -r0
mul r2.xy, r1.zwzw, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r3.xy, r0
dsx r2.zw, r0.xyxy
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r0.z, r0, r1.x, c2.x
mul_pp r1.x, r0.w, r0.z
mul_pp_sat r3.z, r1.x, c7
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1, r1, c2.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r3.w, r3, c6.z
cmp_pp r1.y, r3.w, c2.x, c2
add_pp r1.x, r1, r1.w
add_pp r1.y, -r1, c2.x
mul_pp r3.w, r1.x, r1.y
texldd r0, r2, s3, r2.zwzw, r3
add_pp r1.x, -r3.z, c2
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp oC0, r3.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
abs r0.w, r1.z
max r1.w, r0.x, r0
rcp r2.x, r1.w
min r1.w, r0.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r0.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r1.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r1, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
add r4.x, r1.w, c2.z
mov r2.y, r0.w
abs r2.x, r1.w
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
mov r4.y, r0.w
texldd r2.yw, r4, s1, r4.zwzw, r5
mad_pp r2.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r0.w, r2.z, r2
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c2.x, c2.y
mad r0.x, r0.w, r0.y, r1.y
dp3_pp r0.z, r2, r2
cmp r0.y, r0.x, c2, c2.x
rsq_pp r3.w, r0.z
mul_pp r2.xyz, r3.w, r2
cmp r0.x, -r0, c2.y, c2
add r1.w, r0.x, -r0.y
texldd r3.w, r4, s0, r4.zwzw, r5
mov r0.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov r0.z, -r1.w
mov r0.xy, c2.x
mad r3.xyz, r1.yxzw, -r0, r3
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r3, r0
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, v3
dp3_pp r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
dp4_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mad r1.w, r0.z, c2.z, c2.z
dp3_pp r0.z, v2, r1
mul r0.x, r0.y, r0
add_pp r0.y, r0.z, c7
mad r1.z, r0.x, c2, c2
frc_pp r0.x, r0.y
add_pp_sat r1.x, r0.y, -r0
mul r2.xy, r1.zwzw, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r3.xy, r0
dsx r2.zw, r0.xyxy
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r0.z, r0, r1.x, c2.x
mul_pp r1.x, r0.w, r0.z
mul_pp_sat r3.z, r1.x, c7
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1, r1, c2.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r3.w, r3, c6.z
cmp_pp r1.y, r3.w, c2.x, c2
add_pp r1.x, r1, r1.w
add_pp r1.y, -r1, c2.x
mul_pp r3.w, r1.x, r1.y
texldd r0, r2, s3, r2.zwzw, r3
add_pp r1.x, -r3.z, c2
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp oC0, r3.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
abs r0.x, r2.z
max r0.y, r1.x, r0.x
rcp r0.z, r0.y
min r0.y, r1.x, r0.x
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
mad r0.w, r0.z, c4.z, c4
mad r0.w, r0, r0.z, c5.x
mad r0.w, r0, r0.z, c5.y
mad r0.w, r0, r0.z, c5.z
mad r0.z, r0.w, r0, c5.w
mul r0.y, r0.z, r0
add r0.z, -r0.y, c6.x
add r0.x, r1, -r0
cmp r0.w, -r0.x, r0.y, r0.z
abs r0.x, r2.y
add r1.w, -r0, c4.x
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r2.z, r0, r1
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r2.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r2.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r5.x, r0.w, c2.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
mov r5.y, r0.z
texldd r0.yw, r5, s1, r5.zwzw, r6
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
add_pp r0.z, -r0, c2.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r1.w, r0, r0
add r1.z, r2, -r2.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r2
rsq_pp r1.z, r1.w
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r2.y, r1
mad r1.x, r0.w, r1, r2.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
texldp r0.x, v4, s5
mul_pp r0.w, r0.x, r3
abs r0.x, r1
rcp r1.x, r0.x
mul r1.z, r1, r1.x
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v2, r0
mul r0.x, r1.y, r1
add_pp r0.z, r2.x, c7.y
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r0.x, c2, c2
mul r0.xy, r1.zwzw, c1.x
frc_pp r1.x, r0.z
add_pp_sat r1.z, r0, -r1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp_sat r0.z, -r2.x, c7.x
add_pp r1.z, r1, c6
mad_pp r0.z, r0, r1, c2.x
mul_pp r0.z, r0.w, r0
texldd r0.w, r5, s0, r5.zwzw, r6
texldd r2, r5, s2, r5.zwzw, r6
mul_pp r2, r2, c2.yxyy
add_pp r4.x, r0.w, c6.z
add_pp r0.w, r2.x, r2.y
cmp_pp r2.x, r4, c2, c2.y
add_pp r0.w, r0, r2.z
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r1, r0, s3, r3, r3.zwzw
mul_pp_sat r0.z, r0, c7
add_pp r0.w, r0, r2
add_pp r2.x, -r2, c2
mul_pp r2.x, r0.w, r2
add_pp r0.w, -r0.z, c2.x
mul_pp r0.z, r1.w, r2.x
mul_pp r2.y, r0.z, r0.w
texldd r0, r0, s4, r3, r3.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
abs r0.x, r2.z
max r0.y, r1.x, r0.x
rcp r0.z, r0.y
min r0.y, r1.x, r0.x
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
mad r0.w, r0.z, c4.z, c4
mad r0.w, r0, r0.z, c5.x
mad r0.w, r0, r0.z, c5.y
mad r0.w, r0, r0.z, c5.z
mad r0.z, r0.w, r0, c5.w
mul r0.y, r0.z, r0
add r0.z, -r0.y, c6.x
add r0.x, r1, -r0
cmp r0.w, -r0.x, r0.y, r0.z
abs r0.x, r2.y
add r1.w, -r0, c4.x
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r2.z, r0, r1
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r2.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r2.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r5.x, r0.w, c2.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
mov r5.y, r0.z
texldd r0.yw, r5, s1, r5.zwzw, r6
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
add_pp r0.z, -r0, c2.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r1.w, r0, r0
add r1.z, r2, -r2.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r2
rsq_pp r1.z, r1.w
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r2.y, r1
mad r1.x, r0.w, r1, r2.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
texldp r0.x, v4, s5
mul_pp r0.w, r0.x, r3
abs r0.x, r1
rcp r1.x, r0.x
mul r1.z, r1, r1.x
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v2, r0
mul r0.x, r1.y, r1
add_pp r0.z, r2.x, c7.y
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r0.x, c2, c2
mul r0.xy, r1.zwzw, c1.x
frc_pp r1.x, r0.z
add_pp_sat r1.z, r0, -r1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp_sat r0.z, -r2.x, c7.x
add_pp r1.z, r1, c6
mad_pp r0.z, r0, r1, c2.x
mul_pp r0.z, r0.w, r0
texldd r0.w, r5, s0, r5.zwzw, r6
texldd r2, r5, s2, r5.zwzw, r6
mul_pp r2, r2, c2.yxyy
add_pp r4.x, r0.w, c6.z
add_pp r0.w, r2.x, r2.y
cmp_pp r2.x, r4, c2, c2.y
add_pp r0.w, r0, r2.z
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r1, r0, s3, r3, r3.zwzw
mul_pp_sat r0.z, r0, c7
add_pp r0.w, r0, r2
add_pp r2.x, -r2, c2
mul_pp r2.x, r0.w, r2
add_pp r0.w, -r0.z, c2.x
mul_pp r0.z, r1.w, r2.x
mul_pp r2.y, r0.z, r0.w
texldd r0, r0, s4, r3, r3.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
abs r0.x, r2.z
max r0.y, r1.x, r0.x
rcp r0.z, r0.y
min r0.y, r1.x, r0.x
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
mad r0.w, r0.z, c4.z, c4
mad r0.w, r0, r0.z, c5.x
mad r0.w, r0, r0.z, c5.y
mad r0.w, r0, r0.z, c5.z
mad r0.z, r0.w, r0, c5.w
mul r0.y, r0.z, r0
add r0.z, -r0.y, c6.x
add r0.x, r1, -r0
cmp r0.w, -r0.x, r0.y, r0.z
abs r0.x, r2.y
add r1.w, -r0, c4.x
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r2.z, r0, r1
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r2.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r2.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r5.x, r0.w, c2.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
mov r5.y, r0.z
texldd r0.yw, r5, s1, r5.zwzw, r6
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
add_pp r0.z, -r0, c2.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r1.w, r0, r0
add r1.z, r2, -r2.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r2
rsq_pp r1.z, r1.w
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r2.y, r1
mad r1.x, r0.w, r1, r2.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
texldp r0.x, v4, s5
mul_pp r0.w, r0.x, r3
abs r0.x, r1
rcp r1.x, r0.x
mul r1.z, r1, r1.x
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v2, r0
mul r0.x, r1.y, r1
add_pp r0.z, r2.x, c7.y
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r0.x, c2, c2
mul r0.xy, r1.zwzw, c1.x
frc_pp r1.x, r0.z
add_pp_sat r1.z, r0, -r1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp_sat r0.z, -r2.x, c7.x
add_pp r1.z, r1, c6
mad_pp r0.z, r0, r1, c2.x
mul_pp r0.z, r0.w, r0
texldd r0.w, r5, s0, r5.zwzw, r6
texldd r2, r5, s2, r5.zwzw, r6
mul_pp r2, r2, c2.yxyy
add_pp r4.x, r0.w, c6.z
add_pp r0.w, r2.x, r2.y
cmp_pp r2.x, r4, c2, c2.y
add_pp r0.w, r0, r2.z
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r1, r0, s3, r3, r3.zwzw
mul_pp_sat r0.z, r0, c7
add_pp r0.w, r0, r2
add_pp r2.x, -r2, c2
mul_pp r2.x, r0.w, r2
add_pp r0.w, -r0.z, c2.x
mul_pp r0.z, r1.w, r2.x
mul_pp r2.y, r0.z, r0.w
texldd r0, r0, s4, r3, r3.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
abs r0.w, r1.z
max r1.w, r0.x, r0
rcp r2.x, r1.w
min r1.w, r0.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r0.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r1.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r1, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
add r4.x, r1.w, c2.z
mov r2.y, r0.w
abs r2.x, r1.w
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
mov r4.y, r0.w
texldd r2.yw, r4, s1, r4.zwzw, r5
mad_pp r2.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r0.w, r2.z, r2
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c2.x, c2.y
mad r0.x, r0.w, r0.y, r1.y
dp3_pp r0.z, r2, r2
cmp r0.y, r0.x, c2, c2.x
rsq_pp r3.w, r0.z
mul_pp r2.xyz, r3.w, r2
cmp r0.x, -r0, c2.y, c2
add r1.w, r0.x, -r0.y
texldd r3.w, r4, s0, r4.zwzw, r5
mov r0.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov r0.z, -r1.w
mov r0.xy, c2.x
mad r3.xyz, r1.yxzw, -r0, r3
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r3, r0
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, v3
dp3_pp r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
dp4_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mad r1.w, r0.z, c2.z, c2.z
dp3_pp r0.z, v2, r1
mul r0.x, r0.y, r0
add_pp r0.y, r0.z, c7
mad r1.z, r0.x, c2, c2
frc_pp r0.x, r0.y
add_pp_sat r1.x, r0.y, -r0
mul r2.xy, r1.zwzw, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r3.xy, r0
dsx r2.zw, r0.xyxy
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r0.z, r0, r1.x, c2.x
mul_pp r1.x, r0.w, r0.z
mul_pp_sat r3.z, r1.x, c7
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1, r1, c2.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r3.w, r3, c6.z
cmp_pp r1.y, r3.w, c2.x, c2
add_pp r1.x, r1, r1.w
add_pp r1.y, -r1, c2.x
mul_pp r3.w, r1.x, r1.y
texldd r0, r2, s3, r2.zwzw, r3
add_pp r1.x, -r3.z, c2
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp oC0, r3.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednalejbdbaipncfbndiafcdhncomdgikfabaaaaaakaapaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefciaaoaaaa
eaaaaaaakaadaaaafjaaaaaeegiocaaaaaaaaaaaapaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaagcbaaaadhcbabaaaacaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaah
ocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaacaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaddaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaochgdidodcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaa
fgahbaaaaaaaaaaafgahbaiaebaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadeaaaaahicaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabaaaaahccaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaa
dhaaaaakbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
idpjccdodcaaaaajbcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdgaaaaagbcaabaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
alaaaaafbcaabaaaadaaaaaaakaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdp
aaaaaaaiecaabaaaacaaaaaadkaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
ckaabaaaabaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaa
acaaaaaaamaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaaegaabaaa
adaaaaaaegaabaaaabaaaaaabnaaaaahecaabaaaabaaaaaadkaabaaaaeaaaaaa
abeaaaaaaaaaiadpdhaaaaajecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaa
aaaaaaaaabeaaaaaaaaaiadpejaaaaanpcaabaaaaeaaaaaaegaabaaaacaaaaaa
eghobaaaacaaaaaaaagabaaaaaaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaacaaaaaaeghobaaaabaaaaaaaagabaaa
acaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaadcaaaaapdcaabaaaacaaaaaa
hgapbaaaacaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaa
aaaaialpaaaaialpaaaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaackbabaaaacaaaaaa
akaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaabnaaaaajecaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaaabaaaaaa
ckaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaabkbabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaabkaabaaaabaaaaaa
deaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaabnaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaadkaabaiaibaaaaaa
aaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaaaaaaaaabkaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaa
aaaaaaaadbaaaaahicaabaaaabaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaa
dbaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaaaaaaaaadkaabaiaebaaaaaaabaaaaaaakaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaaaaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaaaaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajhcaabaaaadaaaaaakgakbaaaabaaaaaa
egacbaaaadaaaaaajgaebaaaafaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaaaaaaaaaegacbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaafgafbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaa
fgifcaaaaaaaaaaaaoaaaaaadcaaaaaomcaabaaaaaaaaaaafgifcaiaebaaaaaa
aaaaaaaaaoaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
aaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaaf
gcaabaaaabaaaaaakgalbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaa
aaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaa
aagabaaaadaaaaaajgafbaaaabaaaaaaogakbaaaaaaaaaaaejaaaaanpcaabaaa
aaaaaaaaegaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaajgafbaaa
abaaaaaaogakbaaaaaaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaadkaabaaa
aaaaaaaaapaaaaahbcaabaaaabaaaaaaegaabaaaacaaaaaaegaabaaaacaaaaaa
ddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaacaaaaaaakaabaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahncaabaaaabaaaaaaagaabaaaabaaaaaaagajbaaaacaaaaaabaaaaaah
bcaabaaaacaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahhcaabaaaacaaaaaaagaabaaaacaaaaaa
egbcbaaaaeaaaaaabaaaaaahbcaabaaaabaaaaaaigadbaaaabaaaaaaegacbaaa
acaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaea
bbaaaaajecaabaaaabaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaeeaaaaafecaabaaaabaaaaaackaabaaaabaaaaaadiaaaaaihcaabaaa
acaaaaaakgakbaaaabaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahecaabaaa
abaaaaaaegbcbaaaadaaaaaaegacbaaaacaaaaaaaaaaaaahicaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaaaacambebcaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
aaaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaaj
ecaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
dicaaaahbcaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaai
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
icaabaaaadaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaaaaaaaaipcaabaaa
abaaaaaaegaobaiaebaaaaaaaaaaaaaaegaobaaaadaaaaaadcaaaaajpccabaaa
aaaaaaaapgapbaaaadaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
abs r0.w, r1.z
max r1.w, r0.x, r0
rcp r2.x, r1.w
min r1.w, r0.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r0.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r1.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r1, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
add r4.x, r1.w, c2.z
mov r2.y, r0.w
abs r2.x, r1.w
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
mov r4.y, r0.w
texldd r2.yw, r4, s1, r4.zwzw, r5
mad_pp r2.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r0.w, r2.z, r2
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c2.x, c2.y
mad r0.x, r0.w, r0.y, r1.y
dp3_pp r0.z, r2, r2
cmp r0.y, r0.x, c2, c2.x
rsq_pp r3.w, r0.z
mul_pp r2.xyz, r3.w, r2
cmp r0.x, -r0, c2.y, c2
add r1.w, r0.x, -r0.y
texldd r3.w, r4, s0, r4.zwzw, r5
mov r0.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov r0.z, -r1.w
mov r0.xy, c2.x
mad r3.xyz, r1.yxzw, -r0, r3
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r3, r0
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, v3
dp3_pp r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
dp4_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mad r1.w, r0.z, c2.z, c2.z
dp3_pp r0.z, v2, r1
mul r0.x, r0.y, r0
add_pp r0.y, r0.z, c7
mad r1.z, r0.x, c2, c2
frc_pp r0.x, r0.y
add_pp_sat r1.x, r0.y, -r0
mul r2.xy, r1.zwzw, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r3.xy, r0
dsx r2.zw, r0.xyxy
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r0.z, r0, r1.x, c2.x
mul_pp r1.x, r0.w, r0.z
mul_pp_sat r3.z, r1.x, c7
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1, r1, c2.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r3.w, r3, c6.z
cmp_pp r1.y, r3.w, c2.x, c2
add_pp r1.x, r1, r1.w
add_pp r1.y, -r1, c2.x
mul_pp r3.w, r1.x, r1.y
texldd r0, r2, s3, r2.zwzw, r3
add_pp r1.x, -r3.z, c2
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp oC0, r3.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
abs r0.w, r1.z
max r1.w, r0.x, r0
rcp r2.x, r1.w
min r1.w, r0.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r0.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r1.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r1, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
add r4.x, r1.w, c2.z
mov r2.y, r0.w
abs r2.x, r1.w
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
mov r4.y, r0.w
texldd r2.yw, r4, s1, r4.zwzw, r5
mad_pp r2.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r0.w, r2.z, r2
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c2.x, c2.y
mad r0.x, r0.w, r0.y, r1.y
dp3_pp r0.z, r2, r2
cmp r0.y, r0.x, c2, c2.x
rsq_pp r3.w, r0.z
mul_pp r2.xyz, r3.w, r2
cmp r0.x, -r0, c2.y, c2
add r1.w, r0.x, -r0.y
texldd r3.w, r4, s0, r4.zwzw, r5
mov r0.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov r0.z, -r1.w
mov r0.xy, c2.x
mad r3.xyz, r1.yxzw, -r0, r3
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r3, r0
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, v3
dp3_pp r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
dp4_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mad r1.w, r0.z, c2.z, c2.z
dp3_pp r0.z, v2, r1
mul r0.x, r0.y, r0
add_pp r0.y, r0.z, c7
mad r1.z, r0.x, c2, c2
frc_pp r0.x, r0.y
add_pp_sat r1.x, r0.y, -r0
mul r2.xy, r1.zwzw, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r3.xy, r0
dsx r2.zw, r0.xyxy
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r0.z, r0, r1.x, c2.x
mul_pp r1.x, r0.w, r0.z
mul_pp_sat r3.z, r1.x, c7
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1, r1, c2.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r3.w, r3, c6.z
cmp_pp r1.y, r3.w, c2.x, c2
add_pp r1.x, r1, r1.w
add_pp r1.y, -r1, c2.x
mul_pp r3.w, r1.x, r1.y
texldd r0, r2, s3, r2.zwzw, r3
add_pp r1.x, -r3.z, c2
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp oC0, r3.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednalejbdbaipncfbndiafcdhncomdgikfabaaaaaakaapaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefciaaoaaaa
eaaaaaaakaadaaaafjaaaaaeegiocaaaaaaaaaaaapaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaagcbaaaadhcbabaaaacaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaah
ocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaacaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaddaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaochgdidodcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaa
fgahbaaaaaaaaaaafgahbaiaebaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadeaaaaahicaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabaaaaahccaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaa
dhaaaaakbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
idpjccdodcaaaaajbcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdgaaaaagbcaabaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
alaaaaafbcaabaaaadaaaaaaakaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdp
aaaaaaaiecaabaaaacaaaaaadkaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
ckaabaaaabaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaa
acaaaaaaamaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaaegaabaaa
adaaaaaaegaabaaaabaaaaaabnaaaaahecaabaaaabaaaaaadkaabaaaaeaaaaaa
abeaaaaaaaaaiadpdhaaaaajecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaa
aaaaaaaaabeaaaaaaaaaiadpejaaaaanpcaabaaaaeaaaaaaegaabaaaacaaaaaa
eghobaaaacaaaaaaaagabaaaaaaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaacaaaaaaeghobaaaabaaaaaaaagabaaa
acaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaadcaaaaapdcaabaaaacaaaaaa
hgapbaaaacaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaa
aaaaialpaaaaialpaaaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaackbabaaaacaaaaaa
akaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaabnaaaaajecaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaaabaaaaaa
ckaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaabkbabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaabkaabaaaabaaaaaa
deaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaabnaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaadkaabaiaibaaaaaa
aaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaaaaaaaaabkaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaa
aaaaaaaadbaaaaahicaabaaaabaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaa
dbaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaaaaaaaaadkaabaiaebaaaaaaabaaaaaaakaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaaaaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaaaaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajhcaabaaaadaaaaaakgakbaaaabaaaaaa
egacbaaaadaaaaaajgaebaaaafaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaaaaaaaaaegacbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaafgafbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaa
fgifcaaaaaaaaaaaaoaaaaaadcaaaaaomcaabaaaaaaaaaaafgifcaiaebaaaaaa
aaaaaaaaaoaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
aaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaaf
gcaabaaaabaaaaaakgalbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaa
aaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaa
aagabaaaadaaaaaajgafbaaaabaaaaaaogakbaaaaaaaaaaaejaaaaanpcaabaaa
aaaaaaaaegaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaajgafbaaa
abaaaaaaogakbaaaaaaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaadkaabaaa
aaaaaaaaapaaaaahbcaabaaaabaaaaaaegaabaaaacaaaaaaegaabaaaacaaaaaa
ddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaacaaaaaaakaabaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahncaabaaaabaaaaaaagaabaaaabaaaaaaagajbaaaacaaaaaabaaaaaah
bcaabaaaacaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahhcaabaaaacaaaaaaagaabaaaacaaaaaa
egbcbaaaaeaaaaaabaaaaaahbcaabaaaabaaaaaaigadbaaaabaaaaaaegacbaaa
acaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaea
bbaaaaajecaabaaaabaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaeeaaaaafecaabaaaabaaaaaackaabaaaabaaaaaadiaaaaaihcaabaaa
acaaaaaakgakbaaaabaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahecaabaaa
abaaaaaaegbcbaaaadaaaaaaegacbaaaacaaaaaaaaaaaaahicaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaaaacambebcaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
aaaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaaj
ecaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
dicaaaahbcaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaai
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
icaabaaaadaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaaaaaaaaipcaabaaa
abaaaaaaegaobaiaebaaaaaaaaaaaaaaegaobaaaadaaaaaadcaaaaajpccabaaa
aaaaaaaapgapbaaaadaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
abs r0.x, r2.z
max r0.y, r1.x, r0.x
rcp r0.z, r0.y
min r0.y, r1.x, r0.x
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
mad r0.w, r0.z, c4.z, c4
mad r0.w, r0, r0.z, c5.x
mad r0.w, r0, r0.z, c5.y
mad r0.w, r0, r0.z, c5.z
mad r0.z, r0.w, r0, c5.w
mul r0.y, r0.z, r0
add r0.z, -r0.y, c6.x
add r0.x, r1, -r0
cmp r0.w, -r0.x, r0.y, r0.z
abs r0.x, r2.y
add r1.w, -r0, c4.x
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r2.z, r0, r1
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r2.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r2.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r5.x, r0.w, c2.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
mov r5.y, r0.z
texldd r0.yw, r5, s1, r5.zwzw, r6
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
add_pp r0.z, -r0, c2.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r1.w, r0, r0
add r1.z, r2, -r2.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r2
rsq_pp r1.z, r1.w
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r2.y, r1
mad r1.x, r0.w, r1, r2.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
texldp r0.x, v4, s5
mul_pp r0.w, r0.x, r3
abs r0.x, r1
rcp r1.x, r0.x
mul r1.z, r1, r1.x
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v2, r0
mul r0.x, r1.y, r1
add_pp r0.z, r2.x, c7.y
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r0.x, c2, c2
mul r0.xy, r1.zwzw, c1.x
frc_pp r1.x, r0.z
add_pp_sat r1.z, r0, -r1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp_sat r0.z, -r2.x, c7.x
add_pp r1.z, r1, c6
mad_pp r0.z, r0, r1, c2.x
mul_pp r0.z, r0.w, r0
texldd r0.w, r5, s0, r5.zwzw, r6
texldd r2, r5, s2, r5.zwzw, r6
mul_pp r2, r2, c2.yyxy
add_pp r4.x, r0.w, c6.z
add_pp r0.w, r2.x, r2.y
cmp_pp r2.x, r4, c2, c2.y
add_pp r0.w, r0, r2.z
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r1, r0, s3, r3, r3.zwzw
mul_pp_sat r0.z, r0, c7
add_pp r0.w, r0, r2
add_pp r2.x, -r2, c2
mul_pp r2.x, r0.w, r2
add_pp r0.w, -r0.z, c2.x
mul_pp r0.z, r1.w, r2.x
mul_pp r2.y, r0.z, r0.w
texldd r0, r0, s4, r3, r3.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
abs r0.x, r2.z
max r0.y, r1.x, r0.x
rcp r0.z, r0.y
min r0.y, r1.x, r0.x
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
mad r0.w, r0.z, c4.z, c4
mad r0.w, r0, r0.z, c5.x
mad r0.w, r0, r0.z, c5.y
mad r0.w, r0, r0.z, c5.z
mad r0.z, r0.w, r0, c5.w
mul r0.y, r0.z, r0
add r0.z, -r0.y, c6.x
add r0.x, r1, -r0
cmp r0.w, -r0.x, r0.y, r0.z
abs r0.x, r2.y
add r1.w, -r0, c4.x
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r2.z, r0, r1
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r2.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r2.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r5.x, r0.w, c2.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
mov r5.y, r0.z
texldd r0.yw, r5, s1, r5.zwzw, r6
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
add_pp r0.z, -r0, c2.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r1.w, r0, r0
add r1.z, r2, -r2.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r2
rsq_pp r1.z, r1.w
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r2.y, r1
mad r1.x, r0.w, r1, r2.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
texldp r0.x, v4, s5
mul_pp r0.w, r0.x, r3
abs r0.x, r1
rcp r1.x, r0.x
mul r1.z, r1, r1.x
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v2, r0
mul r0.x, r1.y, r1
add_pp r0.z, r2.x, c7.y
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r0.x, c2, c2
mul r0.xy, r1.zwzw, c1.x
frc_pp r1.x, r0.z
add_pp_sat r1.z, r0, -r1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp_sat r0.z, -r2.x, c7.x
add_pp r1.z, r1, c6
mad_pp r0.z, r0, r1, c2.x
mul_pp r0.z, r0.w, r0
texldd r0.w, r5, s0, r5.zwzw, r6
texldd r2, r5, s2, r5.zwzw, r6
mul_pp r2, r2, c2.yyxy
add_pp r4.x, r0.w, c6.z
add_pp r0.w, r2.x, r2.y
cmp_pp r2.x, r4, c2, c2.y
add_pp r0.w, r0, r2.z
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r1, r0, s3, r3, r3.zwzw
mul_pp_sat r0.z, r0, c7
add_pp r0.w, r0, r2
add_pp r2.x, -r2, c2
mul_pp r2.x, r0.w, r2
add_pp r0.w, -r0.z, c2.x
mul_pp r0.z, r1.w, r2.x
mul_pp r2.y, r0.z, r0.w
texldd r0, r0, s4, r3, r3.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
abs r0.x, r2.z
max r0.y, r1.x, r0.x
rcp r0.z, r0.y
min r0.y, r1.x, r0.x
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
mad r0.w, r0.z, c4.z, c4
mad r0.w, r0, r0.z, c5.x
mad r0.w, r0, r0.z, c5.y
mad r0.w, r0, r0.z, c5.z
mad r0.z, r0.w, r0, c5.w
mul r0.y, r0.z, r0
add r0.z, -r0.y, c6.x
add r0.x, r1, -r0
cmp r0.w, -r0.x, r0.y, r0.z
abs r0.x, r2.y
add r1.w, -r0, c4.x
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r2.z, r0, r1
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r2.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r2.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r5.x, r0.w, c2.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
mov r5.y, r0.z
texldd r0.yw, r5, s1, r5.zwzw, r6
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
add_pp r0.z, -r0, c2.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r1.w, r0, r0
add r1.z, r2, -r2.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r2
rsq_pp r1.z, r1.w
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r2.y, r1
mad r1.x, r0.w, r1, r2.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
texldp r0.x, v4, s5
mul_pp r0.w, r0.x, r3
abs r0.x, r1
rcp r1.x, r0.x
mul r1.z, r1, r1.x
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v2, r0
mul r0.x, r1.y, r1
add_pp r0.z, r2.x, c7.y
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r0.x, c2, c2
mul r0.xy, r1.zwzw, c1.x
frc_pp r1.x, r0.z
add_pp_sat r1.z, r0, -r1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp_sat r0.z, -r2.x, c7.x
add_pp r1.z, r1, c6
mad_pp r0.z, r0, r1, c2.x
mul_pp r0.z, r0.w, r0
texldd r0.w, r5, s0, r5.zwzw, r6
texldd r2, r5, s2, r5.zwzw, r6
mul_pp r2, r2, c2.yyxy
add_pp r4.x, r0.w, c6.z
add_pp r0.w, r2.x, r2.y
cmp_pp r2.x, r4, c2, c2.y
add_pp r0.w, r0, r2.z
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r1, r0, s3, r3, r3.zwzw
mul_pp_sat r0.z, r0, c7
add_pp r0.w, r0, r2
add_pp r2.x, -r2, c2
mul_pp r2.x, r0.w, r2
add_pp r0.w, -r0.z, c2.x
mul_pp r0.z, r1.w, r2.x
mul_pp r2.y, r0.z, r0.w
texldd r0, r0, s4, r3, r3.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfmbcomhhgknpdmmieegekkdcjbdbpghpabaaaaaadmbaaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaalmaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaalmaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaalmaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apalaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcaeapaaaaeaaaaaaambadaaaa
fjaaaaaeegiocaaaaaaaaaaabdaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaa
afaaaaaaffffaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadlcbabaaaafaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaah
ocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaacaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaddaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaochgdidodcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaa
fgahbaaaaaaaaaaafgahbaiaebaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadeaaaaahicaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabaaaaahccaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaa
dhaaaaakbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
idpjccdodcaaaaajbcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdgaaaaagbcaabaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
alaaaaafbcaabaaaadaaaaaaakaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdp
aaaaaaaiecaabaaaacaaaaaadkaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
ckaabaaaabaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaa
acaaaaaaamaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaegaabaaa
adaaaaaaegaabaaaabaaaaaabnaaaaahecaabaaaabaaaaaadkaabaaaaeaaaaaa
abeaaaaaaaaaiadpdhaaaaajecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaa
aaaaaaaaabeaaaaaaaaaiadpejaaaaanpcaabaaaaeaaaaaaegaabaaaacaaaaaa
eghobaaaacaaaaaaaagabaaaabaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaacaaaaaaeghobaaaabaaaaaaaagabaaa
adaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaadcaaaaapdcaabaaaacaaaaaa
hgapbaaaacaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaa
aaaaialpaaaaialpaaaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaa
abaaaaaackaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaackbabaaaacaaaaaa
akaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaabnaaaaajecaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaaabaaaaaa
ckaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaabkbabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaabkaabaaaabaaaaaa
deaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaabnaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaadkaabaiaibaaaaaa
aaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaaaaaaaaabkaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaa
aaaaaaaadbaaaaahicaabaaaabaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaa
dbaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaaaaaaaaadkaabaiaebaaaaaaabaaaaaaakaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaaaaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaaaaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajhcaabaaaadaaaaaakgakbaaaabaaaaaa
egacbaaaadaaaaaajgaebaaaafaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaaaaaaaaaegacbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaafgafbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaa
fgifcaaaaaaaaaaabcaaaaaadcaaaaaomcaabaaaaaaaaaaafgifcaiaebaaaaaa
aaaaaaaabcaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
aaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaaf
gcaabaaaabaaaaaakgalbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaa
aaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaa
aagabaaaaeaaaaaajgafbaaaabaaaaaaogakbaaaaaaaaaaaejaaaaanpcaabaaa
aaaaaaaaegaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaafaaaaaajgafbaaa
abaaaaaaogakbaaaaaaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaadkaabaaa
aaaaaaaaapaaaaahbcaabaaaabaaaaaaegaabaaaacaaaaaaegaabaaaacaaaaaa
ddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaacaaaaaaakaabaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahncaabaaaabaaaaaaagaabaaaabaaaaaaagajbaaaacaaaaaabaaaaaah
bcaabaaaacaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahhcaabaaaacaaaaaaagaabaaaacaaaaaa
egbcbaaaaeaaaaaabaaaaaahbcaabaaaabaaaaaaigadbaaaabaaaaaaegacbaaa
acaaaaaaaoaaaaahmcaabaaaabaaaaaaagbebaaaafaaaaaapgbpbaaaafaaaaaa
efaaaaajpcaabaaaacaaaaaaogakbaaaabaaaaaaeghobaaaafaaaaaaaagabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaa
diaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeabbaaaaaj
ecaabaaaabaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaa
eeaaaaafecaabaaaabaaaaaackaabaaaabaaaaaadiaaaaaihcaabaaaacaaaaaa
kgakbaaaabaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahecaabaaaabaaaaaa
egbcbaaaadaaaaaaegacbaaaacaaaaaaaaaaaaahicaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaakoehibdpdicaaaahecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaacambebcaaaaficaabaaaabaaaaaadkaabaaaabaaaaaaaaaaaaah
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaajecaabaaa
abaaaaaackaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdicaaaah
bcaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaaibcaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaa
adaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaaaaaaaaipcaabaaaabaaaaaa
egaobaiaebaaaaaaaaaaaaaaegaobaaaadaaaaaadcaaaaajpccabaaaaaaaaaaa
pgapbaaaadaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
abs r0.w, r1.z
max r1.w, r0.x, r0
rcp r2.x, r1.w
min r1.w, r0.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r0.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r1.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r1, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
add r4.x, r1.w, c2.z
mov r2.y, r0.w
abs r2.x, r1.w
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
mov r4.y, r0.w
texldd r2.yw, r4, s1, r4.zwzw, r5
mad_pp r2.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r0.w, r2.z, r2
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c2.x, c2.y
mad r0.x, r0.w, r0.y, r1.y
dp3_pp r0.z, r2, r2
cmp r0.y, r0.x, c2, c2.x
rsq_pp r3.w, r0.z
mul_pp r2.xyz, r3.w, r2
cmp r0.x, -r0, c2.y, c2
add r1.w, r0.x, -r0.y
texldd r3.w, r4, s0, r4.zwzw, r5
mov r0.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov r0.z, -r1.w
mov r0.xy, c2.x
mad r3.xyz, r1.yxzw, -r0, r3
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r3, r0
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, v3
dp3_pp r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
dp4_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mad r1.w, r0.z, c2.z, c2.z
dp3_pp r0.z, v2, r1
mul r0.x, r0.y, r0
add_pp r0.y, r0.z, c7
mad r1.z, r0.x, c2, c2
frc_pp r0.x, r0.y
add_pp_sat r1.x, r0.y, -r0
mul r2.xy, r1.zwzw, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r3.xy, r0
dsx r2.zw, r0.xyxy
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r0.z, r0, r1.x, c2.x
mul_pp r1.x, r0.w, r0.z
mul_pp_sat r3.z, r1.x, c7
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1, r1, c2.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r3.w, r3, c6.z
cmp_pp r1.y, r3.w, c2.x, c2
add_pp r1.x, r1, r1.w
add_pp r1.y, -r1, c2.x
mul_pp r3.w, r1.x, r1.y
texldd r0, r2, s3, r2.zwzw, r3
add_pp r1.x, -r3.z, c2
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp oC0, r3.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
abs r0.w, r1.z
max r1.w, r0.x, r0
rcp r2.x, r1.w
min r1.w, r0.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r0.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r1.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r1, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
add r4.x, r1.w, c2.z
mov r2.y, r0.w
abs r2.x, r1.w
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
mov r4.y, r0.w
texldd r2.yw, r4, s1, r4.zwzw, r5
mad_pp r2.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r0.w, r2.z, r2
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c2.x, c2.y
mad r0.x, r0.w, r0.y, r1.y
dp3_pp r0.z, r2, r2
cmp r0.y, r0.x, c2, c2.x
rsq_pp r3.w, r0.z
mul_pp r2.xyz, r3.w, r2
cmp r0.x, -r0, c2.y, c2
add r1.w, r0.x, -r0.y
texldd r3.w, r4, s0, r4.zwzw, r5
mov r0.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov r0.z, -r1.w
mov r0.xy, c2.x
mad r3.xyz, r1.yxzw, -r0, r3
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r3, r0
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, v3
dp3_pp r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
dp4_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mad r1.w, r0.z, c2.z, c2.z
dp3_pp r0.z, v2, r1
mul r0.x, r0.y, r0
add_pp r0.y, r0.z, c7
mad r1.z, r0.x, c2, c2
frc_pp r0.x, r0.y
add_pp_sat r1.x, r0.y, -r0
mul r2.xy, r1.zwzw, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r3.xy, r0
dsx r2.zw, r0.xyxy
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r0.z, r0, r1.x, c2.x
mul_pp r1.x, r0.w, r0.z
mul_pp_sat r3.z, r1.x, c7
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1, r1, c2.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r3.w, r3, c6.z
cmp_pp r1.y, r3.w, c2.x, c2
add_pp r1.x, r1, r1.w
add_pp r1.y, -r1, c2.x
mul_pp r3.w, r1.x, r1.y
texldd r0, r2, s3, r2.zwzw, r3
add_pp r1.x, -r3.z, c2
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp oC0, r3.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r0.xyz, r1
abs r0.w, r1.z
max r1.w, r0.x, r0
rcp r2.x, r1.w
min r1.w, r0.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r0.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r1.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r1, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
add r4.x, r1.w, c2.z
mov r2.y, r0.w
abs r2.x, r1.w
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
mov r4.y, r0.w
texldd r2.yw, r4, s1, r4.zwzw, r5
mad_pp r2.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r0.w, r2.z, r2
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c2.x, c2.y
mad r0.x, r0.w, r0.y, r1.y
dp3_pp r0.z, r2, r2
cmp r0.y, r0.x, c2, c2.x
rsq_pp r3.w, r0.z
mul_pp r2.xyz, r3.w, r2
cmp r0.x, -r0, c2.y, c2
add r1.w, r0.x, -r0.y
texldd r3.w, r4, s0, r4.zwzw, r5
mov r0.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov r0.z, -r1.w
mov r0.xy, c2.x
mad r3.xyz, r1.yxzw, -r0, r3
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r3, r0
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, v3
dp3_pp r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
dp4_pp r1.x, c0, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mad r1.w, r0.z, c2.z, c2.z
dp3_pp r0.z, v2, r1
mul r0.x, r0.y, r0
add_pp r0.y, r0.z, c7
mad r1.z, r0.x, c2, c2
frc_pp r0.x, r0.y
add_pp_sat r1.x, r0.y, -r0
mul r2.xy, r1.zwzw, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r3.xy, r0
dsx r2.zw, r0.xyxy
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r0.z, r0, r1.x, c2.x
mul_pp r1.x, r0.w, r0.z
mul_pp_sat r3.z, r1.x, c7
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1, r1, c2.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r3.w, r3, c6.z
cmp_pp r1.y, r3.w, c2.x, c2
add_pp r1.x, r1, r1.w
add_pp r1.y, -r1, c2.x
mul_pp r3.w, r1.x, r1.y
texldd r0, r2, s3, r2.zwzw, r3
add_pp r1.x, -r3.z, c2
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp oC0, r3.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_CityOverlayTex] 2D 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedkpholhfikoiclbpmkjlifbjclbgpejoaabaaaaaakaapaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefciaaoaaaa
eaaaaaaakaadaaaafjaaaaaeegiocaaaaaaaaaaaapaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaagcbaaaadhcbabaaaacaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaah
ocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaacaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaddaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaochgdidodcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaa
fgahbaaaaaaaaaaafgahbaiaebaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadeaaaaahicaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabaaaaahccaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaa
dhaaaaakbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
idpjccdodcaaaaajbcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdgaaaaagbcaabaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
alaaaaafbcaabaaaadaaaaaaakaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdp
aaaaaaaiecaabaaaacaaaaaadkaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
ckaabaaaabaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaa
acaaaaaaamaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaaegaabaaa
adaaaaaaegaabaaaabaaaaaabnaaaaahecaabaaaabaaaaaadkaabaaaaeaaaaaa
abeaaaaaaaaaiadpdhaaaaajecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaa
aaaaaaaaabeaaaaaaaaaiadpejaaaaanpcaabaaaaeaaaaaaegaabaaaacaaaaaa
eghobaaaacaaaaaaaagabaaaaaaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaacaaaaaaeghobaaaabaaaaaaaagabaaa
acaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaadcaaaaapdcaabaaaacaaaaaa
hgapbaaaacaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaa
aaaaialpaaaaialpaaaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaa
abaaaaaadkaabaaaaeaaaaaadcaaaaakccaabaaaabaaaaaackbabaaaacaaaaaa
akaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaabnaaaaajecaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaaabaaaaaa
ckaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaabkbabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaabkaabaaaabaaaaaa
deaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaabnaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaadkaabaiaibaaaaaa
aaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaaaaaaaaabkaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaa
aaaaaaaadbaaaaahicaabaaaabaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaa
dbaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaaaaaaaaadkaabaiaebaaaaaaabaaaaaaakaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaaaaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaaaaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajhcaabaaaadaaaaaakgakbaaaabaaaaaa
egacbaaaadaaaaaajgaebaaaafaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaaaaaaaaaegacbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaafgafbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaafaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaa
fgifcaaaaaaaaaaaaoaaaaaadcaaaaaomcaabaaaaaaaaaaafgifcaiaebaaaaaa
aaaaaaaaaoaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaa
aaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaaf
gcaabaaaabaaaaaakgalbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaa
aaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaaaaaaaaaeghobaaaadaaaaaa
aagabaaaadaaaaaajgafbaaaabaaaaaaogakbaaaaaaaaaaaejaaaaanpcaabaaa
aaaaaaaaegaabaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaajgafbaaa
abaaaaaaogakbaaaaaaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaadkaabaaa
aaaaaaaaapaaaaahbcaabaaaabaaaaaaegaabaaaacaaaaaaegaabaaaacaaaaaa
ddaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaai
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaacaaaaaaakaabaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahncaabaaaabaaaaaaagaabaaaabaaaaaaagajbaaaacaaaaaabaaaaaah
bcaabaaaacaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahhcaabaaaacaaaaaaagaabaaaacaaaaaa
egbcbaaaaeaaaaaabaaaaaahbcaabaaaabaaaaaaigadbaaaabaaaaaaegacbaaa
acaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaea
bbaaaaajecaabaaaabaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaeeaaaaafecaabaaaabaaaaaackaabaaaabaaaaaadiaaaaaihcaabaaa
acaaaaaakgakbaaaabaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahecaabaaa
abaaaaaaegbcbaaaadaaaaaaegacbaaaacaaaaaaaaaaaaahicaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaakoehibdpdicaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaaaacambebcaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
aaaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaialpdcaaaaaj
ecaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
dicaaaahbcaabaaaabaaaaaackaabaaaabaaaaaaakaabaaaabaaaaaaaaaaaaai
bcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
icaabaaaadaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaaaaaaaaipcaabaaa
abaaaaaaegaobaiaebaaaaaaaaaaaaaaegaobaaaadaaaaaadcaaaaajpccabaaa
aaaaaaaapgapbaaaadaaaaaaegaobaaaabaaaaaaegaobaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
abs r0.x, r2.z
max r0.y, r1.x, r0.x
rcp r0.z, r0.y
min r0.y, r1.x, r0.x
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
mad r0.w, r0.z, c4.z, c4
mad r0.w, r0, r0.z, c5.x
mad r0.w, r0, r0.z, c5.y
mad r0.w, r0, r0.z, c5.z
mad r0.z, r0.w, r0, c5.w
mul r0.y, r0.z, r0
add r0.z, -r0.y, c6.x
add r0.x, r1, -r0
cmp r0.w, -r0.x, r0.y, r0.z
abs r0.x, r2.y
add r1.w, -r0, c4.x
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r2.z, r0, r1
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r2.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r2.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r5.x, r0.w, c2.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
mov r5.y, r0.z
texldd r0.yw, r5, s1, r5.zwzw, r6
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
add_pp r0.z, -r0, c2.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r1.w, r0, r0
add r1.z, r2, -r2.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r2
rsq_pp r1.z, r1.w
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r2.y, r1
mad r1.x, r0.w, r1, r2.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
texldp r0.x, v4, s5
mul_pp r0.w, r0.x, r3
abs r0.x, r1
rcp r1.x, r0.x
mul r1.z, r1, r1.x
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v2, r0
mul r0.x, r1.y, r1
add_pp r0.z, r2.x, c7.y
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r0.x, c2, c2
mul r0.xy, r1.zwzw, c1.x
frc_pp r1.x, r0.z
add_pp_sat r1.z, r0, -r1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp_sat r0.z, -r2.x, c7.x
add_pp r1.z, r1, c6
mad_pp r0.z, r0, r1, c2.x
mul_pp r0.z, r0.w, r0
texldd r0.w, r5, s0, r5.zwzw, r6
texldd r2, r5, s2, r5.zwzw, r6
mul_pp r2, r2, c2.yyyx
add_pp r4.x, r0.w, c6.z
add_pp r0.w, r2.x, r2.y
cmp_pp r2.x, r4, c2, c2.y
add_pp r0.w, r0, r2.z
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r1, r0, s3, r3, r3.zwzw
mul_pp_sat r0.z, r0, c7
add_pp r0.w, r0, r2
add_pp r2.x, -r2, c2
mul_pp r2.x, r0.w, r2
add_pp r0.w, -r0.z, c2.x
mul_pp r0.z, r1.w, r2.x
mul_pp r2.y, r0.z, r0.w
texldd r0, r0, s4, r3, r3.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
abs r0.x, r2.z
max r0.y, r1.x, r0.x
rcp r0.z, r0.y
min r0.y, r1.x, r0.x
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
mad r0.w, r0.z, c4.z, c4
mad r0.w, r0, r0.z, c5.x
mad r0.w, r0, r0.z, c5.y
mad r0.w, r0, r0.z, c5.z
mad r0.z, r0.w, r0, c5.w
mul r0.y, r0.z, r0
add r0.z, -r0.y, c6.x
add r0.x, r1, -r0
cmp r0.w, -r0.x, r0.y, r0.z
abs r0.x, r2.y
add r1.w, -r0, c4.x
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r2.z, r0, r1
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r2.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r2.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r5.x, r0.w, c2.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
mov r5.y, r0.z
texldd r0.yw, r5, s1, r5.zwzw, r6
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
add_pp r0.z, -r0, c2.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r1.w, r0, r0
add r1.z, r2, -r2.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r2
rsq_pp r1.z, r1.w
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r2.y, r1
mad r1.x, r0.w, r1, r2.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
texldp r0.x, v4, s5
mul_pp r0.w, r0.x, r3
abs r0.x, r1
rcp r1.x, r0.x
mul r1.z, r1, r1.x
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v2, r0
mul r0.x, r1.y, r1
add_pp r0.z, r2.x, c7.y
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r0.x, c2, c2
mul r0.xy, r1.zwzw, c1.x
frc_pp r1.x, r0.z
add_pp_sat r1.z, r0, -r1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp_sat r0.z, -r2.x, c7.x
add_pp r1.z, r1, c6
mad_pp r0.z, r0, r1, c2.x
mul_pp r0.z, r0.w, r0
texldd r0.w, r5, s0, r5.zwzw, r6
texldd r2, r5, s2, r5.zwzw, r6
mul_pp r2, r2, c2.yyyx
add_pp r4.x, r0.w, c6.z
add_pp r0.w, r2.x, r2.y
cmp_pp r2.x, r4, c2, c2.y
add_pp r0.w, r0, r2.z
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r1, r0, s3, r3, r3.zwzw
mul_pp_sat r0.z, r0, c7
add_pp r0.w, r0, r2
add_pp r2.x, -r2, c2
mul_pp r2.x, r0.w, r2
add_pp r0.w, -r0.z, c2.x
mul_pp r0.z, r1.w, r2.x
mul_pp r2.y, r0.z, r0.w
texldd r0, r0, s4, r3, r3.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_CityOverlayTex] 2D
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 16 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
abs r0.x, r2.z
max r0.y, r1.x, r0.x
rcp r0.z, r0.y
min r0.y, r1.x, r0.x
mul r0.y, r0, r0.z
mul r0.z, r0.y, r0.y
mad r0.w, r0.z, c4.z, c4
mad r0.w, r0, r0.z, c5.x
mad r0.w, r0, r0.z, c5.y
mad r0.w, r0, r0.z, c5.z
mad r0.z, r0.w, r0, c5.w
mul r0.y, r0.z, r0
add r0.z, -r0.y, c6.x
add r0.x, r1, -r0
cmp r0.w, -r0.x, r0.y, r0.z
abs r0.x, r2.y
add r1.w, -r0, c4.x
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r2.z, r0, r1
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r2.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r2.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r5.x, r0.w, c2.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
mov r5.y, r0.z
texldd r0.yw, r5, s1, r5.zwzw, r6
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
add_pp r0.z, -r0, c2.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r1.w, r0, r0
add r1.z, r2, -r2.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r2
rsq_pp r1.z, r1.w
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r2.y, r1
mad r1.x, r0.w, r1, r2.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
texldp r0.x, v4, s5
mul_pp r0.w, r0.x, r3
abs r0.x, r1
rcp r1.x, r0.x
mul r1.z, r1, r1.x
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v2, r0
mul r0.x, r1.y, r1
add_pp r0.z, r2.x, c7.y
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r0.x, c2, c2
mul r0.xy, r1.zwzw, c1.x
frc_pp r1.x, r0.z
add_pp_sat r1.z, r0, -r1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp_sat r0.z, -r2.x, c7.x
add_pp r1.z, r1, c6
mad_pp r0.z, r0, r1, c2.x
mul_pp r0.z, r0.w, r0
texldd r0.w, r5, s0, r5.zwzw, r6
texldd r2, r5, s2, r5.zwzw, r6
mul_pp r2, r2, c2.yyyx
add_pp r4.x, r0.w, c6.z
add_pp r0.w, r2.x, r2.y
cmp_pp r2.x, r4, c2, c2.y
add_pp r0.w, r0, r2.z
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r1, r0, s3, r3, r3.zwzw
mul_pp_sat r0.z, r0, c7
add_pp r0.w, r0, r2
add_pp r2.x, -r2, c2
mul_pp r2.x, r0.w, r2
add_pp r0.w, -r0.z, c2.x
mul_pp r0.z, r1.w, r2.x
mul_pp r2.y, r0.z, r0.w
texldd r0, r0, s4, r3, r3.zwzw
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_CityOverlayTex] 2D 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 5 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
mul r2.z, r0.w, c4.y
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
mov r2.y, r2.z
abs r2.x, r1.w
dsx r6.xy, r2
add r1.z, r0, -r0.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r0
dsy r6.zw, r2.xyxy
mov r5.w, r2.z
add r5.z, r1.w, c2
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
texldd r4.yw, r5.zwzw, s1, r6, r6.zwzw
mov r2.y, r1.w
mov r2.xz, c2.x
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mad r3.xyz, r0.zxyw, r2, -r1
mad r3.xyz, r2.w, r3, r1
mad_pp r2.xy, r4.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r4.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r3
mad r1.xyz, r0.w, r1, r4
abs r0.w, r1.x
add_pp_sat r1.x, r2.z, r2.w
dp4_pp r2.w, c0, c0
rsq_pp r2.w, r2.w
mul_pp r3.xyz, r2.w, c0
dp3_pp r2.w, v2, r3
add_pp r1.w, -r1.x, c2.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r1.y, r0.w, c2.z, c2.z
mad r1.x, r1, c2.z, c2.z
mul r4.xy, r1, c1.x
mov r0.w, c1.x
mad r1.xy, c2.z, -r0.w, r4
abs r1.xy, r1
rsq_pp r0.w, r1.w
rcp_pp r2.z, r0.w
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r2
dp3_pp r0.w, v3, v3
rsq_pp r3.x, r0.w
add_pp r0.w, r2, c7.y
mul_pp r3.xyz, r3.x, v3
dp3_pp r2.x, r2, r3
frc_pp r3.w, r0
add_pp_sat r2.y, r0.w, -r3.w
add_pp r2.z, r2.y, c6
texldd r0.w, r5.zwzw, s0, r6, r6.zwzw
mul_pp_sat r2.y, -r2.w, c7.x
mad_pp r2.y, r2, r2.z, c2.x
mul_pp r2.x, r2, r2.y
add_pp r0.w, r0, c6.z
dsy r5.xy, r1
dsx r4.zw, r1.xyxy
texldd r1, r4, s3, r4.zwzw, r5
mul_pp_sat r2.y, r2.x, c7.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r2.x, -r0.w, c2
texld r0.w, r0, s2
mul_pp r2.x, r0.w, r2
add_pp r0.y, -r2, c2.x
mul_pp r0.x, r1.w, r2
mul_pp r2.y, r0.x, r0
texldd r0, r4, s4, r4.zwzw, r5
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
mul r2.z, r0.w, c4.y
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
mov r2.y, r2.z
abs r2.x, r1.w
dsx r6.xy, r2
add r1.z, r0, -r0.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r0
dsy r6.zw, r2.xyxy
mov r5.w, r2.z
add r5.z, r1.w, c2
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
texldd r4.yw, r5.zwzw, s1, r6, r6.zwzw
mov r2.y, r1.w
mov r2.xz, c2.x
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mad r3.xyz, r0.zxyw, r2, -r1
mad r3.xyz, r2.w, r3, r1
mad_pp r2.xy, r4.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r4.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r3
mad r1.xyz, r0.w, r1, r4
abs r0.w, r1.x
add_pp_sat r1.x, r2.z, r2.w
dp4_pp r2.w, c0, c0
rsq_pp r2.w, r2.w
mul_pp r3.xyz, r2.w, c0
dp3_pp r2.w, v2, r3
add_pp r1.w, -r1.x, c2.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r1.y, r0.w, c2.z, c2.z
mad r1.x, r1, c2.z, c2.z
mul r4.xy, r1, c1.x
mov r0.w, c1.x
mad r1.xy, c2.z, -r0.w, r4
abs r1.xy, r1
rsq_pp r0.w, r1.w
rcp_pp r2.z, r0.w
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r2
dp3_pp r0.w, v3, v3
rsq_pp r3.x, r0.w
add_pp r0.w, r2, c7.y
mul_pp r3.xyz, r3.x, v3
dp3_pp r2.x, r2, r3
frc_pp r3.w, r0
add_pp_sat r2.y, r0.w, -r3.w
add_pp r2.z, r2.y, c6
texldd r0.w, r5.zwzw, s0, r6, r6.zwzw
mul_pp_sat r2.y, -r2.w, c7.x
mad_pp r2.y, r2, r2.z, c2.x
mul_pp r2.x, r2, r2.y
add_pp r0.w, r0, c6.z
dsy r5.xy, r1
dsx r4.zw, r1.xyxy
texldd r1, r4, s3, r4.zwzw, r5
mul_pp_sat r2.y, r2.x, c7.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r2.x, -r0.w, c2
texld r0.w, r0, s2
mul_pp r2.x, r0.w, r2
add_pp r0.y, -r2, c2.x
mul_pp r0.x, r1.w, r2
mul_pp r2.y, r0.x, r0
texldd r0, r4, s4, r4.zwzw, r5
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednaekoafmhigpoeekpcnfcfdiklpakbhnabaaaaaajaapaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefchaaoaaaa
eaaaaaaajmadaaaafjaaaaaeegiocaaaaaaaaaaaapaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafidaaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaagcbaaaadhcbabaaaacaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaah
ocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaacaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaddaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaochgdidodcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaa
fgahbaaaaaaaaaaafgahbaiaebaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadeaaaaahicaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabaaaaahccaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaa
dhaaaaakbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
idpjccdodcaaaaajbcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdgaaaaagbcaabaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
alaaaaafbcaabaaaadaaaaaaakaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdp
aaaaaaaiecaabaaaacaaaaaadkaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
ckaabaaaabaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaa
acaaaaaaamaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaaegaabaaa
adaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaacaaaaaa
eghobaaaabaaaaaaaagabaaaacaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
dcaaaaapdcaabaaaabaaaaaahgapbaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaabnaaaaah
icaabaaaabaaaaaadkaabaaaaeaaaaaaabeaaaaaaaaaiadpdhaaaaajicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadpefaaaaaj
pcaabaaaacaaaaaaogajbaaaaaaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaa
diaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaak
bcaabaaaacaaaaaackbabaaaacaaaaaaakaabaaaaaaaaaaackaabaiaebaaaaaa
aaaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaa
ckaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaabkbabaiaebaaaaaaacaaaaaa
akaabaaaaaaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaabnaaaaaibcaabaaaacaaaaaa
akaabaaaacaaaaaadkaabaiaibaaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaaaaaaaaaakaabaaa
acaaaaaaakaabaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahecaabaaaacaaaaaa
abeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaaaaaaaaackaabaiaebaaaaaa
acaaaaaaakaabaaaaaaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaaaaaaaaa
dgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaa
aeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
afaaaaaalganbaaaaaaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaa
egacbaaaadaaaaaajgahbaaaaaaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaaj
ocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaaaaaaaaa
jgahbaaaacaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaaegacbaaa
aaaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaai
dcaabaaaaaaaaaaaegaabaaaaaaaaaaafgifcaaaaaaaaaaaaoaaaaaadcaaaaao
mcaabaaaaaaaaaaafgifcaiaebaaaaaaaaaaaaaaaoaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaa
kgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaaaaaaaaa
amaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaaadaaaaaaegaabaaaacaaaaaa
ogakbaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaa
aeaaaaaaaagabaaaaeaaaaaaegaabaaaacaaaaaaogakbaaaaaaaaaaadiaaaaah
bcaabaaaacaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaadiaaaaahicaabaaa
aaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaapaaaaahicaabaaaabaaaaaa
egaabaaaabaaaaaaegaabaaaabaaaaaaddaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiicaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaabaaaaaadkaabaaaabaaaaaa
baaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
ocaabaaaacaaaaaapgapbaaaabaaaaaaagbjbaaaaeaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaabaaaaaajgahbaaaacaaaaaadiaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiaeabbaaaaajccaabaaaabaaaaaaegiocaaa
abaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafccaabaaaabaaaaaa
bkaabaaaabaaaaaadiaaaaaiocaabaaaabaaaaaafgafbaaaabaaaaaaagijcaaa
abaaaaaaaaaaaaaabaaaaaahccaabaaaabaaaaaaegbcbaaaadaaaaaajgahbaaa
abaaaaaaaaaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaakoehibdp
dicaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaaaaialpdcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaaaaaaiadpdicaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaadaaaaaaakaabaaaabaaaaaa
akaabaaaacaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaiaebaaaaaaaaaaaaaa
egaobaaaadaaaaaadcaaaaajpccabaaaaaaaaaaapgapbaaaadaaaaaaegaobaaa
abaaaaaaegaobaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
mul r2.z, r0.w, c4.y
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
mov r2.y, r2.z
abs r2.x, r1.w
dsx r6.xy, r2
add r1.z, r0, -r0.x
cmp r2.w, r1.x, c2.x, c2.y
mad r1.x, r2.w, r1.z, r0
dsy r6.zw, r2.xyxy
mov r5.w, r2.z
add r5.z, r1.w, c2
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
texldd r4.yw, r5.zwzw, s1, r6, r6.zwzw
mov r2.y, r1.w
mov r2.xz, c2.x
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mad r3.xyz, r0.zxyw, r2, -r1
mad r3.xyz, r2.w, r3, r1
mad_pp r2.xy, r4.wyzw, c6.w, c6.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r4.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r3
mad r1.xyz, r0.w, r1, r4
abs r0.w, r1.x
add_pp_sat r1.x, r2.z, r2.w
dp4_pp r2.w, c0, c0
rsq_pp r2.w, r2.w
mul_pp r3.xyz, r2.w, c0
dp3_pp r2.w, v2, r3
add_pp r1.w, -r1.x, c2.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r1.y, r0.w, c2.z, c2.z
mad r1.x, r1, c2.z, c2.z
mul r4.xy, r1, c1.x
mov r0.w, c1.x
mad r1.xy, c2.z, -r0.w, r4
abs r1.xy, r1
rsq_pp r0.w, r1.w
rcp_pp r2.z, r0.w
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r2
dp3_pp r0.w, v3, v3
rsq_pp r3.x, r0.w
add_pp r0.w, r2, c7.y
mul_pp r3.xyz, r3.x, v3
dp3_pp r2.x, r2, r3
frc_pp r3.w, r0
add_pp_sat r2.y, r0.w, -r3.w
add_pp r2.z, r2.y, c6
texldd r0.w, r5.zwzw, s0, r6, r6.zwzw
mul_pp_sat r2.y, -r2.w, c7.x
mad_pp r2.y, r2, r2.z, c2.x
mul_pp r2.x, r2, r2.y
add_pp r0.w, r0, c6.z
dsy r5.xy, r1
dsx r4.zw, r1.xyxy
texldd r1, r4, s3, r4.zwzw, r5
mul_pp_sat r2.y, r2.x, c7.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r2.x, -r0.w, c2
texld r0.w, r0, s2
mul_pp r2.x, r0.w, r2
add_pp r0.y, -r2, c2.x
mul_pp r0.x, r1.w, r2
mul_pp r2.y, r0.x, r0
texldd r0, r4, s4, r4.zwzw, r5
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r0.xyz, r2
abs r0.w, r2.z
max r1.x, r0, r0.w
rcp r1.y, r1.x
min r1.x, r0, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r0.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r2.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r2, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r2.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
cmp r1.y, r2.x, r1.z, -r1.z
mad r0.w, r0, c4.x, r1.x
mul r1.z, r0.w, c4.y
mul r1.x, r1.y, c6.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
add r5.z, r1.x, c2
cmp r3.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3.w, r0, r2.x
mov r1.y, r1.z
abs r1.x, r1
dsx r6.xy, r1
dsy r6.zw, r1.xyxy
mov r5.w, r1.z
add r0.y, -r2, r0.z
cmp r1.w, r0.x, c2.x, c2.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.z, r0.x, c2.y, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.z
texldd r0.yw, r5.zwzw, s1, r6, r6.zwzw
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
mov r3.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r3.xz, c2.x
mad r3.xyz, r2.zxyw, r3, -r1
mad r3.xyz, r3.w, r3, r1
mov r1.z, -r2.w
mov r1.xy, c2.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
add_pp r0.w, -r0, c2.x
rsq_pp r1.w, r0.w
mul r0.w, r1.z, r0.z
mul r1.x, r1.y, r0.z
dp4_pp r2.w, c0, c0
rsq_pp r2.w, r2.w
mul_pp r3.xyz, r2.w, c0
mad r0.z, r1.x, c2, c2
mad r0.w, r0, c2.z, c2.z
mul r4.xy, r0.zwzw, c1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r4
abs r1.xy, r1
rcp_pp r0.z, r1.w
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp r0.w, v3, v3
dsy r5.xy, r1
dsx r4.zw, r1.xyxy
texldd r1, r4, s3, r4.zwzw, r5
dp3_pp r2.w, v2, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, v3
dp3_pp r0.y, r0, r3
add_pp r0.w, r2, c7.y
texldp r0.x, v4, s5
mul_pp r0.x, r0, r0.y
frc_pp r0.z, r0.w
add_pp_sat r0.y, r0.w, -r0.z
add_pp r0.z, r0.y, c6
mul_pp_sat r0.y, -r2.w, c7.x
mad_pp r0.z, r0.y, r0, c2.x
texldd r0.w, r5.zwzw, s0, r6, r6.zwzw
add_pp r0.y, r0.w, c6.z
mul_pp r0.z, r0.x, r0
cmp_pp r0.x, r0.y, c2, c2.y
mul_pp_sat r0.y, r0.z, c7.z
texld r0.w, r2, s2
add_pp r0.x, -r0, c2
mul_pp r2.x, r0.w, r0
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r0, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r4, s4, r4.zwzw, r5
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r0.xyz, r2
abs r0.w, r2.z
max r1.x, r0, r0.w
rcp r1.y, r1.x
min r1.x, r0, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r0.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r2.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r2, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r2.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
cmp r1.y, r2.x, r1.z, -r1.z
mad r0.w, r0, c4.x, r1.x
mul r1.z, r0.w, c4.y
mul r1.x, r1.y, c6.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
add r5.z, r1.x, c2
cmp r3.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3.w, r0, r2.x
mov r1.y, r1.z
abs r1.x, r1
dsx r6.xy, r1
dsy r6.zw, r1.xyxy
mov r5.w, r1.z
add r0.y, -r2, r0.z
cmp r1.w, r0.x, c2.x, c2.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.z, r0.x, c2.y, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.z
texldd r0.yw, r5.zwzw, s1, r6, r6.zwzw
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
mov r3.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r3.xz, c2.x
mad r3.xyz, r2.zxyw, r3, -r1
mad r3.xyz, r3.w, r3, r1
mov r1.z, -r2.w
mov r1.xy, c2.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
add_pp r0.w, -r0, c2.x
rsq_pp r1.w, r0.w
mul r0.w, r1.z, r0.z
mul r1.x, r1.y, r0.z
dp4_pp r2.w, c0, c0
rsq_pp r2.w, r2.w
mul_pp r3.xyz, r2.w, c0
mad r0.z, r1.x, c2, c2
mad r0.w, r0, c2.z, c2.z
mul r4.xy, r0.zwzw, c1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r4
abs r1.xy, r1
rcp_pp r0.z, r1.w
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp r0.w, v3, v3
dsy r5.xy, r1
dsx r4.zw, r1.xyxy
texldd r1, r4, s3, r4.zwzw, r5
dp3_pp r2.w, v2, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, v3
dp3_pp r0.y, r0, r3
add_pp r0.w, r2, c7.y
texldp r0.x, v4, s5
mul_pp r0.x, r0, r0.y
frc_pp r0.z, r0.w
add_pp_sat r0.y, r0.w, -r0.z
add_pp r0.z, r0.y, c6
mul_pp_sat r0.y, -r2.w, c7.x
mad_pp r0.z, r0.y, r0, c2.x
texldd r0.w, r5.zwzw, s0, r6, r6.zwzw
add_pp r0.y, r0.w, c6.z
mul_pp r0.z, r0.x, r0
cmp_pp r0.x, r0.y, c2, c2.y
mul_pp_sat r0.y, r0.z, c7.z
texld r0.w, r2, s2
add_pp r0.x, -r0, c2
mul_pp r2.x, r0.w, r0
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r0, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r4, s4, r4.zwzw, r5
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedglcdmjidmlpaobckkpjnlbaclmkeglalabaaaaaacmbaaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaalmaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaalmaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaalmaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apalaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcpeaoaaaaeaaaaaaalnadaaaa
fjaaaaaeegiocaaaaaaaaaaabdaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafidaaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaa
afaaaaaaffffaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadlcbabaaaafaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaah
ocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaacaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaddaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaochgdidodcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaa
fgahbaaaaaaaaaaafgahbaiaebaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadeaaaaahicaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabaaaaahccaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaa
dhaaaaakbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
idpjccdodcaaaaajbcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdgaaaaagbcaabaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
alaaaaafbcaabaaaadaaaaaaakaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdp
aaaaaaaiecaabaaaacaaaaaadkaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
ckaabaaaabaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaa
acaaaaaaamaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaegaabaaa
adaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaacaaaaaa
eghobaaaabaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
dcaaaaapdcaabaaaabaaaaaahgapbaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaabnaaaaah
icaabaaaabaaaaaadkaabaaaaeaaaaaaabeaaaaaaaaaiadpdhaaaaajicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadpefaaaaaj
pcaabaaaacaaaaaaogajbaaaaaaaaaaaeghobaaaacaaaaaaaagabaaaabaaaaaa
diaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaak
bcaabaaaacaaaaaackbabaaaacaaaaaaakaabaaaaaaaaaaackaabaiaebaaaaaa
aaaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaa
ckaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaabkbabaiaebaaaaaaacaaaaaa
akaabaaaaaaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaabnaaaaaibcaabaaaacaaaaaa
akaabaaaacaaaaaadkaabaiaibaaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaaaaaaaaaakaabaaa
acaaaaaaakaabaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahecaabaaaacaaaaaa
abeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaaaaaaaaackaabaiaebaaaaaa
acaaaaaaakaabaaaaaaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaaaaaaaaa
dgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaa
aeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
afaaaaaalganbaaaaaaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaa
egacbaaaadaaaaaajgahbaaaaaaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaaj
ocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaaaaaaaaa
jgahbaaaacaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaaegacbaaa
aaaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaai
dcaabaaaaaaaaaaaegaabaaaaaaaaaaafgifcaaaaaaaaaaabcaaaaaadcaaaaao
mcaabaaaaaaaaaaafgifcaiaebaaaaaaaaaaaaaabcaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaa
kgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaaaaaaaaa
amaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaaaeaaaaaaegaabaaaacaaaaaa
ogakbaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaa
aeaaaaaaaagabaaaafaaaaaaegaabaaaacaaaaaaogakbaaaaaaaaaaadiaaaaah
bcaabaaaacaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaadiaaaaahicaabaaa
aaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaapaaaaahicaabaaaabaaaaaa
egaabaaaabaaaaaaegaabaaaabaaaaaaddaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiicaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaabaaaaaadkaabaaaabaaaaaa
baaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
ocaabaaaacaaaaaapgapbaaaabaaaaaaagbjbaaaaeaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaabaaaaaajgahbaaaacaaaaaaaoaaaaahgcaabaaaabaaaaaa
agbbbaaaafaaaaaapgbpbaaaafaaaaaaefaaaaajpcaabaaaaeaaaaaajgafbaaa
abaaaaaaeghobaaaafaaaaaaaagabaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaaaaeaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiaeabbaaaaajccaabaaaabaaaaaaegiocaaaabaaaaaa
aaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiocaabaaaabaaaaaafgafbaaaabaaaaaaagijcaaaabaaaaaa
aaaaaaaabaaaaaahccaabaaaabaaaaaaegbcbaaaadaaaaaajgahbaaaabaaaaaa
aaaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaah
ccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaa
abaaaaaackaabaaaabaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaaaaiadpdicaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
abeaaaaaaaaaiadpdiaaaaahicaabaaaadaaaaaaakaabaaaabaaaaaaakaabaaa
acaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaiaebaaaaaaaaaaaaaaegaobaaa
adaaaaaadcaaaaajpccabaaaaaaaaaaapgapbaaaadaaaaaaegaobaaaabaaaaaa
egaobaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r0.xyz, r2
abs r0.w, r2.z
max r1.x, r0, r0.w
rcp r1.y, r1.x
min r1.x, r0, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r0.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r2.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r2, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r2.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
cmp r1.y, r2.x, r1.z, -r1.z
mad r0.w, r0, c4.x, r1.x
mul r1.z, r0.w, c4.y
mul r1.x, r1.y, c6.y
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
add r5.z, r1.x, c2
cmp r3.w, r0.x, c2.x, c2.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3.w, r0, r2.x
mov r1.y, r1.z
abs r1.x, r1
dsx r6.xy, r1
dsy r6.zw, r1.xyxy
mov r5.w, r1.z
add r0.y, -r2, r0.z
cmp r1.w, r0.x, c2.x, c2.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.z, r0.x, c2.y, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.z
texldd r0.yw, r5.zwzw, s1, r6, r6.zwzw
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
mov r3.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r3.xz, c2.x
mad r3.xyz, r2.zxyw, r3, -r1
mad r3.xyz, r3.w, r3, r1
mov r1.z, -r2.w
mov r1.xy, c2.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.z, r1.x
rcp r0.z, r0.z
add_pp r0.w, -r0, c2.x
rsq_pp r1.w, r0.w
mul r0.w, r1.z, r0.z
mul r1.x, r1.y, r0.z
dp4_pp r2.w, c0, c0
rsq_pp r2.w, r2.w
mul_pp r3.xyz, r2.w, c0
mad r0.z, r1.x, c2, c2
mad r0.w, r0, c2.z, c2.z
mul r4.xy, r0.zwzw, c1.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r4
abs r1.xy, r1
rcp_pp r0.z, r1.w
dp3_pp r0.w, r0, r0
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0.w, r0
dp3_pp r0.w, v3, v3
dsy r5.xy, r1
dsx r4.zw, r1.xyxy
texldd r1, r4, s3, r4.zwzw, r5
dp3_pp r2.w, v2, r3
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r0.w, v3
dp3_pp r0.y, r0, r3
add_pp r0.w, r2, c7.y
texldp r0.x, v4, s5
mul_pp r0.x, r0, r0.y
frc_pp r0.z, r0.w
add_pp_sat r0.y, r0.w, -r0.z
add_pp r0.z, r0.y, c6
mul_pp_sat r0.y, -r2.w, c7.x
mad_pp r0.z, r0.y, r0, c2.x
texldd r0.w, r5.zwzw, s0, r6, r6.zwzw
add_pp r0.y, r0.w, c6.z
mul_pp r0.z, r0.x, r0
cmp_pp r0.x, r0.y, c2, c2.y
mul_pp_sat r0.y, r0.z, c7.z
texld r0.w, r2, s2
add_pp r0.x, -r0, c2
mul_pp r2.x, r0.w, r0
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r0, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r4, s4, r4.zwzw, r5
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
mov r2.y, r0.w
abs r2.x, r1.w
dsx r5.zw, r2.xyxy
dsy r6.xy, r2
add r5.x, r1.w, c2.z
mov r5.y, r0.w
texldd r2.yw, r5, s1, r5.zwzw, r6
mad_pp r3.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.xy, r3, r3
add_pp_sat r0.w, r2.x, r2.y
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r3.z, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c2.x, c2.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
dp3_pp r1.z, r3, r3
rsq_pp r3.w, r1.z
mul_pp r3.xyz, r3.w, r3
texldd r3.w, r5, s0, r5.zwzw, r6
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r2.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c2.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r1.w
mov r1.xy, c2.x
mad r2.xyz, r0.yxzw, -r1, r2
mul r1.xyz, r0.yxzw, r1
mad r1.xyz, r0.w, r2, r1
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r4.xyz, r1.w, v3
abs r1.x, r1
rcp r1.x, r1.x
mul r1.z, r1, r1.x
dp4_pp r1.w, c0, c0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c0
dp3_pp r2.z, v2, r2
mul r1.x, r1.y, r1
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r1.x, c2, c2
add_pp r1.y, r2.z, c7
mul r2.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2, c7.x
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r2
abs r1.xy, r1
dp3_pp r0.w, r3, r4
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r3.z, r0.w, c7
texld r0, r0, s2
mul_pp r0, r0, c2.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
add_pp r3.w, r3, c6.z
cmp_pp r0.y, r3.w, c2.x, c2
add_pp r0.x, r0, r0.w
add_pp r0.y, -r0, c2.x
mul_pp r3.w, r0.x, r0.y
dsy r3.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r2, s3, r2.zwzw, r3
add_pp r0.y, -r3.z, c2.x
mul_pp r0.x, r1.w, r3.w
mul_pp r3.z, r0.x, r0.y
texldd r0, r2, s4, r2.zwzw, r3
mul_pp r0.w, r3, r0
mov_pp r1.w, r3.z
add_pp r1, r1, -r0
mad_pp oC0, r3.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
mov r2.y, r0.w
abs r2.x, r1.w
dsx r5.zw, r2.xyxy
dsy r6.xy, r2
add r5.x, r1.w, c2.z
mov r5.y, r0.w
texldd r2.yw, r5, s1, r5.zwzw, r6
mad_pp r3.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.xy, r3, r3
add_pp_sat r0.w, r2.x, r2.y
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r3.z, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c2.x, c2.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
dp3_pp r1.z, r3, r3
rsq_pp r3.w, r1.z
mul_pp r3.xyz, r3.w, r3
texldd r3.w, r5, s0, r5.zwzw, r6
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r2.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c2.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r1.w
mov r1.xy, c2.x
mad r2.xyz, r0.yxzw, -r1, r2
mul r1.xyz, r0.yxzw, r1
mad r1.xyz, r0.w, r2, r1
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r4.xyz, r1.w, v3
abs r1.x, r1
rcp r1.x, r1.x
mul r1.z, r1, r1.x
dp4_pp r1.w, c0, c0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c0
dp3_pp r2.z, v2, r2
mul r1.x, r1.y, r1
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r1.x, c2, c2
add_pp r1.y, r2.z, c7
mul r2.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2, c7.x
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r2
abs r1.xy, r1
dp3_pp r0.w, r3, r4
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r3.z, r0.w, c7
texld r0, r0, s2
mul_pp r0, r0, c2.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
add_pp r3.w, r3, c6.z
cmp_pp r0.y, r3.w, c2.x, c2
add_pp r0.x, r0, r0.w
add_pp r0.y, -r0, c2.x
mul_pp r3.w, r0.x, r0.y
dsy r3.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r2, s3, r2.zwzw, r3
add_pp r0.y, -r3.z, c2.x
mul_pp r0.x, r1.w, r3.w
mul_pp r3.z, r0.x, r0.y
texldd r0, r2, s4, r2.zwzw, r3
mul_pp r0.w, r3, r0
mov_pp r1.w, r3.z
add_pp r1, r1, -r0
mad_pp oC0, r3.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
mov r2.y, r0.w
abs r2.x, r1.w
dsx r5.zw, r2.xyxy
dsy r6.xy, r2
add r5.x, r1.w, c2.z
mov r5.y, r0.w
texldd r2.yw, r5, s1, r5.zwzw, r6
mad_pp r3.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.xy, r3, r3
add_pp_sat r0.w, r2.x, r2.y
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r3.z, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c2.x, c2.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
dp3_pp r1.z, r3, r3
rsq_pp r3.w, r1.z
mul_pp r3.xyz, r3.w, r3
texldd r3.w, r5, s0, r5.zwzw, r6
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r2.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c2.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r1.w
mov r1.xy, c2.x
mad r2.xyz, r0.yxzw, -r1, r2
mul r1.xyz, r0.yxzw, r1
mad r1.xyz, r0.w, r2, r1
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r4.xyz, r1.w, v3
abs r1.x, r1
rcp r1.x, r1.x
mul r1.z, r1, r1.x
dp4_pp r1.w, c0, c0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c0
dp3_pp r2.z, v2, r2
mul r1.x, r1.y, r1
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r1.x, c2, c2
add_pp r1.y, r2.z, c7
mul r2.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2, c7.x
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r2
abs r1.xy, r1
dp3_pp r0.w, r3, r4
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r3.z, r0.w, c7
texld r0, r0, s2
mul_pp r0, r0, c2.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
add_pp r3.w, r3, c6.z
cmp_pp r0.y, r3.w, c2.x, c2
add_pp r0.x, r0, r0.w
add_pp r0.y, -r0, c2.x
mul_pp r3.w, r0.x, r0.y
dsy r3.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r2, s3, r2.zwzw, r3
add_pp r0.y, -r3.z, c2.x
mul_pp r0.x, r1.w, r3.w
mul_pp r3.z, r0.x, r0.y
texldd r0, r2, s4, r2.zwzw, r3
mul_pp r0.w, r3, r0
mov_pp r1.w, r3.z
add_pp r1, r1, -r0
mad_pp oC0, r3.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r2.xyz, r0
abs r0.w, r0.z
max r1.x, r2, r0.w
rcp r1.y, r1.x
min r1.x, r2, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r2.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r0.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r0, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r0.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
mad r0.w, r0, c4.x, r1.x
cmp r1.y, r0.x, r1.z, -r1.z
mul r1.x, r1.y, c6.y
mul r0.w, r0, c4.y
add r5.x, r1, c2.z
mov r1.y, r0.w
abs r1.x, r1
dsx r5.zw, r1.xyxy
dsy r6.xy, r1
mov r5.y, r0.w
texldd r1.yw, r5, s1, r5.zwzw, r6
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
max r0.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r0.w, r0, -r2.y
dp3_pp r1.w, r1, r1
add r2.z, r0, -r0.x
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.z, r0
rsq_pp r2.z, r1.w
mul_pp r3.xyz, r2.z, r1
dp3_pp r1.x, v3, v3
rsq_pp r1.x, r1.x
mul_pp r4.xyz, r1.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r2.x, -r0.y, r2
mad r2.x, r0.w, r2, r0.y
cmp r2.y, r2.x, c2, c2.x
cmp r1.w, -r2.x, c2.y, c2.x
add r1.w, r1, -r2.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c2.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r1, r3
texldp r1.x, v4, s5
mul_pp r0.w, r1.x, r3
abs r1.x, r2
rcp r2.w, r1.x
dp4_pp r1.y, c0, c0
mul r1.w, r2.z, r2
rsq_pp r1.x, r1.y
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v2, r1
mul r1.x, r2.y, r2.w
add_pp r1.y, r2.x, c7
mad r1.z, r1.x, c2, c2
mad r1.w, r1, c2.z, c2.z
mul r3.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2.x, c7.x
texld r2, r0, s2
mul_pp r2, r2, c2.xyyy
add_pp r0.x, r2, r2.y
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r4.z, r0.w, c7
texldd r0.w, r5, s0, r5.zwzw, r6
add_pp r0.y, r0.w, c6.z
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r3
abs r1.xy, r1
cmp_pp r0.y, r0, c2.x, c2
add_pp r0.x, r0, r2.z
dsy r4.xy, r1
dsx r3.zw, r1.xyxy
texldd r1, r3, s3, r3.zwzw, r4
add_pp r0.y, -r0, c2.x
add_pp r0.x, r0, r2.w
mul_pp r2.x, r0, r0.y
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r4.z, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s4, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r2.xyz, r0
abs r0.w, r0.z
max r1.x, r2, r0.w
rcp r1.y, r1.x
min r1.x, r2, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r2.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r0.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r0, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r0.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
mad r0.w, r0, c4.x, r1.x
cmp r1.y, r0.x, r1.z, -r1.z
mul r1.x, r1.y, c6.y
mul r0.w, r0, c4.y
add r5.x, r1, c2.z
mov r1.y, r0.w
abs r1.x, r1
dsx r5.zw, r1.xyxy
dsy r6.xy, r1
mov r5.y, r0.w
texldd r1.yw, r5, s1, r5.zwzw, r6
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
max r0.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r0.w, r0, -r2.y
dp3_pp r1.w, r1, r1
add r2.z, r0, -r0.x
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.z, r0
rsq_pp r2.z, r1.w
mul_pp r3.xyz, r2.z, r1
dp3_pp r1.x, v3, v3
rsq_pp r1.x, r1.x
mul_pp r4.xyz, r1.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r2.x, -r0.y, r2
mad r2.x, r0.w, r2, r0.y
cmp r2.y, r2.x, c2, c2.x
cmp r1.w, -r2.x, c2.y, c2.x
add r1.w, r1, -r2.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c2.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r1, r3
texldp r1.x, v4, s5
mul_pp r0.w, r1.x, r3
abs r1.x, r2
rcp r2.w, r1.x
dp4_pp r1.y, c0, c0
mul r1.w, r2.z, r2
rsq_pp r1.x, r1.y
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v2, r1
mul r1.x, r2.y, r2.w
add_pp r1.y, r2.x, c7
mad r1.z, r1.x, c2, c2
mad r1.w, r1, c2.z, c2.z
mul r3.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2.x, c7.x
texld r2, r0, s2
mul_pp r2, r2, c2.xyyy
add_pp r0.x, r2, r2.y
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r4.z, r0.w, c7
texldd r0.w, r5, s0, r5.zwzw, r6
add_pp r0.y, r0.w, c6.z
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r3
abs r1.xy, r1
cmp_pp r0.y, r0, c2.x, c2
add_pp r0.x, r0, r2.z
dsy r4.xy, r1
dsx r3.zw, r1.xyxy
texldd r1, r3, s3, r3.zwzw, r4
add_pp r0.y, -r0, c2.x
add_pp r0.x, r0, r2.w
mul_pp r2.x, r0, r0.y
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r4.z, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s4, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r2.xyz, r0
abs r0.w, r0.z
max r1.x, r2, r0.w
rcp r1.y, r1.x
min r1.x, r2, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r2.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r0.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r0, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r0.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
mad r0.w, r0, c4.x, r1.x
cmp r1.y, r0.x, r1.z, -r1.z
mul r1.x, r1.y, c6.y
mul r0.w, r0, c4.y
add r5.x, r1, c2.z
mov r1.y, r0.w
abs r1.x, r1
dsx r5.zw, r1.xyxy
dsy r6.xy, r1
mov r5.y, r0.w
texldd r1.yw, r5, s1, r5.zwzw, r6
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
max r0.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r0.w, r0, -r2.y
dp3_pp r1.w, r1, r1
add r2.z, r0, -r0.x
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.z, r0
rsq_pp r2.z, r1.w
mul_pp r3.xyz, r2.z, r1
dp3_pp r1.x, v3, v3
rsq_pp r1.x, r1.x
mul_pp r4.xyz, r1.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r2.x, -r0.y, r2
mad r2.x, r0.w, r2, r0.y
cmp r2.y, r2.x, c2, c2.x
cmp r1.w, -r2.x, c2.y, c2.x
add r1.w, r1, -r2.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c2.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r1, r3
texldp r1.x, v4, s5
mul_pp r0.w, r1.x, r3
abs r1.x, r2
rcp r2.w, r1.x
dp4_pp r1.y, c0, c0
mul r1.w, r2.z, r2
rsq_pp r1.x, r1.y
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v2, r1
mul r1.x, r2.y, r2.w
add_pp r1.y, r2.x, c7
mad r1.z, r1.x, c2, c2
mad r1.w, r1, c2.z, c2.z
mul r3.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2.x, c7.x
texld r2, r0, s2
mul_pp r2, r2, c2.xyyy
add_pp r0.x, r2, r2.y
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r4.z, r0.w, c7
texldd r0.w, r5, s0, r5.zwzw, r6
add_pp r0.y, r0.w, c6.z
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r3
abs r1.xy, r1
cmp_pp r0.y, r0, c2.x, c2
add_pp r0.x, r0, r2.z
dsy r4.xy, r1
dsx r3.zw, r1.xyxy
texldd r1, r3, s3, r3.zwzw, r4
add_pp r0.y, -r0, c2.x
add_pp r0.x, r0, r2.w
mul_pp r2.x, r0, r0.y
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r4.z, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s4, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
mov r2.y, r0.w
abs r2.x, r1.w
dsx r5.zw, r2.xyxy
dsy r6.xy, r2
add r5.x, r1.w, c2.z
mov r5.y, r0.w
texldd r2.yw, r5, s1, r5.zwzw, r6
mad_pp r3.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.xy, r3, r3
add_pp_sat r0.w, r2.x, r2.y
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r3.z, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c2.x, c2.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
dp3_pp r1.z, r3, r3
rsq_pp r3.w, r1.z
mul_pp r3.xyz, r3.w, r3
texldd r3.w, r5, s0, r5.zwzw, r6
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r2.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c2.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r1.w
mov r1.xy, c2.x
mad r2.xyz, r0.yxzw, -r1, r2
mul r1.xyz, r0.yxzw, r1
mad r1.xyz, r0.w, r2, r1
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r4.xyz, r1.w, v3
abs r1.x, r1
rcp r1.x, r1.x
mul r1.z, r1, r1.x
dp4_pp r1.w, c0, c0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c0
dp3_pp r2.z, v2, r2
mul r1.x, r1.y, r1
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r1.x, c2, c2
add_pp r1.y, r2.z, c7
mul r2.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2, c7.x
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r2
abs r1.xy, r1
dp3_pp r0.w, r3, r4
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r3.z, r0.w, c7
texld r0, r0, s2
mul_pp r0, r0, c2.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
add_pp r3.w, r3, c6.z
cmp_pp r0.y, r3.w, c2.x, c2
add_pp r0.x, r0, r0.w
add_pp r0.y, -r0, c2.x
mul_pp r3.w, r0.x, r0.y
dsy r3.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r2, s3, r2.zwzw, r3
add_pp r0.y, -r3.z, c2.x
mul_pp r0.x, r1.w, r3.w
mul_pp r3.z, r0.x, r0.y
texldd r0, r2, s4, r2.zwzw, r3
mul_pp r0.w, r3, r0
mov_pp r1.w, r3.z
add_pp r1, r1, -r0
mad_pp oC0, r3.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
mov r2.y, r0.w
abs r2.x, r1.w
dsx r5.zw, r2.xyxy
dsy r6.xy, r2
add r5.x, r1.w, c2.z
mov r5.y, r0.w
texldd r2.yw, r5, s1, r5.zwzw, r6
mad_pp r3.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.xy, r3, r3
add_pp_sat r0.w, r2.x, r2.y
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r3.z, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c2.x, c2.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
dp3_pp r1.z, r3, r3
rsq_pp r3.w, r1.z
mul_pp r3.xyz, r3.w, r3
texldd r3.w, r5, s0, r5.zwzw, r6
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r2.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c2.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r1.w
mov r1.xy, c2.x
mad r2.xyz, r0.yxzw, -r1, r2
mul r1.xyz, r0.yxzw, r1
mad r1.xyz, r0.w, r2, r1
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r4.xyz, r1.w, v3
abs r1.x, r1
rcp r1.x, r1.x
mul r1.z, r1, r1.x
dp4_pp r1.w, c0, c0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c0
dp3_pp r2.z, v2, r2
mul r1.x, r1.y, r1
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r1.x, c2, c2
add_pp r1.y, r2.z, c7
mul r2.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2, c7.x
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r2
abs r1.xy, r1
dp3_pp r0.w, r3, r4
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r3.z, r0.w, c7
texld r0, r0, s2
mul_pp r0, r0, c2.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
add_pp r3.w, r3, c6.z
cmp_pp r0.y, r3.w, c2.x, c2
add_pp r0.x, r0, r0.w
add_pp r0.y, -r0, c2.x
mul_pp r3.w, r0.x, r0.y
dsy r3.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r2, s3, r2.zwzw, r3
add_pp r0.y, -r3.z, c2.x
mul_pp r0.x, r1.w, r3.w
mul_pp r3.z, r0.x, r0.y
texldd r0, r2, s4, r2.zwzw, r3
mul_pp r0.w, r3, r0
mov_pp r1.w, r3.z
add_pp r1, r1, -r0
mad_pp oC0, r3.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
mov r2.y, r0.w
abs r2.x, r1.w
dsx r5.zw, r2.xyxy
dsy r6.xy, r2
add r5.x, r1.w, c2.z
mov r5.y, r0.w
texldd r2.yw, r5, s1, r5.zwzw, r6
mad_pp r3.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.xy, r3, r3
add_pp_sat r0.w, r2.x, r2.y
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r3.z, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c2.x, c2.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
dp3_pp r1.z, r3, r3
rsq_pp r3.w, r1.z
mul_pp r3.xyz, r3.w, r3
texldd r3.w, r5, s0, r5.zwzw, r6
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r2.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c2.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r1.w
mov r1.xy, c2.x
mad r2.xyz, r0.yxzw, -r1, r2
mul r1.xyz, r0.yxzw, r1
mad r1.xyz, r0.w, r2, r1
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r4.xyz, r1.w, v3
abs r1.x, r1
rcp r1.x, r1.x
mul r1.z, r1, r1.x
dp4_pp r1.w, c0, c0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c0
dp3_pp r2.z, v2, r2
mul r1.x, r1.y, r1
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r1.x, c2, c2
add_pp r1.y, r2.z, c7
mul r2.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2, c7.x
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r2
abs r1.xy, r1
dp3_pp r0.w, r3, r4
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r3.z, r0.w, c7
texld r0, r0, s2
mul_pp r0, r0, c2.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
add_pp r3.w, r3, c6.z
cmp_pp r0.y, r3.w, c2.x, c2
add_pp r0.x, r0, r0.w
add_pp r0.y, -r0, c2.x
mul_pp r3.w, r0.x, r0.y
dsy r3.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r2, s3, r2.zwzw, r3
add_pp r0.y, -r3.z, c2.x
mul_pp r0.x, r1.w, r3.w
mul_pp r3.z, r0.x, r0.y
texldd r0, r2, s4, r2.zwzw, r3
mul_pp r0.w, r3, r0
mov_pp r1.w, r3.z
add_pp r1, r1, -r0
mad_pp oC0, r3.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r2.xyz, r0
abs r0.w, r0.z
max r1.x, r2, r0.w
rcp r1.y, r1.x
min r1.x, r2, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r2.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r0.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r0, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r0.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
mad r0.w, r0, c4.x, r1.x
cmp r1.y, r0.x, r1.z, -r1.z
mul r1.x, r1.y, c6.y
mul r0.w, r0, c4.y
add r5.x, r1, c2.z
mov r1.y, r0.w
abs r1.x, r1
dsx r5.zw, r1.xyxy
dsy r6.xy, r1
mov r5.y, r0.w
texldd r1.yw, r5, s1, r5.zwzw, r6
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
max r0.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r0.w, r0, -r2.y
dp3_pp r1.w, r1, r1
add r2.z, r0, -r0.x
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.z, r0
rsq_pp r2.z, r1.w
mul_pp r3.xyz, r2.z, r1
dp3_pp r1.x, v3, v3
rsq_pp r1.x, r1.x
mul_pp r4.xyz, r1.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r2.x, -r0.y, r2
mad r2.x, r0.w, r2, r0.y
cmp r2.y, r2.x, c2, c2.x
cmp r1.w, -r2.x, c2.y, c2.x
add r1.w, r1, -r2.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c2.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r1, r3
texldp r1.x, v4, s5
mul_pp r0.w, r1.x, r3
abs r1.x, r2
rcp r2.w, r1.x
dp4_pp r1.y, c0, c0
mul r1.w, r2.z, r2
rsq_pp r1.x, r1.y
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v2, r1
mul r1.x, r2.y, r2.w
add_pp r1.y, r2.x, c7
mad r1.z, r1.x, c2, c2
mad r1.w, r1, c2.z, c2.z
mul r3.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2.x, c7.x
texld r2, r0, s2
mul_pp r2, r2, c2.yxyy
add_pp r0.x, r2, r2.y
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r4.z, r0.w, c7
texldd r0.w, r5, s0, r5.zwzw, r6
add_pp r0.y, r0.w, c6.z
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r3
abs r1.xy, r1
cmp_pp r0.y, r0, c2.x, c2
add_pp r0.x, r0, r2.z
dsy r4.xy, r1
dsx r3.zw, r1.xyxy
texldd r1, r3, s3, r3.zwzw, r4
add_pp r0.y, -r0, c2.x
add_pp r0.x, r0, r2.w
mul_pp r2.x, r0, r0.y
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r4.z, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s4, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r2.xyz, r0
abs r0.w, r0.z
max r1.x, r2, r0.w
rcp r1.y, r1.x
min r1.x, r2, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r2.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r0.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r0, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r0.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
mad r0.w, r0, c4.x, r1.x
cmp r1.y, r0.x, r1.z, -r1.z
mul r1.x, r1.y, c6.y
mul r0.w, r0, c4.y
add r5.x, r1, c2.z
mov r1.y, r0.w
abs r1.x, r1
dsx r5.zw, r1.xyxy
dsy r6.xy, r1
mov r5.y, r0.w
texldd r1.yw, r5, s1, r5.zwzw, r6
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
max r0.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r0.w, r0, -r2.y
dp3_pp r1.w, r1, r1
add r2.z, r0, -r0.x
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.z, r0
rsq_pp r2.z, r1.w
mul_pp r3.xyz, r2.z, r1
dp3_pp r1.x, v3, v3
rsq_pp r1.x, r1.x
mul_pp r4.xyz, r1.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r2.x, -r0.y, r2
mad r2.x, r0.w, r2, r0.y
cmp r2.y, r2.x, c2, c2.x
cmp r1.w, -r2.x, c2.y, c2.x
add r1.w, r1, -r2.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c2.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r1, r3
texldp r1.x, v4, s5
mul_pp r0.w, r1.x, r3
abs r1.x, r2
rcp r2.w, r1.x
dp4_pp r1.y, c0, c0
mul r1.w, r2.z, r2
rsq_pp r1.x, r1.y
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v2, r1
mul r1.x, r2.y, r2.w
add_pp r1.y, r2.x, c7
mad r1.z, r1.x, c2, c2
mad r1.w, r1, c2.z, c2.z
mul r3.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2.x, c7.x
texld r2, r0, s2
mul_pp r2, r2, c2.yxyy
add_pp r0.x, r2, r2.y
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r4.z, r0.w, c7
texldd r0.w, r5, s0, r5.zwzw, r6
add_pp r0.y, r0.w, c6.z
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r3
abs r1.xy, r1
cmp_pp r0.y, r0, c2.x, c2
add_pp r0.x, r0, r2.z
dsy r4.xy, r1
dsx r3.zw, r1.xyxy
texldd r1, r3, s3, r3.zwzw, r4
add_pp r0.y, -r0, c2.x
add_pp r0.x, r0, r2.w
mul_pp r2.x, r0, r0.y
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r4.z, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s4, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r2.xyz, r0
abs r0.w, r0.z
max r1.x, r2, r0.w
rcp r1.y, r1.x
min r1.x, r2, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r2.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r0.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r0, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r0.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
mad r0.w, r0, c4.x, r1.x
cmp r1.y, r0.x, r1.z, -r1.z
mul r1.x, r1.y, c6.y
mul r0.w, r0, c4.y
add r5.x, r1, c2.z
mov r1.y, r0.w
abs r1.x, r1
dsx r5.zw, r1.xyxy
dsy r6.xy, r1
mov r5.y, r0.w
texldd r1.yw, r5, s1, r5.zwzw, r6
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
max r0.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r0.w, r0, -r2.y
dp3_pp r1.w, r1, r1
add r2.z, r0, -r0.x
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.z, r0
rsq_pp r2.z, r1.w
mul_pp r3.xyz, r2.z, r1
dp3_pp r1.x, v3, v3
rsq_pp r1.x, r1.x
mul_pp r4.xyz, r1.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r2.x, -r0.y, r2
mad r2.x, r0.w, r2, r0.y
cmp r2.y, r2.x, c2, c2.x
cmp r1.w, -r2.x, c2.y, c2.x
add r1.w, r1, -r2.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c2.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r1, r3
texldp r1.x, v4, s5
mul_pp r0.w, r1.x, r3
abs r1.x, r2
rcp r2.w, r1.x
dp4_pp r1.y, c0, c0
mul r1.w, r2.z, r2
rsq_pp r1.x, r1.y
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v2, r1
mul r1.x, r2.y, r2.w
add_pp r1.y, r2.x, c7
mad r1.z, r1.x, c2, c2
mad r1.w, r1, c2.z, c2.z
mul r3.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2.x, c7.x
texld r2, r0, s2
mul_pp r2, r2, c2.yxyy
add_pp r0.x, r2, r2.y
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r4.z, r0.w, c7
texldd r0.w, r5, s0, r5.zwzw, r6
add_pp r0.y, r0.w, c6.z
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r3
abs r1.xy, r1
cmp_pp r0.y, r0, c2.x, c2
add_pp r0.x, r0, r2.z
dsy r4.xy, r1
dsx r3.zw, r1.xyxy
texldd r1, r3, s3, r3.zwzw, r4
add_pp r0.y, -r0, c2.x
add_pp r0.x, r0, r2.w
mul_pp r2.x, r0, r0.y
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r4.z, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s4, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednamdmcccddmlncaiojjihfdfmdhllkmhabaaaaaacmbaaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaalmaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaalmaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaalmaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apalaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcpeaoaaaaeaaaaaaalnadaaaa
fjaaaaaeegiocaaaaaaaaaaabdaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafidaaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaa
afaaaaaaffffaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadlcbabaaaafaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaah
ocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaacaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaddaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaochgdidodcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaa
fgahbaaaaaaaaaaafgahbaiaebaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadeaaaaahicaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabaaaaahccaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaa
dhaaaaakbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
idpjccdodcaaaaajbcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdgaaaaagbcaabaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
alaaaaafbcaabaaaadaaaaaaakaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdp
aaaaaaaiecaabaaaacaaaaaadkaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
ckaabaaaabaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaa
acaaaaaaamaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaegaabaaa
adaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaacaaaaaa
eghobaaaabaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
dcaaaaapdcaabaaaabaaaaaahgapbaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaabnaaaaah
icaabaaaabaaaaaadkaabaaaaeaaaaaaabeaaaaaaaaaiadpdhaaaaajicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadpefaaaaaj
pcaabaaaacaaaaaaogajbaaaaaaaaaaaeghobaaaacaaaaaaaagabaaaabaaaaaa
diaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaacaaaaaadcaaaaak
bcaabaaaacaaaaaackbabaaaacaaaaaaakaabaaaaaaaaaaackaabaiaebaaaaaa
aaaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaa
ckaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaabkbabaiaebaaaaaaacaaaaaa
akaabaaaaaaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaabnaaaaaibcaabaaaacaaaaaa
akaabaaaacaaaaaadkaabaiaibaaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaaaaaaaaaakaabaaa
acaaaaaaakaabaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahecaabaaaacaaaaaa
abeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaaaaaaaaackaabaiaebaaaaaa
acaaaaaaakaabaaaaaaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaaaaaaaaa
dgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaa
aeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
afaaaaaalganbaaaaaaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaa
egacbaaaadaaaaaajgahbaaaaaaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaaj
ocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaafaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaaaaaaaaa
jgahbaaaacaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaaegacbaaa
aaaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaai
dcaabaaaaaaaaaaaegaabaaaaaaaaaaafgifcaaaaaaaaaaabcaaaaaadcaaaaao
mcaabaaaaaaaaaaafgifcaiaebaaaaaaaaaaaaaabcaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaa
kgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaaaaaaaaa
amaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaaaaaaaaaeghobaaaadaaaaaaaagabaaaaeaaaaaaegaabaaaacaaaaaa
ogakbaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaa
aeaaaaaaaagabaaaafaaaaaaegaabaaaacaaaaaaogakbaaaaaaaaaaadiaaaaah
bcaabaaaacaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaadiaaaaahicaabaaa
aaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaapaaaaahicaabaaaabaaaaaa
egaabaaaabaaaaaaegaabaaaabaaaaaaddaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaiadpaaaaaaaiicaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaabaaaaaadkaabaaaabaaaaaa
baaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
ocaabaaaacaaaaaapgapbaaaabaaaaaaagbjbaaaaeaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaabaaaaaajgahbaaaacaaaaaaaoaaaaahgcaabaaaabaaaaaa
agbbbaaaafaaaaaapgbpbaaaafaaaaaaefaaaaajpcaabaaaaeaaaaaajgafbaaa
abaaaaaaeghobaaaafaaaaaaaagabaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaaaaeaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiaeabbaaaaajccaabaaaabaaaaaaegiocaaaabaaaaaa
aaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafccaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaaiocaabaaaabaaaaaafgafbaaaabaaaaaaagijcaaaabaaaaaa
aaaaaaaabaaaaaahccaabaaaabaaaaaaegbcbaaaadaaaaaajgahbaaaabaaaaaa
aaaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaakoehibdpdicaaaah
ccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaacambebcaaaafecaabaaa
abaaaaaackaabaaaabaaaaaaaaaaaaahecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaialpdcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaaaaiadpdicaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
abeaaaaaaaaaiadpdiaaaaahicaabaaaadaaaaaaakaabaaaabaaaaaaakaabaaa
acaaaaaaaaaaaaaipcaabaaaabaaaaaaegaobaiaebaaaaaaaaaaaaaaegaobaaa
adaaaaaadcaaaaajpccabaaaaaaaaaaapgapbaaaadaaaaaaegaobaaaabaaaaaa
egaobaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
mov r2.y, r0.w
abs r2.x, r1.w
dsx r5.zw, r2.xyxy
dsy r6.xy, r2
add r5.x, r1.w, c2.z
mov r5.y, r0.w
texldd r2.yw, r5, s1, r5.zwzw, r6
mad_pp r3.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.xy, r3, r3
add_pp_sat r0.w, r2.x, r2.y
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r3.z, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c2.x, c2.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
dp3_pp r1.z, r3, r3
rsq_pp r3.w, r1.z
mul_pp r3.xyz, r3.w, r3
texldd r3.w, r5, s0, r5.zwzw, r6
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r2.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c2.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r1.w
mov r1.xy, c2.x
mad r2.xyz, r0.yxzw, -r1, r2
mul r1.xyz, r0.yxzw, r1
mad r1.xyz, r0.w, r2, r1
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r4.xyz, r1.w, v3
abs r1.x, r1
rcp r1.x, r1.x
mul r1.z, r1, r1.x
dp4_pp r1.w, c0, c0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c0
dp3_pp r2.z, v2, r2
mul r1.x, r1.y, r1
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r1.x, c2, c2
add_pp r1.y, r2.z, c7
mul r2.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2, c7.x
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r2
abs r1.xy, r1
dp3_pp r0.w, r3, r4
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r3.z, r0.w, c7
texld r0, r0, s2
mul_pp r0, r0, c2.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
add_pp r3.w, r3, c6.z
cmp_pp r0.y, r3.w, c2.x, c2
add_pp r0.x, r0, r0.w
add_pp r0.y, -r0, c2.x
mul_pp r3.w, r0.x, r0.y
dsy r3.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r2, s3, r2.zwzw, r3
add_pp r0.y, -r3.z, c2.x
mul_pp r0.x, r1.w, r3.w
mul_pp r3.z, r0.x, r0.y
texldd r0, r2, s4, r2.zwzw, r3
mul_pp r0.w, r3, r0
mov_pp r1.w, r3.z
add_pp r1, r1, -r0
mad_pp oC0, r3.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
mov r2.y, r0.w
abs r2.x, r1.w
dsx r5.zw, r2.xyxy
dsy r6.xy, r2
add r5.x, r1.w, c2.z
mov r5.y, r0.w
texldd r2.yw, r5, s1, r5.zwzw, r6
mad_pp r3.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.xy, r3, r3
add_pp_sat r0.w, r2.x, r2.y
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r3.z, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c2.x, c2.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
dp3_pp r1.z, r3, r3
rsq_pp r3.w, r1.z
mul_pp r3.xyz, r3.w, r3
texldd r3.w, r5, s0, r5.zwzw, r6
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r2.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c2.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r1.w
mov r1.xy, c2.x
mad r2.xyz, r0.yxzw, -r1, r2
mul r1.xyz, r0.yxzw, r1
mad r1.xyz, r0.w, r2, r1
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r4.xyz, r1.w, v3
abs r1.x, r1
rcp r1.x, r1.x
mul r1.z, r1, r1.x
dp4_pp r1.w, c0, c0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c0
dp3_pp r2.z, v2, r2
mul r1.x, r1.y, r1
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r1.x, c2, c2
add_pp r1.y, r2.z, c7
mul r2.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2, c7.x
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r2
abs r1.xy, r1
dp3_pp r0.w, r3, r4
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r3.z, r0.w, c7
texld r0, r0, s2
mul_pp r0, r0, c2.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
add_pp r3.w, r3, c6.z
cmp_pp r0.y, r3.w, c2.x, c2
add_pp r0.x, r0, r0.w
add_pp r0.y, -r0, c2.x
mul_pp r3.w, r0.x, r0.y
dsy r3.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r2, s3, r2.zwzw, r3
add_pp r0.y, -r3.z, c2.x
mul_pp r0.x, r1.w, r3.w
mul_pp r3.z, r0.x, r0.y
texldd r0, r2, s4, r2.zwzw, r3
mul_pp r0.w, r3, r0
mov_pp r1.w, r3.z
add_pp r1, r1, -r0
mad_pp oC0, r3.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
mov r2.y, r0.w
abs r2.x, r1.w
dsx r5.zw, r2.xyxy
dsy r6.xy, r2
add r5.x, r1.w, c2.z
mov r5.y, r0.w
texldd r2.yw, r5, s1, r5.zwzw, r6
mad_pp r3.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.xy, r3, r3
add_pp_sat r0.w, r2.x, r2.y
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r3.z, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c2.x, c2.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
dp3_pp r1.z, r3, r3
rsq_pp r3.w, r1.z
mul_pp r3.xyz, r3.w, r3
texldd r3.w, r5, s0, r5.zwzw, r6
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r2.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c2.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r1.w
mov r1.xy, c2.x
mad r2.xyz, r0.yxzw, -r1, r2
mul r1.xyz, r0.yxzw, r1
mad r1.xyz, r0.w, r2, r1
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r4.xyz, r1.w, v3
abs r1.x, r1
rcp r1.x, r1.x
mul r1.z, r1, r1.x
dp4_pp r1.w, c0, c0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c0
dp3_pp r2.z, v2, r2
mul r1.x, r1.y, r1
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r1.x, c2, c2
add_pp r1.y, r2.z, c7
mul r2.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2, c7.x
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r2
abs r1.xy, r1
dp3_pp r0.w, r3, r4
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r3.z, r0.w, c7
texld r0, r0, s2
mul_pp r0, r0, c2.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
add_pp r3.w, r3, c6.z
cmp_pp r0.y, r3.w, c2.x, c2
add_pp r0.x, r0, r0.w
add_pp r0.y, -r0, c2.x
mul_pp r3.w, r0.x, r0.y
dsy r3.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r2, s3, r2.zwzw, r3
add_pp r0.y, -r3.z, c2.x
mul_pp r0.x, r1.w, r3.w
mul_pp r3.z, r0.x, r0.y
texldd r0, r2, s4, r2.zwzw, r3
mul_pp r0.w, r3, r0
mov_pp r1.w, r3.z
add_pp r1, r1, -r0
mad_pp oC0, r3.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r2.xyz, r0
abs r0.w, r0.z
max r1.x, r2, r0.w
rcp r1.y, r1.x
min r1.x, r2, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r2.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r0.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r0, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r0.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
mad r0.w, r0, c4.x, r1.x
cmp r1.y, r0.x, r1.z, -r1.z
mul r1.x, r1.y, c6.y
mul r0.w, r0, c4.y
add r5.x, r1, c2.z
mov r1.y, r0.w
abs r1.x, r1
dsx r5.zw, r1.xyxy
dsy r6.xy, r1
mov r5.y, r0.w
texldd r1.yw, r5, s1, r5.zwzw, r6
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
max r0.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r0.w, r0, -r2.y
dp3_pp r1.w, r1, r1
add r2.z, r0, -r0.x
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.z, r0
rsq_pp r2.z, r1.w
mul_pp r3.xyz, r2.z, r1
dp3_pp r1.x, v3, v3
rsq_pp r1.x, r1.x
mul_pp r4.xyz, r1.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r2.x, -r0.y, r2
mad r2.x, r0.w, r2, r0.y
cmp r2.y, r2.x, c2, c2.x
cmp r1.w, -r2.x, c2.y, c2.x
add r1.w, r1, -r2.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c2.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r1, r3
texldp r1.x, v4, s5
mul_pp r0.w, r1.x, r3
abs r1.x, r2
rcp r2.w, r1.x
dp4_pp r1.y, c0, c0
mul r1.w, r2.z, r2
rsq_pp r1.x, r1.y
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v2, r1
mul r1.x, r2.y, r2.w
add_pp r1.y, r2.x, c7
mad r1.z, r1.x, c2, c2
mad r1.w, r1, c2.z, c2.z
mul r3.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2.x, c7.x
texld r2, r0, s2
mul_pp r2, r2, c2.yyxy
add_pp r0.x, r2, r2.y
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r4.z, r0.w, c7
texldd r0.w, r5, s0, r5.zwzw, r6
add_pp r0.y, r0.w, c6.z
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r3
abs r1.xy, r1
cmp_pp r0.y, r0, c2.x, c2
add_pp r0.x, r0, r2.z
dsy r4.xy, r1
dsx r3.zw, r1.xyxy
texldd r1, r3, s3, r3.zwzw, r4
add_pp r0.y, -r0, c2.x
add_pp r0.x, r0, r2.w
mul_pp r2.x, r0, r0.y
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r4.z, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s4, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r2.xyz, r0
abs r0.w, r0.z
max r1.x, r2, r0.w
rcp r1.y, r1.x
min r1.x, r2, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r2.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r0.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r0, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r0.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
mad r0.w, r0, c4.x, r1.x
cmp r1.y, r0.x, r1.z, -r1.z
mul r1.x, r1.y, c6.y
mul r0.w, r0, c4.y
add r5.x, r1, c2.z
mov r1.y, r0.w
abs r1.x, r1
dsx r5.zw, r1.xyxy
dsy r6.xy, r1
mov r5.y, r0.w
texldd r1.yw, r5, s1, r5.zwzw, r6
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
max r0.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r0.w, r0, -r2.y
dp3_pp r1.w, r1, r1
add r2.z, r0, -r0.x
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.z, r0
rsq_pp r2.z, r1.w
mul_pp r3.xyz, r2.z, r1
dp3_pp r1.x, v3, v3
rsq_pp r1.x, r1.x
mul_pp r4.xyz, r1.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r2.x, -r0.y, r2
mad r2.x, r0.w, r2, r0.y
cmp r2.y, r2.x, c2, c2.x
cmp r1.w, -r2.x, c2.y, c2.x
add r1.w, r1, -r2.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c2.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r1, r3
texldp r1.x, v4, s5
mul_pp r0.w, r1.x, r3
abs r1.x, r2
rcp r2.w, r1.x
dp4_pp r1.y, c0, c0
mul r1.w, r2.z, r2
rsq_pp r1.x, r1.y
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v2, r1
mul r1.x, r2.y, r2.w
add_pp r1.y, r2.x, c7
mad r1.z, r1.x, c2, c2
mad r1.w, r1, c2.z, c2.z
mul r3.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2.x, c7.x
texld r2, r0, s2
mul_pp r2, r2, c2.yyxy
add_pp r0.x, r2, r2.y
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r4.z, r0.w, c7
texldd r0.w, r5, s0, r5.zwzw, r6
add_pp r0.y, r0.w, c6.z
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r3
abs r1.xy, r1
cmp_pp r0.y, r0, c2.x, c2
add_pp r0.x, r0, r2.z
dsy r4.xy, r1
dsx r3.zw, r1.xyxy
texldd r1, r3, s3, r3.zwzw, r4
add_pp r0.y, -r0, c2.x
add_pp r0.x, r0, r2.w
mul_pp r2.x, r0, r0.y
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r4.z, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s4, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r2.xyz, r0
abs r0.w, r0.z
max r1.x, r2, r0.w
rcp r1.y, r1.x
min r1.x, r2, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r2.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r0.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r0, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r0.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
mad r0.w, r0, c4.x, r1.x
cmp r1.y, r0.x, r1.z, -r1.z
mul r1.x, r1.y, c6.y
mul r0.w, r0, c4.y
add r5.x, r1, c2.z
mov r1.y, r0.w
abs r1.x, r1
dsx r5.zw, r1.xyxy
dsy r6.xy, r1
mov r5.y, r0.w
texldd r1.yw, r5, s1, r5.zwzw, r6
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
max r0.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r0.w, r0, -r2.y
dp3_pp r1.w, r1, r1
add r2.z, r0, -r0.x
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.z, r0
rsq_pp r2.z, r1.w
mul_pp r3.xyz, r2.z, r1
dp3_pp r1.x, v3, v3
rsq_pp r1.x, r1.x
mul_pp r4.xyz, r1.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r2.x, -r0.y, r2
mad r2.x, r0.w, r2, r0.y
cmp r2.y, r2.x, c2, c2.x
cmp r1.w, -r2.x, c2.y, c2.x
add r1.w, r1, -r2.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c2.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r1, r3
texldp r1.x, v4, s5
mul_pp r0.w, r1.x, r3
abs r1.x, r2
rcp r2.w, r1.x
dp4_pp r1.y, c0, c0
mul r1.w, r2.z, r2
rsq_pp r1.x, r1.y
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v2, r1
mul r1.x, r2.y, r2.w
add_pp r1.y, r2.x, c7
mad r1.z, r1.x, c2, c2
mad r1.w, r1, c2.z, c2.z
mul r3.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2.x, c7.x
texld r2, r0, s2
mul_pp r2, r2, c2.yyxy
add_pp r0.x, r2, r2.y
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r4.z, r0.w, c7
texldd r0.w, r5, s0, r5.zwzw, r6
add_pp r0.y, r0.w, c6.z
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r3
abs r1.xy, r1
cmp_pp r0.y, r0, c2.x, c2
add_pp r0.x, r0, r2.z
dsy r4.xy, r1
dsx r3.zw, r1.xyxy
texldd r1, r3, s3, r3.zwzw, r4
add_pp r0.y, -r0, c2.x
add_pp r0.x, r0, r2.w
mul_pp r2.x, r0, r0.y
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r4.z, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s4, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
mov r2.y, r0.w
abs r2.x, r1.w
dsx r5.zw, r2.xyxy
dsy r6.xy, r2
add r5.x, r1.w, c2.z
mov r5.y, r0.w
texldd r2.yw, r5, s1, r5.zwzw, r6
mad_pp r3.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.xy, r3, r3
add_pp_sat r0.w, r2.x, r2.y
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r3.z, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c2.x, c2.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
dp3_pp r1.z, r3, r3
rsq_pp r3.w, r1.z
mul_pp r3.xyz, r3.w, r3
texldd r3.w, r5, s0, r5.zwzw, r6
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r2.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c2.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r1.w
mov r1.xy, c2.x
mad r2.xyz, r0.yxzw, -r1, r2
mul r1.xyz, r0.yxzw, r1
mad r1.xyz, r0.w, r2, r1
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r4.xyz, r1.w, v3
abs r1.x, r1
rcp r1.x, r1.x
mul r1.z, r1, r1.x
dp4_pp r1.w, c0, c0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c0
dp3_pp r2.z, v2, r2
mul r1.x, r1.y, r1
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r1.x, c2, c2
add_pp r1.y, r2.z, c7
mul r2.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2, c7.x
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r2
abs r1.xy, r1
dp3_pp r0.w, r3, r4
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r3.z, r0.w, c7
texld r0, r0, s2
mul_pp r0, r0, c2.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
add_pp r3.w, r3, c6.z
cmp_pp r0.y, r3.w, c2.x, c2
add_pp r0.x, r0, r0.w
add_pp r0.y, -r0, c2.x
mul_pp r3.w, r0.x, r0.y
dsy r3.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r2, s3, r2.zwzw, r3
add_pp r0.y, -r3.z, c2.x
mul_pp r0.x, r1.w, r3.w
mul_pp r3.z, r0.x, r0.y
texldd r0, r2, s4, r2.zwzw, r3
mul_pp r0.w, r3, r0
mov_pp r1.w, r3.z
add_pp r1, r1, -r0
mad_pp oC0, r3.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
mov r2.y, r0.w
abs r2.x, r1.w
dsx r5.zw, r2.xyxy
dsy r6.xy, r2
add r5.x, r1.w, c2.z
mov r5.y, r0.w
texldd r2.yw, r5, s1, r5.zwzw, r6
mad_pp r3.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.xy, r3, r3
add_pp_sat r0.w, r2.x, r2.y
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r3.z, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c2.x, c2.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
dp3_pp r1.z, r3, r3
rsq_pp r3.w, r1.z
mul_pp r3.xyz, r3.w, r3
texldd r3.w, r5, s0, r5.zwzw, r6
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r2.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c2.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r1.w
mov r1.xy, c2.x
mad r2.xyz, r0.yxzw, -r1, r2
mul r1.xyz, r0.yxzw, r1
mad r1.xyz, r0.w, r2, r1
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r4.xyz, r1.w, v3
abs r1.x, r1
rcp r1.x, r1.x
mul r1.z, r1, r1.x
dp4_pp r1.w, c0, c0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c0
dp3_pp r2.z, v2, r2
mul r1.x, r1.y, r1
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r1.x, c2, c2
add_pp r1.y, r2.z, c7
mul r2.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2, c7.x
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r2
abs r1.xy, r1
dp3_pp r0.w, r3, r4
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r3.z, r0.w, c7
texld r0, r0, s2
mul_pp r0, r0, c2.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
add_pp r3.w, r3, c6.z
cmp_pp r0.y, r3.w, c2.x, c2
add_pp r0.x, r0, r0.w
add_pp r0.y, -r0, c2.x
mul_pp r3.w, r0.x, r0.y
dsy r3.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r2, s3, r2.zwzw, r3
add_pp r0.y, -r3.z, c2.x
mul_pp r0.x, r1.w, r3.w
mul_pp r3.z, r0.x, r0.y
texldd r0, r2, s4, r2.zwzw, r3
mul_pp r0.w, r3, r0
mov_pp r1.w, r3.z
add_pp r1, r1, -r0
mad_pp oC0, r3.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 122 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r1.xyz, r0
abs r0.w, r0.z
max r1.w, r1.x, r0
rcp r2.x, r1.w
min r1.w, r1.x, r0
mul r1.w, r1, r2.x
mul r2.x, r1.w, r1.w
mad r2.y, r2.x, c4.z, c4.w
mad r2.y, r2, r2.x, c5.x
mad r2.y, r2, r2.x, c5
mad r2.y, r2, r2.x, c5.z
mad r2.x, r2.y, r2, c5.w
mul r1.w, r2.x, r1
add r2.x, -r1.w, c6
add r0.w, r1.x, -r0
cmp r2.y, -r0.w, r1.w, r2.x
abs r0.w, r0.y
add r2.z, -r2.y, c4.x
add r2.x, -r0.w, c2
mad r1.w, r0, c3.x, c3.y
mad r1.w, r1, r0, c2
rsq r2.x, r2.x
cmp r2.y, r0.z, r2, r2.z
mad r0.w, r1, r0, c3.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r0.y, c2.y, c2.x
mul r2.x, r0.w, r1.w
mad r1.w, -r2.x, c3, r1
mad r0.w, r0, c4.x, r1
cmp r2.x, r0, r2.y, -r2.y
mul r1.w, r2.x, c6.y
mul r0.w, r0, c4.y
mov r2.y, r0.w
abs r2.x, r1.w
dsx r5.zw, r2.xyxy
dsy r6.xy, r2
add r5.x, r1.w, c2.z
mov r5.y, r0.w
texldd r2.yw, r5, s1, r5.zwzw, r6
mad_pp r3.xy, r2.wyzw, c6.w, c6.z
mul_pp r2.xy, r3, r3
add_pp_sat r0.w, r2.x, r2.y
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r3.z, r0.w
max r0.w, r1.x, r1.z
add r1.x, r1.z, -r1
add r0.w, r0, -r1.y
cmp r2.w, r1.x, c2.x, c2.y
add r1.z, r0, -r0.x
mad r1.x, r2.w, r1.z, r0
dp3_pp r1.z, r3, r3
rsq_pp r3.w, r1.z
mul_pp r3.xyz, r3.w, r3
texldd r3.w, r5, s0, r5.zwzw, r6
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r1.w, r1.x, -r1.y
mov r2.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c2.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r1.w
mov r1.xy, c2.x
mad r2.xyz, r0.yxzw, -r1, r2
mul r1.xyz, r0.yxzw, r1
mad r1.xyz, r0.w, r2, r1
dp3_pp r1.w, v3, v3
rsq_pp r1.w, r1.w
mul_pp r4.xyz, r1.w, v3
abs r1.x, r1
rcp r1.x, r1.x
mul r1.z, r1, r1.x
dp4_pp r1.w, c0, c0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, c0
dp3_pp r2.z, v2, r2
mul r1.x, r1.y, r1
mad r1.w, r1.z, c2.z, c2.z
mad r1.z, r1.x, c2, c2
add_pp r1.y, r2.z, c7
mul r2.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2, c7.x
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r2
abs r1.xy, r1
dp3_pp r0.w, r3, r4
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r3.z, r0.w, c7
texld r0, r0, s2
mul_pp r0, r0, c2.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.x, r0, r0.z
add_pp r3.w, r3, c6.z
cmp_pp r0.y, r3.w, c2.x, c2
add_pp r0.x, r0, r0.w
add_pp r0.y, -r0, c2.x
mul_pp r3.w, r0.x, r0.y
dsy r3.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r2, s3, r2.zwzw, r3
add_pp r0.y, -r3.z, c2.x
mul_pp r0.x, r1.w, r3.w
mul_pp r3.z, r0.x, r0.y
texldd r0, r2, s4, r2.zwzw, r3
mul_pp r0.w, r3, r0
mov_pp r1.w, r3.z
add_pp r1, r1, -r0
mad_pp oC0, r3.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [cube_CityOverlayTex] CUBE 0
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 4 [_CityLightOverlayDetailTex] 2D 4
// 110 instructions, 6 temp regs, 0 temp arrays:
// ALU 90 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r2.xyz, r0
abs r0.w, r0.z
max r1.x, r2, r0.w
rcp r1.y, r1.x
min r1.x, r2, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r2.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r0.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r0, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r0.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
mad r0.w, r0, c4.x, r1.x
cmp r1.y, r0.x, r1.z, -r1.z
mul r1.x, r1.y, c6.y
mul r0.w, r0, c4.y
add r5.x, r1, c2.z
mov r1.y, r0.w
abs r1.x, r1
dsx r5.zw, r1.xyxy
dsy r6.xy, r1
mov r5.y, r0.w
texldd r1.yw, r5, s1, r5.zwzw, r6
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
max r0.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r0.w, r0, -r2.y
dp3_pp r1.w, r1, r1
add r2.z, r0, -r0.x
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.z, r0
rsq_pp r2.z, r1.w
mul_pp r3.xyz, r2.z, r1
dp3_pp r1.x, v3, v3
rsq_pp r1.x, r1.x
mul_pp r4.xyz, r1.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r2.x, -r0.y, r2
mad r2.x, r0.w, r2, r0.y
cmp r2.y, r2.x, c2, c2.x
cmp r1.w, -r2.x, c2.y, c2.x
add r1.w, r1, -r2.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c2.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r1, r3
texldp r1.x, v4, s5
mul_pp r0.w, r1.x, r3
abs r1.x, r2
rcp r2.w, r1.x
dp4_pp r1.y, c0, c0
mul r1.w, r2.z, r2
rsq_pp r1.x, r1.y
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v2, r1
mul r1.x, r2.y, r2.w
add_pp r1.y, r2.x, c7
mad r1.z, r1.x, c2, c2
mad r1.w, r1, c2.z, c2.z
mul r3.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2.x, c7.x
texld r2, r0, s2
mul_pp r2, r2, c2.yyyx
add_pp r0.x, r2, r2.y
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r4.z, r0.w, c7
texldd r0.w, r5, s0, r5.zwzw, r6
add_pp r0.y, r0.w, c6.z
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r3
abs r1.xy, r1
cmp_pp r0.y, r0, c2.x, c2
add_pp r0.x, r0, r2.z
dsy r4.xy, r1
dsx r3.zw, r1.xyxy
texldd r1, r3, s3, r3.zwzw, r4
add_pp r0.y, -r0, c2.x
add_pp r0.x, r0, r2.w
mul_pp r2.x, r0, r0.y
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r4.z, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s4, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r2.xyz, r0
abs r0.w, r0.z
max r1.x, r2, r0.w
rcp r1.y, r1.x
min r1.x, r2, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r2.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r0.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r0, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r0.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
mad r0.w, r0, c4.x, r1.x
cmp r1.y, r0.x, r1.z, -r1.z
mul r1.x, r1.y, c6.y
mul r0.w, r0, c4.y
add r5.x, r1, c2.z
mov r1.y, r0.w
abs r1.x, r1
dsx r5.zw, r1.xyxy
dsy r6.xy, r1
mov r5.y, r0.w
texldd r1.yw, r5, s1, r5.zwzw, r6
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
max r0.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r0.w, r0, -r2.y
dp3_pp r1.w, r1, r1
add r2.z, r0, -r0.x
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.z, r0
rsq_pp r2.z, r1.w
mul_pp r3.xyz, r2.z, r1
dp3_pp r1.x, v3, v3
rsq_pp r1.x, r1.x
mul_pp r4.xyz, r1.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r2.x, -r0.y, r2
mad r2.x, r0.w, r2, r0.y
cmp r2.y, r2.x, c2, c2.x
cmp r1.w, -r2.x, c2.y, c2.x
add r1.w, r1, -r2.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c2.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r1, r3
texldp r1.x, v4, s5
mul_pp r0.w, r1.x, r3
abs r1.x, r2
rcp r2.w, r1.x
dp4_pp r1.y, c0, c0
mul r1.w, r2.z, r2
rsq_pp r1.x, r1.y
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v2, r1
mul r1.x, r2.y, r2.w
add_pp r1.y, r2.x, c7
mad r1.z, r1.x, c2, c2
mad r1.w, r1, c2.z, c2.z
mul r3.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2.x, c7.x
texld r2, r0, s2
mul_pp r2, r2, c2.yyyx
add_pp r0.x, r2, r2.y
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r4.z, r0.w, c7
texldd r0.w, r5, s0, r5.zwzw, r6
add_pp r0.y, r0.w, c6.z
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r3
abs r1.xy, r1
cmp_pp r0.y, r0, c2.x, c2
add_pp r0.x, r0, r2.z
dsy r4.xy, r1
dsx r3.zw, r1.xyxy
texldd r1, r3, s3, r3.zwzw, r4
add_pp r0.y, -r0, c2.x
add_pp r0.x, r0, r2.w
mul_pp r2.x, r0, r0.y
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r4.z, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s4, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTex] CUBE
SetTexture 3 [_CityDarkOverlayDetailTex] 2D
SetTexture 4 [_CityLightOverlayDetailTex] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 123 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_cube s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r0.xyz, r0.x, v1
abs r2.xyz, r0
abs r0.w, r0.z
max r1.x, r2, r0.w
rcp r1.y, r1.x
min r1.x, r2, r0.w
mul r1.x, r1, r1.y
mul r1.y, r1.x, r1.x
mad r1.z, r1.y, c4, c4.w
mad r1.z, r1, r1.y, c5.x
mad r1.z, r1, r1.y, c5.y
mad r1.z, r1, r1.y, c5
mad r1.y, r1.z, r1, c5.w
mul r1.x, r1.y, r1
add r1.y, -r1.x, c6.x
add r0.w, r2.x, -r0
cmp r1.z, -r0.w, r1.x, r1.y
abs r0.w, r0.y
add r1.w, -r1.z, c4.x
add r1.y, -r0.w, c2.x
mad r1.x, r0.w, c3, c3.y
mad r1.x, r1, r0.w, c2.w
rsq r1.y, r1.y
cmp r1.z, r0, r1, r1.w
mad r0.w, r1.x, r0, c3.z
rcp r1.y, r1.y
mul r1.x, r0.w, r1.y
cmp r0.w, r0.y, c2.y, c2.x
mul r1.y, r0.w, r1.x
mad r1.x, -r1.y, c3.w, r1
mad r0.w, r0, c4.x, r1.x
cmp r1.y, r0.x, r1.z, -r1.z
mul r1.x, r1.y, c6.y
mul r0.w, r0, c4.y
add r5.x, r1, c2.z
mov r1.y, r0.w
abs r1.x, r1
dsx r5.zw, r1.xyxy
dsy r6.xy, r1
mov r5.y, r0.w
texldd r1.yw, r5, s1, r5.zwzw, r6
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
add_pp r0.w, -r0, c2.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
max r0.w, r2.x, r2.z
add r2.x, r2.z, -r2
add r0.w, r0, -r2.y
dp3_pp r1.w, r1, r1
add r2.z, r0, -r0.x
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.z, r0
rsq_pp r2.z, r1.w
mul_pp r3.xyz, r2.z, r1
dp3_pp r1.x, v3, v3
rsq_pp r1.x, r1.x
mul_pp r4.xyz, r1.x, v3
dp3_pp r3.w, r3, r4
cmp r0.w, r0, c2.x, c2.y
add r2.x, -r0.y, r2
mad r2.x, r0.w, r2, r0.y
cmp r2.y, r2.x, c2, c2.x
cmp r1.w, -r2.x, c2.y, c2.x
add r1.w, r1, -r2.y
mov r1.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c2.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r2.w, r1, r2
mov r1.z, -r1.w
mov r1.xy, c2.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r2.xyz, r0.w, r1, r3
texldp r1.x, v4, s5
mul_pp r0.w, r1.x, r3
abs r1.x, r2
rcp r2.w, r1.x
dp4_pp r1.y, c0, c0
mul r1.w, r2.z, r2
rsq_pp r1.x, r1.y
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.x, v2, r1
mul r1.x, r2.y, r2.w
add_pp r1.y, r2.x, c7
mad r1.z, r1.x, c2, c2
mad r1.w, r1, c2.z, c2.z
mul r3.xy, r1.zwzw, c1.x
frc_pp r1.x, r1.y
add_pp_sat r1.z, r1.y, -r1.x
add_pp r1.w, r1.z, c6.z
mul_pp_sat r1.z, -r2.x, c7.x
texld r2, r0, s2
mul_pp r2, r2, c2.yyyx
add_pp r0.x, r2, r2.y
mad_pp r1.z, r1, r1.w, c2.x
mul_pp r0.w, r0, r1.z
mul_pp_sat r4.z, r0.w, c7
texldd r0.w, r5, s0, r5.zwzw, r6
add_pp r0.y, r0.w, c6.z
mov r1.x, c1
mad r1.xy, c2.z, -r1.x, r3
abs r1.xy, r1
cmp_pp r0.y, r0, c2.x, c2
add_pp r0.x, r0, r2.z
dsy r4.xy, r1
dsx r3.zw, r1.xyxy
texldd r1, r3, s3, r3.zwzw, r4
add_pp r0.y, -r0, c2.x
add_pp r0.x, r0, r2.w
mul_pp r2.x, r0, r0.y
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r4.z, c2.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s4, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp oC0, r2.y, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTex] CUBE 1
SetTexture 3 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 4 [_CityLightOverlayDetailTex] 2D 5
SetTexture 5 [_ShadowMapTexture] 2D 0
// 113 instructions, 6 temp regs, 0 temp arrays:
// ALU 92 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 156 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
add r0.x, r1.z, -r1
cmp r0.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r1.w, r0, r0.y, r2.x
add r0.z, r1, -r1.x
mad r0.x, r0.w, r0.z, r1
add r0.x, -r1.y, r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2, r1.w
mad r0.x, r2.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r3.w, r0.x, -r0.y
abs r5.x, r2.z
mov_pp r0.y, r3.w
mov_pp r3.y, -r3.w
mov_pp r3.xz, c2.x
mul r3.xyz, r2.xzyw, r3
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r3
mad r3.xyz, r0.w, r0, r3
mov_pp r0.z, -r3.w
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
add_pp r3.xy, r0, c2.z
abs r0.xy, r0
dsx r4.xy, r0
dsy r4.zw, r0.xyxy
max r0.z, r1.x, r5.x
min r0.x, r1, r5
rcp r0.y, r0.z
mul r5.y, r0.x, r0
texldd r0.xyz, r3, s2, r4, r4.zwzw
texldd r3.xyz, r3, s3, r4, r4.zwzw
mul r5.z, r5.y, r5.y
mad r4.x, r5.z, c4.z, c4.w
mad r4.x, r4, r5.z, c5
add_pp r0.xyz, r0, -r3
cmp_pp r3.w, r3, c2.x, c2.y
mad_pp r0.xyz, r3.w, r0, r3
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r0.w, r0.z, r0
add r0.z, r1.x, -r5.x
max r1.x, r1, r1.z
add r1.x, r1, -r1.y
add r1.y, -r2, r1.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
mad r4.x, r4, r5.z, c5.y
mad r3.x, r4, r5.z, c5.z
mad r3.x, r3, r5.z, c5.w
mul r3.x, r3, r5.y
add r3.y, -r3.x, c6.x
cmp r3.z, -r0, r3.x, r3.y
abs r0.z, r2.y
add r3.w, -r3.z, c4.x
add r3.y, -r0.z, c2.x
mad r3.x, r0.z, c3, c3.y
mad r3.x, r3, r0.z, c2.w
rsq r3.y, r3.y
mad r0.z, r3.x, r0, c3
rcp r3.y, r3.y
mul r3.x, r0.z, r3.y
cmp r0.z, r2.y, c2.y, c2.x
mul r3.y, r0.z, r3.x
mad r3.x, -r3.y, c3.w, r3
cmp r3.z, r2, r3, r3.w
cmp r3.y, r2.x, r3.z, -r3.z
mad r0.z, r0, c4.x, r3.x
mul r3.y, r3, c6
mul r0.z, r0, c4.y
add r3.x, r3.y, c2.z
abs r4.x, r3.y
mov r4.y, r0.z
dsx r3.zw, r4.xyxy
mov r3.y, r0.z
dsy r4.xy, r4
add_pp r0.x, r0, -r0.y
mad_pp r0.z, r2.w, r0.x, r0.y
texldd r5.yw, r3, s1, r3.zwzw, r4
texldd r2.w, r3, s0, r3.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
mul_pp r3.xy, r0, r0
add_pp_sat r3.x, r3, r3.y
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
add_pp r2.w, r2, c6.z
cmp_pp r2.w, r2, c2.x, c2.y
add_pp r3.x, -r3, c2
add_pp r2.w, -r2, c2.x
mul_pp r2.w, r0.z, r2
rsq_pp r3.x, r3.x
rcp_pp r0.z, r3.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r0.w, r0, r1
dp4_pp r0.w, c0, c0
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c0
dp3_pp r1.z, v2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
add_pp r1.x, r1.z, c7.y
mul r0.x, r0.y, r0
mad r0.w, r0.z, c2.z, c2.z
frc_pp r0.y, r1.x
mad r0.z, r0.x, c2, c2
add_pp_sat r0.x, r1, -r0.y
add_pp r0.y, r0.x, c6.z
mul r1.xy, r0.zwzw, c1.x
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r2.z, r0, c7
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r1.zw, r0.xyxy
dsx r2.xy, r0
texldd r0, r1, s4, r2, r1.zwzw
texldd r1, r1, s5, r2, r1.zwzw
mul_pp r0.w, r0, r2
add_pp r2.z, -r2, c2.x
mul_pp r2.z, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.z
add_pp r0, r0, -r1
mad_pp oC0, r2.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 145 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 156 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
add r0.x, r1.z, -r1
cmp r0.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r1.w, r0, r0.y, r2.x
add r0.z, r1, -r1.x
mad r0.x, r0.w, r0.z, r1
add r0.x, -r1.y, r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2, r1.w
mad r0.x, r2.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r3.w, r0.x, -r0.y
abs r5.x, r2.z
mov_pp r0.y, r3.w
mov_pp r3.y, -r3.w
mov_pp r3.xz, c2.x
mul r3.xyz, r2.xzyw, r3
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r3
mad r3.xyz, r0.w, r0, r3
mov_pp r0.z, -r3.w
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
add_pp r3.xy, r0, c2.z
abs r0.xy, r0
dsx r4.xy, r0
dsy r4.zw, r0.xyxy
max r0.z, r1.x, r5.x
min r0.x, r1, r5
rcp r0.y, r0.z
mul r5.y, r0.x, r0
texldd r0.xyz, r3, s2, r4, r4.zwzw
texldd r3.xyz, r3, s3, r4, r4.zwzw
mul r5.z, r5.y, r5.y
mad r4.x, r5.z, c4.z, c4.w
mad r4.x, r4, r5.z, c5
add_pp r0.xyz, r0, -r3
cmp_pp r3.w, r3, c2.x, c2.y
mad_pp r0.xyz, r3.w, r0, r3
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r0.w, r0.z, r0
add r0.z, r1.x, -r5.x
max r1.x, r1, r1.z
add r1.x, r1, -r1.y
add r1.y, -r2, r1.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
mad r4.x, r4, r5.z, c5.y
mad r3.x, r4, r5.z, c5.z
mad r3.x, r3, r5.z, c5.w
mul r3.x, r3, r5.y
add r3.y, -r3.x, c6.x
cmp r3.z, -r0, r3.x, r3.y
abs r0.z, r2.y
add r3.w, -r3.z, c4.x
add r3.y, -r0.z, c2.x
mad r3.x, r0.z, c3, c3.y
mad r3.x, r3, r0.z, c2.w
rsq r3.y, r3.y
mad r0.z, r3.x, r0, c3
rcp r3.y, r3.y
mul r3.x, r0.z, r3.y
cmp r0.z, r2.y, c2.y, c2.x
mul r3.y, r0.z, r3.x
mad r3.x, -r3.y, c3.w, r3
cmp r3.z, r2, r3, r3.w
cmp r3.y, r2.x, r3.z, -r3.z
mad r0.z, r0, c4.x, r3.x
mul r3.y, r3, c6
mul r0.z, r0, c4.y
add r3.x, r3.y, c2.z
abs r4.x, r3.y
mov r4.y, r0.z
dsx r3.zw, r4.xyxy
mov r3.y, r0.z
dsy r4.xy, r4
add_pp r0.x, r0, -r0.y
mad_pp r0.z, r2.w, r0.x, r0.y
texldd r5.yw, r3, s1, r3.zwzw, r4
texldd r2.w, r3, s0, r3.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
mul_pp r3.xy, r0, r0
add_pp_sat r3.x, r3, r3.y
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
add_pp r2.w, r2, c6.z
cmp_pp r2.w, r2, c2.x, c2.y
add_pp r3.x, -r3, c2
add_pp r2.w, -r2, c2.x
mul_pp r2.w, r0.z, r2
rsq_pp r3.x, r3.x
rcp_pp r0.z, r3.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r0.w, r0, r1
dp4_pp r0.w, c0, c0
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c0
dp3_pp r1.z, v2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
add_pp r1.x, r1.z, c7.y
mul r0.x, r0.y, r0
mad r0.w, r0.z, c2.z, c2.z
frc_pp r0.y, r1.x
mad r0.z, r0.x, c2, c2
add_pp_sat r0.x, r1, -r0.y
add_pp r0.y, r0.x, c6.z
mul r1.xy, r0.zwzw, c1.x
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r2.z, r0, c7
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r1.zw, r0.xyxy
dsx r2.xy, r0
texldd r0, r1, s4, r2, r1.zwzw
texldd r1, r1, s5, r2, r1.zwzw
mul_pp r0.w, r0, r2
add_pp r2.z, -r2, c2.x
mul_pp r2.z, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.z
add_pp r0, r0, -r1
mad_pp oC0, r2.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 145 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 156 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r1.xyz, r2
add r0.x, r1.z, -r1
cmp r0.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r1.w, r0, r0.y, r2.x
add r0.z, r1, -r1.x
mad r0.x, r0.w, r0.z, r1
add r0.x, -r1.y, r0
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2, r1.w
mad r0.x, r2.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r3.w, r0.x, -r0.y
abs r5.x, r2.z
mov_pp r0.y, r3.w
mov_pp r3.y, -r3.w
mov_pp r3.xz, c2.x
mul r3.xyz, r2.xzyw, r3
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r3
mad r3.xyz, r0.w, r0, r3
mov_pp r0.z, -r3.w
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
add_pp r3.xy, r0, c2.z
abs r0.xy, r0
dsx r4.xy, r0
dsy r4.zw, r0.xyxy
max r0.z, r1.x, r5.x
min r0.x, r1, r5
rcp r0.y, r0.z
mul r5.y, r0.x, r0
texldd r0.xyz, r3, s2, r4, r4.zwzw
texldd r3.xyz, r3, s3, r4, r4.zwzw
mul r5.z, r5.y, r5.y
mad r4.x, r5.z, c4.z, c4.w
mad r4.x, r4, r5.z, c5
add_pp r0.xyz, r0, -r3
cmp_pp r3.w, r3, c2.x, c2.y
mad_pp r0.xyz, r3.w, r0, r3
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r0.w, r0.z, r0
add r0.z, r1.x, -r5.x
max r1.x, r1, r1.z
add r1.x, r1, -r1.y
add r1.y, -r2, r1.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
mad r4.x, r4, r5.z, c5.y
mad r3.x, r4, r5.z, c5.z
mad r3.x, r3, r5.z, c5.w
mul r3.x, r3, r5.y
add r3.y, -r3.x, c6.x
cmp r3.z, -r0, r3.x, r3.y
abs r0.z, r2.y
add r3.w, -r3.z, c4.x
add r3.y, -r0.z, c2.x
mad r3.x, r0.z, c3, c3.y
mad r3.x, r3, r0.z, c2.w
rsq r3.y, r3.y
mad r0.z, r3.x, r0, c3
rcp r3.y, r3.y
mul r3.x, r0.z, r3.y
cmp r0.z, r2.y, c2.y, c2.x
mul r3.y, r0.z, r3.x
mad r3.x, -r3.y, c3.w, r3
cmp r3.z, r2, r3, r3.w
cmp r3.y, r2.x, r3.z, -r3.z
mad r0.z, r0, c4.x, r3.x
mul r3.y, r3, c6
mul r0.z, r0, c4.y
add r3.x, r3.y, c2.z
abs r4.x, r3.y
mov r4.y, r0.z
dsx r3.zw, r4.xyxy
mov r3.y, r0.z
dsy r4.xy, r4
add_pp r0.x, r0, -r0.y
mad_pp r0.z, r2.w, r0.x, r0.y
texldd r5.yw, r3, s1, r3.zwzw, r4
texldd r2.w, r3, s0, r3.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
mul_pp r3.xy, r0, r0
add_pp_sat r3.x, r3, r3.y
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
add_pp r2.w, r2, c6.z
cmp_pp r2.w, r2, c2.x, c2.y
add_pp r3.x, -r3, c2
add_pp r2.w, -r2, c2.x
mul_pp r2.w, r0.z, r2
rsq_pp r3.x, r3.x
rcp_pp r0.z, r3.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r0.w, r0, r1
dp4_pp r0.w, c0, c0
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c0
dp3_pp r1.z, v2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
add_pp r1.x, r1.z, c7.y
mul r0.x, r0.y, r0
mad r0.w, r0.z, c2.z, c2.z
frc_pp r0.y, r1.x
mad r0.z, r0.x, c2, c2
add_pp_sat r0.x, r1, -r0.y
add_pp r0.y, r0.x, c6.z
mul r1.xy, r0.zwzw, c1.x
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r2.z, r0, c7
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r1.zw, r0.xyxy
dsx r2.xy, r0
texldd r0, r1, s4, r2, r1.zwzw
texldd r1, r1, s5, r2, r1.zwzw
mul_pp r0.w, r0, r2
add_pp r2.z, -r2, c2.x
mul_pp r2.z, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.z
add_pp r0, r0, -r1
mad_pp oC0, r2.z, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 145 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 157 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r2.xyz, r1
add r0.x, r2.z, -r2
cmp r1.w, r0.x, c2.x, c2.y
add r0.y, r1.z, -r1.x
mad r2.w, r1, r0.y, r1.x
add r0.z, r2, -r2.x
mad r0.x, r1.w, r0.z, r2
add r0.x, -r2.y, r0
cmp r0.w, r0.x, c2.x, c2.y
add r0.y, r1, r2.w
mad r0.x, r0.w, r0.y, -r1.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r3.w, r0.x, -r0.y
abs r5.x, r1.z
mov_pp r0.y, r3.w
mov_pp r3.y, -r3.w
mov_pp r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov_pp r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r1.w, r0, r3
mov_pp r0.z, -r3.w
mov_pp r0.xy, c2.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r3
mad r0.xyz, r0.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
max r0.z, r2.x, r5.x
rcp r3.z, r0.z
min r0.z, r2.x, r5.x
mul r5.y, r0.z, r3.z
mul r5.z, r5.y, r5.y
mul_pp r0.xy, r0, c2.z
add_pp r3.xy, r0, c2.z
abs r0.xy, r0
mad r3.z, r5, c4, c4.w
dsx r4.xy, r0
dsy r4.zw, r0.xyxy
texldd r0.xyz, r3, s2, r4, r4.zwzw
mad r5.w, r3.z, r5.z, c5.x
texldd r3.xyz, r3, s3, r4, r4.zwzw
mad r4.x, r5.w, r5.z, c5.y
mad r4.x, r4, r5.z, c5.z
add_pp r0.xyz, r0, -r3
cmp_pp r3.w, r3, c2.x, c2.y
mad_pp r3.xyz, r3.w, r0, r3
add r0.x, r2, -r5
add_pp r0.z, r3, -r3.x
mad_pp r0.z, r1.w, r0, r3.x
add_pp r0.z, r0, -r3.y
max r2.x, r2, r2.z
add r2.x, r2, -r2.y
add r2.y, -r1, r2.w
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.y, r1.y
mad r4.x, r4, r5.z, c5.w
mul r0.y, r4.x, r5
add r3.z, -r0.y, c6.x
cmp r3.w, -r0.x, r0.y, r3.z
abs r0.x, r1.y
add r4.x, -r3.w, c4
add r3.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r3.z, r3.z
dp3_pp r2.y, v3, v3
cmp r3.w, r1.z, r3, r4.x
mad_pp r3.x, r0.w, r0.z, r3.y
mad r0.x, r0.y, r0, c3.z
rcp r3.z, r3.z
mul r0.y, r0.x, r3.z
cmp r0.x, r1.y, c2.y, c2
mul r3.z, r0.x, r0.y
mad r0.y, -r3.z, c3.w, r0
cmp r3.z, r1.x, r3.w, -r3.w
mad r0.x, r0, c4, r0.y
mul r3.w, r0.x, c4.y
mul r4.x, r3.z, c6.y
add r3.z, r4.x, c2
mov r0.y, r3.w
abs r0.x, r4
dsx r4.xy, r0
dsy r4.zw, r0.xyxy
texldd r5.yw, r3.zwzw, s1, r4, r4.zwzw
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
mul_pp r5.xy, r0, r0
add_pp_sat r0.z, r5.x, r5.y
add_pp r3.y, -r0.z, c2.x
texldd r0.w, r3.zwzw, s0, r4, r4.zwzw
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r3.y, r3.y
rcp_pp r0.z, r3.y
add_pp r0.w, -r0, c2.x
dp3_pp r3.y, r0, r0
mul_pp r0.w, r3.x, r0
rsq_pp r3.x, r3.y
mul_pp r0.xyz, r3.x, r0
cmp r3.x, -r2, c2.y, c2
cmp r3.y, r2.x, c2, c2.x
rsq_pp r2.y, r2.y
mul_pp r2.xyz, r2.y, v3
dp3_pp r4.x, r0, r2
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mov r0.y, r3.w
mov r2.xz, c2.x
mov r2.y, -r3.w
mul r2.xyz, r1.xzyw, r2
mad r3.xyz, r1.zxyw, r0, -r2
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r2.xyz, r1.w, r3, r2
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r2.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 148 instructions, 6 temp regs, 0 temp arrays:
// ALU 119 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 157 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r2.xyz, r1
add r0.x, r2.z, -r2
cmp r1.w, r0.x, c2.x, c2.y
add r0.y, r1.z, -r1.x
mad r2.w, r1, r0.y, r1.x
add r0.z, r2, -r2.x
mad r0.x, r1.w, r0.z, r2
add r0.x, -r2.y, r0
cmp r0.w, r0.x, c2.x, c2.y
add r0.y, r1, r2.w
mad r0.x, r0.w, r0.y, -r1.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r3.w, r0.x, -r0.y
abs r5.x, r1.z
mov_pp r0.y, r3.w
mov_pp r3.y, -r3.w
mov_pp r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov_pp r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r1.w, r0, r3
mov_pp r0.z, -r3.w
mov_pp r0.xy, c2.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r3
mad r0.xyz, r0.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
max r0.z, r2.x, r5.x
rcp r3.z, r0.z
min r0.z, r2.x, r5.x
mul r5.y, r0.z, r3.z
mul r5.z, r5.y, r5.y
mul_pp r0.xy, r0, c2.z
add_pp r3.xy, r0, c2.z
abs r0.xy, r0
mad r3.z, r5, c4, c4.w
dsx r4.xy, r0
dsy r4.zw, r0.xyxy
texldd r0.xyz, r3, s2, r4, r4.zwzw
mad r5.w, r3.z, r5.z, c5.x
texldd r3.xyz, r3, s3, r4, r4.zwzw
mad r4.x, r5.w, r5.z, c5.y
mad r4.x, r4, r5.z, c5.z
add_pp r0.xyz, r0, -r3
cmp_pp r3.w, r3, c2.x, c2.y
mad_pp r3.xyz, r3.w, r0, r3
add r0.x, r2, -r5
add_pp r0.z, r3, -r3.x
mad_pp r0.z, r1.w, r0, r3.x
add_pp r0.z, r0, -r3.y
max r2.x, r2, r2.z
add r2.x, r2, -r2.y
add r2.y, -r1, r2.w
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.y, r1.y
mad r4.x, r4, r5.z, c5.w
mul r0.y, r4.x, r5
add r3.z, -r0.y, c6.x
cmp r3.w, -r0.x, r0.y, r3.z
abs r0.x, r1.y
add r4.x, -r3.w, c4
add r3.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r3.z, r3.z
dp3_pp r2.y, v3, v3
cmp r3.w, r1.z, r3, r4.x
mad_pp r3.x, r0.w, r0.z, r3.y
mad r0.x, r0.y, r0, c3.z
rcp r3.z, r3.z
mul r0.y, r0.x, r3.z
cmp r0.x, r1.y, c2.y, c2
mul r3.z, r0.x, r0.y
mad r0.y, -r3.z, c3.w, r0
cmp r3.z, r1.x, r3.w, -r3.w
mad r0.x, r0, c4, r0.y
mul r3.w, r0.x, c4.y
mul r4.x, r3.z, c6.y
add r3.z, r4.x, c2
mov r0.y, r3.w
abs r0.x, r4
dsx r4.xy, r0
dsy r4.zw, r0.xyxy
texldd r5.yw, r3.zwzw, s1, r4, r4.zwzw
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
mul_pp r5.xy, r0, r0
add_pp_sat r0.z, r5.x, r5.y
add_pp r3.y, -r0.z, c2.x
texldd r0.w, r3.zwzw, s0, r4, r4.zwzw
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r3.y, r3.y
rcp_pp r0.z, r3.y
add_pp r0.w, -r0, c2.x
dp3_pp r3.y, r0, r0
mul_pp r0.w, r3.x, r0
rsq_pp r3.x, r3.y
mul_pp r0.xyz, r3.x, r0
cmp r3.x, -r2, c2.y, c2
cmp r3.y, r2.x, c2, c2.x
rsq_pp r2.y, r2.y
mul_pp r2.xyz, r2.y, v3
dp3_pp r4.x, r0, r2
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mov r0.y, r3.w
mov r2.xz, c2.x
mov r2.y, -r3.w
mul r2.xyz, r1.xzyw, r2
mad r3.xyz, r1.zxyw, r0, -r2
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r2.xyz, r1.w, r3, r2
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r2.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 148 instructions, 6 temp regs, 0 temp arrays:
// ALU 119 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 157 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r2.xyz, r1
add r0.x, r2.z, -r2
cmp r1.w, r0.x, c2.x, c2.y
add r0.y, r1.z, -r1.x
mad r2.w, r1, r0.y, r1.x
add r0.z, r2, -r2.x
mad r0.x, r1.w, r0.z, r2
add r0.x, -r2.y, r0
cmp r0.w, r0.x, c2.x, c2.y
add r0.y, r1, r2.w
mad r0.x, r0.w, r0.y, -r1.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r3.w, r0.x, -r0.y
abs r5.x, r1.z
mov_pp r0.y, r3.w
mov_pp r3.y, -r3.w
mov_pp r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov_pp r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r1.w, r0, r3
mov_pp r0.z, -r3.w
mov_pp r0.xy, c2.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r3
mad r0.xyz, r0.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
max r0.z, r2.x, r5.x
rcp r3.z, r0.z
min r0.z, r2.x, r5.x
mul r5.y, r0.z, r3.z
mul r5.z, r5.y, r5.y
mul_pp r0.xy, r0, c2.z
add_pp r3.xy, r0, c2.z
abs r0.xy, r0
mad r3.z, r5, c4, c4.w
dsx r4.xy, r0
dsy r4.zw, r0.xyxy
texldd r0.xyz, r3, s2, r4, r4.zwzw
mad r5.w, r3.z, r5.z, c5.x
texldd r3.xyz, r3, s3, r4, r4.zwzw
mad r4.x, r5.w, r5.z, c5.y
mad r4.x, r4, r5.z, c5.z
add_pp r0.xyz, r0, -r3
cmp_pp r3.w, r3, c2.x, c2.y
mad_pp r3.xyz, r3.w, r0, r3
add r0.x, r2, -r5
add_pp r0.z, r3, -r3.x
mad_pp r0.z, r1.w, r0, r3.x
add_pp r0.z, r0, -r3.y
max r2.x, r2, r2.z
add r2.x, r2, -r2.y
add r2.y, -r1, r2.w
cmp r2.w, r2.x, c2.x, c2.y
mad r2.x, r2.w, r2.y, r1.y
mad r4.x, r4, r5.z, c5.w
mul r0.y, r4.x, r5
add r3.z, -r0.y, c6.x
cmp r3.w, -r0.x, r0.y, r3.z
abs r0.x, r1.y
add r4.x, -r3.w, c4
add r3.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r3.z, r3.z
dp3_pp r2.y, v3, v3
cmp r3.w, r1.z, r3, r4.x
mad_pp r3.x, r0.w, r0.z, r3.y
mad r0.x, r0.y, r0, c3.z
rcp r3.z, r3.z
mul r0.y, r0.x, r3.z
cmp r0.x, r1.y, c2.y, c2
mul r3.z, r0.x, r0.y
mad r0.y, -r3.z, c3.w, r0
cmp r3.z, r1.x, r3.w, -r3.w
mad r0.x, r0, c4, r0.y
mul r3.w, r0.x, c4.y
mul r4.x, r3.z, c6.y
add r3.z, r4.x, c2
mov r0.y, r3.w
abs r0.x, r4
dsx r4.xy, r0
dsy r4.zw, r0.xyxy
texldd r5.yw, r3.zwzw, s1, r4, r4.zwzw
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
mul_pp r5.xy, r0, r0
add_pp_sat r0.z, r5.x, r5.y
add_pp r3.y, -r0.z, c2.x
texldd r0.w, r3.zwzw, s0, r4, r4.zwzw
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r3.y, r3.y
rcp_pp r0.z, r3.y
add_pp r0.w, -r0, c2.x
dp3_pp r3.y, r0, r0
mul_pp r0.w, r3.x, r0
rsq_pp r3.x, r3.y
mul_pp r0.xyz, r3.x, r0
cmp r3.x, -r2, c2.y, c2
cmp r3.y, r2.x, c2, c2.x
rsq_pp r2.y, r2.y
mul_pp r2.xyz, r2.y, v3
dp3_pp r4.x, r0, r2
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mov r0.y, r3.w
mov r2.xz, c2.x
mov r2.y, -r3.w
mul r2.xyz, r1.xzyw, r2
mad r3.xyz, r1.zxyw, r0, -r2
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r2.xyz, r1.w, r3, r2
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r2.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 148 instructions, 6 temp regs, 0 temp arrays:
// ALU 119 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c2.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c2.z
dsx r0.zw, r0
texldd r1, r0, s3, r0.zwzw, r4
texldd r0, r0, s2, r0.zwzw, r4
abs r4.x, r2.z
add_pp r0, r0, -r1
cmp_pp r4.z, r5.x, c2.x, c2.y
mad_pp r0, r4.z, r0, r1
max r4.y, r3.x, r4.x
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
min r1.x, r3, r4
rcp r1.y, r4.y
mul r4.y, r1.x, r1
mul r4.z, r4.y, r4.y
mad r0.z, r4, c4, c4.w
mad r0.z, r0, r4, c5.x
mad r0.x, r0.z, r4.z, c5.y
mov_pp r1.xyz, r0.w
mad r4.w, r0.x, r4.z, c5.z
mul_pp r0, r1, c2.xyyy
add_pp r0.x, r0, r0.y
mad r1.x, r4.w, r4.z, c5.w
add_pp r0.z, r0.x, r0
mul r0.y, r1.x, r4
add r1.x, -r0.y, c6
add r0.x, r3, -r4
cmp r0.x, -r0, r0.y, r1
abs r1.x, r2.y
add r0.y, -r0.x, c4.x
cmp r0.y, r2.z, r0.x, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r0.x, -r1.z, c3.w, r1.y
cmp r0.y, r2.x, r0, -r0
mad r0.x, r1, c4, r0
mul r1.z, r0.y, c6.y
mul r1.y, r0.x, c4
add r1.x, r1.z, c2.z
mov r0.y, r1
abs r0.x, r1.z
dsx r1.zw, r0.xyxy
dsy r4.xy, r0
texldd r5.yw, r1, s1, r1.zwzw, r4
texldd r1.w, r1, s0, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r4.z, r0, r0.w
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
add_pp r1.x, r1.w, c6.z
cmp_pp r0.z, r1.x, c2.x, c2.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
rsq_pp r1.x, r0.w
add_pp r0.z, -r0, c2.x
mul_pp r0.w, r4.z, r0.z
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
mad r1.x, r0, c2.z, c2.z
frc_pp r0.y, r0.z
add_pp_sat r0.x, r0.z, -r0.y
add_pp r0.y, r0.x, c6.z
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r0.z, r0, c7
mul r2.xy, r1, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r0.xy, r0
texldd r1, r2, s4, r0, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r2, s5, r0, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedimgnnfabdpjhldmelhcaobngkbbjglkjabaaaaaajabdaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefchabcaaaa
eaaaaaaajmaeaaaafjaaaaaeegiocaaaaaaaaaaaapaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaa
fibiaaaeaahabaaaafaaaaaaffffaaaagcbaaaadhcbabaaaacaaaaaagcbaaaad
hcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaacaaaaaaegbcbaaa
acaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaaaaaaaaacgbjbaaaacaaaaaabnaaaaajicaabaaaabaaaaaa
akaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaajbcaabaaaacaaaaaa
bkaabaiambaaaaaaabaaaaaaakaabaiaibaaaaaaabaaaaaadcaaaaakbcaabaaa
acaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
bnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaak
ccaabaaaacaaaaaackbabaaaacaaaaaadkaabaaaaaaaaaaabkaabaiaebaaaaaa
abaaaaaadcaaaaajccaabaaaacaaaaaadkaabaaaabaaaaaabkaabaaaacaaaaaa
bkaabaaaabaaaaaadcaaaaajecaabaaaacaaaaaabkbabaaaacaaaaaadkaabaaa
aaaaaaaabkaabaaaacaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaiaebaaaaaa
acaaaaaadkaabaaaaaaaaaaabkaabaaaacaaaaaadcaaaaakccaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaacaaaaaackaabaiaebaaaaaaabaaaaaadbaaaaah
ecaabaaaacaaaaaaabeaaaaaaaaaaaaabkaabaaaacaaaaaadbaaaaahccaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaaiccaabaaaacaaaaaa
ckaabaiaebaaaaaaacaaaaaabkaabaaaacaaaaaaclaaaaafbcaabaaaadaaaaaa
bkaabaaaacaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaabgagbaaaabaaaaaadgaaaaaf
ccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaa
adaaaaaaagajbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaag
ecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahccaabaaaacaaaaaa
akaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaa
adaaaaaacgajbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaadaaaaaa
cgajbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaa
acaaaaaaegacbaaaaaaaaaaaegacbaaaadaaaaaadiaaaaakgcaabaaaaaaaaaaa
fgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaak
fcaabaaaacaaaaaaagabbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadp
aaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaaf
dcaabaaaadaaaaaaegaabaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaa
aaaaaaaaejaaaaanpcaabaaaaeaaaaaaigaabaaaacaaaaaaeghobaaaacaaaaaa
aagabaaaaaaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
adaaaaaaigaabaaaacaaaaaaeghobaaaadaaaaaaaagabaaaabaaaaaaegaabaaa
adaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaadkaabaiaebaaaaaa
adaaaaaadkaabaaaaeaaaaaadcaaaaajbcaabaaaaaaaaaaabkaabaaaacaaaaaa
akaabaaaaaaaaaaadkaabaaaadaaaaaadeaaaaajccaabaaaaaaaaaaaakaabaia
ibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaaoaaaaakccaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpbkaabaaaaaaaaaaaddaaaaaj
ecaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
diaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaah
ecaabaaaaaaaaaaabkaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaa
acaaaaaackaabaaaaaaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaaj
bcaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaaochgdido
dcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaa
aebnkjlodcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaa
abeaaaaadiphhpdpdiaaaaahbcaabaaaacaaaaaackaabaaaaaaaaaaabkaabaaa
aaaaaaaadcaaaaajbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaaama
abeaaaaanlapmjdpdbaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaabaaaaaa
bkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaabkaabaaaacaaaaaa
akaabaaaacaaaaaadcaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaaakaabaaaacaaaaaadbaaaaaidcaabaaaacaaaaaaigaabaaaabaaaaaa
igaabaiaebaaaaaaabaaaaaaabaaaaahecaabaaaaaaaaaaaakaabaaaacaaaaaa
abeaaaaanlapejmaaaaaaaahccaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaaa
aaaaaaaaddaaaaahecaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaa
deaaaaahbcaabaaaacaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaai
bcaabaaaacaaaaaaakaabaaaacaaaaaaakaabaiaebaaaaaaacaaaaaaabaaaaah
ecaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadhaaaaakccaabaaa
aaaaaaaackaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaabkaabaaaaaaaaaaa
dcaaaaajbcaabaaaadaaaaaabkaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaa
aaaaaadpdiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaidpjccdo
dgaaaaagccaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaa
aeaaaaaabkaabaaaaaaaaaaaamaaaaafbcaabaaaafaaaaaabkaabaaaaaaaaaaa
dcaaaaakccaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaadagojjlm
abeaaaaachbgjidndcaaaaakccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaia
ibaaaaaaabaaaaaaabeaaaaaiedefjlodcaaaaakccaabaaaaaaaaaaabkaabaaa
aaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaa
aaaaaaaackaabaiambaaaaaaabaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahbcaabaaaacaaaaaackaabaaaaaaaaaaa
bkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaaamaabeaaaaanlapejeaabaaaaahbcaabaaaacaaaaaabkaabaaaacaaaaaa
akaabaaaacaaaaaadcaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaaakaabaaaacaaaaaadiaaaaahccaabaaaadaaaaaabkaabaaaaaaaaaaa
abeaaaaaidpjkcdoalaaaaafccaabaaaaeaaaaaabkaabaaaadaaaaaaamaaaaaf
ccaabaaaafaaaaaabkaabaaaadaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaa
adaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaegaabaaaaeaaaaaaegaabaaa
afaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaadaaaaaaeghobaaaabaaaaaa
aagabaaaadaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaadcaaaaapdcaabaaa
acaaaaaahgapbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaabnaaaaahccaabaaaaaaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaiadpdhaaaaajccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaaaaaaaaaa
bkaabaaaaaaaaaaaakaabaaaaaaaaaaadeaaaaajccaabaaaaaaaaaaaakaabaia
ibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaaiccaabaaaaaaaaaaa
bkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaaaaaaaaaabkaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadbaaaaahicaabaaaaaaaaaaa
abeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaaaaaaaaaackaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaackaabaaaaaaaaaaaclaaaaafccaabaaaadaaaaaackaabaaaaaaaaaaa
dgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaa
aeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
afaaaaaaggaibaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaa
egacbaaaadaaaaaaegacbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaadcaaaaaj
hcaabaaaadaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaajgaebaaaafaaaaaa
dcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaaggaibaaaabaaaaaa
egacbaaaadaaaaaadcaaaaajocaabaaaaaaaaaaafgafbaaaaaaaaaaaagajbaaa
abaaaaaaagajbaaaafaaaaaadiaaaaakmcaabaaaaaaaaaaakgaobaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpaoaaaaaigcaabaaaaaaaaaaa
kgalbaaaaaaaaaaafgafbaiaibaaaaaaaaaaaaaaaaaaaaakgcaabaaaaaaaaaaa
fgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaadiaaaaai
gcaabaaaaaaaaaaafgagbaaaaaaaaaaafgifcaaaaaaaaaaaaoaaaaaadcaaaaao
dcaabaaaabaaaaaafgifcaiaebaaaaaaaaaaaaaaaoaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaajgafbaaaaaaaaaaadgaaaaagdcaabaaaabaaaaaa
egaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaaabaaaaaa
amaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaadaaaaaa
jgafbaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaaogakbaaaabaaaaaa
egaabaaaabaaaaaaejaaaaanpcaabaaaabaaaaaajgafbaaaaaaaaaaaeghobaaa
afaaaaaaaagabaaaafaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaadiaaaaah
ccaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaadaaaaaadiaaaaahicaabaaa
abaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaaapaaaaahbcaabaaaaaaaaaaa
egaabaaaacaaaaaaegaabaaaacaaaaaaddaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaaiadpaaaaaaaibcaabaaaaaaaaaaaakaabaiaebaaaaaa
aaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaacaaaaaaakaabaaaaaaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaeeaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahncaabaaaaaaaaaaaagaabaaa
aaaaaaaaagajbaaaacaaaaaabaaaaaahbcaabaaaacaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaadiaaaaah
hcaabaaaacaaaaaaagaabaaaacaaaaaaegbcbaaaaeaaaaaabaaaaaahbcaabaaa
aaaaaaaaigadbaaaaaaaaaaaegacbaaaacaaaaaadiaaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaiaeabbaaaaajecaabaaaaaaaaaaaegiocaaa
abaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafecaabaaaaaaaaaaa
ckaabaaaaaaaaaaadiaaaaaihcaabaaaacaaaaaakgakbaaaaaaaaaaaegiccaaa
abaaaaaaaaaaaaaabaaaaaahecaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaa
acaaaaaaaaaaaaahicaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaaaaaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdicaaaahbcaabaaaaaaaaaaackaabaaa
aaaaaaaaakaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaiaebaaaaaa
aaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaadaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaaaaaaaaipcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaa
egaobaaaadaaaaaadcaaaaajpccabaaaaaaaaaaapgapbaaaadaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c2.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c2.z
dsx r0.zw, r0
texldd r1, r0, s3, r0.zwzw, r4
texldd r0, r0, s2, r0.zwzw, r4
abs r4.x, r2.z
add_pp r0, r0, -r1
cmp_pp r4.z, r5.x, c2.x, c2.y
mad_pp r0, r4.z, r0, r1
max r4.y, r3.x, r4.x
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
min r1.x, r3, r4
rcp r1.y, r4.y
mul r4.y, r1.x, r1
mul r4.z, r4.y, r4.y
mad r0.z, r4, c4, c4.w
mad r0.z, r0, r4, c5.x
mad r0.x, r0.z, r4.z, c5.y
mov_pp r1.xyz, r0.w
mad r4.w, r0.x, r4.z, c5.z
mul_pp r0, r1, c2.xyyy
add_pp r0.x, r0, r0.y
mad r1.x, r4.w, r4.z, c5.w
add_pp r0.z, r0.x, r0
mul r0.y, r1.x, r4
add r1.x, -r0.y, c6
add r0.x, r3, -r4
cmp r0.x, -r0, r0.y, r1
abs r1.x, r2.y
add r0.y, -r0.x, c4.x
cmp r0.y, r2.z, r0.x, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r0.x, -r1.z, c3.w, r1.y
cmp r0.y, r2.x, r0, -r0
mad r0.x, r1, c4, r0
mul r1.z, r0.y, c6.y
mul r1.y, r0.x, c4
add r1.x, r1.z, c2.z
mov r0.y, r1
abs r0.x, r1.z
dsx r1.zw, r0.xyxy
dsy r4.xy, r0
texldd r5.yw, r1, s1, r1.zwzw, r4
texldd r1.w, r1, s0, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r4.z, r0, r0.w
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
add_pp r1.x, r1.w, c6.z
cmp_pp r0.z, r1.x, c2.x, c2.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
rsq_pp r1.x, r0.w
add_pp r0.z, -r0, c2.x
mul_pp r0.w, r4.z, r0.z
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
mad r1.x, r0, c2.z, c2.z
frc_pp r0.y, r0.z
add_pp_sat r0.x, r0.z, -r0.y
add_pp r0.y, r0.x, c6.z
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r0.z, r0, c7
mul r2.xy, r1, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r0.xy, r0
texldd r1, r2, s4, r0, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r2, s5, r0, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c2.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c2.z
dsx r0.zw, r0
texldd r1, r0, s3, r0.zwzw, r4
texldd r0, r0, s2, r0.zwzw, r4
abs r4.x, r2.z
add_pp r0, r0, -r1
cmp_pp r4.z, r5.x, c2.x, c2.y
mad_pp r0, r4.z, r0, r1
max r4.y, r3.x, r4.x
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
min r1.x, r3, r4
rcp r1.y, r4.y
mul r4.y, r1.x, r1
mul r4.z, r4.y, r4.y
mad r0.z, r4, c4, c4.w
mad r0.z, r0, r4, c5.x
mad r0.x, r0.z, r4.z, c5.y
mov_pp r1.xyz, r0.w
mad r4.w, r0.x, r4.z, c5.z
mul_pp r0, r1, c2.xyyy
add_pp r0.x, r0, r0.y
mad r1.x, r4.w, r4.z, c5.w
add_pp r0.z, r0.x, r0
mul r0.y, r1.x, r4
add r1.x, -r0.y, c6
add r0.x, r3, -r4
cmp r0.x, -r0, r0.y, r1
abs r1.x, r2.y
add r0.y, -r0.x, c4.x
cmp r0.y, r2.z, r0.x, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r0.x, -r1.z, c3.w, r1.y
cmp r0.y, r2.x, r0, -r0
mad r0.x, r1, c4, r0
mul r1.z, r0.y, c6.y
mul r1.y, r0.x, c4
add r1.x, r1.z, c2.z
mov r0.y, r1
abs r0.x, r1.z
dsx r1.zw, r0.xyxy
dsy r4.xy, r0
texldd r5.yw, r1, s1, r1.zwzw, r4
texldd r1.w, r1, s0, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r4.z, r0, r0.w
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
add_pp r1.x, r1.w, c6.z
cmp_pp r0.z, r1.x, c2.x, c2.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
rsq_pp r1.x, r0.w
add_pp r0.z, -r0, c2.x
mul_pp r0.w, r4.z, r0.z
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
mad r1.x, r0, c2.z, c2.z
frc_pp r0.y, r0.z
add_pp_sat r0.x, r0.z, -r0.y
add_pp r0.y, r0.x, c6.z
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r0.z, r0, c7
mul r2.xy, r1, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r0.xy, r0
texldd r1, r2, s4, r0, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r2, s5, r0, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.y, -r5.x
mov_pp r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r4.xy, r0
abs r4.z, r2
add_pp r1.xy, r0.zwzw, c2.z
dsx r1.zw, r0.xyxy
texldd r0, r1, s2, r1.zwzw, r4
texldd r1, r1, s3, r1.zwzw, r4
max r4.x, r3, r4.z
rcp r4.y, r4.x
min r4.x, r3, r4.z
mul r4.x, r4, r4.y
mul r4.y, r4.x, r4.x
add_pp r0, r0, -r1
cmp_pp r5.x, r5, c2, c2.y
mad_pp r0, r5.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad r1.x, r4.y, c4.z, c4.w
mad r1.x, r1, r4.y, c5
mad r0.z, r1.x, r4.y, c5.y
mad_pp r1.w, r4, r0.x, r0.y
mad r0.z, r0, r4.y, c5
mad r0.x, r0.z, r4.y, c5.w
mov_pp r1.xyz, r0.w
mul r4.x, r0, r4
mul_pp r0, r1, c2.xyyy
add r1.x, r3, -r4.z
add r1.y, -r4.x, c6.x
cmp r1.w, -r1.x, r4.x, r1.y
abs r1.x, r2.y
add r4.x, -r1.w, c4
add_pp r4.z, r0.x, r0.y
add_pp r0.z, r4, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r2.z, r1, r4.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r2.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r4.y, r1
abs r4.x, r1.z
dsx r1.zw, r4.xyxy
dsy r4.xy, r4
texldd r5.yw, r1, s1, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
mul_pp r4.zw, r0.xyxy, r0.xyxy
texldd r0.w, r1, s0, r1.zwzw, r4
add_pp_sat r0.z, r4, r4.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.x, r0, r0
rsq_pp r1.y, r1.x
mul_pp r0.xyz, r1.y, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
dp3_pp r1.y, v3, v3
cmp r3.x, -r1, c2.y, c2
cmp r3.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, v3
dp3_pp r4.x, r0, r1
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mul_pp r0.w, r5.x, r0
mov r0.y, r3.w
mov r1.xz, c2.x
mov r1.y, -r3.w
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r1.xyz, r2.w, r3, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.y, -r5.x
mov_pp r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r4.xy, r0
abs r4.z, r2
add_pp r1.xy, r0.zwzw, c2.z
dsx r1.zw, r0.xyxy
texldd r0, r1, s2, r1.zwzw, r4
texldd r1, r1, s3, r1.zwzw, r4
max r4.x, r3, r4.z
rcp r4.y, r4.x
min r4.x, r3, r4.z
mul r4.x, r4, r4.y
mul r4.y, r4.x, r4.x
add_pp r0, r0, -r1
cmp_pp r5.x, r5, c2, c2.y
mad_pp r0, r5.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad r1.x, r4.y, c4.z, c4.w
mad r1.x, r1, r4.y, c5
mad r0.z, r1.x, r4.y, c5.y
mad_pp r1.w, r4, r0.x, r0.y
mad r0.z, r0, r4.y, c5
mad r0.x, r0.z, r4.y, c5.w
mov_pp r1.xyz, r0.w
mul r4.x, r0, r4
mul_pp r0, r1, c2.xyyy
add r1.x, r3, -r4.z
add r1.y, -r4.x, c6.x
cmp r1.w, -r1.x, r4.x, r1.y
abs r1.x, r2.y
add r4.x, -r1.w, c4
add_pp r4.z, r0.x, r0.y
add_pp r0.z, r4, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r2.z, r1, r4.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r2.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r4.y, r1
abs r4.x, r1.z
dsx r1.zw, r4.xyxy
dsy r4.xy, r4
texldd r5.yw, r1, s1, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
mul_pp r4.zw, r0.xyxy, r0.xyxy
texldd r0.w, r1, s0, r1.zwzw, r4
add_pp_sat r0.z, r4, r4.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.x, r0, r0
rsq_pp r1.y, r1.x
mul_pp r0.xyz, r1.y, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
dp3_pp r1.y, v3, v3
cmp r3.x, -r1, c2.y, c2
cmp r3.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, v3
dp3_pp r4.x, r0, r1
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mul_pp r0.w, r5.x, r0
mov r0.y, r3.w
mov r1.xz, c2.x
mov r1.y, -r3.w
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r1.xyz, r2.w, r3, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.y, -r5.x
mov_pp r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r4.xy, r0
abs r4.z, r2
add_pp r1.xy, r0.zwzw, c2.z
dsx r1.zw, r0.xyxy
texldd r0, r1, s2, r1.zwzw, r4
texldd r1, r1, s3, r1.zwzw, r4
max r4.x, r3, r4.z
rcp r4.y, r4.x
min r4.x, r3, r4.z
mul r4.x, r4, r4.y
mul r4.y, r4.x, r4.x
add_pp r0, r0, -r1
cmp_pp r5.x, r5, c2, c2.y
mad_pp r0, r5.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad r1.x, r4.y, c4.z, c4.w
mad r1.x, r1, r4.y, c5
mad r0.z, r1.x, r4.y, c5.y
mad_pp r1.w, r4, r0.x, r0.y
mad r0.z, r0, r4.y, c5
mad r0.x, r0.z, r4.y, c5.w
mov_pp r1.xyz, r0.w
mul r4.x, r0, r4
mul_pp r0, r1, c2.xyyy
add r1.x, r3, -r4.z
add r1.y, -r4.x, c6.x
cmp r1.w, -r1.x, r4.x, r1.y
abs r1.x, r2.y
add r4.x, -r1.w, c4
add_pp r4.z, r0.x, r0.y
add_pp r0.z, r4, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r2.z, r1, r4.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r2.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r4.y, r1
abs r4.x, r1.z
dsx r1.zw, r4.xyxy
dsy r4.xy, r4
texldd r5.yw, r1, s1, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
mul_pp r4.zw, r0.xyxy, r0.xyxy
texldd r0.w, r1, s0, r1.zwzw, r4
add_pp_sat r0.z, r4, r4.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.x, r0, r0
rsq_pp r1.y, r1.x
mul_pp r0.xyz, r1.y, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
dp3_pp r1.y, v3, v3
cmp r3.x, -r1, c2.y, c2
cmp r3.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, v3
dp3_pp r4.x, r0, r1
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mul_pp r0.w, r5.x, r0
mov r0.y, r3.w
mov r1.xz, c2.x
mov r1.y, -r3.w
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r1.xyz, r2.w, r3, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c2.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c2.z
dsx r0.zw, r0
texldd r1, r0, s3, r0.zwzw, r4
texldd r0, r0, s2, r0.zwzw, r4
abs r4.x, r2.z
add_pp r0, r0, -r1
cmp_pp r4.z, r5.x, c2.x, c2.y
mad_pp r0, r4.z, r0, r1
max r4.y, r3.x, r4.x
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
min r1.x, r3, r4
rcp r1.y, r4.y
mul r4.y, r1.x, r1
mul r4.z, r4.y, r4.y
mad r0.z, r4, c4, c4.w
mad r0.z, r0, r4, c5.x
mad r0.x, r0.z, r4.z, c5.y
mov_pp r1.xyz, r0.w
mad r4.w, r0.x, r4.z, c5.z
mul_pp r0, r1, c2.yxyy
add_pp r0.x, r0, r0.y
mad r1.x, r4.w, r4.z, c5.w
add_pp r0.z, r0.x, r0
mul r0.y, r1.x, r4
add r1.x, -r0.y, c6
add r0.x, r3, -r4
cmp r0.x, -r0, r0.y, r1
abs r1.x, r2.y
add r0.y, -r0.x, c4.x
cmp r0.y, r2.z, r0.x, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r0.x, -r1.z, c3.w, r1.y
cmp r0.y, r2.x, r0, -r0
mad r0.x, r1, c4, r0
mul r1.z, r0.y, c6.y
mul r1.y, r0.x, c4
add r1.x, r1.z, c2.z
mov r0.y, r1
abs r0.x, r1.z
dsx r1.zw, r0.xyxy
dsy r4.xy, r0
texldd r5.yw, r1, s1, r1.zwzw, r4
texldd r1.w, r1, s0, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r4.z, r0, r0.w
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
add_pp r1.x, r1.w, c6.z
cmp_pp r0.z, r1.x, c2.x, c2.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
rsq_pp r1.x, r0.w
add_pp r0.z, -r0, c2.x
mul_pp r0.w, r4.z, r0.z
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
mad r1.x, r0, c2.z, c2.z
frc_pp r0.y, r0.z
add_pp_sat r0.x, r0.z, -r0.y
add_pp r0.y, r0.x, c6.z
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r0.z, r0, c7
mul r2.xy, r1, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r0.xy, r0
texldd r1, r2, s4, r0, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r2, s5, r0, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c2.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c2.z
dsx r0.zw, r0
texldd r1, r0, s3, r0.zwzw, r4
texldd r0, r0, s2, r0.zwzw, r4
abs r4.x, r2.z
add_pp r0, r0, -r1
cmp_pp r4.z, r5.x, c2.x, c2.y
mad_pp r0, r4.z, r0, r1
max r4.y, r3.x, r4.x
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
min r1.x, r3, r4
rcp r1.y, r4.y
mul r4.y, r1.x, r1
mul r4.z, r4.y, r4.y
mad r0.z, r4, c4, c4.w
mad r0.z, r0, r4, c5.x
mad r0.x, r0.z, r4.z, c5.y
mov_pp r1.xyz, r0.w
mad r4.w, r0.x, r4.z, c5.z
mul_pp r0, r1, c2.yxyy
add_pp r0.x, r0, r0.y
mad r1.x, r4.w, r4.z, c5.w
add_pp r0.z, r0.x, r0
mul r0.y, r1.x, r4
add r1.x, -r0.y, c6
add r0.x, r3, -r4
cmp r0.x, -r0, r0.y, r1
abs r1.x, r2.y
add r0.y, -r0.x, c4.x
cmp r0.y, r2.z, r0.x, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r0.x, -r1.z, c3.w, r1.y
cmp r0.y, r2.x, r0, -r0
mad r0.x, r1, c4, r0
mul r1.z, r0.y, c6.y
mul r1.y, r0.x, c4
add r1.x, r1.z, c2.z
mov r0.y, r1
abs r0.x, r1.z
dsx r1.zw, r0.xyxy
dsy r4.xy, r0
texldd r5.yw, r1, s1, r1.zwzw, r4
texldd r1.w, r1, s0, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r4.z, r0, r0.w
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
add_pp r1.x, r1.w, c6.z
cmp_pp r0.z, r1.x, c2.x, c2.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
rsq_pp r1.x, r0.w
add_pp r0.z, -r0, c2.x
mul_pp r0.w, r4.z, r0.z
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
mad r1.x, r0, c2.z, c2.z
frc_pp r0.y, r0.z
add_pp_sat r0.x, r0.z, -r0.y
add_pp r0.y, r0.x, c6.z
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r0.z, r0, c7
mul r2.xy, r1, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r0.xy, r0
texldd r1, r2, s4, r0, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r2, s5, r0, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c2.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c2.z
dsx r0.zw, r0
texldd r1, r0, s3, r0.zwzw, r4
texldd r0, r0, s2, r0.zwzw, r4
abs r4.x, r2.z
add_pp r0, r0, -r1
cmp_pp r4.z, r5.x, c2.x, c2.y
mad_pp r0, r4.z, r0, r1
max r4.y, r3.x, r4.x
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
min r1.x, r3, r4
rcp r1.y, r4.y
mul r4.y, r1.x, r1
mul r4.z, r4.y, r4.y
mad r0.z, r4, c4, c4.w
mad r0.z, r0, r4, c5.x
mad r0.x, r0.z, r4.z, c5.y
mov_pp r1.xyz, r0.w
mad r4.w, r0.x, r4.z, c5.z
mul_pp r0, r1, c2.yxyy
add_pp r0.x, r0, r0.y
mad r1.x, r4.w, r4.z, c5.w
add_pp r0.z, r0.x, r0
mul r0.y, r1.x, r4
add r1.x, -r0.y, c6
add r0.x, r3, -r4
cmp r0.x, -r0, r0.y, r1
abs r1.x, r2.y
add r0.y, -r0.x, c4.x
cmp r0.y, r2.z, r0.x, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r0.x, -r1.z, c3.w, r1.y
cmp r0.y, r2.x, r0, -r0
mad r0.x, r1, c4, r0
mul r1.z, r0.y, c6.y
mul r1.y, r0.x, c4
add r1.x, r1.z, c2.z
mov r0.y, r1
abs r0.x, r1.z
dsx r1.zw, r0.xyxy
dsy r4.xy, r0
texldd r5.yw, r1, s1, r1.zwzw, r4
texldd r1.w, r1, s0, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r4.z, r0, r0.w
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
add_pp r1.x, r1.w, c6.z
cmp_pp r0.z, r1.x, c2.x, c2.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
rsq_pp r1.x, r0.w
add_pp r0.z, -r0, c2.x
mul_pp r0.w, r4.z, r0.z
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
mad r1.x, r0, c2.z, c2.z
frc_pp r0.y, r0.z
add_pp_sat r0.x, r0.z, -r0.y
add_pp r0.y, r0.x, c6.z
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r0.z, r0, c7
mul r2.xy, r1, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r0.xy, r0
texldd r1, r2, s4, r0, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r2, s5, r0, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.y, -r5.x
mov_pp r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r4.xy, r0
abs r4.z, r2
add_pp r1.xy, r0.zwzw, c2.z
dsx r1.zw, r0.xyxy
texldd r0, r1, s2, r1.zwzw, r4
texldd r1, r1, s3, r1.zwzw, r4
max r4.x, r3, r4.z
rcp r4.y, r4.x
min r4.x, r3, r4.z
mul r4.x, r4, r4.y
mul r4.y, r4.x, r4.x
add_pp r0, r0, -r1
cmp_pp r5.x, r5, c2, c2.y
mad_pp r0, r5.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad r1.x, r4.y, c4.z, c4.w
mad r1.x, r1, r4.y, c5
mad r0.z, r1.x, r4.y, c5.y
mad_pp r1.w, r4, r0.x, r0.y
mad r0.z, r0, r4.y, c5
mad r0.x, r0.z, r4.y, c5.w
mov_pp r1.xyz, r0.w
mul r4.x, r0, r4
mul_pp r0, r1, c2.yxyy
add r1.x, r3, -r4.z
add r1.y, -r4.x, c6.x
cmp r1.w, -r1.x, r4.x, r1.y
abs r1.x, r2.y
add r4.x, -r1.w, c4
add_pp r4.z, r0.x, r0.y
add_pp r0.z, r4, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r2.z, r1, r4.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r2.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r4.y, r1
abs r4.x, r1.z
dsx r1.zw, r4.xyxy
dsy r4.xy, r4
texldd r5.yw, r1, s1, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
mul_pp r4.zw, r0.xyxy, r0.xyxy
texldd r0.w, r1, s0, r1.zwzw, r4
add_pp_sat r0.z, r4, r4.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.x, r0, r0
rsq_pp r1.y, r1.x
mul_pp r0.xyz, r1.y, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
dp3_pp r1.y, v3, v3
cmp r3.x, -r1, c2.y, c2
cmp r3.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, v3
dp3_pp r4.x, r0, r1
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mul_pp r0.w, r5.x, r0
mov r0.y, r3.w
mov r1.xz, c2.x
mov r1.y, -r3.w
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r1.xyz, r2.w, r3, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.y, -r5.x
mov_pp r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r4.xy, r0
abs r4.z, r2
add_pp r1.xy, r0.zwzw, c2.z
dsx r1.zw, r0.xyxy
texldd r0, r1, s2, r1.zwzw, r4
texldd r1, r1, s3, r1.zwzw, r4
max r4.x, r3, r4.z
rcp r4.y, r4.x
min r4.x, r3, r4.z
mul r4.x, r4, r4.y
mul r4.y, r4.x, r4.x
add_pp r0, r0, -r1
cmp_pp r5.x, r5, c2, c2.y
mad_pp r0, r5.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad r1.x, r4.y, c4.z, c4.w
mad r1.x, r1, r4.y, c5
mad r0.z, r1.x, r4.y, c5.y
mad_pp r1.w, r4, r0.x, r0.y
mad r0.z, r0, r4.y, c5
mad r0.x, r0.z, r4.y, c5.w
mov_pp r1.xyz, r0.w
mul r4.x, r0, r4
mul_pp r0, r1, c2.yxyy
add r1.x, r3, -r4.z
add r1.y, -r4.x, c6.x
cmp r1.w, -r1.x, r4.x, r1.y
abs r1.x, r2.y
add r4.x, -r1.w, c4
add_pp r4.z, r0.x, r0.y
add_pp r0.z, r4, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r2.z, r1, r4.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r2.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r4.y, r1
abs r4.x, r1.z
dsx r1.zw, r4.xyxy
dsy r4.xy, r4
texldd r5.yw, r1, s1, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
mul_pp r4.zw, r0.xyxy, r0.xyxy
texldd r0.w, r1, s0, r1.zwzw, r4
add_pp_sat r0.z, r4, r4.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.x, r0, r0
rsq_pp r1.y, r1.x
mul_pp r0.xyz, r1.y, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
dp3_pp r1.y, v3, v3
cmp r3.x, -r1, c2.y, c2
cmp r3.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, v3
dp3_pp r4.x, r0, r1
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mul_pp r0.w, r5.x, r0
mov r0.y, r3.w
mov r1.xz, c2.x
mov r1.y, -r3.w
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r1.xyz, r2.w, r3, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.y, -r5.x
mov_pp r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r4.xy, r0
abs r4.z, r2
add_pp r1.xy, r0.zwzw, c2.z
dsx r1.zw, r0.xyxy
texldd r0, r1, s2, r1.zwzw, r4
texldd r1, r1, s3, r1.zwzw, r4
max r4.x, r3, r4.z
rcp r4.y, r4.x
min r4.x, r3, r4.z
mul r4.x, r4, r4.y
mul r4.y, r4.x, r4.x
add_pp r0, r0, -r1
cmp_pp r5.x, r5, c2, c2.y
mad_pp r0, r5.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad r1.x, r4.y, c4.z, c4.w
mad r1.x, r1, r4.y, c5
mad r0.z, r1.x, r4.y, c5.y
mad_pp r1.w, r4, r0.x, r0.y
mad r0.z, r0, r4.y, c5
mad r0.x, r0.z, r4.y, c5.w
mov_pp r1.xyz, r0.w
mul r4.x, r0, r4
mul_pp r0, r1, c2.yxyy
add r1.x, r3, -r4.z
add r1.y, -r4.x, c6.x
cmp r1.w, -r1.x, r4.x, r1.y
abs r1.x, r2.y
add r4.x, -r1.w, c4
add_pp r4.z, r0.x, r0.y
add_pp r0.z, r4, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r2.z, r1, r4.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r2.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r4.y, r1
abs r4.x, r1.z
dsx r1.zw, r4.xyxy
dsy r4.xy, r4
texldd r5.yw, r1, s1, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
mul_pp r4.zw, r0.xyxy, r0.xyxy
texldd r0.w, r1, s0, r1.zwzw, r4
add_pp_sat r0.z, r4, r4.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.x, r0, r0
rsq_pp r1.y, r1.x
mul_pp r0.xyz, r1.y, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
dp3_pp r1.y, v3, v3
cmp r3.x, -r1, c2.y, c2
cmp r3.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, v3
dp3_pp r4.x, r0, r1
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mul_pp r0.w, r5.x, r0
mov r0.y, r3.w
mov r1.xz, c2.x
mov r1.y, -r3.w
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r1.xyz, r2.w, r3, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c2.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c2.z
dsx r0.zw, r0
texldd r1, r0, s3, r0.zwzw, r4
texldd r0, r0, s2, r0.zwzw, r4
abs r4.x, r2.z
add_pp r0, r0, -r1
cmp_pp r4.z, r5.x, c2.x, c2.y
mad_pp r0, r4.z, r0, r1
max r4.y, r3.x, r4.x
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
min r1.x, r3, r4
rcp r1.y, r4.y
mul r4.y, r1.x, r1
mul r4.z, r4.y, r4.y
mad r0.z, r4, c4, c4.w
mad r0.z, r0, r4, c5.x
mad r0.x, r0.z, r4.z, c5.y
mov_pp r1.xyz, r0.w
mad r4.w, r0.x, r4.z, c5.z
mul_pp r0, r1, c2.yyxy
add_pp r0.x, r0, r0.y
mad r1.x, r4.w, r4.z, c5.w
add_pp r0.z, r0.x, r0
mul r0.y, r1.x, r4
add r1.x, -r0.y, c6
add r0.x, r3, -r4
cmp r0.x, -r0, r0.y, r1
abs r1.x, r2.y
add r0.y, -r0.x, c4.x
cmp r0.y, r2.z, r0.x, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r0.x, -r1.z, c3.w, r1.y
cmp r0.y, r2.x, r0, -r0
mad r0.x, r1, c4, r0
mul r1.z, r0.y, c6.y
mul r1.y, r0.x, c4
add r1.x, r1.z, c2.z
mov r0.y, r1
abs r0.x, r1.z
dsx r1.zw, r0.xyxy
dsy r4.xy, r0
texldd r5.yw, r1, s1, r1.zwzw, r4
texldd r1.w, r1, s0, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r4.z, r0, r0.w
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
add_pp r1.x, r1.w, c6.z
cmp_pp r0.z, r1.x, c2.x, c2.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
rsq_pp r1.x, r0.w
add_pp r0.z, -r0, c2.x
mul_pp r0.w, r4.z, r0.z
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
mad r1.x, r0, c2.z, c2.z
frc_pp r0.y, r0.z
add_pp_sat r0.x, r0.z, -r0.y
add_pp r0.y, r0.x, c6.z
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r0.z, r0, c7
mul r2.xy, r1, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r0.xy, r0
texldd r1, r2, s4, r0, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r2, s5, r0, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c2.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c2.z
dsx r0.zw, r0
texldd r1, r0, s3, r0.zwzw, r4
texldd r0, r0, s2, r0.zwzw, r4
abs r4.x, r2.z
add_pp r0, r0, -r1
cmp_pp r4.z, r5.x, c2.x, c2.y
mad_pp r0, r4.z, r0, r1
max r4.y, r3.x, r4.x
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
min r1.x, r3, r4
rcp r1.y, r4.y
mul r4.y, r1.x, r1
mul r4.z, r4.y, r4.y
mad r0.z, r4, c4, c4.w
mad r0.z, r0, r4, c5.x
mad r0.x, r0.z, r4.z, c5.y
mov_pp r1.xyz, r0.w
mad r4.w, r0.x, r4.z, c5.z
mul_pp r0, r1, c2.yyxy
add_pp r0.x, r0, r0.y
mad r1.x, r4.w, r4.z, c5.w
add_pp r0.z, r0.x, r0
mul r0.y, r1.x, r4
add r1.x, -r0.y, c6
add r0.x, r3, -r4
cmp r0.x, -r0, r0.y, r1
abs r1.x, r2.y
add r0.y, -r0.x, c4.x
cmp r0.y, r2.z, r0.x, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r0.x, -r1.z, c3.w, r1.y
cmp r0.y, r2.x, r0, -r0
mad r0.x, r1, c4, r0
mul r1.z, r0.y, c6.y
mul r1.y, r0.x, c4
add r1.x, r1.z, c2.z
mov r0.y, r1
abs r0.x, r1.z
dsx r1.zw, r0.xyxy
dsy r4.xy, r0
texldd r5.yw, r1, s1, r1.zwzw, r4
texldd r1.w, r1, s0, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r4.z, r0, r0.w
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
add_pp r1.x, r1.w, c6.z
cmp_pp r0.z, r1.x, c2.x, c2.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
rsq_pp r1.x, r0.w
add_pp r0.z, -r0, c2.x
mul_pp r0.w, r4.z, r0.z
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
mad r1.x, r0, c2.z, c2.z
frc_pp r0.y, r0.z
add_pp_sat r0.x, r0.z, -r0.y
add_pp r0.y, r0.x, c6.z
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r0.z, r0, c7
mul r2.xy, r1, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r0.xy, r0
texldd r1, r2, s4, r0, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r2, s5, r0, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c2.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c2.z
dsx r0.zw, r0
texldd r1, r0, s3, r0.zwzw, r4
texldd r0, r0, s2, r0.zwzw, r4
abs r4.x, r2.z
add_pp r0, r0, -r1
cmp_pp r4.z, r5.x, c2.x, c2.y
mad_pp r0, r4.z, r0, r1
max r4.y, r3.x, r4.x
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
min r1.x, r3, r4
rcp r1.y, r4.y
mul r4.y, r1.x, r1
mul r4.z, r4.y, r4.y
mad r0.z, r4, c4, c4.w
mad r0.z, r0, r4, c5.x
mad r0.x, r0.z, r4.z, c5.y
mov_pp r1.xyz, r0.w
mad r4.w, r0.x, r4.z, c5.z
mul_pp r0, r1, c2.yyxy
add_pp r0.x, r0, r0.y
mad r1.x, r4.w, r4.z, c5.w
add_pp r0.z, r0.x, r0
mul r0.y, r1.x, r4
add r1.x, -r0.y, c6
add r0.x, r3, -r4
cmp r0.x, -r0, r0.y, r1
abs r1.x, r2.y
add r0.y, -r0.x, c4.x
cmp r0.y, r2.z, r0.x, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r0.x, -r1.z, c3.w, r1.y
cmp r0.y, r2.x, r0, -r0
mad r0.x, r1, c4, r0
mul r1.z, r0.y, c6.y
mul r1.y, r0.x, c4
add r1.x, r1.z, c2.z
mov r0.y, r1
abs r0.x, r1.z
dsx r1.zw, r0.xyxy
dsy r4.xy, r0
texldd r5.yw, r1, s1, r1.zwzw, r4
texldd r1.w, r1, s0, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r4.z, r0, r0.w
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
add_pp r1.x, r1.w, c6.z
cmp_pp r0.z, r1.x, c2.x, c2.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
rsq_pp r1.x, r0.w
add_pp r0.z, -r0, c2.x
mul_pp r0.w, r4.z, r0.z
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
mad r1.x, r0, c2.z, c2.z
frc_pp r0.y, r0.z
add_pp_sat r0.x, r0.z, -r0.y
add_pp r0.y, r0.x, c6.z
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r0.z, r0, c7
mul r2.xy, r1, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r0.xy, r0
texldd r1, r2, s4, r0, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r2, s5, r0, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 141 instructions, 6 temp regs, 0 temp arrays:
// ALU 113 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.y, -r5.x
mov_pp r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r4.xy, r0
abs r4.z, r2
add_pp r1.xy, r0.zwzw, c2.z
dsx r1.zw, r0.xyxy
texldd r0, r1, s2, r1.zwzw, r4
texldd r1, r1, s3, r1.zwzw, r4
max r4.x, r3, r4.z
rcp r4.y, r4.x
min r4.x, r3, r4.z
mul r4.x, r4, r4.y
mul r4.y, r4.x, r4.x
add_pp r0, r0, -r1
cmp_pp r5.x, r5, c2, c2.y
mad_pp r0, r5.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad r1.x, r4.y, c4.z, c4.w
mad r1.x, r1, r4.y, c5
mad r0.z, r1.x, r4.y, c5.y
mad_pp r1.w, r4, r0.x, r0.y
mad r0.z, r0, r4.y, c5
mad r0.x, r0.z, r4.y, c5.w
mov_pp r1.xyz, r0.w
mul r4.x, r0, r4
mul_pp r0, r1, c2.yyxy
add r1.x, r3, -r4.z
add r1.y, -r4.x, c6.x
cmp r1.w, -r1.x, r4.x, r1.y
abs r1.x, r2.y
add r4.x, -r1.w, c4
add_pp r4.z, r0.x, r0.y
add_pp r0.z, r4, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r2.z, r1, r4.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r2.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r4.y, r1
abs r4.x, r1.z
dsx r1.zw, r4.xyxy
dsy r4.xy, r4
texldd r5.yw, r1, s1, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
mul_pp r4.zw, r0.xyxy, r0.xyxy
texldd r0.w, r1, s0, r1.zwzw, r4
add_pp_sat r0.z, r4, r4.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.x, r0, r0
rsq_pp r1.y, r1.x
mul_pp r0.xyz, r1.y, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
dp3_pp r1.y, v3, v3
cmp r3.x, -r1, c2.y, c2
cmp r3.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, v3
dp3_pp r4.x, r0, r1
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mul_pp r0.w, r5.x, r0
mov r0.y, r3.w
mov r1.xz, c2.x
mov r1.y, -r3.w
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r1.xyz, r2.w, r3, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.y, -r5.x
mov_pp r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r4.xy, r0
abs r4.z, r2
add_pp r1.xy, r0.zwzw, c2.z
dsx r1.zw, r0.xyxy
texldd r0, r1, s2, r1.zwzw, r4
texldd r1, r1, s3, r1.zwzw, r4
max r4.x, r3, r4.z
rcp r4.y, r4.x
min r4.x, r3, r4.z
mul r4.x, r4, r4.y
mul r4.y, r4.x, r4.x
add_pp r0, r0, -r1
cmp_pp r5.x, r5, c2, c2.y
mad_pp r0, r5.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad r1.x, r4.y, c4.z, c4.w
mad r1.x, r1, r4.y, c5
mad r0.z, r1.x, r4.y, c5.y
mad_pp r1.w, r4, r0.x, r0.y
mad r0.z, r0, r4.y, c5
mad r0.x, r0.z, r4.y, c5.w
mov_pp r1.xyz, r0.w
mul r4.x, r0, r4
mul_pp r0, r1, c2.yyxy
add r1.x, r3, -r4.z
add r1.y, -r4.x, c6.x
cmp r1.w, -r1.x, r4.x, r1.y
abs r1.x, r2.y
add r4.x, -r1.w, c4
add_pp r4.z, r0.x, r0.y
add_pp r0.z, r4, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r2.z, r1, r4.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r2.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r4.y, r1
abs r4.x, r1.z
dsx r1.zw, r4.xyxy
dsy r4.xy, r4
texldd r5.yw, r1, s1, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
mul_pp r4.zw, r0.xyxy, r0.xyxy
texldd r0.w, r1, s0, r1.zwzw, r4
add_pp_sat r0.z, r4, r4.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.x, r0, r0
rsq_pp r1.y, r1.x
mul_pp r0.xyz, r1.y, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
dp3_pp r1.y, v3, v3
cmp r3.x, -r1, c2.y, c2
cmp r3.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, v3
dp3_pp r4.x, r0, r1
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mul_pp r0.w, r5.x, r0
mov r0.y, r3.w
mov r1.xz, c2.x
mov r1.y, -r3.w
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r1.xyz, r2.w, r3, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.y, -r5.x
mov_pp r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r4.xy, r0
abs r4.z, r2
add_pp r1.xy, r0.zwzw, c2.z
dsx r1.zw, r0.xyxy
texldd r0, r1, s2, r1.zwzw, r4
texldd r1, r1, s3, r1.zwzw, r4
max r4.x, r3, r4.z
rcp r4.y, r4.x
min r4.x, r3, r4.z
mul r4.x, r4, r4.y
mul r4.y, r4.x, r4.x
add_pp r0, r0, -r1
cmp_pp r5.x, r5, c2, c2.y
mad_pp r0, r5.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad r1.x, r4.y, c4.z, c4.w
mad r1.x, r1, r4.y, c5
mad r0.z, r1.x, r4.y, c5.y
mad_pp r1.w, r4, r0.x, r0.y
mad r0.z, r0, r4.y, c5
mad r0.x, r0.z, r4.y, c5.w
mov_pp r1.xyz, r0.w
mul r4.x, r0, r4
mul_pp r0, r1, c2.yyxy
add r1.x, r3, -r4.z
add r1.y, -r4.x, c6.x
cmp r1.w, -r1.x, r4.x, r1.y
abs r1.x, r2.y
add r4.x, -r1.w, c4
add_pp r4.z, r0.x, r0.y
add_pp r0.z, r4, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r2.z, r1, r4.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r2.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r4.y, r1
abs r4.x, r1.z
dsx r1.zw, r4.xyxy
dsy r4.xy, r4
texldd r5.yw, r1, s1, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
mul_pp r4.zw, r0.xyxy, r0.xyxy
texldd r0.w, r1, s0, r1.zwzw, r4
add_pp_sat r0.z, r4, r4.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.x, r0, r0
rsq_pp r1.y, r1.x
mul_pp r0.xyz, r1.y, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
dp3_pp r1.y, v3, v3
cmp r3.x, -r1, c2.y, c2
cmp r3.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, v3
dp3_pp r4.x, r0, r1
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mul_pp r0.w, r5.x, r0
mov r0.y, r3.w
mov r1.xz, c2.x
mov r1.y, -r3.w
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r1.xyz, r2.w, r3, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 144 instructions, 6 temp regs, 0 temp arrays:
// ALU 115 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c2.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c2.z
dsx r0.zw, r0
texldd r1, r0, s3, r0.zwzw, r4
texldd r0, r0, s2, r0.zwzw, r4
abs r4.x, r2.z
add_pp r0, r0, -r1
cmp_pp r4.z, r5.x, c2.x, c2.y
mad_pp r0, r4.z, r0, r1
max r4.y, r3.x, r4.x
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
min r1.x, r3, r4
rcp r1.y, r4.y
mul r4.y, r1.x, r1
mul r4.z, r4.y, r4.y
mad r0.z, r4, c4, c4.w
mad r0.z, r0, r4, c5.x
mad r0.x, r0.z, r4.z, c5.y
mov_pp r1.xyz, r0.w
mad r4.w, r0.x, r4.z, c5.z
mul_pp r0, r1, c2.yyyx
add_pp r0.x, r0, r0.y
mad r1.x, r4.w, r4.z, c5.w
add_pp r0.z, r0.x, r0
mul r0.y, r1.x, r4
add r1.x, -r0.y, c6
add r0.x, r3, -r4
cmp r0.x, -r0, r0.y, r1
abs r1.x, r2.y
add r0.y, -r0.x, c4.x
cmp r0.y, r2.z, r0.x, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r0.x, -r1.z, c3.w, r1.y
cmp r0.y, r2.x, r0, -r0
mad r0.x, r1, c4, r0
mul r1.z, r0.y, c6.y
mul r1.y, r0.x, c4
add r1.x, r1.z, c2.z
mov r0.y, r1
abs r0.x, r1.z
dsx r1.zw, r0.xyxy
dsy r4.xy, r0
texldd r5.yw, r1, s1, r1.zwzw, r4
texldd r1.w, r1, s0, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r4.z, r0, r0.w
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
add_pp r1.x, r1.w, c6.z
cmp_pp r0.z, r1.x, c2.x, c2.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
rsq_pp r1.x, r0.w
add_pp r0.z, -r0, c2.x
mul_pp r0.w, r4.z, r0.z
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
mad r1.x, r0, c2.z, c2.z
frc_pp r0.y, r0.z
add_pp_sat r0.x, r0.z, -r0.y
add_pp r0.y, r0.x, c6.z
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r0.z, r0, c7
mul r2.xy, r1, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r0.xy, r0
texldd r1, r2, s4, r0, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r2, s5, r0, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 145 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c2.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c2.z
dsx r0.zw, r0
texldd r1, r0, s3, r0.zwzw, r4
texldd r0, r0, s2, r0.zwzw, r4
abs r4.x, r2.z
add_pp r0, r0, -r1
cmp_pp r4.z, r5.x, c2.x, c2.y
mad_pp r0, r4.z, r0, r1
max r4.y, r3.x, r4.x
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
min r1.x, r3, r4
rcp r1.y, r4.y
mul r4.y, r1.x, r1
mul r4.z, r4.y, r4.y
mad r0.z, r4, c4, c4.w
mad r0.z, r0, r4, c5.x
mad r0.x, r0.z, r4.z, c5.y
mov_pp r1.xyz, r0.w
mad r4.w, r0.x, r4.z, c5.z
mul_pp r0, r1, c2.yyyx
add_pp r0.x, r0, r0.y
mad r1.x, r4.w, r4.z, c5.w
add_pp r0.z, r0.x, r0
mul r0.y, r1.x, r4
add r1.x, -r0.y, c6
add r0.x, r3, -r4
cmp r0.x, -r0, r0.y, r1
abs r1.x, r2.y
add r0.y, -r0.x, c4.x
cmp r0.y, r2.z, r0.x, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r0.x, -r1.z, c3.w, r1.y
cmp r0.y, r2.x, r0, -r0
mad r0.x, r1, c4, r0
mul r1.z, r0.y, c6.y
mul r1.y, r0.x, c4
add r1.x, r1.z, c2.z
mov r0.y, r1
abs r0.x, r1.z
dsx r1.zw, r0.xyxy
dsy r4.xy, r0
texldd r5.yw, r1, s1, r1.zwzw, r4
texldd r1.w, r1, s0, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r4.z, r0, r0.w
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
add_pp r1.x, r1.w, c6.z
cmp_pp r0.z, r1.x, c2.x, c2.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
rsq_pp r1.x, r0.w
add_pp r0.z, -r0, c2.x
mul_pp r0.w, r4.z, r0.z
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
mad r1.x, r0, c2.z, c2.z
frc_pp r0.y, r0.z
add_pp_sat r0.x, r0.z, -r0.y
add_pp r0.y, r0.x, c6.z
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r0.z, r0, c7
mul r2.xy, r1, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r0.xy, r0
texldd r1, r2, s4, r0, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r2, s5, r0, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 145 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 161 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c2.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c2.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c2.z
dsx r0.zw, r0
texldd r1, r0, s3, r0.zwzw, r4
texldd r0, r0, s2, r0.zwzw, r4
abs r4.x, r2.z
add_pp r0, r0, -r1
cmp_pp r4.z, r5.x, c2.x, c2.y
mad_pp r0, r4.z, r0, r1
max r4.y, r3.x, r4.x
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
min r1.x, r3, r4
rcp r1.y, r4.y
mul r4.y, r1.x, r1
mul r4.z, r4.y, r4.y
mad r0.z, r4, c4, c4.w
mad r0.z, r0, r4, c5.x
mad r0.x, r0.z, r4.z, c5.y
mov_pp r1.xyz, r0.w
mad r4.w, r0.x, r4.z, c5.z
mul_pp r0, r1, c2.yyyx
add_pp r0.x, r0, r0.y
mad r1.x, r4.w, r4.z, c5.w
add_pp r0.z, r0.x, r0
mul r0.y, r1.x, r4
add r1.x, -r0.y, c6
add r0.x, r3, -r4
cmp r0.x, -r0, r0.y, r1
abs r1.x, r2.y
add r0.y, -r0.x, c4.x
cmp r0.y, r2.z, r0.x, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r0.x, -r1.z, c3.w, r1.y
cmp r0.y, r2.x, r0, -r0
mad r0.x, r1, c4, r0
mul r1.z, r0.y, c6.y
mul r1.y, r0.x, c4
add r1.x, r1.z, c2.z
mov r0.y, r1
abs r0.x, r1.z
dsx r1.zw, r0.xyxy
dsy r4.xy, r0
texldd r5.yw, r1, s1, r1.zwzw, r4
texldd r1.w, r1, s0, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r4.z, r0, r0.w
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.w, r0.z, r0
add_pp r1.x, r1.w, c6.z
cmp_pp r0.z, r1.x, c2.x, c2.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
rsq_pp r1.x, r0.w
add_pp r0.z, -r0, c2.x
mul_pp r0.w, r4.z, r0.z
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
cmp r1.y, r1.x, c2, c2.x
rsq_pp r1.z, r1.z
mul_pp r3.xyz, r1.z, r0
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r4.xyz, r0.x, v3
dp3_pp r4.x, r3, r4
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
mad r1.x, r0, c2.z, c2.z
frc_pp r0.y, r0.z
add_pp_sat r0.x, r0.z, -r0.y
add_pp r0.y, r0.x, c6.z
mul_pp_sat r0.x, -r1.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r4.x, r0
mul_pp_sat r0.z, r0, c7
mul r2.xy, r1, c1.x
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r2
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r0.xy, r0
texldd r1, r2, s4, r0, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r2, s5, r0, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [cube_CityOverlayTexPOS] 2D 0
SetTexture 3 [cube_CityOverlayTexNEG] 2D 1
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 145 instructions, 6 temp regs, 0 temp arrays:
// ALU 117 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.y, -r5.x
mov_pp r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r4.xy, r0
abs r4.z, r2
add_pp r1.xy, r0.zwzw, c2.z
dsx r1.zw, r0.xyxy
texldd r0, r1, s2, r1.zwzw, r4
texldd r1, r1, s3, r1.zwzw, r4
max r4.x, r3, r4.z
rcp r4.y, r4.x
min r4.x, r3, r4.z
mul r4.x, r4, r4.y
mul r4.y, r4.x, r4.x
add_pp r0, r0, -r1
cmp_pp r5.x, r5, c2, c2.y
mad_pp r0, r5.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad r1.x, r4.y, c4.z, c4.w
mad r1.x, r1, r4.y, c5
mad r0.z, r1.x, r4.y, c5.y
mad_pp r1.w, r4, r0.x, r0.y
mad r0.z, r0, r4.y, c5
mad r0.x, r0.z, r4.y, c5.w
mov_pp r1.xyz, r0.w
mul r4.x, r0, r4
mul_pp r0, r1, c2.yyyx
add r1.x, r3, -r4.z
add r1.y, -r4.x, c6.x
cmp r1.w, -r1.x, r4.x, r1.y
abs r1.x, r2.y
add r4.x, -r1.w, c4
add_pp r4.z, r0.x, r0.y
add_pp r0.z, r4, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r2.z, r1, r4.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r2.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r4.y, r1
abs r4.x, r1.z
dsx r1.zw, r4.xyxy
dsy r4.xy, r4
texldd r5.yw, r1, s1, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
mul_pp r4.zw, r0.xyxy, r0.xyxy
texldd r0.w, r1, s0, r1.zwzw, r4
add_pp_sat r0.z, r4, r4.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.x, r0, r0
rsq_pp r1.y, r1.x
mul_pp r0.xyz, r1.y, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
dp3_pp r1.y, v3, v3
cmp r3.x, -r1, c2.y, c2
cmp r3.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, v3
dp3_pp r4.x, r0, r1
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mul_pp r0.w, r5.x, r0
mov r0.y, r3.w
mov r1.xz, c2.x
mov r1.y, -r3.w
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r1.xyz, r2.w, r3, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 148 instructions, 6 temp regs, 0 temp arrays:
// ALU 119 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.y, -r5.x
mov_pp r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r4.xy, r0
abs r4.z, r2
add_pp r1.xy, r0.zwzw, c2.z
dsx r1.zw, r0.xyxy
texldd r0, r1, s2, r1.zwzw, r4
texldd r1, r1, s3, r1.zwzw, r4
max r4.x, r3, r4.z
rcp r4.y, r4.x
min r4.x, r3, r4.z
mul r4.x, r4, r4.y
mul r4.y, r4.x, r4.x
add_pp r0, r0, -r1
cmp_pp r5.x, r5, c2, c2.y
mad_pp r0, r5.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad r1.x, r4.y, c4.z, c4.w
mad r1.x, r1, r4.y, c5
mad r0.z, r1.x, r4.y, c5.y
mad_pp r1.w, r4, r0.x, r0.y
mad r0.z, r0, r4.y, c5
mad r0.x, r0.z, r4.y, c5.w
mov_pp r1.xyz, r0.w
mul r4.x, r0, r4
mul_pp r0, r1, c2.yyyx
add r1.x, r3, -r4.z
add r1.y, -r4.x, c6.x
cmp r1.w, -r1.x, r4.x, r1.y
abs r1.x, r2.y
add r4.x, -r1.w, c4
add_pp r4.z, r0.x, r0.y
add_pp r0.z, r4, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r2.z, r1, r4.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r2.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r4.y, r1
abs r4.x, r1.z
dsx r1.zw, r4.xyxy
dsy r4.xy, r4
texldd r5.yw, r1, s1, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
mul_pp r4.zw, r0.xyxy, r0.xyxy
texldd r0.w, r1, s0, r1.zwzw, r4
add_pp_sat r0.z, r4, r4.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.x, r0, r0
rsq_pp r1.y, r1.x
mul_pp r0.xyz, r1.y, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
dp3_pp r1.y, v3, v3
cmp r3.x, -r1, c2.y, c2
cmp r3.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, v3
dp3_pp r4.x, r0, r1
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mul_pp r0.w, r5.x, r0
mov r0.y, r3.w
mov r1.xz, c2.x
mov r1.y, -r3.w
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r1.xyz, r2.w, r3, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 148 instructions, 6 temp regs, 0 temp arrays:
// ALU 119 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedplgffeiijhibilapaeniimdalgnfhmphabaaaaaalebeaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaalmaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaalmaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaalmaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apalaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefchmbdaaaaeaaaaaaanpaeaaaa
fjaaaaaeegiocaaaaaaaaaaabdaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaa
ffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaa
ffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaa
ffffaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaad
hcbabaaaaeaaaaaagcbaaaadlcbabaaaafaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaacaaaaaaegbcbaaa
acaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaaaaaaaaacgbjbaaaacaaaaaabnaaaaajicaabaaaabaaaaaa
akaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaajbcaabaaaacaaaaaa
bkaabaiambaaaaaaabaaaaaaakaabaiaibaaaaaaabaaaaaadcaaaaakbcaabaaa
acaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
bnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaak
ccaabaaaacaaaaaackbabaaaacaaaaaadkaabaaaaaaaaaaabkaabaiaebaaaaaa
abaaaaaadcaaaaajccaabaaaacaaaaaadkaabaaaabaaaaaabkaabaaaacaaaaaa
bkaabaaaabaaaaaadcaaaaajecaabaaaacaaaaaabkbabaaaacaaaaaadkaabaaa
aaaaaaaabkaabaaaacaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaiaebaaaaaa
acaaaaaadkaabaaaaaaaaaaabkaabaaaacaaaaaadcaaaaakccaabaaaacaaaaaa
akaabaaaacaaaaaackaabaaaacaaaaaackaabaiaebaaaaaaabaaaaaadbaaaaah
ecaabaaaacaaaaaaabeaaaaaaaaaaaaabkaabaaaacaaaaaadbaaaaahccaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaaaaaboaaaaaiccaabaaaacaaaaaa
ckaabaiaebaaaaaaacaaaaaabkaabaaaacaaaaaaclaaaaafbcaabaaaadaaaaaa
bkaabaaaacaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaaadaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaabgagbaaaabaaaaaadgaaaaaf
ccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaafgaebaaa
adaaaaaaagajbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaadgaaaaag
ecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahccaabaaaacaaaaaa
akaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaiaebaaaaaa
adaaaaaacgajbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaaadaaaaaa
cgajbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaa
acaaaaaaegacbaaaaaaaaaaaegacbaaaadaaaaaadiaaaaakgcaabaaaaaaaaaaa
fgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaak
mcaabaaaacaaaaaaagaebaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpdgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaaalaaaaaf
dcaabaaaadaaaaaaegaabaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaaegaabaaa
aaaaaaaaejaaaaanpcaabaaaaeaaaaaaogakbaaaacaaaaaaeghobaaaacaaaaaa
aagabaaaabaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
adaaaaaaogakbaaaacaaaaaaeghobaaaadaaaaaaaagabaaaacaaaaaaegaabaaa
adaaaaaaegaabaaaaaaaaaaaaaaaaaaihcaabaaaaaaaaaaaegacbaiaebaaaaaa
adaaaaaaegacbaaaaeaaaaaadcaaaaajhcaabaaaaaaaaaaafgafbaaaacaaaaaa
egacbaaaaaaaaaaaegacbaaaadaaaaaaaaaaaaaiecaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaadkaabaaa
abaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaa
bkaabaiaebaaaaaaaaaaaaaaakaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaa
akaabaaaacaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaadeaaaaajccaabaaa
aaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaaoaaaaak
ccaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpbkaabaaa
aaaaaaaaddaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaadiaaaaahecaabaaaaaaaaaaabkaabaaaaaaaaaaabkaabaaaaaaaaaaa
dcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaa
abeaaaaaochgdidodcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaa
acaaaaaaabeaaaaaaebnkjlodcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaahbcaabaaaacaaaaaackaabaaa
aaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajccaabaaaacaaaaaaakaabaia
ibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaa
bkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaaaaaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadbaaaaaidcaabaaaacaaaaaa
igaabaaaabaaaaaaigaabaiaebaaaaaaabaaaaaaabaaaaahecaabaaaaaaaaaaa
akaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaahccaabaaaaaaaaaaackaabaaa
aaaaaaaabkaabaaaaaaaaaaaddaaaaahecaabaaaaaaaaaaaakaabaaaabaaaaaa
bkaabaaaabaaaaaadbaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaia
ebaaaaaaaaaaaaaadeaaaaahbcaabaaaacaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaaakaabaiaebaaaaaa
acaaaaaaabaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaa
dhaaaaakccaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaiaebaaaaaaaaaaaaaa
bkaabaaaaaaaaaaadcaaaaajbcaabaaaadaaaaaabkaabaaaaaaaaaaaabeaaaaa
idpjccdoabeaaaaaaaaaaadpdiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
abeaaaaaidpjccdodgaaaaagccaabaaaaaaaaaaabkaabaiaibaaaaaaaaaaaaaa
alaaaaafbcaabaaaaeaaaaaabkaabaaaaaaaaaaaamaaaaafbcaabaaaafaaaaaa
bkaabaaaaaaaaaaadcaaaaakccaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakccaabaaaaaaaaaaabkaabaaa
aaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaaiedefjlodcaaaaakccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaakeanmjdp
aaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaaabaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahbcaabaaaacaaaaaa
ckaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahbcaabaaaacaaaaaa
bkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaaaaaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadiaaaaahccaabaaaadaaaaaa
bkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaaeaaaaaabkaabaaa
adaaaaaaamaaaaafccaabaaaafaaaaaabkaabaaaadaaaaaaejaaaaanpcaabaaa
acaaaaaaegaabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaaadaaaaaaegaabaaa
aeaaaaaaegaabaaaafaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaadaaaaaa
eghobaaaabaaaaaaaagabaaaaeaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaa
dcaaaaapdcaabaaaacaaaaaahgapbaaaadaaaaaaaceaaaaaaaaaaaeaaaaaaaea
aaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaabnaaaaah
ccaabaaaaaaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadpdhaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaah
bcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadeaaaaajccaabaaa
aaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaai
ccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaa
aaaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadbaaaaah
icaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaadbaaaaahecaabaaa
aaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiecaabaaaaaaaaaaa
dkaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaaclaaaaafccaabaaaadaaaaaa
ckaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaa
dgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahhcaabaaaafaaaaaaggaibaaaabaaaaaaegacbaaaaeaaaaaadgaaaaai
fcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaak
hcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaabaaaaaajgaebaiaebaaaaaa
afaaaaaadcaaaaajhcaabaaaadaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaa
jgaebaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaa
ggaibaaaabaaaaaaegacbaaaadaaaaaadcaaaaajocaabaaaaaaaaaaafgafbaaa
aaaaaaaaagajbaaaabaaaaaaagajbaaaafaaaaaadiaaaaakmcaabaaaaaaaaaaa
kgaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpaoaaaaai
gcaabaaaaaaaaaaakgalbaaaaaaaaaaafgafbaiaibaaaaaaaaaaaaaaaaaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaadiaaaaaigcaabaaaaaaaaaaafgagbaaaaaaaaaaafgifcaaaaaaaaaaa
bcaaaaaadcaaaaaodcaabaaaabaaaaaafgifcaiaebaaaaaaaaaaaaaabcaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaajgafbaaaaaaaaaaadgaaaaag
dcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaaabaaaaaa
agaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaaejaaaaan
pcaabaaaadaaaaaajgafbaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaafaaaaaa
ogakbaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaabaaaaaajgafbaaa
aaaaaaaaeghobaaaafaaaaaaaagabaaaagaaaaaaogakbaaaabaaaaaaegaabaaa
abaaaaaadiaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaaaadaaaaaa
diaaaaahicaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaaabaaaaaaapaaaaah
bcaabaaaaaaaaaaaegaabaaaacaaaaaaegaabaaaacaaaaaaddaaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaaibcaabaaaaaaaaaaa
akaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaacaaaaaa
akaabaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
acaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahncaabaaa
aaaaaaaaagaabaaaaaaaaaaaagajbaaaacaaaaaabaaaaaahbcaabaaaacaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaaacaaaaaaakaabaaa
acaaaaaadiaaaaahhcaabaaaacaaaaaaagaabaaaacaaaaaaegbcbaaaaeaaaaaa
baaaaaahbcaabaaaaaaaaaaaigadbaaaaaaaaaaaegacbaaaacaaaaaaaoaaaaah
mcaabaaaaaaaaaaaagbebaaaafaaaaaapgbpbaaaafaaaaaaefaaaaajpcaabaaa
acaaaaaaogakbaaaaaaaaaaaeghobaaaagaaaaaaaagabaaaaaaaaaaadiaaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaadiaaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiaeabbaaaaajecaabaaaaaaaaaaa
egiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafecaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaaihcaabaaaacaaaaaakgakbaaaaaaaaaaa
egiccaaaabaaaaaaaaaaaaaabaaaaaahecaabaaaaaaaaaaaegbcbaaaadaaaaaa
egacbaaaacaaaaaaaaaaaaahicaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaaaaaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajecaabaaaaaaaaaaackaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdicaaaahbcaabaaaaaaaaaaa
ckaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaadaaaaaaakaabaaa
aaaaaaaabkaabaaaaaaaaaaaaaaaaaaipcaabaaaaaaaaaaaegaobaiaebaaaaaa
abaaaaaaegaobaaaadaaaaaadcaaaaajpccabaaaaaaaaaaapgapbaaaadaaaaaa
egaobaaaaaaaaaaaegaobaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexPOS] 2D
SetTexture 3 [cube_CityOverlayTexNEG] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 162 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c2.x, c2.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r2, r3.w
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.y, -r5.x
mov_pp r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c2.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r4.xy, r0
abs r4.z, r2
add_pp r1.xy, r0.zwzw, c2.z
dsx r1.zw, r0.xyxy
texldd r0, r1, s2, r1.zwzw, r4
texldd r1, r1, s3, r1.zwzw, r4
max r4.x, r3, r4.z
rcp r4.y, r4.x
min r4.x, r3, r4.z
mul r4.x, r4, r4.y
mul r4.y, r4.x, r4.x
add_pp r0, r0, -r1
cmp_pp r5.x, r5, c2, c2.y
mad_pp r0, r5.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad r1.x, r4.y, c4.z, c4.w
mad r1.x, r1, r4.y, c5
mad r0.z, r1.x, r4.y, c5.y
mad_pp r1.w, r4, r0.x, r0.y
mad r0.z, r0, r4.y, c5
mad r0.x, r0.z, r4.y, c5.w
mov_pp r1.xyz, r0.w
mul r4.x, r0, r4
mul_pp r0, r1, c2.yyyx
add r1.x, r3, -r4.z
add r1.y, -r4.x, c6.x
cmp r1.w, -r1.x, r4.x, r1.y
abs r1.x, r2.y
add r4.x, -r1.w, c4
add_pp r4.z, r0.x, r0.y
add_pp r0.z, r4, r0
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r2.z, r1, r4.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r2.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r2.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r4.y, r1
abs r4.x, r1.z
dsx r1.zw, r4.xyxy
dsy r4.xy, r4
texldd r5.yw, r1, s1, r1.zwzw, r4
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
mul_pp r4.zw, r0.xyxy, r0.xyxy
texldd r0.w, r1, s0, r1.zwzw, r4
add_pp_sat r0.z, r4, r4.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.x, r0, r0
rsq_pp r1.y, r1.x
mul_pp r0.xyz, r1.y, r0
max r1.x, r3, r3.z
add r1.x, r1, -r3.y
add_pp r0.w, -r0, c2.x
add r1.y, -r2, r3.w
cmp r1.w, r1.x, c2.x, c2.y
mad r1.x, r1.w, r1.y, r2.y
dp3_pp r1.y, v3, v3
cmp r3.x, -r1, c2.y, c2
cmp r3.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
mul_pp r1.xyz, r1.y, v3
dp3_pp r4.x, r0, r1
add r3.w, r3.x, -r3.y
mov r0.xz, c2.x
mul_pp r0.w, r5.x, r0
mov r0.y, r3.w
mov r1.xz, c2.x
mov r1.y, -r3.w
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s6
mul_pp r4.x, r0, r4
mad r1.xyz, r2.w, r3, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
dp4_pp r1.x, c0, c0
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r1.z, v2, r1
mad r1.y, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r0.z, r1, c7.y
frc_pp r0.y, r0.z
add_pp_sat r0.z, r0, -r0.y
mad r1.x, r0, c2.z, c2.z
mul r0.xy, r1, c1.x
add_pp r1.x, r0.z, c6.z
mul_pp_sat r0.z, -r1, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r1.xy, c2.z, -r0.z, r0
abs r1.xy, r1
mul_pp r0.z, r4.x, r1
mul_pp_sat r0.z, r0, c7
dsy r2.xy, r1
dsx r2.zw, r1.xyxy
texldd r1, r0, s4, r2.zwzw, r2
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s5, r2.zwzw, r2
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [cube_CityOverlayTexPOS] 2D 1
SetTexture 3 [cube_CityOverlayTexNEG] 2D 2
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 148 instructions, 6 temp regs, 0 temp arrays:
// ALU 119 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 160 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r2.xyz, r1
add r0.x, r2.z, -r2
cmp r2.w, r0.x, c2.x, c2.y
add r0.z, r2, -r2.x
add r0.y, r1.z, -r1.x
mad r4.w, r2, r0.y, r1.x
mad r0.x, r2.w, r0.z, r2
add r0.x, -r2.y, r0
add r0.y, r1, r4.w
cmp r5.x, r0, c2, c2.y
mad r0.x, r5, r0.y, -r1.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.y, r0.x, -r0
mov_pp r0.y, r5
mov_pp r3.y, -r5
mov_pp r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov_pp r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov_pp r0.z, -r5.y
mov_pp r0.xy, c2.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r3
mad r0.xyz, r5.x, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r3.zw, r0.xyxy
add_pp r3.xy, r0.zwzw, c2.z
dsx r0.xy, r0
texldd r0.w, r3, s6, r0, r3.zwzw
texldd r1.w, r3, s7, r0, r3.zwzw
add_pp r0.z, r1.w, -r0.w
cmp_pp r4.x, r5.y, c2, c2.y
mad_pp r5.y, r4.x, r0.z, r0.w
abs r0.z, r1
max r4.y, r2.x, r0.z
rcp r4.z, r4.y
min r4.y, r2.x, r0.z
mul r4.y, r4, r4.z
mul r4.z, r4.y, r4.y
texldd r0.w, r3, s2, r0, r3.zwzw
texldd r1.w, r3, s3, r0, r3.zwzw
add_pp r1.w, r1, -r0
mad_pp r0.w, r4.x, r1, r0
add_pp r1.w, r5.y, -r0
mad_pp r5.y, r2.w, r1.w, r0.w
mad r5.z, r4, c4, c4.w
mad r1.w, r5.z, r4.z, c5.x
mad r5.z, r1.w, r4, c5.y
texldd r0.w, r3, s5, r0, r3.zwzw
texldd r1.w, r3, s4, r0, r3.zwzw
add_pp r0.x, r0.w, -r1.w
mad_pp r1.w, r4.x, r0.x, r1
mad r0.y, r5.z, r4.z, c5.z
mad r0.y, r0, r4.z, c5.w
mul r0.y, r0, r4
add r0.x, r2, -r0.z
add r0.w, -r0.y, c6.x
cmp r0.w, -r0.x, r0.y, r0
abs r0.x, r1.y
add r3.x, -r0.w, c4
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r1.z, r0, r3.x
add_pp r4.z, r5.y, -r1.w
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r1.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r1.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r3.z, r0.w, c2
mov r0.y, r0.z
abs r0.x, r0.w
mov r3.w, r0.z
dsx r4.xy, r0
dsy r3.xy, r0
texldd r0.yw, r3.zwzw, s1, r4, r3
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
texldd r0.w, r3.zwzw, s0, r4, r3
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
mul_pp r3.xy, r0, r0
mad_pp r0.z, r5.x, r4, r1.w
add_pp_sat r1.w, r3.x, r3.y
add_pp r0.w, -r0, c2.x
mul_pp r3.w, r0.z, r0
max r0.w, r2.x, r2.z
add r0.w, r0, -r2.y
add_pp r1.w, -r1, c2.x
rsq_pp r1.w, r1.w
rcp_pp r0.z, r1.w
dp3_pp r2.x, r0, r0
rsq_pp r2.y, r2.x
mul_pp r3.xyz, r2.y, r0
dp3_pp r0.x, v3, v3
add r1.w, -r1.y, r4
cmp r0.w, r0, c2.x, c2.y
mad r1.w, r0, r1, r1.y
cmp r2.x, r1.w, c2.y, c2
cmp r1.w, -r1, c2.y, c2.x
add r1.w, r1, -r2.x
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r4.xyz, r1.xzyw, r2
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, v3
dp3_pp r4.w, r3, r2
mov r0.y, r1.w
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r4
mad r2.xyz, r2.w, r0, r4
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
dp4_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c0
dp3_pp r1.x, v2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r0.w, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r1.y, r1.x, c7
frc_pp r0.y, r1
add_pp_sat r1.y, r1, -r0
mad r0.z, r0.x, c2, c2
mul r0.xy, r0.zwzw, c1.x
add_pp r0.w, r1.y, c6.z
mul_pp_sat r0.z, -r1.x, c7.x
mad_pp r1.x, r0.z, r0.w, c2
mul_pp r1.z, r4.w, r1.x
mul_pp_sat r2.z, r1, c7
mov r0.z, c1.x
mad r0.zw, c2.z, -r0.z, r0.xyxy
abs r1.xy, r0.zwzw
dsy r0.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r0.zwzw
texldd r0, r0, s9, r2, r0.zwzw
mul_pp r1.w, r1, r3
add_pp r2.z, -r2, c2.x
mul_pp r2.z, r1.w, r2
mul_pp r0.w, r3, r0
mov_pp r1.w, r2.z
add_pp r1, r1, -r0
mad_pp oC0, r2.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedkedgnlmdajbakikkjkpldhbngjnlglfiabaaaaaaoabfaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcmabeaaaa
eaaaaaaadaafaaaafjaaaaaeegiocaaaaaaaaaaaapaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafkaaaaadaagabaaaaiaaaaaafkaaaaadaagabaaaajaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
fibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaa
fibiaaaeaahabaaaaiaaaaaaffffaaaafibiaaaeaahabaaaajaaaaaaffffaaaa
gcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaacgbjbaaa
acaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaajbcaabaaaacaaaaaabkaabaiambaaaaaaabaaaaaaakaabaia
ibaaaaaaabaaaaaadcaaaaakbcaabaaaacaaaaaadkaabaaaabaaaaaaakaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaa
acaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaackbabaaaacaaaaaa
dkaabaaaaaaaaaaabkaabaiaebaaaaaaabaaaaaadcaaaaajccaabaaaacaaaaaa
dkaabaaaabaaaaaabkaabaaaacaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaa
acaaaaaabkbabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaaacaaaaaadcaaaaak
icaabaaaaaaaaaaabkbabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaadcaaaaakccaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaacaaaaaa
ckaabaiaebaaaaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
bkaabaaaacaaaaaadbaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aaaaaaaaboaaaaaiccaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaabkaabaaa
acaaaaaaclaaaaafbcaabaaaadaaaaaabkaabaaaacaaaaaadgaaaaagccaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaa
aaaaaaaabgagbaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaaagajbaaaabaaaaaaagajbaia
ebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaajgahbaaa
acaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaa
adaaaaaabnaaaaahccaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaak
hcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaacgajbaaaabaaaaaaegacbaaa
aaaaaaaadiaaaaahhcaabaaaadaaaaaacgajbaaaabaaaaaafgagbaaaadaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaa
adaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaa
agaabaiaibaaaaaaaaaaaaaaaaaaaaakmcaabaaaacaaaaaaagaebaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdgaaaaagdcaabaaaaaaaaaaa
egaabaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaadaaaaaaegaabaaaaaaaaaaa
amaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaa
ogakbaaaacaaaaaaeghobaaaahaaaaaaaagabaaaafaaaaaaegaabaaaadaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaafaaaaaaogakbaaaacaaaaaaeghobaaa
agaaaaaaaagabaaaaeaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaaaaaaaai
ecaabaaaaaaaaaaadkaabaaaaeaaaaaadkaabaiaebaaaaaaafaaaaaadcaaaaaj
ecaabaaaaaaaaaaabkaabaaaacaaaaaackaabaaaaaaaaaaadkaabaaaafaaaaaa
ejaaaaanpcaabaaaaeaaaaaaogakbaaaacaaaaaaeghobaaaadaaaaaaaagabaaa
abaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaafaaaaaa
ogakbaaaacaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaaegaabaaaadaaaaaa
egaabaaaaaaaaaaaaaaaaaaiecaabaaaadaaaaaadkaabaaaaeaaaaaadkaabaia
ebaaaaaaafaaaaaadcaaaaajecaabaaaadaaaaaabkaabaaaacaaaaaackaabaaa
adaaaaaadkaabaaaafaaaaaaaaaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaa
ckaabaiaebaaaaaaadaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaaabaaaaaa
ckaabaaaaaaaaaaackaabaaaadaaaaaaejaaaaanpcaabaaaaeaaaaaaogakbaaa
acaaaaaaeghobaaaafaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaa
aaaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaacaaaaaaeghobaaaaeaaaaaa
aagabaaaacaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaa
aaaaaaaadkaabaiaebaaaaaaadaaaaaadkaabaaaaeaaaaaadcaaaaajbcaabaaa
aaaaaaaabkaabaaaacaaaaaaakaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaai
ccaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaaj
bcaabaaaaaaaaaaaakaabaaaacaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
deaaaaajccaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaaaoaaaaakccaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpbkaabaaaaaaaaaaaddaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaabkaabaaaaaaaaaaa
bkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaa
fpkokkdmabeaaaaadgfkkolndcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaa
akaabaaaacaaaaaaabeaaaaaochgdidodcaaaaajbcaabaaaacaaaaaackaabaaa
aaaaaaaaakaabaaaacaaaaaaabeaaaaaaebnkjlodcaaaaajecaabaaaaaaaaaaa
ckaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaahbcaabaaa
acaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajccaabaaa
acaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadbaaaaai
dcaabaaaacaaaaaaigaabaaaabaaaaaaigaabaiaebaaaaaaabaaaaaaabaaaaah
ecaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaahccaabaaa
aaaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaaddaaaaahecaabaaaaaaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaiecaabaaaaaaaaaaackaabaaa
aaaaaaaackaabaiaebaaaaaaaaaaaaaadeaaaaahbcaabaaaacaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
akaabaiaebaaaaaaacaaaaaaabaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaacaaaaaadhaaaaakccaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaia
ebaaaaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaadaaaaaabkaabaaa
aaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagccaabaaaaaaaaaaabkaabaia
ibaaaaaaaaaaaaaaalaaaaafbcaabaaaaeaaaaaabkaabaaaaaaaaaaaamaaaaaf
bcaabaaaafaaaaaabkaabaaaaaaaaaaadcaaaaakccaabaaaaaaaaaaackaabaia
ibaaaaaaabaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaaiedefjlo
dcaaaaakccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaa
abeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaaabaaaaaa
abeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaah
bcaabaaaacaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadiaaaaah
ccaabaaaadaaaaaabkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaa
aeaaaaaabkaabaaaadaaaaaaamaaaaafccaabaaaafaaaaaabkaabaaaadaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaa
agaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaadaaaaaaeghobaaaabaaaaaaaagabaaaahaaaaaaegaabaaaaeaaaaaa
egaabaaaafaaaaaadcaaaaapdcaabaaaacaaaaaahgapbaaaadaaaaaaaceaaaaa
aaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaa
aaaaaaaabnaaaaahccaabaaaaaaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadp
dhaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaaaaaabeaaaaa
aaaaiadpdiaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
deaaaaajccaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaabnaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaaaaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaa
abaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaa
dbaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaackaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaaggaibaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaabaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajhcaabaaaadaaaaaapgapbaaaabaaaaaa
egacbaaaadaaaaaajgaebaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaaeaaaaaaggaibaaaabaaaaaaegacbaaaadaaaaaadcaaaaajocaabaaa
aaaaaaaafgafbaaaaaaaaaaaagajbaaaabaaaaaaagajbaaaafaaaaaadiaaaaak
mcaabaaaaaaaaaaakgaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaigcaabaaaaaaaaaaakgalbaaaaaaaaaaafgafbaiaibaaaaaa
aaaaaaaaaaaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaadiaaaaaigcaabaaaaaaaaaaafgagbaaaaaaaaaaa
fgifcaaaaaaaaaaaaoaaaaaadcaaaaaodcaabaaaabaaaaaafgifcaiaebaaaaaa
aaaaaaaaaoaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaajgafbaaa
aaaaaaaadgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaaf
mcaabaaaabaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaa
abaaaaaaejaaaaanpcaabaaaadaaaaaajgafbaaaaaaaaaaaeghobaaaaiaaaaaa
aagabaaaaiaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaajgafbaaaaaaaaaaaeghobaaaajaaaaaaaagabaaaajaaaaaaogakbaaa
abaaaaaaegaabaaaabaaaaaadiaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaa
abaaaaaaapaaaaahbcaabaaaaaaaaaaaegaabaaaacaaaaaaegaabaaaacaaaaaa
ddaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaacaaaaaaakaabaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahncaabaaaaaaaaaaaagaabaaaaaaaaaaaagajbaaaacaaaaaabaaaaaah
bcaabaaaacaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahhcaabaaaacaaaaaaagaabaaaacaaaaaa
egbcbaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaigadbaaaaaaaaaaaegacbaaa
acaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiaea
bbaaaaajecaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaaihcaabaaa
acaaaaaakgakbaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaadaaaaaaegacbaaaacaaaaaaaaaaaaahicaabaaaaaaaaaaa
ckaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahecaabaaaaaaaaaaackaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
aaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dicaaaahbcaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaah
icaabaaaadaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaaipcaabaaa
aaaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaadaaaaaadcaaaaajpccabaaa
aaaaaaaapgapbaaaadaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 160 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r2.xyz, r1
add r0.x, r2.z, -r2
cmp r2.w, r0.x, c2.x, c2.y
add r0.z, r2, -r2.x
add r0.y, r1.z, -r1.x
mad r4.w, r2, r0.y, r1.x
mad r0.x, r2.w, r0.z, r2
add r0.x, -r2.y, r0
add r0.y, r1, r4.w
cmp r5.x, r0, c2, c2.y
mad r0.x, r5, r0.y, -r1.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.y, r0.x, -r0
mov_pp r0.y, r5
mov_pp r3.y, -r5
mov_pp r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov_pp r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov_pp r0.z, -r5.y
mov_pp r0.xy, c2.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r3
mad r0.xyz, r5.x, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r3.zw, r0.xyxy
add_pp r3.xy, r0.zwzw, c2.z
dsx r0.xy, r0
texldd r0.w, r3, s6, r0, r3.zwzw
texldd r1.w, r3, s7, r0, r3.zwzw
add_pp r0.z, r1.w, -r0.w
cmp_pp r4.x, r5.y, c2, c2.y
mad_pp r5.y, r4.x, r0.z, r0.w
abs r0.z, r1
max r4.y, r2.x, r0.z
rcp r4.z, r4.y
min r4.y, r2.x, r0.z
mul r4.y, r4, r4.z
mul r4.z, r4.y, r4.y
texldd r0.w, r3, s2, r0, r3.zwzw
texldd r1.w, r3, s3, r0, r3.zwzw
add_pp r1.w, r1, -r0
mad_pp r0.w, r4.x, r1, r0
add_pp r1.w, r5.y, -r0
mad_pp r5.y, r2.w, r1.w, r0.w
mad r5.z, r4, c4, c4.w
mad r1.w, r5.z, r4.z, c5.x
mad r5.z, r1.w, r4, c5.y
texldd r0.w, r3, s5, r0, r3.zwzw
texldd r1.w, r3, s4, r0, r3.zwzw
add_pp r0.x, r0.w, -r1.w
mad_pp r1.w, r4.x, r0.x, r1
mad r0.y, r5.z, r4.z, c5.z
mad r0.y, r0, r4.z, c5.w
mul r0.y, r0, r4
add r0.x, r2, -r0.z
add r0.w, -r0.y, c6.x
cmp r0.w, -r0.x, r0.y, r0
abs r0.x, r1.y
add r3.x, -r0.w, c4
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r1.z, r0, r3.x
add_pp r4.z, r5.y, -r1.w
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r1.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r1.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r3.z, r0.w, c2
mov r0.y, r0.z
abs r0.x, r0.w
mov r3.w, r0.z
dsx r4.xy, r0
dsy r3.xy, r0
texldd r0.yw, r3.zwzw, s1, r4, r3
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
texldd r0.w, r3.zwzw, s0, r4, r3
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
mul_pp r3.xy, r0, r0
mad_pp r0.z, r5.x, r4, r1.w
add_pp_sat r1.w, r3.x, r3.y
add_pp r0.w, -r0, c2.x
mul_pp r3.w, r0.z, r0
max r0.w, r2.x, r2.z
add r0.w, r0, -r2.y
add_pp r1.w, -r1, c2.x
rsq_pp r1.w, r1.w
rcp_pp r0.z, r1.w
dp3_pp r2.x, r0, r0
rsq_pp r2.y, r2.x
mul_pp r3.xyz, r2.y, r0
dp3_pp r0.x, v3, v3
add r1.w, -r1.y, r4
cmp r0.w, r0, c2.x, c2.y
mad r1.w, r0, r1, r1.y
cmp r2.x, r1.w, c2.y, c2
cmp r1.w, -r1, c2.y, c2.x
add r1.w, r1, -r2.x
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r4.xyz, r1.xzyw, r2
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, v3
dp3_pp r4.w, r3, r2
mov r0.y, r1.w
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r4
mad r2.xyz, r2.w, r0, r4
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
dp4_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c0
dp3_pp r1.x, v2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r0.w, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r1.y, r1.x, c7
frc_pp r0.y, r1
add_pp_sat r1.y, r1, -r0
mad r0.z, r0.x, c2, c2
mul r0.xy, r0.zwzw, c1.x
add_pp r0.w, r1.y, c6.z
mul_pp_sat r0.z, -r1.x, c7.x
mad_pp r1.x, r0.z, r0.w, c2
mul_pp r1.z, r4.w, r1.x
mul_pp_sat r2.z, r1, c7
mov r0.z, c1.x
mad r0.zw, c2.z, -r0.z, r0.xyxy
abs r1.xy, r0.zwzw
dsy r0.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r0.zwzw
texldd r0, r0, s9, r2, r0.zwzw
mul_pp r1.w, r1, r3
add_pp r2.z, -r2, c2.x
mul_pp r2.z, r1.w, r2
mul_pp r0.w, r3, r0
mov_pp r1.w, r2.z
add_pp r1, r1, -r0
mad_pp oC0, r2.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 160 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r1.xyz, r0.x, v1
abs r2.xyz, r1
add r0.x, r2.z, -r2
cmp r2.w, r0.x, c2.x, c2.y
add r0.z, r2, -r2.x
add r0.y, r1.z, -r1.x
mad r4.w, r2, r0.y, r1.x
mad r0.x, r2.w, r0.z, r2
add r0.x, -r2.y, r0
add r0.y, r1, r4.w
cmp r5.x, r0, c2, c2.y
mad r0.x, r5, r0.y, -r1.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r5.y, r0.x, -r0
mov_pp r0.y, r5
mov_pp r3.y, -r5
mov_pp r3.xz, c2.x
mul r3.xyz, r1.xzyw, r3
mov_pp r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r2.w, r0, r3
mov_pp r0.z, -r5.y
mov_pp r0.xy, c2.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r3
mad r0.xyz, r5.x, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
dsy r3.zw, r0.xyxy
add_pp r3.xy, r0.zwzw, c2.z
dsx r0.xy, r0
texldd r0.w, r3, s6, r0, r3.zwzw
texldd r1.w, r3, s7, r0, r3.zwzw
add_pp r0.z, r1.w, -r0.w
cmp_pp r4.x, r5.y, c2, c2.y
mad_pp r5.y, r4.x, r0.z, r0.w
abs r0.z, r1
max r4.y, r2.x, r0.z
rcp r4.z, r4.y
min r4.y, r2.x, r0.z
mul r4.y, r4, r4.z
mul r4.z, r4.y, r4.y
texldd r0.w, r3, s2, r0, r3.zwzw
texldd r1.w, r3, s3, r0, r3.zwzw
add_pp r1.w, r1, -r0
mad_pp r0.w, r4.x, r1, r0
add_pp r1.w, r5.y, -r0
mad_pp r5.y, r2.w, r1.w, r0.w
mad r5.z, r4, c4, c4.w
mad r1.w, r5.z, r4.z, c5.x
mad r5.z, r1.w, r4, c5.y
texldd r0.w, r3, s5, r0, r3.zwzw
texldd r1.w, r3, s4, r0, r3.zwzw
add_pp r0.x, r0.w, -r1.w
mad_pp r1.w, r4.x, r0.x, r1
mad r0.y, r5.z, r4.z, c5.z
mad r0.y, r0, r4.z, c5.w
mul r0.y, r0, r4
add r0.x, r2, -r0.z
add r0.w, -r0.y, c6.x
cmp r0.w, -r0.x, r0.y, r0
abs r0.x, r1.y
add r3.x, -r0.w, c4
add r0.z, -r0.x, c2.x
mad r0.y, r0.x, c3.x, c3
mad r0.y, r0, r0.x, c2.w
rsq r0.z, r0.z
cmp r0.w, r1.z, r0, r3.x
add_pp r4.z, r5.y, -r1.w
mad r0.x, r0.y, r0, c3.z
rcp r0.z, r0.z
mul r0.y, r0.x, r0.z
cmp r0.x, r1.y, c2.y, c2
mul r0.z, r0.x, r0.y
mad r0.y, -r0.z, c3.w, r0
cmp r0.z, r1.x, r0.w, -r0.w
mul r0.w, r0.z, c6.y
mad r0.x, r0, c4, r0.y
mul r0.z, r0.x, c4.y
add r3.z, r0.w, c2
mov r0.y, r0.z
abs r0.x, r0.w
mov r3.w, r0.z
dsx r4.xy, r0
dsy r3.xy, r0
texldd r0.yw, r3.zwzw, s1, r4, r3
mad_pp r0.xy, r0.wyzw, c6.w, c6.z
texldd r0.w, r3.zwzw, s0, r4, r3
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
mul_pp r3.xy, r0, r0
mad_pp r0.z, r5.x, r4, r1.w
add_pp_sat r1.w, r3.x, r3.y
add_pp r0.w, -r0, c2.x
mul_pp r3.w, r0.z, r0
max r0.w, r2.x, r2.z
add r0.w, r0, -r2.y
add_pp r1.w, -r1, c2.x
rsq_pp r1.w, r1.w
rcp_pp r0.z, r1.w
dp3_pp r2.x, r0, r0
rsq_pp r2.y, r2.x
mul_pp r3.xyz, r2.y, r0
dp3_pp r0.x, v3, v3
add r1.w, -r1.y, r4
cmp r0.w, r0, c2.x, c2.y
mad r1.w, r0, r1, r1.y
cmp r2.x, r1.w, c2.y, c2
cmp r1.w, -r1, c2.y, c2.x
add r1.w, r1, -r2.x
mov r2.y, -r1.w
mov r2.xz, c2.x
mul r4.xyz, r1.xzyw, r2
rsq_pp r0.x, r0.x
mul_pp r2.xyz, r0.x, v3
dp3_pp r4.w, r3, r2
mov r0.y, r1.w
mov r0.xz, c2.x
mad r0.xyz, r1.zxyw, r0, -r4
mad r2.xyz, r2.w, r0, r4
mov r0.z, -r1.w
mov r0.xy, c2.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
dp4_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c0
dp3_pp r1.x, v2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r0.w, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r1.y, r1.x, c7
frc_pp r0.y, r1
add_pp_sat r1.y, r1, -r0
mad r0.z, r0.x, c2, c2
mul r0.xy, r0.zwzw, c1.x
add_pp r0.w, r1.y, c6.z
mul_pp_sat r0.z, -r1.x, c7.x
mad_pp r1.x, r0.z, r0.w, c2
mul_pp r1.z, r4.w, r1.x
mul_pp_sat r2.z, r1, c7
mov r0.z, c1.x
mad r0.zw, c2.z, -r0.z, r0.xyxy
abs r1.xy, r0.zwzw
dsy r0.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r0.zwzw
texldd r0, r0, s9, r2, r0.zwzw
mul_pp r1.w, r1, r3
add_pp r2.z, -r2, c2.x
mul_pp r2.z, r1.w, r2
mul_pp r0.w, r3, r0
mov_pp r1.w, r2.z
add_pp r1, r1, -r0
mad_pp oC0, r2.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 161 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r0.xyz, r2
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c2.x, c2.y
add r1.x, r2.z, -r2
add r1.y, r0.z, -r0.x
mad r4.w, r2, r1.x, r2.x
mad r0.w, r2, r1.y, r0.x
add r0.w, -r0.y, r0
cmp r5.x, r0.w, c2, c2.y
add r1.x, r2.y, r4.w
mad r0.w, r5.x, r1.x, -r2.y
cmp r1.x, r0.w, c2.y, c2
cmp r0.w, -r0, c2.y, c2.x
add r5.y, r0.w, -r1.x
mov_pp r1.y, r5
mov_pp r3.y, -r5
mov_pp r3.xz, c2.x
mul r3.xyz, r2.xzyw, r3
mov_pp r1.xz, c2.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mov_pp r1.z, -r5.y
mov_pp r1.xy, c2.x
mul r4.xyz, r2.yzxw, r1
mad r1.xyz, r2.yzxw, -r1, r3
mad r1.xyz, r5.x, r1, r4
abs_pp r0.w, r1.x
rcp_pp r0.w, r0.w
mul_pp r1.xy, r1.yzzw, r0.w
mul_pp r1.zw, r1.xyxy, c2.z
abs r1.xy, r1.zwzw
add_pp r3.xy, r1.zwzw, c2.z
dsy r3.zw, r1.xyxy
dsx r1.xy, r1
texldd r0.w, r3, s6, r1, r3.zwzw
texldd r1.w, r3, s7, r1, r3.zwzw
cmp_pp r1.z, r5.y, c2.x, c2.y
add_pp r1.w, r1, -r0
mad_pp r4.z, r1, r1.w, r0.w
abs r4.x, r2.z
max r1.w, r0.x, r4.x
rcp r4.y, r1.w
min r1.w, r0.x, r4.x
mul r4.y, r1.w, r4
mul r5.y, r4, r4
mad r5.z, r5.y, c4, c4.w
mad r5.z, r5, r5.y, c5.x
texldd r1.w, r3, s2, r1, r3.zwzw
texldd r0.w, r3, s3, r1, r3.zwzw
add_pp r0.w, r0, -r1
mad_pp r0.w, r1.z, r0, r1
add_pp r1.w, r4.z, -r0
mad_pp r4.z, r2.w, r1.w, r0.w
mad r5.z, r5, r5.y, c5.y
mad r0.w, r5.z, r5.y, c5.z
mad r5.y, r0.w, r5, c5.w
texldd r1.w, r3, s5, r1, r3.zwzw
texldd r0.w, r3, s4, r1, r3.zwzw
mul r1.y, r5, r4
add_pp r5.y, r1.w, -r0.w
mad_pp r0.w, r1.z, r5.y, r0
add r1.x, r0, -r4
add r1.w, -r1.y, c6.x
cmp r1.x, -r1, r1.y, r1.w
abs r1.w, r2.y
add_pp r4.z, r4, -r0.w
max r0.x, r0, r0.z
add r0.x, r0, -r0.y
add r1.y, -r1.x, c4.x
cmp r1.y, r2.z, r1.x, r1
add r3.y, -r1.w, c2.x
mad r3.x, r1.w, c3, c3.y
mad r3.x, r3, r1.w, c2.w
rsq r3.y, r3.y
mad r1.w, r3.x, r1, c3.z
rcp r3.y, r3.y
mul r3.x, r1.w, r3.y
cmp r1.w, r2.y, c2.y, c2.x
mul r3.y, r1.w, r3.x
mad r1.x, -r3.y, c3.w, r3
cmp r1.y, r2.x, r1, -r1
mul r3.x, r1.y, c6.y
mad r1.x, r1.w, c4, r1
mul r1.w, r1.x, c4.y
add r3.z, r3.x, c2
abs r1.x, r3
mov r1.y, r1.w
dsy r3.xy, r1
dsx r4.xy, r1
mov r3.w, r1
texldd r1.yw, r3.zwzw, s1, r4, r3
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r1.z, r1, r1.w
mad_pp r4.z, r5.x, r4, r0.w
texldd r0.w, r3.zwzw, s0, r4, r3
add_pp r1.z, -r1, c2.x
add_pp r0.w, r0, c6.z
rsq_pp r1.z, r1.z
rcp_pp r1.z, r1.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r0.w, -r0, c2.x
dp3_pp r1.w, r1, r1
mul_pp r3.w, r4.z, r0
rsq_pp r0.w, r1.w
mul_pp r1.xyz, r0.w, r1
cmp r0.w, r0.x, c2.x, c2.y
add r0.y, -r2, r4.w
mad r0.x, r0.w, r0.y, r2.y
dp3_pp r0.y, v3, v3
cmp r3.x, r0, c2.y, c2
cmp r1.w, -r0.x, c2.y, c2.x
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, v3
dp3_pp r4.x, r1, r0
add r1.w, r1, -r3.x
mov r0.y, r1.w
mov r0.xz, c2.x
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r4.x, r0, r4
mov r0.z, -r1.w
mad r3.xyz, r2.w, r3, r1
mov r0.xy, c2.x
mul r1.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r1
dp4_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c0
dp3_pp r1.x, v2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r0.w, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r1.y, r1.x, c7
frc_pp r0.y, r1
add_pp_sat r1.y, r1, -r0
mad r0.z, r0.x, c2, c2
mul r0.xy, r0.zwzw, c1.x
add_pp r0.w, r1.y, c6.z
mul_pp_sat r0.z, -r1.x, c7.x
mad_pp r1.x, r0.z, r0.w, c2
mul_pp r1.z, r4.x, r1.x
mul_pp_sat r2.z, r1, c7
mov r0.z, c1.x
mad r0.zw, c2.z, -r0.z, r0.xyxy
abs r1.xy, r0.zwzw
dsy r0.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r0.zwzw
texldd r0, r0, s9, r2, r0.zwzw
mul_pp r1.w, r1, r3
add_pp r2.z, -r2, c2.x
mul_pp r2.z, r1.w, r2
mul_pp r0.w, r3, r0
mov_pp r1.w, r2.z
add_pp r1, r1, -r0
mad_pp oC0, r2.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 161 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r0.xyz, r2
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c2.x, c2.y
add r1.x, r2.z, -r2
add r1.y, r0.z, -r0.x
mad r4.w, r2, r1.x, r2.x
mad r0.w, r2, r1.y, r0.x
add r0.w, -r0.y, r0
cmp r5.x, r0.w, c2, c2.y
add r1.x, r2.y, r4.w
mad r0.w, r5.x, r1.x, -r2.y
cmp r1.x, r0.w, c2.y, c2
cmp r0.w, -r0, c2.y, c2.x
add r5.y, r0.w, -r1.x
mov_pp r1.y, r5
mov_pp r3.y, -r5
mov_pp r3.xz, c2.x
mul r3.xyz, r2.xzyw, r3
mov_pp r1.xz, c2.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mov_pp r1.z, -r5.y
mov_pp r1.xy, c2.x
mul r4.xyz, r2.yzxw, r1
mad r1.xyz, r2.yzxw, -r1, r3
mad r1.xyz, r5.x, r1, r4
abs_pp r0.w, r1.x
rcp_pp r0.w, r0.w
mul_pp r1.xy, r1.yzzw, r0.w
mul_pp r1.zw, r1.xyxy, c2.z
abs r1.xy, r1.zwzw
add_pp r3.xy, r1.zwzw, c2.z
dsy r3.zw, r1.xyxy
dsx r1.xy, r1
texldd r0.w, r3, s6, r1, r3.zwzw
texldd r1.w, r3, s7, r1, r3.zwzw
cmp_pp r1.z, r5.y, c2.x, c2.y
add_pp r1.w, r1, -r0
mad_pp r4.z, r1, r1.w, r0.w
abs r4.x, r2.z
max r1.w, r0.x, r4.x
rcp r4.y, r1.w
min r1.w, r0.x, r4.x
mul r4.y, r1.w, r4
mul r5.y, r4, r4
mad r5.z, r5.y, c4, c4.w
mad r5.z, r5, r5.y, c5.x
texldd r1.w, r3, s2, r1, r3.zwzw
texldd r0.w, r3, s3, r1, r3.zwzw
add_pp r0.w, r0, -r1
mad_pp r0.w, r1.z, r0, r1
add_pp r1.w, r4.z, -r0
mad_pp r4.z, r2.w, r1.w, r0.w
mad r5.z, r5, r5.y, c5.y
mad r0.w, r5.z, r5.y, c5.z
mad r5.y, r0.w, r5, c5.w
texldd r1.w, r3, s5, r1, r3.zwzw
texldd r0.w, r3, s4, r1, r3.zwzw
mul r1.y, r5, r4
add_pp r5.y, r1.w, -r0.w
mad_pp r0.w, r1.z, r5.y, r0
add r1.x, r0, -r4
add r1.w, -r1.y, c6.x
cmp r1.x, -r1, r1.y, r1.w
abs r1.w, r2.y
add_pp r4.z, r4, -r0.w
max r0.x, r0, r0.z
add r0.x, r0, -r0.y
add r1.y, -r1.x, c4.x
cmp r1.y, r2.z, r1.x, r1
add r3.y, -r1.w, c2.x
mad r3.x, r1.w, c3, c3.y
mad r3.x, r3, r1.w, c2.w
rsq r3.y, r3.y
mad r1.w, r3.x, r1, c3.z
rcp r3.y, r3.y
mul r3.x, r1.w, r3.y
cmp r1.w, r2.y, c2.y, c2.x
mul r3.y, r1.w, r3.x
mad r1.x, -r3.y, c3.w, r3
cmp r1.y, r2.x, r1, -r1
mul r3.x, r1.y, c6.y
mad r1.x, r1.w, c4, r1
mul r1.w, r1.x, c4.y
add r3.z, r3.x, c2
abs r1.x, r3
mov r1.y, r1.w
dsy r3.xy, r1
dsx r4.xy, r1
mov r3.w, r1
texldd r1.yw, r3.zwzw, s1, r4, r3
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r1.z, r1, r1.w
mad_pp r4.z, r5.x, r4, r0.w
texldd r0.w, r3.zwzw, s0, r4, r3
add_pp r1.z, -r1, c2.x
add_pp r0.w, r0, c6.z
rsq_pp r1.z, r1.z
rcp_pp r1.z, r1.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r0.w, -r0, c2.x
dp3_pp r1.w, r1, r1
mul_pp r3.w, r4.z, r0
rsq_pp r0.w, r1.w
mul_pp r1.xyz, r0.w, r1
cmp r0.w, r0.x, c2.x, c2.y
add r0.y, -r2, r4.w
mad r0.x, r0.w, r0.y, r2.y
dp3_pp r0.y, v3, v3
cmp r3.x, r0, c2.y, c2
cmp r1.w, -r0.x, c2.y, c2.x
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, v3
dp3_pp r4.x, r1, r0
add r1.w, r1, -r3.x
mov r0.y, r1.w
mov r0.xz, c2.x
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r4.x, r0, r4
mov r0.z, -r1.w
mad r3.xyz, r2.w, r3, r1
mov r0.xy, c2.x
mul r1.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r1
dp4_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c0
dp3_pp r1.x, v2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r0.w, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r1.y, r1.x, c7
frc_pp r0.y, r1
add_pp_sat r1.y, r1, -r0
mad r0.z, r0.x, c2, c2
mul r0.xy, r0.zwzw, c1.x
add_pp r0.w, r1.y, c6.z
mul_pp_sat r0.z, -r1.x, c7.x
mad_pp r1.x, r0.z, r0.w, c2
mul_pp r1.z, r4.x, r1.x
mul_pp_sat r2.z, r1, c7
mov r0.z, c1.x
mad r0.zw, c2.z, -r0.z, r0.xyxy
abs r1.xy, r0.zwzw
dsy r0.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r0.zwzw
texldd r0, r0, s9, r2, r0.zwzw
mul_pp r1.w, r1, r3
add_pp r2.z, -r2, c2.x
mul_pp r2.z, r1.w, r2
mul_pp r0.w, r3, r0
mov_pp r1.w, r2.z
add_pp r1, r1, -r0
mad_pp oC0, r2.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 161 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r2.xyz, r0.x, v1
abs r0.xyz, r2
add r0.w, r0.z, -r0.x
cmp r2.w, r0, c2.x, c2.y
add r1.x, r2.z, -r2
add r1.y, r0.z, -r0.x
mad r4.w, r2, r1.x, r2.x
mad r0.w, r2, r1.y, r0.x
add r0.w, -r0.y, r0
cmp r5.x, r0.w, c2, c2.y
add r1.x, r2.y, r4.w
mad r0.w, r5.x, r1.x, -r2.y
cmp r1.x, r0.w, c2.y, c2
cmp r0.w, -r0, c2.y, c2.x
add r5.y, r0.w, -r1.x
mov_pp r1.y, r5
mov_pp r3.y, -r5
mov_pp r3.xz, c2.x
mul r3.xyz, r2.xzyw, r3
mov_pp r1.xz, c2.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mov_pp r1.z, -r5.y
mov_pp r1.xy, c2.x
mul r4.xyz, r2.yzxw, r1
mad r1.xyz, r2.yzxw, -r1, r3
mad r1.xyz, r5.x, r1, r4
abs_pp r0.w, r1.x
rcp_pp r0.w, r0.w
mul_pp r1.xy, r1.yzzw, r0.w
mul_pp r1.zw, r1.xyxy, c2.z
abs r1.xy, r1.zwzw
add_pp r3.xy, r1.zwzw, c2.z
dsy r3.zw, r1.xyxy
dsx r1.xy, r1
texldd r0.w, r3, s6, r1, r3.zwzw
texldd r1.w, r3, s7, r1, r3.zwzw
cmp_pp r1.z, r5.y, c2.x, c2.y
add_pp r1.w, r1, -r0
mad_pp r4.z, r1, r1.w, r0.w
abs r4.x, r2.z
max r1.w, r0.x, r4.x
rcp r4.y, r1.w
min r1.w, r0.x, r4.x
mul r4.y, r1.w, r4
mul r5.y, r4, r4
mad r5.z, r5.y, c4, c4.w
mad r5.z, r5, r5.y, c5.x
texldd r1.w, r3, s2, r1, r3.zwzw
texldd r0.w, r3, s3, r1, r3.zwzw
add_pp r0.w, r0, -r1
mad_pp r0.w, r1.z, r0, r1
add_pp r1.w, r4.z, -r0
mad_pp r4.z, r2.w, r1.w, r0.w
mad r5.z, r5, r5.y, c5.y
mad r0.w, r5.z, r5.y, c5.z
mad r5.y, r0.w, r5, c5.w
texldd r1.w, r3, s5, r1, r3.zwzw
texldd r0.w, r3, s4, r1, r3.zwzw
mul r1.y, r5, r4
add_pp r5.y, r1.w, -r0.w
mad_pp r0.w, r1.z, r5.y, r0
add r1.x, r0, -r4
add r1.w, -r1.y, c6.x
cmp r1.x, -r1, r1.y, r1.w
abs r1.w, r2.y
add_pp r4.z, r4, -r0.w
max r0.x, r0, r0.z
add r0.x, r0, -r0.y
add r1.y, -r1.x, c4.x
cmp r1.y, r2.z, r1.x, r1
add r3.y, -r1.w, c2.x
mad r3.x, r1.w, c3, c3.y
mad r3.x, r3, r1.w, c2.w
rsq r3.y, r3.y
mad r1.w, r3.x, r1, c3.z
rcp r3.y, r3.y
mul r3.x, r1.w, r3.y
cmp r1.w, r2.y, c2.y, c2.x
mul r3.y, r1.w, r3.x
mad r1.x, -r3.y, c3.w, r3
cmp r1.y, r2.x, r1, -r1
mul r3.x, r1.y, c6.y
mad r1.x, r1.w, c4, r1
mul r1.w, r1.x, c4.y
add r3.z, r3.x, c2
abs r1.x, r3
mov r1.y, r1.w
dsy r3.xy, r1
dsx r4.xy, r1
mov r3.w, r1
texldd r1.yw, r3.zwzw, s1, r4, r3
mad_pp r1.xy, r1.wyzw, c6.w, c6.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r1.z, r1, r1.w
mad_pp r4.z, r5.x, r4, r0.w
texldd r0.w, r3.zwzw, s0, r4, r3
add_pp r1.z, -r1, c2.x
add_pp r0.w, r0, c6.z
rsq_pp r1.z, r1.z
rcp_pp r1.z, r1.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r0.w, -r0, c2.x
dp3_pp r1.w, r1, r1
mul_pp r3.w, r4.z, r0
rsq_pp r0.w, r1.w
mul_pp r1.xyz, r0.w, r1
cmp r0.w, r0.x, c2.x, c2.y
add r0.y, -r2, r4.w
mad r0.x, r0.w, r0.y, r2.y
dp3_pp r0.y, v3, v3
cmp r3.x, r0, c2.y, c2
cmp r1.w, -r0.x, c2.y, c2.x
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, v3
dp3_pp r4.x, r1, r0
add r1.w, r1, -r3.x
mov r0.y, r1.w
mov r0.xz, c2.x
mov r1.y, -r1.w
mov r1.xz, c2.x
mul r1.xyz, r2.xzyw, r1
mad r3.xyz, r2.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r4.x, r0, r4
mov r0.z, -r1.w
mad r3.xyz, r2.w, r3, r1
mov r0.xy, c2.x
mul r1.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r1
dp4_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, c0
dp3_pp r1.x, v2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r0.w, r0.z, c2.z, c2.z
mul r0.x, r0.y, r0
add_pp r1.y, r1.x, c7
frc_pp r0.y, r1
add_pp_sat r1.y, r1, -r0
mad r0.z, r0.x, c2, c2
mul r0.xy, r0.zwzw, c1.x
add_pp r0.w, r1.y, c6.z
mul_pp_sat r0.z, -r1.x, c7.x
mad_pp r1.x, r0.z, r0.w, c2
mul_pp r1.z, r4.x, r1.x
mul_pp_sat r2.z, r1, c7
mov r0.z, c1.x
mad r0.zw, c2.z, -r0.z, r0.xyxy
abs r1.xy, r0.zwzw
dsy r0.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r0.zwzw
texldd r0, r0, s9, r2, r0.zwzw
mul_pp r1.w, r1, r3
add_pp r2.z, -r2, c2.x
mul_pp r2.z, r1.w, r2
mul_pp r0.w, r3, r0
mov_pp r1.w, r2.z
add_pp r1, r1, -r0
mad_pp oC0, r2.z, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 165 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r4.xyz, r0.x, v1
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c2.x, c2.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c2.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c2.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s2, r6.zwzw, r7
cmp_pp r7.w, r7, c2.x, c2.y
texldd r0, r6, s6, r6.zwzw, r7
texldd r1, r6, s7, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s3, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r0, r0, -r1
abs r3.x, r4.z
max r2.x, r5, r3
rcp r2.y, r2.x
min r2.x, r5, r3
mul r3.y, r2.x, r2
mul r3.z, r3.y, r3.y
mad_pp r1, r4.w, r0, r1
texldd r2, r6, s4, r6.zwzw, r7
texldd r0, r6, s5, r6.zwzw, r7
add_pp r0, r0, -r2
mad_pp r0, r7.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
mul_pp r0, r0, c2.xyyy
add_pp r0.x, r0, r0.y
mad r3.w, r3.z, c4.z, c4
mad r2.x, r3.w, r3.z, c5
mad r2.x, r2, r3.z, c5.y
mad r1.x, r2, r3.z, c5.z
mad r1.x, r1, r3.z, c5.w
mul r1.x, r1, r3.y
add_pp r0.x, r0, r0.z
add r0.z, -r1.x, c6.x
add r0.y, r5.x, -r3.x
cmp r1.y, -r0, r1.x, r0.z
abs r0.y, r4
add r1.z, -r1.y, c4.x
add r1.x, -r0.y, c2
mad r0.z, r0.y, c3.x, c3.y
mad r0.z, r0, r0.y, c2.w
rsq r1.x, r1.x
cmp r1.y, r4.z, r1, r1.z
mad r0.y, r0.z, r0, c3.z
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r4, c2, c2.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c3.w, r0
mad r0.y, r0, c4.x, r0.z
cmp r1.x, r4, r1.y, -r1.y
mul r0.z, r1.x, c6.y
mul r0.y, r0, c4
add r1.z, r0, c2
abs r1.x, r0.z
mov r1.y, r0
dsx r2.xy, r1
mov r1.w, r0.y
dsy r1.xy, r1
add_pp r0.z, r0.x, r0.w
texldd r3.yw, r1.zwzw, s1, r2, r1
texldd r0.w, r1.zwzw, s0, r2, r1
mad_pp r0.xy, r3.wyzw, c6.w, c6.z
mul_pp r1.xy, r0, r0
add_pp_sat r1.x, r1, r1.y
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r1.x, -r1, c2
add_pp r0.w, -r0, c2.x
mul_pp r0.w, r0.z, r0
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r1.z, r0
max r1.x, r5, r5.z
add r1.x, r1, -r5.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r0.x, v3
cmp r1.w, r1.x, c2.x, c2.y
add r1.y, -r4, r5.w
mad r1.x, r1.w, r1.y, r4.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r2.w, r2, r3
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r2.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r1
mad r1.xyz, r1.w, r0, r2
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.z, v2, r2
add_pp r1.x, r0.z, c7.y
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r0.xy, r0, c1.x
mad r1.xy, c2.z, -r0.z, r0
mul_pp r0.z, r2.w, r1
abs r1.xy, r1
mul_pp_sat r0.z, r0, c7
dsy r2.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s9, r2, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednifadnhmekhfedcjenjjoiboijgkjfopabaaaaaaoabfaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcmabeaaaa
eaaaaaaadaafaaaafjaaaaaeegiocaaaaaaaaaaaapaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafkaaaaadaagabaaaaiaaaaaafkaaaaadaagabaaaajaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
fibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaa
fibiaaaeaahabaaaaiaaaaaaffffaaaafibiaaaeaahabaaaajaaaaaaffffaaaa
gcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaacgbjbaaa
acaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaajbcaabaaaacaaaaaabkaabaiambaaaaaaabaaaaaaakaabaia
ibaaaaaaabaaaaaadcaaaaakbcaabaaaacaaaaaadkaabaaaabaaaaaaakaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaa
acaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaackbabaaaacaaaaaa
dkaabaaaaaaaaaaabkaabaiaebaaaaaaabaaaaaadcaaaaajccaabaaaacaaaaaa
dkaabaaaabaaaaaabkaabaaaacaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaa
acaaaaaabkbabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaaacaaaaaadcaaaaak
icaabaaaaaaaaaaabkbabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaadcaaaaakccaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaacaaaaaa
ckaabaiaebaaaaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
bkaabaaaacaaaaaadbaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aaaaaaaaboaaaaaiccaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaabkaabaaa
acaaaaaaclaaaaafbcaabaaaadaaaaaabkaabaaaacaaaaaadgaaaaagccaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaa
aaaaaaaabgagbaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaaagajbaaaabaaaaaaagajbaia
ebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaajgahbaaa
acaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaa
adaaaaaabnaaaaahccaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaak
hcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaacgajbaaaabaaaaaaegacbaaa
aaaaaaaadiaaaaahhcaabaaaadaaaaaacgajbaaaabaaaaaafgagbaaaadaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaa
adaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaa
agaabaiaibaaaaaaaaaaaaaaaaaaaaakmcaabaaaacaaaaaaagaebaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdgaaaaagdcaabaaaaaaaaaaa
egaabaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaadaaaaaaegaabaaaaaaaaaaa
amaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaa
ogakbaaaacaaaaaaeghobaaaahaaaaaaaagabaaaafaaaaaaegaabaaaadaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaafaaaaaaogakbaaaacaaaaaaeghobaaa
agaaaaaaaagabaaaaeaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaaaaaaaai
ecaabaaaaaaaaaaaakaabaaaaeaaaaaaakaabaiaebaaaaaaafaaaaaadcaaaaaj
ecaabaaaaaaaaaaabkaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaafaaaaaa
ejaaaaanpcaabaaaaeaaaaaaogakbaaaacaaaaaaeghobaaaadaaaaaaaagabaaa
abaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaafaaaaaa
ogakbaaaacaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaaegaabaaaadaaaaaa
egaabaaaaaaaaaaaaaaaaaaiecaabaaaadaaaaaaakaabaaaaeaaaaaaakaabaia
ebaaaaaaafaaaaaadcaaaaajecaabaaaadaaaaaabkaabaaaacaaaaaackaabaaa
adaaaaaaakaabaaaafaaaaaaaaaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaa
ckaabaiaebaaaaaaadaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaaabaaaaaa
ckaabaaaaaaaaaaackaabaaaadaaaaaaejaaaaanpcaabaaaaeaaaaaaogakbaaa
acaaaaaaeghobaaaafaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaa
aaaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaacaaaaaaeghobaaaaeaaaaaa
aagabaaaacaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaaaeaaaaaadcaaaaajbcaabaaa
aaaaaaaabkaabaaaacaaaaaaakaabaaaaaaaaaaaakaabaaaadaaaaaaaaaaaaai
ccaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaaj
bcaabaaaaaaaaaaaakaabaaaacaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
deaaaaajccaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaaaoaaaaakccaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpbkaabaaaaaaaaaaaddaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaabkaabaaaaaaaaaaa
bkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaa
fpkokkdmabeaaaaadgfkkolndcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaa
akaabaaaacaaaaaaabeaaaaaochgdidodcaaaaajbcaabaaaacaaaaaackaabaaa
aaaaaaaaakaabaaaacaaaaaaabeaaaaaaebnkjlodcaaaaajecaabaaaaaaaaaaa
ckaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaahbcaabaaa
acaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajccaabaaa
acaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadbaaaaai
dcaabaaaacaaaaaaigaabaaaabaaaaaaigaabaiaebaaaaaaabaaaaaaabaaaaah
ecaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaahccaabaaa
aaaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaaddaaaaahecaabaaaaaaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaiecaabaaaaaaaaaaackaabaaa
aaaaaaaackaabaiaebaaaaaaaaaaaaaadeaaaaahbcaabaaaacaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
akaabaiaebaaaaaaacaaaaaaabaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaacaaaaaadhaaaaakccaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaia
ebaaaaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaadaaaaaabkaabaaa
aaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagccaabaaaaaaaaaaabkaabaia
ibaaaaaaaaaaaaaaalaaaaafbcaabaaaaeaaaaaabkaabaaaaaaaaaaaamaaaaaf
bcaabaaaafaaaaaabkaabaaaaaaaaaaadcaaaaakccaabaaaaaaaaaaackaabaia
ibaaaaaaabaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaaiedefjlo
dcaaaaakccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaa
abeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaaabaaaaaa
abeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaah
bcaabaaaacaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadiaaaaah
ccaabaaaadaaaaaabkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaa
aeaaaaaabkaabaaaadaaaaaaamaaaaafccaabaaaafaaaaaabkaabaaaadaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaa
agaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaadaaaaaaeghobaaaabaaaaaaaagabaaaahaaaaaaegaabaaaaeaaaaaa
egaabaaaafaaaaaadcaaaaapdcaabaaaacaaaaaahgapbaaaadaaaaaaaceaaaaa
aaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaa
aaaaaaaabnaaaaahccaabaaaaaaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadp
dhaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaaaaaabeaaaaa
aaaaiadpdiaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
deaaaaajccaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaabnaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaaaaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaa
abaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaa
dbaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaackaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaaggaibaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaabaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajhcaabaaaadaaaaaapgapbaaaabaaaaaa
egacbaaaadaaaaaajgaebaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaaeaaaaaaggaibaaaabaaaaaaegacbaaaadaaaaaadcaaaaajocaabaaa
aaaaaaaafgafbaaaaaaaaaaaagajbaaaabaaaaaaagajbaaaafaaaaaadiaaaaak
mcaabaaaaaaaaaaakgaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaigcaabaaaaaaaaaaakgalbaaaaaaaaaaafgafbaiaibaaaaaa
aaaaaaaaaaaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaadiaaaaaigcaabaaaaaaaaaaafgagbaaaaaaaaaaa
fgifcaaaaaaaaaaaaoaaaaaadcaaaaaodcaabaaaabaaaaaafgifcaiaebaaaaaa
aaaaaaaaaoaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaajgafbaaa
aaaaaaaadgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaaf
mcaabaaaabaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaa
abaaaaaaejaaaaanpcaabaaaadaaaaaajgafbaaaaaaaaaaaeghobaaaaiaaaaaa
aagabaaaaiaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaajgafbaaaaaaaaaaaeghobaaaajaaaaaaaagabaaaajaaaaaaogakbaaa
abaaaaaaegaabaaaabaaaaaadiaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaa
abaaaaaaapaaaaahbcaabaaaaaaaaaaaegaabaaaacaaaaaaegaabaaaacaaaaaa
ddaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaacaaaaaaakaabaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahncaabaaaaaaaaaaaagaabaaaaaaaaaaaagajbaaaacaaaaaabaaaaaah
bcaabaaaacaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahhcaabaaaacaaaaaaagaabaaaacaaaaaa
egbcbaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaigadbaaaaaaaaaaaegacbaaa
acaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiaea
bbaaaaajecaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaaihcaabaaa
acaaaaaakgakbaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaadaaaaaaegacbaaaacaaaaaaaaaaaaahicaabaaaaaaaaaaa
ckaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahecaabaaaaaaaaaaackaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
aaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dicaaaahbcaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaah
icaabaaaadaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaaipcaabaaa
aaaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaadaaaaaadcaaaaajpccabaaa
aaaaaaaapgapbaaaadaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 165 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r4.xyz, r0.x, v1
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c2.x, c2.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c2.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c2.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s2, r6.zwzw, r7
cmp_pp r7.w, r7, c2.x, c2.y
texldd r0, r6, s6, r6.zwzw, r7
texldd r1, r6, s7, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s3, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r0, r0, -r1
abs r3.x, r4.z
max r2.x, r5, r3
rcp r2.y, r2.x
min r2.x, r5, r3
mul r3.y, r2.x, r2
mul r3.z, r3.y, r3.y
mad_pp r1, r4.w, r0, r1
texldd r2, r6, s4, r6.zwzw, r7
texldd r0, r6, s5, r6.zwzw, r7
add_pp r0, r0, -r2
mad_pp r0, r7.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
mul_pp r0, r0, c2.xyyy
add_pp r0.x, r0, r0.y
mad r3.w, r3.z, c4.z, c4
mad r2.x, r3.w, r3.z, c5
mad r2.x, r2, r3.z, c5.y
mad r1.x, r2, r3.z, c5.z
mad r1.x, r1, r3.z, c5.w
mul r1.x, r1, r3.y
add_pp r0.x, r0, r0.z
add r0.z, -r1.x, c6.x
add r0.y, r5.x, -r3.x
cmp r1.y, -r0, r1.x, r0.z
abs r0.y, r4
add r1.z, -r1.y, c4.x
add r1.x, -r0.y, c2
mad r0.z, r0.y, c3.x, c3.y
mad r0.z, r0, r0.y, c2.w
rsq r1.x, r1.x
cmp r1.y, r4.z, r1, r1.z
mad r0.y, r0.z, r0, c3.z
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r4, c2, c2.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c3.w, r0
mad r0.y, r0, c4.x, r0.z
cmp r1.x, r4, r1.y, -r1.y
mul r0.z, r1.x, c6.y
mul r0.y, r0, c4
add r1.z, r0, c2
abs r1.x, r0.z
mov r1.y, r0
dsx r2.xy, r1
mov r1.w, r0.y
dsy r1.xy, r1
add_pp r0.z, r0.x, r0.w
texldd r3.yw, r1.zwzw, s1, r2, r1
texldd r0.w, r1.zwzw, s0, r2, r1
mad_pp r0.xy, r3.wyzw, c6.w, c6.z
mul_pp r1.xy, r0, r0
add_pp_sat r1.x, r1, r1.y
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r1.x, -r1, c2
add_pp r0.w, -r0, c2.x
mul_pp r0.w, r0.z, r0
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r1.z, r0
max r1.x, r5, r5.z
add r1.x, r1, -r5.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r0.x, v3
cmp r1.w, r1.x, c2.x, c2.y
add r1.y, -r4, r5.w
mad r1.x, r1.w, r1.y, r4.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r2.w, r2, r3
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r2.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r1
mad r1.xyz, r1.w, r0, r2
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.z, v2, r2
add_pp r1.x, r0.z, c7.y
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r0.xy, r0, c1.x
mad r1.xy, c2.z, -r0.z, r0
mul_pp r0.z, r2.w, r1
abs r1.xy, r1
mul_pp_sat r0.z, r0, c7
dsy r2.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s9, r2, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednifadnhmekhfedcjenjjoiboijgkjfopabaaaaaaoabfaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcmabeaaaa
eaaaaaaadaafaaaafjaaaaaeegiocaaaaaaaaaaaapaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafkaaaaadaagabaaaaiaaaaaafkaaaaadaagabaaaajaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
fibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaa
fibiaaaeaahabaaaaiaaaaaaffffaaaafibiaaaeaahabaaaajaaaaaaffffaaaa
gcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaacgbjbaaa
acaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaajbcaabaaaacaaaaaabkaabaiambaaaaaaabaaaaaaakaabaia
ibaaaaaaabaaaaaadcaaaaakbcaabaaaacaaaaaadkaabaaaabaaaaaaakaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaa
acaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaackbabaaaacaaaaaa
dkaabaaaaaaaaaaabkaabaiaebaaaaaaabaaaaaadcaaaaajccaabaaaacaaaaaa
dkaabaaaabaaaaaabkaabaaaacaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaa
acaaaaaabkbabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaaacaaaaaadcaaaaak
icaabaaaaaaaaaaabkbabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaadcaaaaakccaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaacaaaaaa
ckaabaiaebaaaaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
bkaabaaaacaaaaaadbaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aaaaaaaaboaaaaaiccaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaabkaabaaa
acaaaaaaclaaaaafbcaabaaaadaaaaaabkaabaaaacaaaaaadgaaaaagccaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaa
aaaaaaaabgagbaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaaagajbaaaabaaaaaaagajbaia
ebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaajgahbaaa
acaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaa
adaaaaaabnaaaaahccaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaak
hcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaacgajbaaaabaaaaaaegacbaaa
aaaaaaaadiaaaaahhcaabaaaadaaaaaacgajbaaaabaaaaaafgagbaaaadaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaa
adaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaa
agaabaiaibaaaaaaaaaaaaaaaaaaaaakmcaabaaaacaaaaaaagaebaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdgaaaaagdcaabaaaaaaaaaaa
egaabaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaadaaaaaaegaabaaaaaaaaaaa
amaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaa
ogakbaaaacaaaaaaeghobaaaahaaaaaaaagabaaaafaaaaaaegaabaaaadaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaafaaaaaaogakbaaaacaaaaaaeghobaaa
agaaaaaaaagabaaaaeaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaaaaaaaai
ecaabaaaaaaaaaaaakaabaaaaeaaaaaaakaabaiaebaaaaaaafaaaaaadcaaaaaj
ecaabaaaaaaaaaaabkaabaaaacaaaaaackaabaaaaaaaaaaaakaabaaaafaaaaaa
ejaaaaanpcaabaaaaeaaaaaaogakbaaaacaaaaaaeghobaaaadaaaaaaaagabaaa
abaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaafaaaaaa
ogakbaaaacaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaaegaabaaaadaaaaaa
egaabaaaaaaaaaaaaaaaaaaiecaabaaaadaaaaaaakaabaaaaeaaaaaaakaabaia
ebaaaaaaafaaaaaadcaaaaajecaabaaaadaaaaaabkaabaaaacaaaaaackaabaaa
adaaaaaaakaabaaaafaaaaaaaaaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaa
ckaabaiaebaaaaaaadaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaaabaaaaaa
ckaabaaaaaaaaaaackaabaaaadaaaaaaejaaaaanpcaabaaaaeaaaaaaogakbaaa
acaaaaaaeghobaaaafaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaa
aaaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaacaaaaaaeghobaaaaeaaaaaa
aagabaaaacaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaaakaabaaaaeaaaaaadcaaaaajbcaabaaa
aaaaaaaabkaabaaaacaaaaaaakaabaaaaaaaaaaaakaabaaaadaaaaaaaaaaaaai
ccaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaaj
bcaabaaaaaaaaaaaakaabaaaacaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
deaaaaajccaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaaaoaaaaakccaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpbkaabaaaaaaaaaaaddaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaabkaabaaaaaaaaaaa
bkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaa
fpkokkdmabeaaaaadgfkkolndcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaa
akaabaaaacaaaaaaabeaaaaaochgdidodcaaaaajbcaabaaaacaaaaaackaabaaa
aaaaaaaaakaabaaaacaaaaaaabeaaaaaaebnkjlodcaaaaajecaabaaaaaaaaaaa
ckaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaahbcaabaaa
acaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajccaabaaa
acaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadbaaaaai
dcaabaaaacaaaaaaigaabaaaabaaaaaaigaabaiaebaaaaaaabaaaaaaabaaaaah
ecaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaahccaabaaa
aaaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaaddaaaaahecaabaaaaaaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaiecaabaaaaaaaaaaackaabaaa
aaaaaaaackaabaiaebaaaaaaaaaaaaaadeaaaaahbcaabaaaacaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
akaabaiaebaaaaaaacaaaaaaabaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaacaaaaaadhaaaaakccaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaia
ebaaaaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaadaaaaaabkaabaaa
aaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagccaabaaaaaaaaaaabkaabaia
ibaaaaaaaaaaaaaaalaaaaafbcaabaaaaeaaaaaabkaabaaaaaaaaaaaamaaaaaf
bcaabaaaafaaaaaabkaabaaaaaaaaaaadcaaaaakccaabaaaaaaaaaaackaabaia
ibaaaaaaabaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaaiedefjlo
dcaaaaakccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaa
abeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaaabaaaaaa
abeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaah
bcaabaaaacaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadiaaaaah
ccaabaaaadaaaaaabkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaa
aeaaaaaabkaabaaaadaaaaaaamaaaaafccaabaaaafaaaaaabkaabaaaadaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaa
agaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaadaaaaaaeghobaaaabaaaaaaaagabaaaahaaaaaaegaabaaaaeaaaaaa
egaabaaaafaaaaaadcaaaaapdcaabaaaacaaaaaahgapbaaaadaaaaaaaceaaaaa
aaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaa
aaaaaaaabnaaaaahccaabaaaaaaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadp
dhaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaaaaaabeaaaaa
aaaaiadpdiaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
deaaaaajccaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaabnaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaaaaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaa
abaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaa
dbaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaackaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaaggaibaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaabaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajhcaabaaaadaaaaaapgapbaaaabaaaaaa
egacbaaaadaaaaaajgaebaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaaeaaaaaaggaibaaaabaaaaaaegacbaaaadaaaaaadcaaaaajocaabaaa
aaaaaaaafgafbaaaaaaaaaaaagajbaaaabaaaaaaagajbaaaafaaaaaadiaaaaak
mcaabaaaaaaaaaaakgaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaigcaabaaaaaaaaaaakgalbaaaaaaaaaaafgafbaiaibaaaaaa
aaaaaaaaaaaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaadiaaaaaigcaabaaaaaaaaaaafgagbaaaaaaaaaaa
fgifcaaaaaaaaaaaaoaaaaaadcaaaaaodcaabaaaabaaaaaafgifcaiaebaaaaaa
aaaaaaaaaoaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaajgafbaaa
aaaaaaaadgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaaf
mcaabaaaabaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaa
abaaaaaaejaaaaanpcaabaaaadaaaaaajgafbaaaaaaaaaaaeghobaaaaiaaaaaa
aagabaaaaiaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaajgafbaaaaaaaaaaaeghobaaaajaaaaaaaagabaaaajaaaaaaogakbaaa
abaaaaaaegaabaaaabaaaaaadiaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaa
abaaaaaaapaaaaahbcaabaaaaaaaaaaaegaabaaaacaaaaaaegaabaaaacaaaaaa
ddaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaacaaaaaaakaabaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahncaabaaaaaaaaaaaagaabaaaaaaaaaaaagajbaaaacaaaaaabaaaaaah
bcaabaaaacaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahhcaabaaaacaaaaaaagaabaaaacaaaaaa
egbcbaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaigadbaaaaaaaaaaaegacbaaa
acaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiaea
bbaaaaajecaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaaihcaabaaa
acaaaaaakgakbaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaadaaaaaaegacbaaaacaaaaaaaaaaaaahicaabaaaaaaaaaaa
ckaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahecaabaaaaaaaaaaackaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
aaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dicaaaahbcaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaah
icaabaaaadaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaaipcaabaaa
aaaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaadaaaaaadcaaaaajpccabaaa
aaaaaaaapgapbaaaadaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 165 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r4.xyz, r0.x, v1
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c2.x, c2.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c2.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c2.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s2, r6.zwzw, r7
cmp_pp r7.w, r7, c2.x, c2.y
texldd r0, r6, s6, r6.zwzw, r7
texldd r1, r6, s7, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s3, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r0, r0, -r1
abs r3.x, r4.z
max r2.x, r5, r3
rcp r2.y, r2.x
min r2.x, r5, r3
mul r3.y, r2.x, r2
mul r3.z, r3.y, r3.y
mad_pp r1, r4.w, r0, r1
texldd r2, r6, s4, r6.zwzw, r7
texldd r0, r6, s5, r6.zwzw, r7
add_pp r0, r0, -r2
mad_pp r0, r7.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
mul_pp r0, r0, c2.xyyy
add_pp r0.x, r0, r0.y
mad r3.w, r3.z, c4.z, c4
mad r2.x, r3.w, r3.z, c5
mad r2.x, r2, r3.z, c5.y
mad r1.x, r2, r3.z, c5.z
mad r1.x, r1, r3.z, c5.w
mul r1.x, r1, r3.y
add_pp r0.x, r0, r0.z
add r0.z, -r1.x, c6.x
add r0.y, r5.x, -r3.x
cmp r1.y, -r0, r1.x, r0.z
abs r0.y, r4
add r1.z, -r1.y, c4.x
add r1.x, -r0.y, c2
mad r0.z, r0.y, c3.x, c3.y
mad r0.z, r0, r0.y, c2.w
rsq r1.x, r1.x
cmp r1.y, r4.z, r1, r1.z
mad r0.y, r0.z, r0, c3.z
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r4, c2, c2.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c3.w, r0
mad r0.y, r0, c4.x, r0.z
cmp r1.x, r4, r1.y, -r1.y
mul r0.z, r1.x, c6.y
mul r0.y, r0, c4
add r1.z, r0, c2
abs r1.x, r0.z
mov r1.y, r0
dsx r2.xy, r1
mov r1.w, r0.y
dsy r1.xy, r1
add_pp r0.z, r0.x, r0.w
texldd r3.yw, r1.zwzw, s1, r2, r1
texldd r0.w, r1.zwzw, s0, r2, r1
mad_pp r0.xy, r3.wyzw, c6.w, c6.z
mul_pp r1.xy, r0, r0
add_pp_sat r1.x, r1, r1.y
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r1.x, -r1, c2
add_pp r0.w, -r0, c2.x
mul_pp r0.w, r0.z, r0
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r1.z, r0
max r1.x, r5, r5.z
add r1.x, r1, -r5.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r0.x, v3
cmp r1.w, r1.x, c2.x, c2.y
add r1.y, -r4, r5.w
mad r1.x, r1.w, r1.y, r4.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r2.w, r2, r3
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r2.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r1
mad r1.xyz, r1.w, r0, r2
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.z, v2, r2
add_pp r1.x, r0.z, c7.y
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r0.xy, r0, c1.x
mad r1.xy, c2.z, -r0.z, r0
mul_pp r0.z, r2.w, r1
abs r1.xy, r1
mul_pp_sat r0.z, r0, c7
dsy r2.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s9, r2, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 164 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r3.xyz, r0.x, v1
abs r4.xyz, r3
abs r7.x, r3.z
add r0.x, r4.z, -r4
cmp r3.w, r0.x, c2.x, c2.y
add r0.y, r3.z, -r3.x
mad r4.w, r3, r0.y, r3.x
add r0.z, r4, -r4.x
mad r0.x, r3.w, r0.z, r4
add r0.x, -r4.y, r0
cmp r6.z, r0.x, c2.x, c2.y
add r0.y, r3, r4.w
mad r0.x, r6.z, r0.y, -r3.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.y
cmp_pp r6.w, r2, c2.x, c2.y
max r7.y, r4.x, r7.x
mov_pp r0.y, r2.w
mov_pp r1.y, -r2.w
mov_pp r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r3.w, r0, r1
mov_pp r0.z, -r2.w
mov_pp r0.xy, c2.x
mul r2.xyz, r3.yzxw, r0
mad r0.xyz, r3.yzxw, -r0, r1
mad r0.xyz, r6.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r5.xy, r0.zwzw, c2.z
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
texldd r1, r5, s6, r5.zwzw, r6
texldd r0, r5, s7, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r2, r6.w, r0, r1
texldd r1, r5, s2, r5.zwzw, r6
texldd r0, r5, s3, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r3.w, r1, r0
texldd r0, r5, s5, r5.zwzw, r6
rcp r2.y, r7.y
min r2.x, r4, r7
mul r7.y, r2.x, r2
texldd r2, r5, s4, r5.zwzw, r6
add_pp r0, r0, -r2
mad_pp r0, r6.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r6.z, r1, r0
mul_pp r0, r0, c2.xyyy
mul r7.z, r7.y, r7.y
add_pp r2.z, r0.x, r0.y
mad r7.w, r7.z, c4.z, c4
mad r5.x, r7.w, r7.z, c5
mad r5.x, r5, r7.z, c5.y
mad r2.x, r5, r7.z, c5.z
add_pp r0.z, r2, r0
mad r2.x, r2, r7.z, c5.w
mul r1.y, r2.x, r7
add r1.z, -r1.y, c6.x
add r1.x, r4, -r7
cmp r1.w, -r1.x, r1.y, r1.z
abs r1.x, r3.y
add r2.x, -r1.w, c4
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r5.yw, r1, s1, r1.zwzw, r2
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
texldd r0.w, r1, s0, r1.zwzw, r2
mul_pp r2.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r2, r2.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
add_pp r0.w, -r0, c2.x
mul_pp r2.x, r5, r0.w
dp3_pp r1.x, r0, r0
rsq_pp r1.x, r1.x
mul_pp r0.xyz, r1.x, r0
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
dp3_pp r1.y, v3, v3
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r3.y, r4.w
mad r1.x, r0.w, r1, r3.y
cmp r1.w, -r1.x, c2.y, c2.x
cmp r2.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
add r2.y, r1.w, -r2
mul_pp r1.xyz, r1.y, v3
dp3_pp r1.w, r0, r1
mov r0.y, r2
mov r0.xz, c2.x
mov r1.y, -r2
mov r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mad r4.xyz, r3.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r1.w, r0.x, r1
mad r1.xyz, r3.w, r4, r1
mov r0.z, -r2.y
mov r0.xy, c2.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r4
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r3.xyz, r0.y, c0
dp3_pp r0.z, v2, r3
add_pp r0.w, r0.z, c7.y
frc_pp r1.x, r0.w
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
add_pp_sat r0.w, r0, -r1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r1.xy, r0, c1.x
add_pp r0.y, r0.w, c6.z
mul_pp_sat r0.x, -r0.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r1.w, r0
mul_pp_sat r2.y, r0.z, c7.z
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r1.zw, r0.xyxy
texldd r0, r1, s8, r1.zwzw, r2.zwzw
texldd r1, r1, s9, r1.zwzw, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c2.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp oC0, r2.y, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 164 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r3.xyz, r0.x, v1
abs r4.xyz, r3
abs r7.x, r3.z
add r0.x, r4.z, -r4
cmp r3.w, r0.x, c2.x, c2.y
add r0.y, r3.z, -r3.x
mad r4.w, r3, r0.y, r3.x
add r0.z, r4, -r4.x
mad r0.x, r3.w, r0.z, r4
add r0.x, -r4.y, r0
cmp r6.z, r0.x, c2.x, c2.y
add r0.y, r3, r4.w
mad r0.x, r6.z, r0.y, -r3.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.y
cmp_pp r6.w, r2, c2.x, c2.y
max r7.y, r4.x, r7.x
mov_pp r0.y, r2.w
mov_pp r1.y, -r2.w
mov_pp r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r3.w, r0, r1
mov_pp r0.z, -r2.w
mov_pp r0.xy, c2.x
mul r2.xyz, r3.yzxw, r0
mad r0.xyz, r3.yzxw, -r0, r1
mad r0.xyz, r6.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r5.xy, r0.zwzw, c2.z
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
texldd r1, r5, s6, r5.zwzw, r6
texldd r0, r5, s7, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r2, r6.w, r0, r1
texldd r1, r5, s2, r5.zwzw, r6
texldd r0, r5, s3, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r3.w, r1, r0
texldd r0, r5, s5, r5.zwzw, r6
rcp r2.y, r7.y
min r2.x, r4, r7
mul r7.y, r2.x, r2
texldd r2, r5, s4, r5.zwzw, r6
add_pp r0, r0, -r2
mad_pp r0, r6.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r6.z, r1, r0
mul_pp r0, r0, c2.xyyy
mul r7.z, r7.y, r7.y
add_pp r2.z, r0.x, r0.y
mad r7.w, r7.z, c4.z, c4
mad r5.x, r7.w, r7.z, c5
mad r5.x, r5, r7.z, c5.y
mad r2.x, r5, r7.z, c5.z
add_pp r0.z, r2, r0
mad r2.x, r2, r7.z, c5.w
mul r1.y, r2.x, r7
add r1.z, -r1.y, c6.x
add r1.x, r4, -r7
cmp r1.w, -r1.x, r1.y, r1.z
abs r1.x, r3.y
add r2.x, -r1.w, c4
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r5.yw, r1, s1, r1.zwzw, r2
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
texldd r0.w, r1, s0, r1.zwzw, r2
mul_pp r2.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r2, r2.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
add_pp r0.w, -r0, c2.x
mul_pp r2.x, r5, r0.w
dp3_pp r1.x, r0, r0
rsq_pp r1.x, r1.x
mul_pp r0.xyz, r1.x, r0
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
dp3_pp r1.y, v3, v3
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r3.y, r4.w
mad r1.x, r0.w, r1, r3.y
cmp r1.w, -r1.x, c2.y, c2.x
cmp r2.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
add r2.y, r1.w, -r2
mul_pp r1.xyz, r1.y, v3
dp3_pp r1.w, r0, r1
mov r0.y, r2
mov r0.xz, c2.x
mov r1.y, -r2
mov r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mad r4.xyz, r3.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r1.w, r0.x, r1
mad r1.xyz, r3.w, r4, r1
mov r0.z, -r2.y
mov r0.xy, c2.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r4
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r3.xyz, r0.y, c0
dp3_pp r0.z, v2, r3
add_pp r0.w, r0.z, c7.y
frc_pp r1.x, r0.w
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
add_pp_sat r0.w, r0, -r1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r1.xy, r0, c1.x
add_pp r0.y, r0.w, c6.z
mul_pp_sat r0.x, -r0.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r1.w, r0
mul_pp_sat r2.y, r0.z, c7.z
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r1.zw, r0.xyxy
texldd r0, r1, s8, r1.zwzw, r2.zwzw
texldd r1, r1, s9, r1.zwzw, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c2.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp oC0, r2.y, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 164 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r3.xyz, r0.x, v1
abs r4.xyz, r3
abs r7.x, r3.z
add r0.x, r4.z, -r4
cmp r3.w, r0.x, c2.x, c2.y
add r0.y, r3.z, -r3.x
mad r4.w, r3, r0.y, r3.x
add r0.z, r4, -r4.x
mad r0.x, r3.w, r0.z, r4
add r0.x, -r4.y, r0
cmp r6.z, r0.x, c2.x, c2.y
add r0.y, r3, r4.w
mad r0.x, r6.z, r0.y, -r3.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.y
cmp_pp r6.w, r2, c2.x, c2.y
max r7.y, r4.x, r7.x
mov_pp r0.y, r2.w
mov_pp r1.y, -r2.w
mov_pp r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r3.w, r0, r1
mov_pp r0.z, -r2.w
mov_pp r0.xy, c2.x
mul r2.xyz, r3.yzxw, r0
mad r0.xyz, r3.yzxw, -r0, r1
mad r0.xyz, r6.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r5.xy, r0.zwzw, c2.z
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
texldd r1, r5, s6, r5.zwzw, r6
texldd r0, r5, s7, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r2, r6.w, r0, r1
texldd r1, r5, s2, r5.zwzw, r6
texldd r0, r5, s3, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r3.w, r1, r0
texldd r0, r5, s5, r5.zwzw, r6
rcp r2.y, r7.y
min r2.x, r4, r7
mul r7.y, r2.x, r2
texldd r2, r5, s4, r5.zwzw, r6
add_pp r0, r0, -r2
mad_pp r0, r6.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r6.z, r1, r0
mul_pp r0, r0, c2.xyyy
mul r7.z, r7.y, r7.y
add_pp r2.z, r0.x, r0.y
mad r7.w, r7.z, c4.z, c4
mad r5.x, r7.w, r7.z, c5
mad r5.x, r5, r7.z, c5.y
mad r2.x, r5, r7.z, c5.z
add_pp r0.z, r2, r0
mad r2.x, r2, r7.z, c5.w
mul r1.y, r2.x, r7
add r1.z, -r1.y, c6.x
add r1.x, r4, -r7
cmp r1.w, -r1.x, r1.y, r1.z
abs r1.x, r3.y
add r2.x, -r1.w, c4
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r5.yw, r1, s1, r1.zwzw, r2
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
texldd r0.w, r1, s0, r1.zwzw, r2
mul_pp r2.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r2, r2.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
add_pp r0.w, -r0, c2.x
mul_pp r2.x, r5, r0.w
dp3_pp r1.x, r0, r0
rsq_pp r1.x, r1.x
mul_pp r0.xyz, r1.x, r0
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
dp3_pp r1.y, v3, v3
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r3.y, r4.w
mad r1.x, r0.w, r1, r3.y
cmp r1.w, -r1.x, c2.y, c2.x
cmp r2.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
add r2.y, r1.w, -r2
mul_pp r1.xyz, r1.y, v3
dp3_pp r1.w, r0, r1
mov r0.y, r2
mov r0.xz, c2.x
mov r1.y, -r2
mov r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mad r4.xyz, r3.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r1.w, r0.x, r1
mad r1.xyz, r3.w, r4, r1
mov r0.z, -r2.y
mov r0.xy, c2.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r4
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r3.xyz, r0.y, c0
dp3_pp r0.z, v2, r3
add_pp r0.w, r0.z, c7.y
frc_pp r1.x, r0.w
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
add_pp_sat r0.w, r0, -r1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r1.xy, r0, c1.x
add_pp r0.y, r0.w, c6.z
mul_pp_sat r0.x, -r0.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r1.w, r0
mul_pp_sat r2.y, r0.z, c7.z
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r1.zw, r0.xyxy
texldd r0, r1, s8, r1.zwzw, r2.zwzw
texldd r1, r1, s9, r1.zwzw, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c2.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp oC0, r2.y, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 165 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r4.xyz, r0.x, v1
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c2.x, c2.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c2.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c2.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s2, r6.zwzw, r7
cmp_pp r7.w, r7, c2.x, c2.y
texldd r0, r6, s6, r6.zwzw, r7
texldd r1, r6, s7, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s3, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r0, r0, -r1
abs r3.x, r4.z
max r2.x, r5, r3
rcp r2.y, r2.x
min r2.x, r5, r3
mul r3.y, r2.x, r2
mul r3.z, r3.y, r3.y
mad_pp r1, r4.w, r0, r1
texldd r2, r6, s4, r6.zwzw, r7
texldd r0, r6, s5, r6.zwzw, r7
add_pp r0, r0, -r2
mad_pp r0, r7.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
mul_pp r0, r0, c2.yxyy
add_pp r0.x, r0, r0.y
mad r3.w, r3.z, c4.z, c4
mad r2.x, r3.w, r3.z, c5
mad r2.x, r2, r3.z, c5.y
mad r1.x, r2, r3.z, c5.z
mad r1.x, r1, r3.z, c5.w
mul r1.x, r1, r3.y
add_pp r0.x, r0, r0.z
add r0.z, -r1.x, c6.x
add r0.y, r5.x, -r3.x
cmp r1.y, -r0, r1.x, r0.z
abs r0.y, r4
add r1.z, -r1.y, c4.x
add r1.x, -r0.y, c2
mad r0.z, r0.y, c3.x, c3.y
mad r0.z, r0, r0.y, c2.w
rsq r1.x, r1.x
cmp r1.y, r4.z, r1, r1.z
mad r0.y, r0.z, r0, c3.z
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r4, c2, c2.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c3.w, r0
mad r0.y, r0, c4.x, r0.z
cmp r1.x, r4, r1.y, -r1.y
mul r0.z, r1.x, c6.y
mul r0.y, r0, c4
add r1.z, r0, c2
abs r1.x, r0.z
mov r1.y, r0
dsx r2.xy, r1
mov r1.w, r0.y
dsy r1.xy, r1
add_pp r0.z, r0.x, r0.w
texldd r3.yw, r1.zwzw, s1, r2, r1
texldd r0.w, r1.zwzw, s0, r2, r1
mad_pp r0.xy, r3.wyzw, c6.w, c6.z
mul_pp r1.xy, r0, r0
add_pp_sat r1.x, r1, r1.y
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r1.x, -r1, c2
add_pp r0.w, -r0, c2.x
mul_pp r0.w, r0.z, r0
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r1.z, r0
max r1.x, r5, r5.z
add r1.x, r1, -r5.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r0.x, v3
cmp r1.w, r1.x, c2.x, c2.y
add r1.y, -r4, r5.w
mad r1.x, r1.w, r1.y, r4.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r2.w, r2, r3
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r2.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r1
mad r1.xyz, r1.w, r0, r2
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.z, v2, r2
add_pp r1.x, r0.z, c7.y
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r0.xy, r0, c1.x
mad r1.xy, c2.z, -r0.z, r0
mul_pp r0.z, r2.w, r1
abs r1.xy, r1
mul_pp_sat r0.z, r0, c7
dsy r2.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s9, r2, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedacokhlkbdppfajlcfagcjopfldbhbbffabaaaaaaoabfaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcmabeaaaa
eaaaaaaadaafaaaafjaaaaaeegiocaaaaaaaaaaaapaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafkaaaaadaagabaaaaiaaaaaafkaaaaadaagabaaaajaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
fibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaa
fibiaaaeaahabaaaaiaaaaaaffffaaaafibiaaaeaahabaaaajaaaaaaffffaaaa
gcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaacgbjbaaa
acaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaajbcaabaaaacaaaaaabkaabaiambaaaaaaabaaaaaaakaabaia
ibaaaaaaabaaaaaadcaaaaakbcaabaaaacaaaaaadkaabaaaabaaaaaaakaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaa
acaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaackbabaaaacaaaaaa
dkaabaaaaaaaaaaabkaabaiaebaaaaaaabaaaaaadcaaaaajccaabaaaacaaaaaa
dkaabaaaabaaaaaabkaabaaaacaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaa
acaaaaaabkbabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaaacaaaaaadcaaaaak
icaabaaaaaaaaaaabkbabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaadcaaaaakccaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaacaaaaaa
ckaabaiaebaaaaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
bkaabaaaacaaaaaadbaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aaaaaaaaboaaaaaiccaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaabkaabaaa
acaaaaaaclaaaaafbcaabaaaadaaaaaabkaabaaaacaaaaaadgaaaaagccaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaa
aaaaaaaabgagbaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaaagajbaaaabaaaaaaagajbaia
ebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaajgahbaaa
acaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaa
adaaaaaabnaaaaahccaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaak
hcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaacgajbaaaabaaaaaaegacbaaa
aaaaaaaadiaaaaahhcaabaaaadaaaaaacgajbaaaabaaaaaafgagbaaaadaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaa
adaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaa
agaabaiaibaaaaaaaaaaaaaaaaaaaaakmcaabaaaacaaaaaaagaebaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdgaaaaagdcaabaaaaaaaaaaa
egaabaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaadaaaaaaegaabaaaaaaaaaaa
amaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaa
ogakbaaaacaaaaaaeghobaaaahaaaaaaaagabaaaafaaaaaaegaabaaaadaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaafaaaaaaogakbaaaacaaaaaaeghobaaa
agaaaaaaaagabaaaaeaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaaaaaaaai
ecaabaaaaaaaaaaabkaabaaaaeaaaaaabkaabaiaebaaaaaaafaaaaaadcaaaaaj
ecaabaaaaaaaaaaabkaabaaaacaaaaaackaabaaaaaaaaaaabkaabaaaafaaaaaa
ejaaaaanpcaabaaaaeaaaaaaogakbaaaacaaaaaaeghobaaaadaaaaaaaagabaaa
abaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaafaaaaaa
ogakbaaaacaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaaegaabaaaadaaaaaa
egaabaaaaaaaaaaaaaaaaaaiecaabaaaadaaaaaabkaabaaaaeaaaaaabkaabaia
ebaaaaaaafaaaaaadcaaaaajecaabaaaadaaaaaabkaabaaaacaaaaaackaabaaa
adaaaaaabkaabaaaafaaaaaaaaaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaa
ckaabaiaebaaaaaaadaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaaabaaaaaa
ckaabaaaaaaaaaaackaabaaaadaaaaaaejaaaaanpcaabaaaaeaaaaaaogakbaaa
acaaaaaaeghobaaaafaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaa
aaaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaacaaaaaaeghobaaaaeaaaaaa
aagabaaaacaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaa
aaaaaaaabkaabaiaebaaaaaaadaaaaaabkaabaaaaeaaaaaadcaaaaajbcaabaaa
aaaaaaaabkaabaaaacaaaaaaakaabaaaaaaaaaaabkaabaaaadaaaaaaaaaaaaai
ccaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaaj
bcaabaaaaaaaaaaaakaabaaaacaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
deaaaaajccaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaaaoaaaaakccaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpbkaabaaaaaaaaaaaddaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaabkaabaaaaaaaaaaa
bkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaa
fpkokkdmabeaaaaadgfkkolndcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaa
akaabaaaacaaaaaaabeaaaaaochgdidodcaaaaajbcaabaaaacaaaaaackaabaaa
aaaaaaaaakaabaaaacaaaaaaabeaaaaaaebnkjlodcaaaaajecaabaaaaaaaaaaa
ckaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaahbcaabaaa
acaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajccaabaaa
acaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadbaaaaai
dcaabaaaacaaaaaaigaabaaaabaaaaaaigaabaiaebaaaaaaabaaaaaaabaaaaah
ecaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaahccaabaaa
aaaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaaddaaaaahecaabaaaaaaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaiecaabaaaaaaaaaaackaabaaa
aaaaaaaackaabaiaebaaaaaaaaaaaaaadeaaaaahbcaabaaaacaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
akaabaiaebaaaaaaacaaaaaaabaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaacaaaaaadhaaaaakccaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaia
ebaaaaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaadaaaaaabkaabaaa
aaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagccaabaaaaaaaaaaabkaabaia
ibaaaaaaaaaaaaaaalaaaaafbcaabaaaaeaaaaaabkaabaaaaaaaaaaaamaaaaaf
bcaabaaaafaaaaaabkaabaaaaaaaaaaadcaaaaakccaabaaaaaaaaaaackaabaia
ibaaaaaaabaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaaiedefjlo
dcaaaaakccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaa
abeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaaabaaaaaa
abeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaah
bcaabaaaacaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadiaaaaah
ccaabaaaadaaaaaabkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaa
aeaaaaaabkaabaaaadaaaaaaamaaaaafccaabaaaafaaaaaabkaabaaaadaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaa
agaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaadaaaaaaeghobaaaabaaaaaaaagabaaaahaaaaaaegaabaaaaeaaaaaa
egaabaaaafaaaaaadcaaaaapdcaabaaaacaaaaaahgapbaaaadaaaaaaaceaaaaa
aaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaa
aaaaaaaabnaaaaahccaabaaaaaaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadp
dhaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaaaaaabeaaaaa
aaaaiadpdiaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
deaaaaajccaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaabnaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaaaaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaa
abaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaa
dbaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaackaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaaggaibaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaabaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajhcaabaaaadaaaaaapgapbaaaabaaaaaa
egacbaaaadaaaaaajgaebaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaaeaaaaaaggaibaaaabaaaaaaegacbaaaadaaaaaadcaaaaajocaabaaa
aaaaaaaafgafbaaaaaaaaaaaagajbaaaabaaaaaaagajbaaaafaaaaaadiaaaaak
mcaabaaaaaaaaaaakgaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaigcaabaaaaaaaaaaakgalbaaaaaaaaaaafgafbaiaibaaaaaa
aaaaaaaaaaaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaadiaaaaaigcaabaaaaaaaaaaafgagbaaaaaaaaaaa
fgifcaaaaaaaaaaaaoaaaaaadcaaaaaodcaabaaaabaaaaaafgifcaiaebaaaaaa
aaaaaaaaaoaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaajgafbaaa
aaaaaaaadgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaaf
mcaabaaaabaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaa
abaaaaaaejaaaaanpcaabaaaadaaaaaajgafbaaaaaaaaaaaeghobaaaaiaaaaaa
aagabaaaaiaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaajgafbaaaaaaaaaaaeghobaaaajaaaaaaaagabaaaajaaaaaaogakbaaa
abaaaaaaegaabaaaabaaaaaadiaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaa
abaaaaaaapaaaaahbcaabaaaaaaaaaaaegaabaaaacaaaaaaegaabaaaacaaaaaa
ddaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaacaaaaaaakaabaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahncaabaaaaaaaaaaaagaabaaaaaaaaaaaagajbaaaacaaaaaabaaaaaah
bcaabaaaacaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahhcaabaaaacaaaaaaagaabaaaacaaaaaa
egbcbaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaigadbaaaaaaaaaaaegacbaaa
acaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiaea
bbaaaaajecaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaaihcaabaaa
acaaaaaakgakbaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaadaaaaaaegacbaaaacaaaaaaaaaaaaahicaabaaaaaaaaaaa
ckaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahecaabaaaaaaaaaaackaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
aaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dicaaaahbcaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaah
icaabaaaadaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaaipcaabaaa
aaaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaadaaaaaadcaaaaajpccabaaa
aaaaaaaapgapbaaaadaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 165 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r4.xyz, r0.x, v1
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c2.x, c2.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c2.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c2.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s2, r6.zwzw, r7
cmp_pp r7.w, r7, c2.x, c2.y
texldd r0, r6, s6, r6.zwzw, r7
texldd r1, r6, s7, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s3, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r0, r0, -r1
abs r3.x, r4.z
max r2.x, r5, r3
rcp r2.y, r2.x
min r2.x, r5, r3
mul r3.y, r2.x, r2
mul r3.z, r3.y, r3.y
mad_pp r1, r4.w, r0, r1
texldd r2, r6, s4, r6.zwzw, r7
texldd r0, r6, s5, r6.zwzw, r7
add_pp r0, r0, -r2
mad_pp r0, r7.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
mul_pp r0, r0, c2.yxyy
add_pp r0.x, r0, r0.y
mad r3.w, r3.z, c4.z, c4
mad r2.x, r3.w, r3.z, c5
mad r2.x, r2, r3.z, c5.y
mad r1.x, r2, r3.z, c5.z
mad r1.x, r1, r3.z, c5.w
mul r1.x, r1, r3.y
add_pp r0.x, r0, r0.z
add r0.z, -r1.x, c6.x
add r0.y, r5.x, -r3.x
cmp r1.y, -r0, r1.x, r0.z
abs r0.y, r4
add r1.z, -r1.y, c4.x
add r1.x, -r0.y, c2
mad r0.z, r0.y, c3.x, c3.y
mad r0.z, r0, r0.y, c2.w
rsq r1.x, r1.x
cmp r1.y, r4.z, r1, r1.z
mad r0.y, r0.z, r0, c3.z
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r4, c2, c2.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c3.w, r0
mad r0.y, r0, c4.x, r0.z
cmp r1.x, r4, r1.y, -r1.y
mul r0.z, r1.x, c6.y
mul r0.y, r0, c4
add r1.z, r0, c2
abs r1.x, r0.z
mov r1.y, r0
dsx r2.xy, r1
mov r1.w, r0.y
dsy r1.xy, r1
add_pp r0.z, r0.x, r0.w
texldd r3.yw, r1.zwzw, s1, r2, r1
texldd r0.w, r1.zwzw, s0, r2, r1
mad_pp r0.xy, r3.wyzw, c6.w, c6.z
mul_pp r1.xy, r0, r0
add_pp_sat r1.x, r1, r1.y
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r1.x, -r1, c2
add_pp r0.w, -r0, c2.x
mul_pp r0.w, r0.z, r0
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r1.z, r0
max r1.x, r5, r5.z
add r1.x, r1, -r5.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r0.x, v3
cmp r1.w, r1.x, c2.x, c2.y
add r1.y, -r4, r5.w
mad r1.x, r1.w, r1.y, r4.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r2.w, r2, r3
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r2.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r1
mad r1.xyz, r1.w, r0, r2
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.z, v2, r2
add_pp r1.x, r0.z, c7.y
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r0.xy, r0, c1.x
mad r1.xy, c2.z, -r0.z, r0
mul_pp r0.z, r2.w, r1
abs r1.xy, r1
mul_pp_sat r0.z, r0, c7
dsy r2.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s9, r2, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 165 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r4.xyz, r0.x, v1
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c2.x, c2.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c2.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c2.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s2, r6.zwzw, r7
cmp_pp r7.w, r7, c2.x, c2.y
texldd r0, r6, s6, r6.zwzw, r7
texldd r1, r6, s7, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s3, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r0, r0, -r1
abs r3.x, r4.z
max r2.x, r5, r3
rcp r2.y, r2.x
min r2.x, r5, r3
mul r3.y, r2.x, r2
mul r3.z, r3.y, r3.y
mad_pp r1, r4.w, r0, r1
texldd r2, r6, s4, r6.zwzw, r7
texldd r0, r6, s5, r6.zwzw, r7
add_pp r0, r0, -r2
mad_pp r0, r7.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
mul_pp r0, r0, c2.yxyy
add_pp r0.x, r0, r0.y
mad r3.w, r3.z, c4.z, c4
mad r2.x, r3.w, r3.z, c5
mad r2.x, r2, r3.z, c5.y
mad r1.x, r2, r3.z, c5.z
mad r1.x, r1, r3.z, c5.w
mul r1.x, r1, r3.y
add_pp r0.x, r0, r0.z
add r0.z, -r1.x, c6.x
add r0.y, r5.x, -r3.x
cmp r1.y, -r0, r1.x, r0.z
abs r0.y, r4
add r1.z, -r1.y, c4.x
add r1.x, -r0.y, c2
mad r0.z, r0.y, c3.x, c3.y
mad r0.z, r0, r0.y, c2.w
rsq r1.x, r1.x
cmp r1.y, r4.z, r1, r1.z
mad r0.y, r0.z, r0, c3.z
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r4, c2, c2.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c3.w, r0
mad r0.y, r0, c4.x, r0.z
cmp r1.x, r4, r1.y, -r1.y
mul r0.z, r1.x, c6.y
mul r0.y, r0, c4
add r1.z, r0, c2
abs r1.x, r0.z
mov r1.y, r0
dsx r2.xy, r1
mov r1.w, r0.y
dsy r1.xy, r1
add_pp r0.z, r0.x, r0.w
texldd r3.yw, r1.zwzw, s1, r2, r1
texldd r0.w, r1.zwzw, s0, r2, r1
mad_pp r0.xy, r3.wyzw, c6.w, c6.z
mul_pp r1.xy, r0, r0
add_pp_sat r1.x, r1, r1.y
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r1.x, -r1, c2
add_pp r0.w, -r0, c2.x
mul_pp r0.w, r0.z, r0
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r1.z, r0
max r1.x, r5, r5.z
add r1.x, r1, -r5.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r0.x, v3
cmp r1.w, r1.x, c2.x, c2.y
add r1.y, -r4, r5.w
mad r1.x, r1.w, r1.y, r4.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r2.w, r2, r3
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r2.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r1
mad r1.xyz, r1.w, r0, r2
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.z, v2, r2
add_pp r1.x, r0.z, c7.y
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r0.xy, r0, c1.x
mad r1.xy, c2.z, -r0.z, r0
mul_pp r0.z, r2.w, r1
abs r1.xy, r1
mul_pp_sat r0.z, r0, c7
dsy r2.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s9, r2, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 164 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r3.xyz, r0.x, v1
abs r4.xyz, r3
abs r7.x, r3.z
add r0.x, r4.z, -r4
cmp r3.w, r0.x, c2.x, c2.y
add r0.y, r3.z, -r3.x
mad r4.w, r3, r0.y, r3.x
add r0.z, r4, -r4.x
mad r0.x, r3.w, r0.z, r4
add r0.x, -r4.y, r0
cmp r6.z, r0.x, c2.x, c2.y
add r0.y, r3, r4.w
mad r0.x, r6.z, r0.y, -r3.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.y
cmp_pp r6.w, r2, c2.x, c2.y
max r7.y, r4.x, r7.x
mov_pp r0.y, r2.w
mov_pp r1.y, -r2.w
mov_pp r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r3.w, r0, r1
mov_pp r0.z, -r2.w
mov_pp r0.xy, c2.x
mul r2.xyz, r3.yzxw, r0
mad r0.xyz, r3.yzxw, -r0, r1
mad r0.xyz, r6.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r5.xy, r0.zwzw, c2.z
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
texldd r1, r5, s6, r5.zwzw, r6
texldd r0, r5, s7, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r2, r6.w, r0, r1
texldd r1, r5, s2, r5.zwzw, r6
texldd r0, r5, s3, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r3.w, r1, r0
texldd r0, r5, s5, r5.zwzw, r6
rcp r2.y, r7.y
min r2.x, r4, r7
mul r7.y, r2.x, r2
texldd r2, r5, s4, r5.zwzw, r6
add_pp r0, r0, -r2
mad_pp r0, r6.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r6.z, r1, r0
mul_pp r0, r0, c2.yxyy
mul r7.z, r7.y, r7.y
add_pp r2.z, r0.x, r0.y
mad r7.w, r7.z, c4.z, c4
mad r5.x, r7.w, r7.z, c5
mad r5.x, r5, r7.z, c5.y
mad r2.x, r5, r7.z, c5.z
add_pp r0.z, r2, r0
mad r2.x, r2, r7.z, c5.w
mul r1.y, r2.x, r7
add r1.z, -r1.y, c6.x
add r1.x, r4, -r7
cmp r1.w, -r1.x, r1.y, r1.z
abs r1.x, r3.y
add r2.x, -r1.w, c4
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r5.yw, r1, s1, r1.zwzw, r2
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
texldd r0.w, r1, s0, r1.zwzw, r2
mul_pp r2.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r2, r2.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
add_pp r0.w, -r0, c2.x
mul_pp r2.x, r5, r0.w
dp3_pp r1.x, r0, r0
rsq_pp r1.x, r1.x
mul_pp r0.xyz, r1.x, r0
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
dp3_pp r1.y, v3, v3
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r3.y, r4.w
mad r1.x, r0.w, r1, r3.y
cmp r1.w, -r1.x, c2.y, c2.x
cmp r2.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
add r2.y, r1.w, -r2
mul_pp r1.xyz, r1.y, v3
dp3_pp r1.w, r0, r1
mov r0.y, r2
mov r0.xz, c2.x
mov r1.y, -r2
mov r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mad r4.xyz, r3.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r1.w, r0.x, r1
mad r1.xyz, r3.w, r4, r1
mov r0.z, -r2.y
mov r0.xy, c2.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r4
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r3.xyz, r0.y, c0
dp3_pp r0.z, v2, r3
add_pp r0.w, r0.z, c7.y
frc_pp r1.x, r0.w
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
add_pp_sat r0.w, r0, -r1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r1.xy, r0, c1.x
add_pp r0.y, r0.w, c6.z
mul_pp_sat r0.x, -r0.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r1.w, r0
mul_pp_sat r2.y, r0.z, c7.z
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r1.zw, r0.xyxy
texldd r0, r1, s8, r1.zwzw, r2.zwzw
texldd r1, r1, s9, r1.zwzw, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c2.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp oC0, r2.y, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 164 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r3.xyz, r0.x, v1
abs r4.xyz, r3
abs r7.x, r3.z
add r0.x, r4.z, -r4
cmp r3.w, r0.x, c2.x, c2.y
add r0.y, r3.z, -r3.x
mad r4.w, r3, r0.y, r3.x
add r0.z, r4, -r4.x
mad r0.x, r3.w, r0.z, r4
add r0.x, -r4.y, r0
cmp r6.z, r0.x, c2.x, c2.y
add r0.y, r3, r4.w
mad r0.x, r6.z, r0.y, -r3.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.y
cmp_pp r6.w, r2, c2.x, c2.y
max r7.y, r4.x, r7.x
mov_pp r0.y, r2.w
mov_pp r1.y, -r2.w
mov_pp r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r3.w, r0, r1
mov_pp r0.z, -r2.w
mov_pp r0.xy, c2.x
mul r2.xyz, r3.yzxw, r0
mad r0.xyz, r3.yzxw, -r0, r1
mad r0.xyz, r6.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r5.xy, r0.zwzw, c2.z
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
texldd r1, r5, s6, r5.zwzw, r6
texldd r0, r5, s7, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r2, r6.w, r0, r1
texldd r1, r5, s2, r5.zwzw, r6
texldd r0, r5, s3, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r3.w, r1, r0
texldd r0, r5, s5, r5.zwzw, r6
rcp r2.y, r7.y
min r2.x, r4, r7
mul r7.y, r2.x, r2
texldd r2, r5, s4, r5.zwzw, r6
add_pp r0, r0, -r2
mad_pp r0, r6.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r6.z, r1, r0
mul_pp r0, r0, c2.yxyy
mul r7.z, r7.y, r7.y
add_pp r2.z, r0.x, r0.y
mad r7.w, r7.z, c4.z, c4
mad r5.x, r7.w, r7.z, c5
mad r5.x, r5, r7.z, c5.y
mad r2.x, r5, r7.z, c5.z
add_pp r0.z, r2, r0
mad r2.x, r2, r7.z, c5.w
mul r1.y, r2.x, r7
add r1.z, -r1.y, c6.x
add r1.x, r4, -r7
cmp r1.w, -r1.x, r1.y, r1.z
abs r1.x, r3.y
add r2.x, -r1.w, c4
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r5.yw, r1, s1, r1.zwzw, r2
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
texldd r0.w, r1, s0, r1.zwzw, r2
mul_pp r2.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r2, r2.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
add_pp r0.w, -r0, c2.x
mul_pp r2.x, r5, r0.w
dp3_pp r1.x, r0, r0
rsq_pp r1.x, r1.x
mul_pp r0.xyz, r1.x, r0
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
dp3_pp r1.y, v3, v3
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r3.y, r4.w
mad r1.x, r0.w, r1, r3.y
cmp r1.w, -r1.x, c2.y, c2.x
cmp r2.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
add r2.y, r1.w, -r2
mul_pp r1.xyz, r1.y, v3
dp3_pp r1.w, r0, r1
mov r0.y, r2
mov r0.xz, c2.x
mov r1.y, -r2
mov r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mad r4.xyz, r3.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r1.w, r0.x, r1
mad r1.xyz, r3.w, r4, r1
mov r0.z, -r2.y
mov r0.xy, c2.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r4
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r3.xyz, r0.y, c0
dp3_pp r0.z, v2, r3
add_pp r0.w, r0.z, c7.y
frc_pp r1.x, r0.w
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
add_pp_sat r0.w, r0, -r1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r1.xy, r0, c1.x
add_pp r0.y, r0.w, c6.z
mul_pp_sat r0.x, -r0.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r1.w, r0
mul_pp_sat r2.y, r0.z, c7.z
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r1.zw, r0.xyxy
texldd r0, r1, s8, r1.zwzw, r2.zwzw
texldd r1, r1, s9, r1.zwzw, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c2.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp oC0, r2.y, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 164 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r3.xyz, r0.x, v1
abs r4.xyz, r3
abs r7.x, r3.z
add r0.x, r4.z, -r4
cmp r3.w, r0.x, c2.x, c2.y
add r0.y, r3.z, -r3.x
mad r4.w, r3, r0.y, r3.x
add r0.z, r4, -r4.x
mad r0.x, r3.w, r0.z, r4
add r0.x, -r4.y, r0
cmp r6.z, r0.x, c2.x, c2.y
add r0.y, r3, r4.w
mad r0.x, r6.z, r0.y, -r3.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.y
cmp_pp r6.w, r2, c2.x, c2.y
max r7.y, r4.x, r7.x
mov_pp r0.y, r2.w
mov_pp r1.y, -r2.w
mov_pp r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r3.w, r0, r1
mov_pp r0.z, -r2.w
mov_pp r0.xy, c2.x
mul r2.xyz, r3.yzxw, r0
mad r0.xyz, r3.yzxw, -r0, r1
mad r0.xyz, r6.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r5.xy, r0.zwzw, c2.z
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
texldd r1, r5, s6, r5.zwzw, r6
texldd r0, r5, s7, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r2, r6.w, r0, r1
texldd r1, r5, s2, r5.zwzw, r6
texldd r0, r5, s3, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r3.w, r1, r0
texldd r0, r5, s5, r5.zwzw, r6
rcp r2.y, r7.y
min r2.x, r4, r7
mul r7.y, r2.x, r2
texldd r2, r5, s4, r5.zwzw, r6
add_pp r0, r0, -r2
mad_pp r0, r6.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r6.z, r1, r0
mul_pp r0, r0, c2.yxyy
mul r7.z, r7.y, r7.y
add_pp r2.z, r0.x, r0.y
mad r7.w, r7.z, c4.z, c4
mad r5.x, r7.w, r7.z, c5
mad r5.x, r5, r7.z, c5.y
mad r2.x, r5, r7.z, c5.z
add_pp r0.z, r2, r0
mad r2.x, r2, r7.z, c5.w
mul r1.y, r2.x, r7
add r1.z, -r1.y, c6.x
add r1.x, r4, -r7
cmp r1.w, -r1.x, r1.y, r1.z
abs r1.x, r3.y
add r2.x, -r1.w, c4
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r5.yw, r1, s1, r1.zwzw, r2
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
texldd r0.w, r1, s0, r1.zwzw, r2
mul_pp r2.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r2, r2.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
add_pp r0.w, -r0, c2.x
mul_pp r2.x, r5, r0.w
dp3_pp r1.x, r0, r0
rsq_pp r1.x, r1.x
mul_pp r0.xyz, r1.x, r0
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
dp3_pp r1.y, v3, v3
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r3.y, r4.w
mad r1.x, r0.w, r1, r3.y
cmp r1.w, -r1.x, c2.y, c2.x
cmp r2.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
add r2.y, r1.w, -r2
mul_pp r1.xyz, r1.y, v3
dp3_pp r1.w, r0, r1
mov r0.y, r2
mov r0.xz, c2.x
mov r1.y, -r2
mov r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mad r4.xyz, r3.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r1.w, r0.x, r1
mad r1.xyz, r3.w, r4, r1
mov r0.z, -r2.y
mov r0.xy, c2.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r4
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r3.xyz, r0.y, c0
dp3_pp r0.z, v2, r3
add_pp r0.w, r0.z, c7.y
frc_pp r1.x, r0.w
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
add_pp_sat r0.w, r0, -r1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r1.xy, r0, c1.x
add_pp r0.y, r0.w, c6.z
mul_pp_sat r0.x, -r0.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r1.w, r0
mul_pp_sat r2.y, r0.z, c7.z
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r1.zw, r0.xyxy
texldd r0, r1, s8, r1.zwzw, r2.zwzw
texldd r1, r1, s9, r1.zwzw, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c2.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp oC0, r2.y, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 165 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r4.xyz, r0.x, v1
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c2.x, c2.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c2.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c2.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s2, r6.zwzw, r7
cmp_pp r7.w, r7, c2.x, c2.y
texldd r0, r6, s6, r6.zwzw, r7
texldd r1, r6, s7, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s3, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r0, r0, -r1
abs r3.x, r4.z
max r2.x, r5, r3
rcp r2.y, r2.x
min r2.x, r5, r3
mul r3.y, r2.x, r2
mul r3.z, r3.y, r3.y
mad_pp r1, r4.w, r0, r1
texldd r2, r6, s4, r6.zwzw, r7
texldd r0, r6, s5, r6.zwzw, r7
add_pp r0, r0, -r2
mad_pp r0, r7.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
mul_pp r0, r0, c2.yyxy
add_pp r0.x, r0, r0.y
mad r3.w, r3.z, c4.z, c4
mad r2.x, r3.w, r3.z, c5
mad r2.x, r2, r3.z, c5.y
mad r1.x, r2, r3.z, c5.z
mad r1.x, r1, r3.z, c5.w
mul r1.x, r1, r3.y
add_pp r0.x, r0, r0.z
add r0.z, -r1.x, c6.x
add r0.y, r5.x, -r3.x
cmp r1.y, -r0, r1.x, r0.z
abs r0.y, r4
add r1.z, -r1.y, c4.x
add r1.x, -r0.y, c2
mad r0.z, r0.y, c3.x, c3.y
mad r0.z, r0, r0.y, c2.w
rsq r1.x, r1.x
cmp r1.y, r4.z, r1, r1.z
mad r0.y, r0.z, r0, c3.z
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r4, c2, c2.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c3.w, r0
mad r0.y, r0, c4.x, r0.z
cmp r1.x, r4, r1.y, -r1.y
mul r0.z, r1.x, c6.y
mul r0.y, r0, c4
add r1.z, r0, c2
abs r1.x, r0.z
mov r1.y, r0
dsx r2.xy, r1
mov r1.w, r0.y
dsy r1.xy, r1
add_pp r0.z, r0.x, r0.w
texldd r3.yw, r1.zwzw, s1, r2, r1
texldd r0.w, r1.zwzw, s0, r2, r1
mad_pp r0.xy, r3.wyzw, c6.w, c6.z
mul_pp r1.xy, r0, r0
add_pp_sat r1.x, r1, r1.y
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r1.x, -r1, c2
add_pp r0.w, -r0, c2.x
mul_pp r0.w, r0.z, r0
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r1.z, r0
max r1.x, r5, r5.z
add r1.x, r1, -r5.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r0.x, v3
cmp r1.w, r1.x, c2.x, c2.y
add r1.y, -r4, r5.w
mad r1.x, r1.w, r1.y, r4.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r2.w, r2, r3
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r2.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r1
mad r1.xyz, r1.w, r0, r2
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.z, v2, r2
add_pp r1.x, r0.z, c7.y
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r0.xy, r0, c1.x
mad r1.xy, c2.z, -r0.z, r0
mul_pp r0.z, r2.w, r1
abs r1.xy, r1
mul_pp_sat r0.z, r0, c7
dsy r2.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s9, r2, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 165 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r4.xyz, r0.x, v1
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c2.x, c2.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c2.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c2.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s2, r6.zwzw, r7
cmp_pp r7.w, r7, c2.x, c2.y
texldd r0, r6, s6, r6.zwzw, r7
texldd r1, r6, s7, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s3, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r0, r0, -r1
abs r3.x, r4.z
max r2.x, r5, r3
rcp r2.y, r2.x
min r2.x, r5, r3
mul r3.y, r2.x, r2
mul r3.z, r3.y, r3.y
mad_pp r1, r4.w, r0, r1
texldd r2, r6, s4, r6.zwzw, r7
texldd r0, r6, s5, r6.zwzw, r7
add_pp r0, r0, -r2
mad_pp r0, r7.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
mul_pp r0, r0, c2.yyxy
add_pp r0.x, r0, r0.y
mad r3.w, r3.z, c4.z, c4
mad r2.x, r3.w, r3.z, c5
mad r2.x, r2, r3.z, c5.y
mad r1.x, r2, r3.z, c5.z
mad r1.x, r1, r3.z, c5.w
mul r1.x, r1, r3.y
add_pp r0.x, r0, r0.z
add r0.z, -r1.x, c6.x
add r0.y, r5.x, -r3.x
cmp r1.y, -r0, r1.x, r0.z
abs r0.y, r4
add r1.z, -r1.y, c4.x
add r1.x, -r0.y, c2
mad r0.z, r0.y, c3.x, c3.y
mad r0.z, r0, r0.y, c2.w
rsq r1.x, r1.x
cmp r1.y, r4.z, r1, r1.z
mad r0.y, r0.z, r0, c3.z
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r4, c2, c2.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c3.w, r0
mad r0.y, r0, c4.x, r0.z
cmp r1.x, r4, r1.y, -r1.y
mul r0.z, r1.x, c6.y
mul r0.y, r0, c4
add r1.z, r0, c2
abs r1.x, r0.z
mov r1.y, r0
dsx r2.xy, r1
mov r1.w, r0.y
dsy r1.xy, r1
add_pp r0.z, r0.x, r0.w
texldd r3.yw, r1.zwzw, s1, r2, r1
texldd r0.w, r1.zwzw, s0, r2, r1
mad_pp r0.xy, r3.wyzw, c6.w, c6.z
mul_pp r1.xy, r0, r0
add_pp_sat r1.x, r1, r1.y
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r1.x, -r1, c2
add_pp r0.w, -r0, c2.x
mul_pp r0.w, r0.z, r0
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r1.z, r0
max r1.x, r5, r5.z
add r1.x, r1, -r5.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r0.x, v3
cmp r1.w, r1.x, c2.x, c2.y
add r1.y, -r4, r5.w
mad r1.x, r1.w, r1.y, r4.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r2.w, r2, r3
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r2.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r1
mad r1.xyz, r1.w, r0, r2
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.z, v2, r2
add_pp r1.x, r0.z, c7.y
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r0.xy, r0, c1.x
mad r1.xy, c2.z, -r0.z, r0
mul_pp r0.z, r2.w, r1
abs r1.xy, r1
mul_pp_sat r0.z, r0, c7
dsy r2.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s9, r2, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 165 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r4.xyz, r0.x, v1
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c2.x, c2.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c2.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c2.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s2, r6.zwzw, r7
cmp_pp r7.w, r7, c2.x, c2.y
texldd r0, r6, s6, r6.zwzw, r7
texldd r1, r6, s7, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s3, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r0, r0, -r1
abs r3.x, r4.z
max r2.x, r5, r3
rcp r2.y, r2.x
min r2.x, r5, r3
mul r3.y, r2.x, r2
mul r3.z, r3.y, r3.y
mad_pp r1, r4.w, r0, r1
texldd r2, r6, s4, r6.zwzw, r7
texldd r0, r6, s5, r6.zwzw, r7
add_pp r0, r0, -r2
mad_pp r0, r7.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
mul_pp r0, r0, c2.yyxy
add_pp r0.x, r0, r0.y
mad r3.w, r3.z, c4.z, c4
mad r2.x, r3.w, r3.z, c5
mad r2.x, r2, r3.z, c5.y
mad r1.x, r2, r3.z, c5.z
mad r1.x, r1, r3.z, c5.w
mul r1.x, r1, r3.y
add_pp r0.x, r0, r0.z
add r0.z, -r1.x, c6.x
add r0.y, r5.x, -r3.x
cmp r1.y, -r0, r1.x, r0.z
abs r0.y, r4
add r1.z, -r1.y, c4.x
add r1.x, -r0.y, c2
mad r0.z, r0.y, c3.x, c3.y
mad r0.z, r0, r0.y, c2.w
rsq r1.x, r1.x
cmp r1.y, r4.z, r1, r1.z
mad r0.y, r0.z, r0, c3.z
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r4, c2, c2.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c3.w, r0
mad r0.y, r0, c4.x, r0.z
cmp r1.x, r4, r1.y, -r1.y
mul r0.z, r1.x, c6.y
mul r0.y, r0, c4
add r1.z, r0, c2
abs r1.x, r0.z
mov r1.y, r0
dsx r2.xy, r1
mov r1.w, r0.y
dsy r1.xy, r1
add_pp r0.z, r0.x, r0.w
texldd r3.yw, r1.zwzw, s1, r2, r1
texldd r0.w, r1.zwzw, s0, r2, r1
mad_pp r0.xy, r3.wyzw, c6.w, c6.z
mul_pp r1.xy, r0, r0
add_pp_sat r1.x, r1, r1.y
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r1.x, -r1, c2
add_pp r0.w, -r0, c2.x
mul_pp r0.w, r0.z, r0
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r1.z, r0
max r1.x, r5, r5.z
add r1.x, r1, -r5.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r0.x, v3
cmp r1.w, r1.x, c2.x, c2.y
add r1.y, -r4, r5.w
mad r1.x, r1.w, r1.y, r4.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r2.w, r2, r3
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r2.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r1
mad r1.xyz, r1.w, r0, r2
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.z, v2, r2
add_pp r1.x, r0.z, c7.y
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r0.xy, r0, c1.x
mad r1.xy, c2.z, -r0.z, r0
mul_pp r0.z, r2.w, r1
abs r1.xy, r1
mul_pp_sat r0.z, r0, c7
dsy r2.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s9, r2, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 164 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r3.xyz, r0.x, v1
abs r4.xyz, r3
abs r7.x, r3.z
add r0.x, r4.z, -r4
cmp r3.w, r0.x, c2.x, c2.y
add r0.y, r3.z, -r3.x
mad r4.w, r3, r0.y, r3.x
add r0.z, r4, -r4.x
mad r0.x, r3.w, r0.z, r4
add r0.x, -r4.y, r0
cmp r6.z, r0.x, c2.x, c2.y
add r0.y, r3, r4.w
mad r0.x, r6.z, r0.y, -r3.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.y
cmp_pp r6.w, r2, c2.x, c2.y
max r7.y, r4.x, r7.x
mov_pp r0.y, r2.w
mov_pp r1.y, -r2.w
mov_pp r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r3.w, r0, r1
mov_pp r0.z, -r2.w
mov_pp r0.xy, c2.x
mul r2.xyz, r3.yzxw, r0
mad r0.xyz, r3.yzxw, -r0, r1
mad r0.xyz, r6.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r5.xy, r0.zwzw, c2.z
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
texldd r1, r5, s6, r5.zwzw, r6
texldd r0, r5, s7, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r2, r6.w, r0, r1
texldd r1, r5, s2, r5.zwzw, r6
texldd r0, r5, s3, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r3.w, r1, r0
texldd r0, r5, s5, r5.zwzw, r6
rcp r2.y, r7.y
min r2.x, r4, r7
mul r7.y, r2.x, r2
texldd r2, r5, s4, r5.zwzw, r6
add_pp r0, r0, -r2
mad_pp r0, r6.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r6.z, r1, r0
mul_pp r0, r0, c2.yyxy
mul r7.z, r7.y, r7.y
add_pp r2.z, r0.x, r0.y
mad r7.w, r7.z, c4.z, c4
mad r5.x, r7.w, r7.z, c5
mad r5.x, r5, r7.z, c5.y
mad r2.x, r5, r7.z, c5.z
add_pp r0.z, r2, r0
mad r2.x, r2, r7.z, c5.w
mul r1.y, r2.x, r7
add r1.z, -r1.y, c6.x
add r1.x, r4, -r7
cmp r1.w, -r1.x, r1.y, r1.z
abs r1.x, r3.y
add r2.x, -r1.w, c4
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r5.yw, r1, s1, r1.zwzw, r2
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
texldd r0.w, r1, s0, r1.zwzw, r2
mul_pp r2.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r2, r2.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
add_pp r0.w, -r0, c2.x
mul_pp r2.x, r5, r0.w
dp3_pp r1.x, r0, r0
rsq_pp r1.x, r1.x
mul_pp r0.xyz, r1.x, r0
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
dp3_pp r1.y, v3, v3
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r3.y, r4.w
mad r1.x, r0.w, r1, r3.y
cmp r1.w, -r1.x, c2.y, c2.x
cmp r2.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
add r2.y, r1.w, -r2
mul_pp r1.xyz, r1.y, v3
dp3_pp r1.w, r0, r1
mov r0.y, r2
mov r0.xz, c2.x
mov r1.y, -r2
mov r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mad r4.xyz, r3.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r1.w, r0.x, r1
mad r1.xyz, r3.w, r4, r1
mov r0.z, -r2.y
mov r0.xy, c2.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r4
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r3.xyz, r0.y, c0
dp3_pp r0.z, v2, r3
add_pp r0.w, r0.z, c7.y
frc_pp r1.x, r0.w
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
add_pp_sat r0.w, r0, -r1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r1.xy, r0, c1.x
add_pp r0.y, r0.w, c6.z
mul_pp_sat r0.x, -r0.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r1.w, r0
mul_pp_sat r2.y, r0.z, c7.z
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r1.zw, r0.xyxy
texldd r0, r1, s8, r1.zwzw, r2.zwzw
texldd r1, r1, s9, r1.zwzw, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c2.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp oC0, r2.y, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 164 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r3.xyz, r0.x, v1
abs r4.xyz, r3
abs r7.x, r3.z
add r0.x, r4.z, -r4
cmp r3.w, r0.x, c2.x, c2.y
add r0.y, r3.z, -r3.x
mad r4.w, r3, r0.y, r3.x
add r0.z, r4, -r4.x
mad r0.x, r3.w, r0.z, r4
add r0.x, -r4.y, r0
cmp r6.z, r0.x, c2.x, c2.y
add r0.y, r3, r4.w
mad r0.x, r6.z, r0.y, -r3.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.y
cmp_pp r6.w, r2, c2.x, c2.y
max r7.y, r4.x, r7.x
mov_pp r0.y, r2.w
mov_pp r1.y, -r2.w
mov_pp r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r3.w, r0, r1
mov_pp r0.z, -r2.w
mov_pp r0.xy, c2.x
mul r2.xyz, r3.yzxw, r0
mad r0.xyz, r3.yzxw, -r0, r1
mad r0.xyz, r6.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r5.xy, r0.zwzw, c2.z
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
texldd r1, r5, s6, r5.zwzw, r6
texldd r0, r5, s7, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r2, r6.w, r0, r1
texldd r1, r5, s2, r5.zwzw, r6
texldd r0, r5, s3, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r3.w, r1, r0
texldd r0, r5, s5, r5.zwzw, r6
rcp r2.y, r7.y
min r2.x, r4, r7
mul r7.y, r2.x, r2
texldd r2, r5, s4, r5.zwzw, r6
add_pp r0, r0, -r2
mad_pp r0, r6.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r6.z, r1, r0
mul_pp r0, r0, c2.yyxy
mul r7.z, r7.y, r7.y
add_pp r2.z, r0.x, r0.y
mad r7.w, r7.z, c4.z, c4
mad r5.x, r7.w, r7.z, c5
mad r5.x, r5, r7.z, c5.y
mad r2.x, r5, r7.z, c5.z
add_pp r0.z, r2, r0
mad r2.x, r2, r7.z, c5.w
mul r1.y, r2.x, r7
add r1.z, -r1.y, c6.x
add r1.x, r4, -r7
cmp r1.w, -r1.x, r1.y, r1.z
abs r1.x, r3.y
add r2.x, -r1.w, c4
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r5.yw, r1, s1, r1.zwzw, r2
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
texldd r0.w, r1, s0, r1.zwzw, r2
mul_pp r2.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r2, r2.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
add_pp r0.w, -r0, c2.x
mul_pp r2.x, r5, r0.w
dp3_pp r1.x, r0, r0
rsq_pp r1.x, r1.x
mul_pp r0.xyz, r1.x, r0
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
dp3_pp r1.y, v3, v3
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r3.y, r4.w
mad r1.x, r0.w, r1, r3.y
cmp r1.w, -r1.x, c2.y, c2.x
cmp r2.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
add r2.y, r1.w, -r2
mul_pp r1.xyz, r1.y, v3
dp3_pp r1.w, r0, r1
mov r0.y, r2
mov r0.xz, c2.x
mov r1.y, -r2
mov r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mad r4.xyz, r3.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r1.w, r0.x, r1
mad r1.xyz, r3.w, r4, r1
mov r0.z, -r2.y
mov r0.xy, c2.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r4
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r3.xyz, r0.y, c0
dp3_pp r0.z, v2, r3
add_pp r0.w, r0.z, c7.y
frc_pp r1.x, r0.w
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
add_pp_sat r0.w, r0, -r1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r1.xy, r0, c1.x
add_pp r0.y, r0.w, c6.z
mul_pp_sat r0.x, -r0.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r1.w, r0
mul_pp_sat r2.y, r0.z, c7.z
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r1.zw, r0.xyxy
texldd r0, r1, s8, r1.zwzw, r2.zwzw
texldd r1, r1, s9, r1.zwzw, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c2.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp oC0, r2.y, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 164 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r3.xyz, r0.x, v1
abs r4.xyz, r3
abs r7.x, r3.z
add r0.x, r4.z, -r4
cmp r3.w, r0.x, c2.x, c2.y
add r0.y, r3.z, -r3.x
mad r4.w, r3, r0.y, r3.x
add r0.z, r4, -r4.x
mad r0.x, r3.w, r0.z, r4
add r0.x, -r4.y, r0
cmp r6.z, r0.x, c2.x, c2.y
add r0.y, r3, r4.w
mad r0.x, r6.z, r0.y, -r3.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.y
cmp_pp r6.w, r2, c2.x, c2.y
max r7.y, r4.x, r7.x
mov_pp r0.y, r2.w
mov_pp r1.y, -r2.w
mov_pp r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r3.w, r0, r1
mov_pp r0.z, -r2.w
mov_pp r0.xy, c2.x
mul r2.xyz, r3.yzxw, r0
mad r0.xyz, r3.yzxw, -r0, r1
mad r0.xyz, r6.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r5.xy, r0.zwzw, c2.z
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
texldd r1, r5, s6, r5.zwzw, r6
texldd r0, r5, s7, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r2, r6.w, r0, r1
texldd r1, r5, s2, r5.zwzw, r6
texldd r0, r5, s3, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r3.w, r1, r0
texldd r0, r5, s5, r5.zwzw, r6
rcp r2.y, r7.y
min r2.x, r4, r7
mul r7.y, r2.x, r2
texldd r2, r5, s4, r5.zwzw, r6
add_pp r0, r0, -r2
mad_pp r0, r6.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r6.z, r1, r0
mul_pp r0, r0, c2.yyxy
mul r7.z, r7.y, r7.y
add_pp r2.z, r0.x, r0.y
mad r7.w, r7.z, c4.z, c4
mad r5.x, r7.w, r7.z, c5
mad r5.x, r5, r7.z, c5.y
mad r2.x, r5, r7.z, c5.z
add_pp r0.z, r2, r0
mad r2.x, r2, r7.z, c5.w
mul r1.y, r2.x, r7
add r1.z, -r1.y, c6.x
add r1.x, r4, -r7
cmp r1.w, -r1.x, r1.y, r1.z
abs r1.x, r3.y
add r2.x, -r1.w, c4
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r5.yw, r1, s1, r1.zwzw, r2
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
texldd r0.w, r1, s0, r1.zwzw, r2
mul_pp r2.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r2, r2.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
add_pp r0.w, -r0, c2.x
mul_pp r2.x, r5, r0.w
dp3_pp r1.x, r0, r0
rsq_pp r1.x, r1.x
mul_pp r0.xyz, r1.x, r0
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
dp3_pp r1.y, v3, v3
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r3.y, r4.w
mad r1.x, r0.w, r1, r3.y
cmp r1.w, -r1.x, c2.y, c2.x
cmp r2.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
add r2.y, r1.w, -r2
mul_pp r1.xyz, r1.y, v3
dp3_pp r1.w, r0, r1
mov r0.y, r2
mov r0.xz, c2.x
mov r1.y, -r2
mov r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mad r4.xyz, r3.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r1.w, r0.x, r1
mad r1.xyz, r3.w, r4, r1
mov r0.z, -r2.y
mov r0.xy, c2.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r4
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r3.xyz, r0.y, c0
dp3_pp r0.z, v2, r3
add_pp r0.w, r0.z, c7.y
frc_pp r1.x, r0.w
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
add_pp_sat r0.w, r0, -r1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r1.xy, r0, c1.x
add_pp r0.y, r0.w, c6.z
mul_pp_sat r0.x, -r0.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r1.w, r0
mul_pp_sat r2.y, r0.z, c7.z
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r1.zw, r0.xyxy
texldd r0, r1, s8, r1.zwzw, r2.zwzw
texldd r1, r1, s9, r1.zwzw, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c2.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp oC0, r2.y, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 165 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r4.xyz, r0.x, v1
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c2.x, c2.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c2.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c2.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s2, r6.zwzw, r7
cmp_pp r7.w, r7, c2.x, c2.y
texldd r0, r6, s6, r6.zwzw, r7
texldd r1, r6, s7, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s3, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r0, r0, -r1
abs r3.x, r4.z
max r2.x, r5, r3
rcp r2.y, r2.x
min r2.x, r5, r3
mul r3.y, r2.x, r2
mul r3.z, r3.y, r3.y
mad_pp r1, r4.w, r0, r1
texldd r2, r6, s4, r6.zwzw, r7
texldd r0, r6, s5, r6.zwzw, r7
add_pp r0, r0, -r2
mad_pp r0, r7.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
mul_pp r0, r0, c2.yyyx
add_pp r0.x, r0, r0.y
mad r3.w, r3.z, c4.z, c4
mad r2.x, r3.w, r3.z, c5
mad r2.x, r2, r3.z, c5.y
mad r1.x, r2, r3.z, c5.z
mad r1.x, r1, r3.z, c5.w
mul r1.x, r1, r3.y
add_pp r0.x, r0, r0.z
add r0.z, -r1.x, c6.x
add r0.y, r5.x, -r3.x
cmp r1.y, -r0, r1.x, r0.z
abs r0.y, r4
add r1.z, -r1.y, c4.x
add r1.x, -r0.y, c2
mad r0.z, r0.y, c3.x, c3.y
mad r0.z, r0, r0.y, c2.w
rsq r1.x, r1.x
cmp r1.y, r4.z, r1, r1.z
mad r0.y, r0.z, r0, c3.z
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r4, c2, c2.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c3.w, r0
mad r0.y, r0, c4.x, r0.z
cmp r1.x, r4, r1.y, -r1.y
mul r0.z, r1.x, c6.y
mul r0.y, r0, c4
add r1.z, r0, c2
abs r1.x, r0.z
mov r1.y, r0
dsx r2.xy, r1
mov r1.w, r0.y
dsy r1.xy, r1
add_pp r0.z, r0.x, r0.w
texldd r3.yw, r1.zwzw, s1, r2, r1
texldd r0.w, r1.zwzw, s0, r2, r1
mad_pp r0.xy, r3.wyzw, c6.w, c6.z
mul_pp r1.xy, r0, r0
add_pp_sat r1.x, r1, r1.y
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r1.x, -r1, c2
add_pp r0.w, -r0, c2.x
mul_pp r0.w, r0.z, r0
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r1.z, r0
max r1.x, r5, r5.z
add r1.x, r1, -r5.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r0.x, v3
cmp r1.w, r1.x, c2.x, c2.y
add r1.y, -r4, r5.w
mad r1.x, r1.w, r1.y, r4.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r2.w, r2, r3
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r2.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r1
mad r1.xyz, r1.w, r0, r2
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.z, v2, r2
add_pp r1.x, r0.z, c7.y
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r0.xy, r0, c1.x
mad r1.xy, c2.z, -r0.z, r0
mul_pp r0.z, r2.w, r1
abs r1.xy, r1
mul_pp_sat r0.z, r0, c7
dsy r2.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s9, r2, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 165 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r4.xyz, r0.x, v1
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c2.x, c2.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c2.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c2.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s2, r6.zwzw, r7
cmp_pp r7.w, r7, c2.x, c2.y
texldd r0, r6, s6, r6.zwzw, r7
texldd r1, r6, s7, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s3, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r0, r0, -r1
abs r3.x, r4.z
max r2.x, r5, r3
rcp r2.y, r2.x
min r2.x, r5, r3
mul r3.y, r2.x, r2
mul r3.z, r3.y, r3.y
mad_pp r1, r4.w, r0, r1
texldd r2, r6, s4, r6.zwzw, r7
texldd r0, r6, s5, r6.zwzw, r7
add_pp r0, r0, -r2
mad_pp r0, r7.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
mul_pp r0, r0, c2.yyyx
add_pp r0.x, r0, r0.y
mad r3.w, r3.z, c4.z, c4
mad r2.x, r3.w, r3.z, c5
mad r2.x, r2, r3.z, c5.y
mad r1.x, r2, r3.z, c5.z
mad r1.x, r1, r3.z, c5.w
mul r1.x, r1, r3.y
add_pp r0.x, r0, r0.z
add r0.z, -r1.x, c6.x
add r0.y, r5.x, -r3.x
cmp r1.y, -r0, r1.x, r0.z
abs r0.y, r4
add r1.z, -r1.y, c4.x
add r1.x, -r0.y, c2
mad r0.z, r0.y, c3.x, c3.y
mad r0.z, r0, r0.y, c2.w
rsq r1.x, r1.x
cmp r1.y, r4.z, r1, r1.z
mad r0.y, r0.z, r0, c3.z
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r4, c2, c2.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c3.w, r0
mad r0.y, r0, c4.x, r0.z
cmp r1.x, r4, r1.y, -r1.y
mul r0.z, r1.x, c6.y
mul r0.y, r0, c4
add r1.z, r0, c2
abs r1.x, r0.z
mov r1.y, r0
dsx r2.xy, r1
mov r1.w, r0.y
dsy r1.xy, r1
add_pp r0.z, r0.x, r0.w
texldd r3.yw, r1.zwzw, s1, r2, r1
texldd r0.w, r1.zwzw, s0, r2, r1
mad_pp r0.xy, r3.wyzw, c6.w, c6.z
mul_pp r1.xy, r0, r0
add_pp_sat r1.x, r1, r1.y
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r1.x, -r1, c2
add_pp r0.w, -r0, c2.x
mul_pp r0.w, r0.z, r0
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r1.z, r0
max r1.x, r5, r5.z
add r1.x, r1, -r5.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r0.x, v3
cmp r1.w, r1.x, c2.x, c2.y
add r1.y, -r4, r5.w
mad r1.x, r1.w, r1.y, r4.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r2.w, r2, r3
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r2.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r1
mad r1.xyz, r1.w, r0, r2
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.z, v2, r2
add_pp r1.x, r0.z, c7.y
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r0.xy, r0, c1.x
mad r1.xy, c2.z, -r0.z, r0
mul_pp r0.z, r2.w, r1
abs r1.xy, r1
mul_pp_sat r0.z, r0, c7
dsy r2.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s9, r2, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 165 ALU, 30 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r4.xyz, r0.x, v1
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c2.x, c2.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c2.x, c2.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c2.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c2.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s2, r6.zwzw, r7
cmp_pp r7.w, r7, c2.x, c2.y
texldd r0, r6, s6, r6.zwzw, r7
texldd r1, r6, s7, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s3, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r0, r0, -r1
abs r3.x, r4.z
max r2.x, r5, r3
rcp r2.y, r2.x
min r2.x, r5, r3
mul r3.y, r2.x, r2
mul r3.z, r3.y, r3.y
mad_pp r1, r4.w, r0, r1
texldd r2, r6, s4, r6.zwzw, r7
texldd r0, r6, s5, r6.zwzw, r7
add_pp r0, r0, -r2
mad_pp r0, r7.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
mul_pp r0, r0, c2.yyyx
add_pp r0.x, r0, r0.y
mad r3.w, r3.z, c4.z, c4
mad r2.x, r3.w, r3.z, c5
mad r2.x, r2, r3.z, c5.y
mad r1.x, r2, r3.z, c5.z
mad r1.x, r1, r3.z, c5.w
mul r1.x, r1, r3.y
add_pp r0.x, r0, r0.z
add r0.z, -r1.x, c6.x
add r0.y, r5.x, -r3.x
cmp r1.y, -r0, r1.x, r0.z
abs r0.y, r4
add r1.z, -r1.y, c4.x
add r1.x, -r0.y, c2
mad r0.z, r0.y, c3.x, c3.y
mad r0.z, r0, r0.y, c2.w
rsq r1.x, r1.x
cmp r1.y, r4.z, r1, r1.z
mad r0.y, r0.z, r0, c3.z
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r4, c2, c2.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c3.w, r0
mad r0.y, r0, c4.x, r0.z
cmp r1.x, r4, r1.y, -r1.y
mul r0.z, r1.x, c6.y
mul r0.y, r0, c4
add r1.z, r0, c2
abs r1.x, r0.z
mov r1.y, r0
dsx r2.xy, r1
mov r1.w, r0.y
dsy r1.xy, r1
add_pp r0.z, r0.x, r0.w
texldd r3.yw, r1.zwzw, s1, r2, r1
texldd r0.w, r1.zwzw, s0, r2, r1
mad_pp r0.xy, r3.wyzw, c6.w, c6.z
mul_pp r1.xy, r0, r0
add_pp_sat r1.x, r1, r1.y
add_pp r0.w, r0, c6.z
cmp_pp r0.w, r0, c2.x, c2.y
add_pp r1.x, -r1, c2
add_pp r0.w, -r0, c2.x
mul_pp r0.w, r0.z, r0
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
dp3_pp r1.z, r0, r0
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r1.z, r0
max r1.x, r5, r5.z
add r1.x, r1, -r5.y
dp3_pp r0.x, v3, v3
rsq_pp r0.x, r0.x
mul_pp r3.xyz, r0.x, v3
cmp r1.w, r1.x, c2.x, c2.y
add r1.y, -r4, r5.w
mad r1.x, r1.w, r1.y, r4.y
cmp r1.y, r1.x, c2, c2.x
cmp r1.x, -r1, c2.y, c2
add r3.w, r1.x, -r1.y
dp3_pp r2.w, r2, r3
mov r0.y, r3.w
mov r1.y, -r3.w
mov r1.xz, c2.x
mul r1.xyz, r4.xzyw, r1
mov r0.xz, c2.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov r0.z, -r3.w
mov r0.xy, c2.x
mul r2.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r1
mad r1.xyz, r1.w, r0, r2
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.z, v2, r2
add_pp r1.x, r0.z, c7.y
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.x, r1, c6.z
mul_pp_sat r0.z, -r0, c7.x
mad_pp r1.z, r0, r1.x, c2.x
mov r0.z, c1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r0.xy, r0, c1.x
mad r1.xy, c2.z, -r0.z, r0
mul_pp r0.z, r2.w, r1
abs r1.xy, r1
mul_pp_sat r0.z, r0, c7
dsy r2.zw, r1.xyxy
dsx r2.xy, r1
texldd r1, r0, s8, r2, r2.zwzw
add_pp r3.x, -r0.z, c2
mul_pp r0.z, r1.w, r0.w
mul_pp r3.x, r0.z, r3
texldd r2, r0, s9, r2, r2.zwzw
mul_pp r0.w, r0, r2
mov_pp r0.xyz, r2
mov_pp r1.w, r3.x
add_pp r1, r1, -r0
mad_pp oC0, r3.x, r1, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 240 // 232 used size, 10 vars
Float 228 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 6
SetTexture 1 [_BumpMap] 2D 7
SetTexture 2 [cube_CityOverlayTexxn] 2D 0
SetTexture 3 [cube_CityOverlayTexxp] 2D 1
SetTexture 4 [cube_CityOverlayTexyn] 2D 2
SetTexture 5 [cube_CityOverlayTexyp] 2D 3
SetTexture 6 [cube_CityOverlayTexzn] 2D 4
SetTexture 7 [cube_CityOverlayTexzp] 2D 5
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 8
SetTexture 9 [_CityLightOverlayDetailTex] 2D 9
// 153 instructions, 6 temp regs, 0 temp arrays:
// ALU 121 float, 2 int, 8 uint
// TEX 0 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedkedgnlmdajbakikkjkpldhbngjnlglfiabaaaaaaoabfaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaabaaaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaaaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcmabeaaaa
eaaaaaaadaafaaaafjaaaaaeegiocaaaaaaaaaaaapaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafkaaaaadaagabaaaaiaaaaaafkaaaaadaagabaaaajaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
fibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaa
fibiaaaeaahabaaaaiaaaaaaffffaaaafibiaaaeaahabaaaajaaaaaaffffaaaa
gcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaacgbjbaaa
acaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaajbcaabaaaacaaaaaabkaabaiambaaaaaaabaaaaaaakaabaia
ibaaaaaaabaaaaaadcaaaaakbcaabaaaacaaaaaadkaabaaaabaaaaaaakaabaaa
acaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaa
acaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaaacaaaaaackbabaaaacaaaaaa
dkaabaaaaaaaaaaabkaabaiaebaaaaaaabaaaaaadcaaaaajccaabaaaacaaaaaa
dkaabaaaabaaaaaabkaabaaaacaaaaaabkaabaaaabaaaaaadcaaaaajecaabaaa
acaaaaaabkbabaaaacaaaaaadkaabaaaaaaaaaaabkaabaaaacaaaaaadcaaaaak
icaabaaaaaaaaaaabkbabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaabkaabaaa
acaaaaaadcaaaaakccaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaacaaaaaa
ckaabaiaebaaaaaaabaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaa
bkaabaaaacaaaaaadbaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aaaaaaaaboaaaaaiccaabaaaacaaaaaackaabaiaebaaaaaaacaaaaaabkaabaaa
acaaaaaaclaaaaafbcaabaaaadaaaaaabkaabaaaacaaaaaadgaaaaagccaabaaa
aaaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaa
aaaaaaaabgagbaaaabaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadp
dcaaaaakocaabaaaacaaaaaafgaebaaaadaaaaaaagajbaaaabaaaaaaagajbaia
ebaaaaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaajgahbaaa
acaaaaaaegacbaaaaaaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaa
adaaaaaabnaaaaahccaabaaaacaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaa
abaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaak
hcaabaaaaaaaaaaafgagbaiaebaaaaaaadaaaaaacgajbaaaabaaaaaaegacbaaa
aaaaaaaadiaaaaahhcaabaaaadaaaaaacgajbaaaabaaaaaafgagbaaaadaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaa
adaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaa
agaabaiaibaaaaaaaaaaaaaaaaaaaaakmcaabaaaacaaaaaaagaebaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpdgaaaaagdcaabaaaaaaaaaaa
egaabaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaadaaaaaaegaabaaaaaaaaaaa
amaaaaafdcaabaaaaaaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaa
ogakbaaaacaaaaaaeghobaaaahaaaaaaaagabaaaafaaaaaaegaabaaaadaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaafaaaaaaogakbaaaacaaaaaaeghobaaa
agaaaaaaaagabaaaaeaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaaaaaaaai
ecaabaaaaaaaaaaadkaabaaaaeaaaaaadkaabaiaebaaaaaaafaaaaaadcaaaaaj
ecaabaaaaaaaaaaabkaabaaaacaaaaaackaabaaaaaaaaaaadkaabaaaafaaaaaa
ejaaaaanpcaabaaaaeaaaaaaogakbaaaacaaaaaaeghobaaaadaaaaaaaagabaaa
abaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaaafaaaaaa
ogakbaaaacaaaaaaeghobaaaacaaaaaaaagabaaaaaaaaaaaegaabaaaadaaaaaa
egaabaaaaaaaaaaaaaaaaaaiecaabaaaadaaaaaadkaabaaaaeaaaaaadkaabaia
ebaaaaaaafaaaaaadcaaaaajecaabaaaadaaaaaabkaabaaaacaaaaaackaabaaa
adaaaaaadkaabaaaafaaaaaaaaaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaa
ckaabaiaebaaaaaaadaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaaabaaaaaa
ckaabaaaaaaaaaaackaabaaaadaaaaaaejaaaaanpcaabaaaaeaaaaaaogakbaaa
acaaaaaaeghobaaaafaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaa
aaaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaacaaaaaaeghobaaaaeaaaaaa
aagabaaaacaaaaaaegaabaaaadaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaa
aaaaaaaadkaabaiaebaaaaaaadaaaaaadkaabaaaaeaaaaaadcaaaaajbcaabaaa
aaaaaaaabkaabaaaacaaaaaaakaabaaaaaaaaaaadkaabaaaadaaaaaaaaaaaaai
ccaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaaj
bcaabaaaaaaaaaaaakaabaaaacaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
deaaaaajccaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaaaoaaaaakccaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpbkaabaaaaaaaaaaaddaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaahecaabaaaaaaaaaaabkaabaaaaaaaaaaa
bkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaaabeaaaaa
fpkokkdmabeaaaaadgfkkolndcaaaaajbcaabaaaacaaaaaackaabaaaaaaaaaaa
akaabaaaacaaaaaaabeaaaaaochgdidodcaaaaajbcaabaaaacaaaaaackaabaaa
aaaaaaaaakaabaaaacaaaaaaabeaaaaaaebnkjlodcaaaaajecaabaaaaaaaaaaa
ckaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaahbcaabaaa
acaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajccaabaaa
acaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadbaaaaai
dcaabaaaacaaaaaaigaabaaaabaaaaaaigaabaiaebaaaaaaabaaaaaaabaaaaah
ecaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaahccaabaaa
aaaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaaddaaaaahecaabaaaaaaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaiecaabaaaaaaaaaaackaabaaa
aaaaaaaackaabaiaebaaaaaaaaaaaaaadeaaaaahbcaabaaaacaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
akaabaiaebaaaaaaacaaaaaaabaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaacaaaaaadhaaaaakccaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaia
ebaaaaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaaadaaaaaabkaabaaa
aaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagccaabaaaaaaaaaaabkaabaia
ibaaaaaaaaaaaaaaalaaaaafbcaabaaaaeaaaaaabkaabaaaaaaaaaaaamaaaaaf
bcaabaaaafaaaaaabkaabaaaaaaaaaaadcaaaaakccaabaaaaaaaaaaackaabaia
ibaaaaaaabaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaaiedefjlo
dcaaaaakccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaa
abeaaaaakeanmjdpaaaaaaaiecaabaaaaaaaaaaackaabaiambaaaaaaabaaaaaa
abeaaaaaaaaaiadpelaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaah
bcaabaaaacaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaadcaaaaajbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajccaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadiaaaaah
ccaabaaaadaaaaaabkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaa
aeaaaaaabkaabaaaadaaaaaaamaaaaafccaabaaaafaaaaaabkaabaaaadaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaa
agaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaadaaaaaaeghobaaaabaaaaaaaagabaaaahaaaaaaegaabaaaaeaaaaaa
egaabaaaafaaaaaadcaaaaapdcaabaaaacaaaaaahgapbaaaadaaaaaaaceaaaaa
aaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaa
aaaaaaaabnaaaaahccaabaaaaaaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaiadp
dhaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaaaaaabeaaaaa
aaaaiadpdiaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
deaaaaajccaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaabnaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaiaibaaaaaa
abaaaaaaabaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dcaaaaajecaabaaaaaaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaa
abaaaaaadbaaaaahicaabaaaaaaaaaaaabeaaaaaaaaaaaaackaabaaaaaaaaaaa
dbaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
ecaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaackaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaafaaaaaaggaibaaaabaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaabaaaaaa
jgaebaiaebaaaaaaafaaaaaadcaaaaajhcaabaaaadaaaaaapgapbaaaabaaaaaa
egacbaaaadaaaaaajgaebaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaia
ebaaaaaaaeaaaaaaggaibaaaabaaaaaaegacbaaaadaaaaaadcaaaaajocaabaaa
aaaaaaaafgafbaaaaaaaaaaaagajbaaaabaaaaaaagajbaaaafaaaaaadiaaaaak
mcaabaaaaaaaaaaakgaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpaoaaaaaigcaabaaaaaaaaaaakgalbaaaaaaaaaaafgafbaiaibaaaaaa
aaaaaaaaaaaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaadiaaaaaigcaabaaaaaaaaaaafgagbaaaaaaaaaaa
fgifcaaaaaaaaaaaaoaaaaaadcaaaaaodcaabaaaabaaaaaafgifcaiaebaaaaaa
aaaaaaaaaoaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaajgafbaaa
aaaaaaaadgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaaf
mcaabaaaabaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaa
abaaaaaaejaaaaanpcaabaaaadaaaaaajgafbaaaaaaaaaaaeghobaaaaiaaaaaa
aagabaaaaiaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaajgafbaaaaaaaaaaaeghobaaaajaaaaaaaagabaaaajaaaaaaogakbaaa
abaaaaaaegaabaaaabaaaaaadiaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaa
abaaaaaaapaaaaahbcaabaaaaaaaaaaaegaabaaaacaaaaaaegaabaaaacaaaaaa
ddaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaacaaaaaaakaabaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahncaabaaaaaaaaaaaagaabaaaaaaaaaaaagajbaaaacaaaaaabaaaaaah
bcaabaaaacaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaadiaaaaahhcaabaaaacaaaaaaagaabaaaacaaaaaa
egbcbaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaigadbaaaaaaaaaaaegacbaaa
acaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiaea
bbaaaaajecaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaeeaaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaaihcaabaaa
acaaaaaakgakbaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaadaaaaaaegacbaaaacaaaaaaaaaaaaahicaabaaaaaaaaaaa
ckaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahecaabaaaaaaaaaaackaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
aaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadp
dicaaaahbcaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaah
icaabaaaadaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaaipcaabaaa
aaaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaadaaaaaadcaaaaajpccabaaa
aaaaaaaapgapbaaaadaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 164 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r3.xyz, r0.x, v1
abs r4.xyz, r3
abs r7.x, r3.z
add r0.x, r4.z, -r4
cmp r3.w, r0.x, c2.x, c2.y
add r0.y, r3.z, -r3.x
mad r4.w, r3, r0.y, r3.x
add r0.z, r4, -r4.x
mad r0.x, r3.w, r0.z, r4
add r0.x, -r4.y, r0
cmp r6.z, r0.x, c2.x, c2.y
add r0.y, r3, r4.w
mad r0.x, r6.z, r0.y, -r3.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.y
cmp_pp r6.w, r2, c2.x, c2.y
max r7.y, r4.x, r7.x
mov_pp r0.y, r2.w
mov_pp r1.y, -r2.w
mov_pp r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r3.w, r0, r1
mov_pp r0.z, -r2.w
mov_pp r0.xy, c2.x
mul r2.xyz, r3.yzxw, r0
mad r0.xyz, r3.yzxw, -r0, r1
mad r0.xyz, r6.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r5.xy, r0.zwzw, c2.z
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
texldd r1, r5, s6, r5.zwzw, r6
texldd r0, r5, s7, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r2, r6.w, r0, r1
texldd r1, r5, s2, r5.zwzw, r6
texldd r0, r5, s3, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r3.w, r1, r0
texldd r0, r5, s5, r5.zwzw, r6
rcp r2.y, r7.y
min r2.x, r4, r7
mul r7.y, r2.x, r2
texldd r2, r5, s4, r5.zwzw, r6
add_pp r0, r0, -r2
mad_pp r0, r6.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r6.z, r1, r0
mul_pp r0, r0, c2.yyyx
mul r7.z, r7.y, r7.y
add_pp r2.z, r0.x, r0.y
mad r7.w, r7.z, c4.z, c4
mad r5.x, r7.w, r7.z, c5
mad r5.x, r5, r7.z, c5.y
mad r2.x, r5, r7.z, c5.z
add_pp r0.z, r2, r0
mad r2.x, r2, r7.z, c5.w
mul r1.y, r2.x, r7
add r1.z, -r1.y, c6.x
add r1.x, r4, -r7
cmp r1.w, -r1.x, r1.y, r1.z
abs r1.x, r3.y
add r2.x, -r1.w, c4
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r5.yw, r1, s1, r1.zwzw, r2
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
texldd r0.w, r1, s0, r1.zwzw, r2
mul_pp r2.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r2, r2.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
add_pp r0.w, -r0, c2.x
mul_pp r2.x, r5, r0.w
dp3_pp r1.x, r0, r0
rsq_pp r1.x, r1.x
mul_pp r0.xyz, r1.x, r0
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
dp3_pp r1.y, v3, v3
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r3.y, r4.w
mad r1.x, r0.w, r1, r3.y
cmp r1.w, -r1.x, c2.y, c2.x
cmp r2.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
add r2.y, r1.w, -r2
mul_pp r1.xyz, r1.y, v3
dp3_pp r1.w, r0, r1
mov r0.y, r2
mov r0.xz, c2.x
mov r1.y, -r2
mov r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mad r4.xyz, r3.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r1.w, r0.x, r1
mad r1.xyz, r3.w, r4, r1
mov r0.z, -r2.y
mov r0.xy, c2.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r4
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r3.xyz, r0.y, c0
dp3_pp r0.z, v2, r3
add_pp r0.w, r0.z, c7.y
frc_pp r1.x, r0.w
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
add_pp_sat r0.w, r0, -r1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r1.xy, r0, c1.x
add_pp r0.y, r0.w, c6.z
mul_pp_sat r0.x, -r0.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r1.w, r0
mul_pp_sat r2.y, r0.z, c7.z
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r1.zw, r0.xyxy
texldd r0, r1, s8, r1.zwzw, r2.zwzw
texldd r1, r1, s9, r1.zwzw, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c2.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp oC0, r2.y, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 164 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r3.xyz, r0.x, v1
abs r4.xyz, r3
abs r7.x, r3.z
add r0.x, r4.z, -r4
cmp r3.w, r0.x, c2.x, c2.y
add r0.y, r3.z, -r3.x
mad r4.w, r3, r0.y, r3.x
add r0.z, r4, -r4.x
mad r0.x, r3.w, r0.z, r4
add r0.x, -r4.y, r0
cmp r6.z, r0.x, c2.x, c2.y
add r0.y, r3, r4.w
mad r0.x, r6.z, r0.y, -r3.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.y
cmp_pp r6.w, r2, c2.x, c2.y
max r7.y, r4.x, r7.x
mov_pp r0.y, r2.w
mov_pp r1.y, -r2.w
mov_pp r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r3.w, r0, r1
mov_pp r0.z, -r2.w
mov_pp r0.xy, c2.x
mul r2.xyz, r3.yzxw, r0
mad r0.xyz, r3.yzxw, -r0, r1
mad r0.xyz, r6.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r5.xy, r0.zwzw, c2.z
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
texldd r1, r5, s6, r5.zwzw, r6
texldd r0, r5, s7, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r2, r6.w, r0, r1
texldd r1, r5, s2, r5.zwzw, r6
texldd r0, r5, s3, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r3.w, r1, r0
texldd r0, r5, s5, r5.zwzw, r6
rcp r2.y, r7.y
min r2.x, r4, r7
mul r7.y, r2.x, r2
texldd r2, r5, s4, r5.zwzw, r6
add_pp r0, r0, -r2
mad_pp r0, r6.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r6.z, r1, r0
mul_pp r0, r0, c2.yyyx
mul r7.z, r7.y, r7.y
add_pp r2.z, r0.x, r0.y
mad r7.w, r7.z, c4.z, c4
mad r5.x, r7.w, r7.z, c5
mad r5.x, r5, r7.z, c5.y
mad r2.x, r5, r7.z, c5.z
add_pp r0.z, r2, r0
mad r2.x, r2, r7.z, c5.w
mul r1.y, r2.x, r7
add r1.z, -r1.y, c6.x
add r1.x, r4, -r7
cmp r1.w, -r1.x, r1.y, r1.z
abs r1.x, r3.y
add r2.x, -r1.w, c4
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r5.yw, r1, s1, r1.zwzw, r2
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
texldd r0.w, r1, s0, r1.zwzw, r2
mul_pp r2.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r2, r2.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
add_pp r0.w, -r0, c2.x
mul_pp r2.x, r5, r0.w
dp3_pp r1.x, r0, r0
rsq_pp r1.x, r1.x
mul_pp r0.xyz, r1.x, r0
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
dp3_pp r1.y, v3, v3
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r3.y, r4.w
mad r1.x, r0.w, r1, r3.y
cmp r1.w, -r1.x, c2.y, c2.x
cmp r2.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
add r2.y, r1.w, -r2
mul_pp r1.xyz, r1.y, v3
dp3_pp r1.w, r0, r1
mov r0.y, r2
mov r0.xz, c2.x
mov r1.y, -r2
mov r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mad r4.xyz, r3.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r1.w, r0.x, r1
mad r1.xyz, r3.w, r4, r1
mov r0.z, -r2.y
mov r0.xy, c2.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r4
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r3.xyz, r0.y, c0
dp3_pp r0.z, v2, r3
add_pp r0.w, r0.z, c7.y
frc_pp r1.x, r0.w
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
add_pp_sat r0.w, r0, -r1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r1.xy, r0, c1.x
add_pp r0.y, r0.w, c6.z
mul_pp_sat r0.x, -r0.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r1.w, r0
mul_pp_sat r2.y, r0.z, c7.z
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r1.zw, r0.xyxy
texldd r0, r1, s8, r1.zwzw, r2.zwzw
texldd r1, r1, s9, r1.zwzw, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c2.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp oC0, r2.y, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [cube_CityOverlayTexxn] 2D
SetTexture 3 [cube_CityOverlayTexxp] 2D
SetTexture 4 [cube_CityOverlayTexyn] 2D
SetTexture 5 [cube_CityOverlayTexyp] 2D
SetTexture 6 [cube_CityOverlayTexzn] 2D
SetTexture 7 [cube_CityOverlayTexzp] 2D
SetTexture 8 [_CityDarkOverlayDetailTex] 2D
SetTexture 9 [_CityLightOverlayDetailTex] 2D
SetTexture 10 [_ShadowMapTexture] 2D
"ps_3_0
; 164 ALU, 31 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
dcl_2d s9
dcl_2d s10
def c2, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c3, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c4, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c5, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c6, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c7, 10.00000000, 1.00976563, 4.00000000, 0
dcl_texcoord2 v1.xyz
dcl_texcoord3 v2.xyz
dcl_texcoord5 v3.xyz
dcl_texcoord6 v4
dp3 r0.x, v1, v1
rsq r0.x, r0.x
mul r3.xyz, r0.x, v1
abs r4.xyz, r3
abs r7.x, r3.z
add r0.x, r4.z, -r4
cmp r3.w, r0.x, c2.x, c2.y
add r0.y, r3.z, -r3.x
mad r4.w, r3, r0.y, r3.x
add r0.z, r4, -r4.x
mad r0.x, r3.w, r0.z, r4
add r0.x, -r4.y, r0
cmp r6.z, r0.x, c2.x, c2.y
add r0.y, r3, r4.w
mad r0.x, r6.z, r0.y, -r3.y
cmp r0.y, r0.x, c2, c2.x
cmp r0.x, -r0, c2.y, c2
add r2.w, r0.x, -r0.y
cmp_pp r6.w, r2, c2.x, c2.y
max r7.y, r4.x, r7.x
mov_pp r0.y, r2.w
mov_pp r1.y, -r2.w
mov_pp r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mov_pp r0.xz, c2.x
mad r0.xyz, r3.zxyw, r0, -r1
mad r1.xyz, r3.w, r0, r1
mov_pp r0.z, -r2.w
mov_pp r0.xy, c2.x
mul r2.xyz, r3.yzxw, r0
mad r0.xyz, r3.yzxw, -r0, r1
mad r0.xyz, r6.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c2.z
abs r0.xy, r0.zwzw
add_pp r5.xy, r0.zwzw, c2.z
dsx r5.zw, r0.xyxy
dsy r6.xy, r0
texldd r1, r5, s6, r5.zwzw, r6
texldd r0, r5, s7, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r2, r6.w, r0, r1
texldd r1, r5, s2, r5.zwzw, r6
texldd r0, r5, s3, r5.zwzw, r6
add_pp r0, r0, -r1
mad_pp r0, r6.w, r0, r1
add_pp r1, r2, -r0
mad_pp r1, r3.w, r1, r0
texldd r0, r5, s5, r5.zwzw, r6
rcp r2.y, r7.y
min r2.x, r4, r7
mul r7.y, r2.x, r2
texldd r2, r5, s4, r5.zwzw, r6
add_pp r0, r0, -r2
mad_pp r0, r6.w, r0, r2
add_pp r1, r1, -r0
mad_pp r0, r6.z, r1, r0
mul_pp r0, r0, c2.yyyx
mul r7.z, r7.y, r7.y
add_pp r2.z, r0.x, r0.y
mad r7.w, r7.z, c4.z, c4
mad r5.x, r7.w, r7.z, c5
mad r5.x, r5, r7.z, c5.y
mad r2.x, r5, r7.z, c5.z
add_pp r0.z, r2, r0
mad r2.x, r2, r7.z, c5.w
mul r1.y, r2.x, r7
add r1.z, -r1.y, c6.x
add r1.x, r4, -r7
cmp r1.w, -r1.x, r1.y, r1.z
abs r1.x, r3.y
add r2.x, -r1.w, c4
add r1.z, -r1.x, c2.x
mad r1.y, r1.x, c3.x, c3
mad r1.y, r1, r1.x, c2.w
rsq r1.z, r1.z
cmp r1.w, r3.z, r1, r2.x
mad r1.x, r1.y, r1, c3.z
rcp r1.z, r1.z
mul r1.y, r1.x, r1.z
cmp r1.x, r3.y, c2.y, c2
mul r1.z, r1.x, r1.y
mad r1.y, -r1.z, c3.w, r1
mad r1.x, r1, c4, r1.y
mul r1.y, r1.x, c4
cmp r1.z, r3.x, r1.w, -r1.w
mul r1.z, r1, c6.y
add r1.x, r1.z, c2.z
mov r2.y, r1
abs r2.x, r1.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r5.yw, r1, s1, r1.zwzw, r2
mad_pp r0.xy, r5.wyzw, c6.w, c6.z
add_pp r5.x, r0.z, r0.w
texldd r0.w, r1, s0, r1.zwzw, r2
mul_pp r2.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r2, r2.w
add_pp r1.x, -r0.z, c2
add_pp r0.z, r0.w, c6
cmp_pp r0.w, r0.z, c2.x, c2.y
rsq_pp r1.x, r1.x
rcp_pp r0.z, r1.x
add_pp r0.w, -r0, c2.x
mul_pp r2.x, r5, r0.w
dp3_pp r1.x, r0, r0
rsq_pp r1.x, r1.x
mul_pp r0.xyz, r1.x, r0
max r0.w, r4.x, r4.z
add r0.w, r0, -r4.y
dp3_pp r1.y, v3, v3
cmp r0.w, r0, c2.x, c2.y
add r1.x, -r3.y, r4.w
mad r1.x, r0.w, r1, r3.y
cmp r1.w, -r1.x, c2.y, c2.x
cmp r2.y, r1.x, c2, c2.x
rsq_pp r1.y, r1.y
add r2.y, r1.w, -r2
mul_pp r1.xyz, r1.y, v3
dp3_pp r1.w, r0, r1
mov r0.y, r2
mov r0.xz, c2.x
mov r1.y, -r2
mov r1.xz, c2.x
mul r1.xyz, r3.xzyw, r1
mad r4.xyz, r3.zxyw, r0, -r1
texldp r0.x, v4, s10
mul_pp r1.w, r0.x, r1
mad r1.xyz, r3.w, r4, r1
mov r0.z, -r2.y
mov r0.xy, c2.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r4
abs r0.x, r1
dp4_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r3.xyz, r0.y, c0
dp3_pp r0.z, v2, r3
add_pp r0.w, r0.z, c7.y
frc_pp r1.x, r0.w
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
add_pp_sat r0.w, r0, -r1.x
mad r0.y, r0, c2.z, c2.z
mad r0.x, r0, c2.z, c2.z
mul r1.xy, r0, c1.x
add_pp r0.y, r0.w, c6.z
mul_pp_sat r0.x, -r0.z, c7
mad_pp r0.z, r0.x, r0.y, c2.x
mul_pp r0.z, r1.w, r0
mul_pp_sat r2.y, r0.z, c7.z
mov r0.x, c1
mad r0.xy, c2.z, -r0.x, r1
abs r0.xy, r0
dsy r2.zw, r0.xyxy
dsx r1.zw, r0.xyxy
texldd r0, r1, s8, r1.zwzw, r2.zwzw
texldd r1, r1, s9, r1.zwzw, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c2.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp oC0, r2.y, r0, r1
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 304 // 296 used size, 11 vars
Float 292 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 7
SetTexture 1 [_BumpMap] 2D 8
SetTexture 2 [cube_CityOverlayTexxn] 2D 1
SetTexture 3 [cube_CityOverlayTexxp] 2D 2
SetTexture 4 [cube_CityOverlayTexyn] 2D 3
SetTexture 5 [cube_CityOverlayTexyp] 2D 4
SetTexture 6 [cube_CityOverlayTexzn] 2D 5
SetTexture 7 [cube_CityOverlayTexzp] 2D 6
SetTexture 8 [_CityDarkOverlayDetailTex] 2D 9
SetTexture 9 [_CityLightOverlayDetailTex] 2D 10
SetTexture 10 [_ShadowMapTexture] 2D 0
// 156 instructions, 6 temp regs, 0 temp arrays:
// ALU 123 float, 2 int, 8 uint
// TEX 1 (0 load, 0 comp, 0 bias, 10 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

}

#LINE 135


			}
		}
	}
}